<?php
if (!isset($_SESSION['admin_id'])) {
  set_time_limit(30);
  sleep(31);
  die("You're not authorized!");
}
$option = $post->option;
switch ($option) {
  case 'edit_course':
    $user_id = $_SESSION['admin_id'];
    if (!isset($post->course_id)) {
      die("'course_id' is missing");
    }
    $user = $generic->getFromTable('users', "id={$user_id}", 1, 1, '', false, 'academy_type, other');
    if (count($user) == 0 || $user[0]->academy_type != 1) {
      die("You don't have access to this course");
    } elseif (($assigned_course_ids = $user[0]->other) == null) {
      die("You have not been assigned this course");
    } else {
      $assigned_course_ids = array_map('trim', explode(',', $assigned_course_ids));
      if (!in_array($post->course_id, $assigned_course_ids)) {
        die("You have not been assigned this course");
      }
    }
    $course = $generic->getFromTable('academy_courses', "id={$post->course_id}", 1, 1, '', false, 'id, name, bg_ref, contents, available, curriculum, pic_ref, tutor, students, duration, category, date_updated');
    if (count($course) == 0) {
      die("No course found");
    }
    $course = $course[0];
    $course->date_updated = call_user_func('get_time_since', date_diff(date_create($course->date_updated), date_create()));
    $topics = $generic->getFromTable('academy_lessons', "course_id={$post->course_id}", 1, 0, SERIAL_NO_ASC, false, 'id AS _id, title AS topic, drafts AS lessons, creator_id');
    $topics = array_map(function ($topic) use (&$user_id) {
      $topic->editable = $topic->creator_id == $user_id;
      $topic->lessons = json_decode($topic->lessons);
      return $topic;
    }, $topics);
    die(json_encode([$course, $topics]));

  case 'save_course':
    $user_id = $_SESSION['admin_id'];
    $publish = $post->publish;
    $topics = $post->topics;
    $course_id = $post->course_id;
    $topicCount = count($topics);
    $sql = "";

    for ($i = 0; $i < $topicCount; $i++) {
      $topic = $topics[$i];
      $build = "serial_no=$i, title='" . $db->real_escape_string($topic->topic) . "'";
      if ($topic->editable) {
        if (isset($topic->lessons) and is_array($topic->lessons)) {
          foreach ($topic->lessons as $j => $lesson) {
            if (!isset($lesson->key)) $lesson->key = uniqid("$j-", true);
          }
        }
        $build .= ", drafts='" . $db->real_escape_string(json_encode($topic->lessons ?? [])) . "'";
      }

      if (isset($topic->_id)) {
        $sql .= "UPDATE academy_lessons SET $build WHERE id=" . $db->real_escape_string($topic->_id) . ";";
      } else {
        $build .= ", course_id=" . $db->real_escape_string($course_id) . ", creator_id=$user_id";
        $sql .= "INSERT INTO academy_lessons SET $build;";
      }
    }
    $publish = isset($post->publish) ? ', in_review=TRUE' : '';
    $sql .= "UPDATE academy_courses SET date_updated=CURRENT_TIMESTAMP()$publish";
    $ok = $db->multi_query($sql) or die($db->error);
    $new_ids = [];
    do {
      if ($db->insert_id) {
        $new_ids[] = $db->insert_id;
      }
    } while ($db->next_result());
    $response = new stdClass;
    if ($ok === TRUE) {
      $response->status = 1;
      $response->new_ids = $new_ids;
    } else {
      $response->status = 0;
    }
    die(json_encode($response));

  case 'delete_topic':
    $response = new stdClass;
    $response->status = 0;
    if (!isset($post->topic_id)) {
      $response->message = "'topic_id' is required.";
      die(json_encode($response));
    }
    $sql = "DELETE FROM academy_lessons WHERE id={$post->topic_id}";
    $result = $db->query($sql) or die($db->error);
    if ($result == true) {
      $response->status = 1;
    }
    $response->message = $response->status == 1 ? 'successful' : 'Unsuccessul';
    die(json_encode($response));

  case 'course_files':
    $user_id = rtrim(base64_encode($_SESSION['admin_id']), '=');
    if (!isset($post->course_name)) {
      die("'course_name' is a required.");
    }
    $folder_path = !empty($post->type) ? "/{$post->type}{$post->relpath}" : "";
    $course_path = absolute_filepath($uri->site) . 'assets/all_courses/' . str_replace(' ', '_', $post->course_name) . '-' . $user_id . $folder_path;
    if (!is_dir($course_path)) {
      mkdir($course_path, 0755, true);
      if (empty($folder_path)) die("[{\"images\":[]},{\"videos\":[]},{\"others\":[]}]");
      else die("[{\"{$post->type}\":[]}]");
    }
    $course_files = call_user_func('get_course_files', $course_path, !empty($post->type));
    $missed = array_reduce($course_files, function ($carry, $arr) {
      return array_filter($carry, function ($item) use (&$arr) {
        return !isset($arr[$item]) || !is_array($arr[$item]);
      });
    }, ['images', 'videos', 'others']);
    if (empty($folder_path)) {
      foreach ($missed as $item) {
        array_push($course_files, [$item => []]);
      }
    }
    die(json_encode($course_files));

  case 'upload_course_files':
    $user_id = rtrim(base64_encode($_SESSION['admin_id']), '=');
    $response = new stdClass;
    $response->status = 0;
    $file_groups = ['images', 'videos', 'others'];
    if (!isset($post->course_name) || !isset($post->type) || !in_array($post->type, $file_groups) || !isset($post->index) || !isset($post->name)) {
      $response->message = "Either 'course_name', 'type', 'index' or 'name' is missing in the post.";
      die(json_encode($response));
    }
    $relpath = !empty($post->relpath) ? $post->relpath : '/';
    $folder = absolute_filepath($uri->site) . 'assets/all_courses/' . str_replace(' ', '_', $post->course_name) . '-' . $user_id . '/' . $post->type . $relpath;
    if (substr($folder, -1) != '/') {
      $folder .= '/';
    }
    if (!is_dir($folder)) mkdir($folder, 0755, true);
    if (count($_FILES) > 0) {
      list($file) = array_values($_FILES);
      $file_path = pathinfo($post->name);
      $escape_slash = DIRECTORY_SEPARATOR == '/' ? '\\\\' : '/';
      $file_path['filename'] = preg_replace(array('#[.*+?^${}()|[\]' . $escape_slash . ']+#', '/\s+/'), array('', '_'), $file_path['filename']);
      $temp_folder = absolute_filepath($uri->site) . 'upload_cache/' . str_replace(' ', '_', $post->course_name) . '-' . $user_id . '-' . $post->type . '-' . $file_path['filename'] . '/';
      if (!is_dir($temp_folder)) {
        mkdir($temp_folder, 0755, true);
      }
      $temp_file = $temp_folder . preg_replace('/\d+/', '', $file_path['filename']) . '-' . $post->index . '.' . $file_path['extension'];
      if (!isset($post->only_file)) {
        if (!move_uploaded_file($file["tmp_name"], $temp_file)) {
          $response->message = "Could not upload {$file_path['basename']}";
          die(json_encode($response));
        }
      }
      if (!isset($post->last_part)) {
        $response->status = 1;
        $response->message = "Successful";
        $response->done = false;
        die(json_encode($response));
      }
      $target_file = $folder . $file_path['filename'] . '-' . substr(uniqid(), -4) . '.' . $file_path['extension'];
      if (!isset($post->only_file)) {
        $file_parts = glob($temp_folder . '*');
        $part_count = count($file_parts);
        assert($post->index == $part_count);
        natsort($file_parts);
        $handle = fopen($target_file, 'w');
        foreach ($file_parts as $file_part) {
          $chunk = file_get_contents($file_part);
          $written = fwrite($handle, $chunk);
          unlink($file_part);
        }
        fclose($handle);
        rmdir($temp_folder);
      } else {
        if (!move_uploaded_file($file["tmp_name"], $target_file)) {
          $response->message = "Could not upload {$file_path['basename']}";
          die(json_encode($response));
        }
      }
      $img_info = getimagesize($target_file);
      if ($img_info !== FALSE && preg_match('/jpe?g|png/i', $img_info['mime'], $img_match) === 1) {
        list($width, $height) = $img_info;
        if ($width > 200 || $height > 200) {
          $max_side = max($width, $height);
          $scaler = 200 / $max_side;
          $new_width = $width * $scaler;
          $new_height = $height * $scaler;
          $thumb = imagecreatetruecolor($new_width, $new_height);
          $ext = strtolower($img_match[0]);
          $source = $ext == 'png' ? imagecreatefrompng($target_file) : imagecreatefromjpeg($target_file);
          imagecopyresized($thumb, $source, 0, 0, 0, 0, $new_width, $new_height, $width, $height);
          $target_file = str_replace($folder, $folder . 'tbn/', $target_file);
          if (!is_dir(dirname($target_file))) mkdir(dirname($target_file), 0755, true);
          $ext == 'png' ? imagepng($thumb, $target_file) : imagejpeg($thumb, $target_file);
          imagedestroy($thumb);
        }
      }
      $tbn_count = 1;
      $response->{$post->type} = [http_filepath($target_file), basename($target_file), call_user_func('size_as_byte_multple', filesize(str_replace('tbn/', '', $target_file, $tbn_count)))];
    }
    if (empty($response->message)) {
      $response->status = 1;
      $response->message = 'Successful';
      $response->done = true;
    }
    die(json_encode($response));

  case 'retry_upload':
    $user_id = rtrim(base64_encode($_SESSION['admin_id']), '=');
    $response = new stdClass;
    $response->status = 0;
    if (!isset($post->course_name) || !isset($post->name) || !isset($post->type) || !isset($post->max_index)) {
      $response->message = "Either 'course_name', 'name', 'type' or 'max_index' is missing in the fields";
      die(json_encode($response));
    } elseif (!is_numeric($post->max_index)) {
      $response->message = "'max_index' should be a number";
      die(json_encode($response));
    }
    $relpath = !empty($post->relpath) ? $post->relpath : '/';
    $file_path = pathinfo($post->name);
    $folder = absolute_filepath($uri->site) . 'assets/all_courses/' . str_replace(' ', '_', $post->course_name) . '-' . $user_id . '/' . $post->type . $relpath;
    $temp_folder = absolute_filepath($uri->site) . 'upload_cache/' . str_replace(' ', '_', $post->course_name) . '-' . $user_id . '-' . $post->type . '-' . $file_path['filename'] . '/';
    if (substr($folder, -1) != '/') {
      $folder .= '/';
    }
    if (!is_dir($temp_folder)) {
      if (is_dir($folder)) {
        $uploaded_files = glob($folder . '*');
        $escape_slash = DIRECTORY_SEPARATOR == '/' ? '\\\\' : '/';
        $file_path['filename'] = preg_replace(array('#[.*+?^${}()|[\]' . $escape_slash . ']+#', '/\s+/'), array('', '_'), $file_path['filename']);
        $file_re = "%$folder{$file_path['filename']}-\w+\.{$file_path['extension']}%";
        $matches = preg_grep($file_re, $uploaded_files);
        if (count($matches) > 0) {
          $target_file = $matches[0];
          $tbn = str_replace($folder, $folder . 'tbn/', $target_file);
          if (file_exists($tbn)) {
            $target_file = $tbn;
          } else {
            $img_info = getimagesize($target_file);
            if ($img_info !== FALSE && preg_match('/jpe?g|png/i', $img_info['mime'], $img_match) === 1) {
              list($width, $height) = $img_info;
              if ($width > 200 || $height > 200) {
                $max_side = max($width, $height);
                $scaler = 200 / $max_side;
                $new_width = $width * $scaler;
                $new_height = $height * $scaler;
                $thumb = imagecreatetruecolor($new_width, $new_height);
                $ext = strtolower($img_match[0]);
                $source = $ext == 'png' ? imagecreatefrompng($target_file) : imagecreatefromjpeg($target_file);
                imagecopyresized($thumb, $source, 0, 0, 0, 0, $new_width, $new_height, $width, $height);
                $target_file = $tbn;
                if (!is_dir(dirname($target_file))) mkdir(dirname($target_file), 0755, true);
                $ext == 'png' ? imagepng($thumb, $target_file) : imagejpeg($thumb, $target_file);
                imagedestroy($thumb);
              }
            }
          }
          $tbn_count = 1;
          $response->{$post->type} = [http_filepath($target_file), basename($target_file), call_user_func('size_as_byte_multple', filesize(str_replace('tbn/', '', $target_file, $tbn_count)))];
          $response->status = 1;
          $response->message = "Successful";
          $response->done = true;
          die(json_encode($response));
        }
      }
      $response->message = "File was uploaded incorrectly. Begin the upload afresh";
      die(json_encode($response));
    }
    $subfiles = glob($temp_folder . '*');
    $last_index = sizeof($subfiles);
    if ($last_index < $post->max_index) {
      $response->last_index = $last_index;
      $response->status = 1;
      $response->message = "Successful";
      $response->done = false;
      die(json_encode($response));
    }
    $target_file = $folder . $file_path['filename'] . '-' . substr(uniqid(), -4) . '.' . $file_path['extension'];
    natsort($subfiles);
    $handle = fopen($target_file, 'w');
    foreach ($subfiles as $subfile) {
      $chunk = file_get_contents($subfile);
      fwrite($handle, $chunk);
      unlink($subfile);
    }
    fclose($handle);
    rmdir($temp_folder);
    $img_info = getimagesize($target_file);
    if ($img_info !== FALSE && preg_match('/jpe?g|png/i', $img_info['mime'], $img_match) === 1) {
      list($width, $height) = $img_info;
      if ($width > 200 || $height > 200) {
        $max_side = max($width, $height);
        $scaler = 200 / $max_side;
        $new_width = $width * $scaler;
        $new_height = $height * $scaler;
        $thumb = imagecreatetruecolor($new_width, $new_height);
        $ext = strtolower($img_match[0]);
        $source = $ext == 'png' ? imagecreatefrompng($target_file) : imagecreatefromjpeg($target_file);
        imagecopyresized($thumb, $source, 0, 0, 0, 0, $new_width, $new_height, $width, $height);
        $target_file = str_replace($folder, $folder . 'tbn/', $target_file);
        if (!is_dir(dirname($target_file))) mkdir(dirname($target_file), 0755, true);
        $ext == 'png' ? imagepng($thumb, $target_file) : imagejpeg($thumb, $target_file);
        imagedestroy($thumb);
      }
    }
    $tbn_count = 1;
    $response->{$post->type} = [http_filepath($target_file), basename($target_file), call_user_func('size_as_byte_multple', filesize(str_replace('tbn/', '', $target_file, $tbn_count)))];
    $response->status = 1;
    $response->message = "Successful";
    $response->done = true;
    die(json_encode($response));

  case 'search_file':
    $user_id = rtrim(base64_encode($_SESSION['admin_id']), '=');
    if (!isset($post->course_name) || !isset($post->search) || !isset($post->type)) {
      die("Either 'course_name' or 'search' or 'type' was not specified");
    }
    $relpath = !empty($post->relpath) ? $post->relpath : '/';
    $dir = absolute_filepath($uri->site) . 'assets/all_courses/' . str_replace(' ', '_', $post->course_name) . '-' . $user_id . '/' . $post->type . $relpath;
    if (substr($dir, -1) != '/') {
      $dir .= '/';
    }
    $files = call_user_func_array('get_similar_files', array_merge(glob($dir . '*'), [$post->search]));
    die(json_encode($files));

  case 'rename_file':
    $user_id = rtrim(base64_encode($_SESSION['admin_id']), '=');
    $response = new stdClass;
    $response->status = 0;
    if (!isset($post->new_name) || !isset($post->old_name)) {
      $response->message = "Either 'old_name' or 'new_name' is missing";
      die(json_encode($response));
    }
    if (!is_http_url($post->old_name)) {
      $response->message = "'old_name' was not specified correctly";
      die(json_encode($response));
    }
    $tbn = absolute_filepath($post->old_name);
    $count = 1;
    $file = str_replace('tbn/', '', $tbn, $count);

    if (!file_exists($file)) {
      $response->message = 'File was not found';
      die(json_encode($response));
    }
    $ext = strtolower(pathinfo($file, PATHINFO_EXTENSION));
    $new_name = preg_replace("%(?<=\.)\w+$%", '', $post->new_name) . '.' . $ext;
    $new_file = implode('/', array_slice(explode('/', $file), 0, -1)) . '/' . $new_name;
    if (rename($file, $new_file)) {
      if ($file != $tbn && file_exists($tbn)) {
        $new_tbn = str_replace(pathinfo($file, PATHINFO_FILENAME), pathinfo($new_name, PATHINFO_FILENAME), $tbn);
        rename($tbn, $new_tbn);
      }
      $response->status = 1;
      $response->message = 'Successful';
      $response->src = http_filepath($new_name);
      $response->new_name = basename($new_name);
      die(json_encode($response));
    }
    $response->message = 'Could not rename file';
    die(json_encode($response));

  case 'delete_file':
    $user_id = rtrim(base64_encode($_SESSION['admin_id']), '=');
    $response = new stdClass;
    $response->status = 0;
    $deleted = false;
    if (!isset($post->file) || !is_http_url($post->file)) {
      $response->message = "'file' was not specified correctly";
      die(json_encode($response));
    }
    $file = absolute_filepath($post->file);

    if (is_dir($file)) {
      $deleted = call_user_func('delete_dir', $file);
    } elseif (is_file($file)) {
      $tbn = substr_replace($file, 'tbn/', strrpos($file, '/') + 1, 0);
      unlink($file);
      if ($tbn != $file && is_file($tbn)) {
        unlink($tbn);
      }
      $deleted = true;
    }
    if ($deleted) {
      $response->status = 1;
      $response->message = 'Deleted';
    } else {
      $response->message = 'Could not find the file to delete';
    }
    die(json_encode($response));

  case 'create_folder':
    $user_id = rtrim(base64_encode($_SESSION['admin_id']), '=');
    $response = new stdClass;
    $response->status = 0;
    if (!isset($post->course_name) || !isset($post->type) || !isset($post->folder_name)) {
      $response->message = "Either 'course_name' or 'type' or 'folder_name' was not specified";
      die(json_encode($response));
    }
    $relpath = !empty($post->relpath) ? "{$post->relpath}/" : '/';
    $folder_name = preg_replace("/\s+/", "_", $post->folder_name);
    $folder = absolute_filepath($uri->site) . 'assets/all_courses/' . str_replace(' ', '_', $post->course_name) . '-' . $user_id . '/' . $post->type . $relpath . $folder_name;
    if (!is_dir($folder)) {
      mkdir($folder, 0755, true);
    }
    $response->status = 1;
    $response->message = 'Folder created';
    $response->folder_name = $folder_name;
    $response->folder_src = http_filepath($folder);
    die(json_encode($response));

  case 'delete_upload_cache':
    $user_id = rtrim(base64_encode($_SESSION['admin_id']), '=');
    $response = new stdClass;
    $response->status = 0;
    if (!isset($post->course_name) || !isset($post->name) || !isset($post->type)) {
      $response->message = "Either 'course_name' or 'name' or 'type' is missing in the fields";
      die(json_encode($response));
    }
    $filename = pathinfo($post->name, PATHINFO_FILENAME);
    $temp_folder = absolute_filepath($uri->site) . 'upload_cache/' . str_replace(' ', '_', $post->course_name) . '-' . $user_id . '-' . $post->type . '-' . $filename . '/';
    $deleted = call_user_func('delete_dir', $temp_folder);
    if ($deleted) {
      $response->status = 1;
    }
    die(json_encode($response));

  case 'insight':
    $user_id = $_SESSION['admin_id'];
    $user_type = $_SESSION['type'];
    $branch = $generic->getFromTable('users', "id=$user_id", 1, 1, '', false, 'address')[0]->address ?? 0;
    $response = new stdClass;
    $response->branch = !empty($branch) ? $generic->getFromTable('content', "id=$branch", 1, 1, '', false, 'title')[0]->title : '';
    if ($user_type == 'Tutor') {
      $assigned_course_ids = $generic->getFromTable('users', "id=$user_id", 1, 1, '', false, 'other')[0]->other;
      $ids = is_string($assigned_course_ids) && strpos($assigned_course_ids, ',') !== FALSE ? "course_id IN ($assigned_course_ids)" : "course_id=$assigned_course_ids";
      $course_ids = str_replace('course_', '', $ids);
      $assigned_courses = $generic->getFromTable('academy_courses', $course_ids, 1, 5, DATE_UPDATED_DESC, false, 'id, name, available, date_created, date_updated');
      foreach ($assigned_courses as $assigned_course) {
        $assigned_course->available = $assigned_course->available == 1 ? 'Available' : 'Draft';
        $assigned_course->date_updated = date_format(date_create($assigned_course->date_updated), 'D jS F, Y');
        $assigned_course->date_created = date_format(date_create($assigned_course->date_created), 'D jS F, Y');
      }
      $response->assigned_courses = $assigned_courses;
    } else {
      $payments = array();
      $response->tutor_count = $generic->getFromTable('users', 'academy_type=1', 1, 0, '', false, 'COUNT(*) AS count')[0]->count;
      $sql = "SELECT payments.course, payments.student, SUM(amount) AS amount, payment_method, invoice.completed, ref, payment_date FROM payments INNER JOIN invoice ON payments.invoice_ref = invoice.ref INNER JOIN enrollments ON payments.invoice_ref = enrollments.invoice_ref WHERE branch='$branch' OR branch IS NULL GROUP BY ref ORDER BY MAX(payment_date) DESC LIMIT 10";
      $result = $db->query($sql) or die($db->error);
      while ($row = $result->fetch_object()) {
        $payments[] = $row;
      }
      $payment_modes = $paramControl->load_sources('payment_mode');
      foreach ($payments as $payment) {
        $payment->payment_date = date_format(date_create($payment->payment_date), 'D jS F, Y');
        $payment->completed = $payment->completed == 0 ? 'Uncompleted' : 'Completed';
        $payment->payment_method = $payment_modes->{$payment->payment_method};
      }
      $response->payments = $payments;
    }
    $ids ??= '';
    $course_ids ??= str_replace('course_', '', $ids);
    $branch_filter = !empty($branch) ? "branch='$branch', branch=null, " : 'branch=null, ';
    $response->course_count = $generic->getFromTable('academy_courses', $course_ids, 1, 0, '', false, 'COUNT(*) AS count')[0]->count;
    $course_ids = $ids != '' ? ", $ids" : '';
    $response->current_student_count = $generic->getFromTable('enrollments', "{$branch_filter}completed=0$course_ids", 1, 0, '', false, 'COUNT(DISTINCT(student_id)) AS count')[0]->count;
    $response->past_student_count = $generic->getFromTable('enrollments', "{$branch_filter}completed=1$course_ids", 1, 0, '', false, 'COUNT(DISTINCT(student_id)) AS count')[0]->count;
    $graph = [];
    if ($course_ids != '') $course_ids = " $ids AND";
    $sql = "SELECT COUNT(*) AS admissions, MONTH(date_enrolled) AS mon, YEAR(date_enrolled) AS yr, course_id, name AS course FROM enrollments INNER JOIN academy_courses ON course_id=academy_courses.id WHERE$course_ids date_enrolled > DATE_SUB(CURDATE(), INTERVAL 1 YEAR) AND (branch='$branch' OR branch IS NULL) GROUP BY MONTH(date_enrolled), YEAR(date_enrolled), course_id;SELECT SUM(amount) AS revenue, MONTH(payment_date) AS mon, YEAR(payment_date) AS yr, GROUP_CONCAT( DISTINCT course_id SEPARATOR ',') AS course_ids, course, payments.student_id FROM payments INNER JOIN enrollments ON payments.invoice_ref = enrollments.invoice_ref WHERE$course_ids payment_date > DATE_SUB(CURDATE(), INTERVAL 1 YEAR) AND (branch='$branch' OR branch IS NULL) GROUP BY MONTH(payment_date), YEAR(payment_date), course_id ORDER BY payment_date DESC";
    $result = $db->multi_query($sql) or die($db->error);
    do {
      if ($result = $db->store_result()) {
        $graph[] = $result->fetch_all(MYSQLI_ASSOC);
        $result->free();
      }
    } while ($db->next_result());
    list($enrol_data, $bunched_pay) = $graph + [[], []];
    $pay_data = [];
    $price_assoc = ['immersive' => 'group_price', 'executive' => 'executive_price', 'online' => 'online_price'];
    foreach ($bunched_pay as $pay) {
      $subpay = $pay;
      unset($subpay['course_ids']);
      if (strpos($pay['course_ids'], ',') !== FALSE) {
        $courses = explode(',', $pay['course_ids']);
        $total_price = 0;
        foreach ($courses as $i => $id) {
          $enrol_type = $generic->getFromTable('enrollments', "student_id={$pay['student_id']}, course_id=$id", 1, 1, '', false, 'enroll_type')[0]->enroll_type;
          $price_col = $price_assoc[$enrol_type];
          $courses[$i] = $generic->getFromTable('academy_courses', "id=$id", 1, 1, '', false, "id, name, $price_col AS price")[0];
          $total_price += $courses[$i]->price;
        }
        foreach ($courses as $course) {
          $subpay['course_id'] = $course->id;
          $subpay['course'] = $course->name;
          $subpay['revenue'] = floor($pay['revenue'] * $course->price / $total_price);
        }
      } else {
        $subpay['course_id'] = $pay['course_ids'];
      }
      $pay_data[] = $subpay;
    }
    list($cur_month, $year) = array_map('intval', explode(' ', date("m Y")));
    $months = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'];
    $sliceIndex = $cur_month - 12;
    $sliceIndex < 0 ? $sliceIndex += 12 : null;
    $months = [...array_slice($months, $sliceIndex), ...array_slice($months, 0, $sliceIndex)];
    $cur_month < 12 ? $year = ($year - 1) . ' — ' . $year : null;
    $enrol_graph = $payment_graph = array();
    foreach ($enrol_data as $enrol) {
      $course_id = $enrol['course_id'];
      if (empty($enrol_graph[$course_id])) {
        $arr['label'] = $enrol['course'];
        $arr['data'] = array_fill(0, 12, 0);
        $enrol_graph[$course_id] = $arr;
      }
      $x = $enrol['mon'] > $cur_month ? 12 + $cur_month - $enrol['mon'] : 12 + $enrol['mon'] - $cur_month;
      $enrol_graph[$course_id]['data'][$x - 1] = $enrol['admissions'];
    }
    $enrol_graph = array_values($enrol_graph);
    foreach ($pay_data as $pay) {
      $course_id = $pay['course_id'];
      if (empty($payment_graph[$course_id])) {
        $arr['label'] = $pay['course'];
        $arr['data'] = array_fill(0, 12, 0);
        $payment_graph[$course_id] = $arr;
      }
      $x = $pay['mon'] > $cur_month ? 12 + $cur_month - $pay['mon'] : 12 + $pay['mon'] - $cur_month;
      $payment_graph[$course_id]['data'][$x - 1] = $pay['revenue'];
    }
    $payment_graph = array_values($payment_graph);
    $graph = ['enrolData' => $enrol_graph, 'paymentData' => $payment_graph, "months" => $months, "year" => $year];
    $response->graph = $graph;
    die(json_encode($response));

  case 'assigned_courses':
    $user_id = $_SESSION['admin_id'];
    $page = !empty($post->page) ? (int) $post->page : 1;
    $page_size = !empty($post->page_size) ? (int) $post->page_size : 10;
    $type = !empty($post->type) ? $post->type : '0,1';
    $first_time = !empty($post->first_time) ? TRUE : FALSE;
    $assigned_courses = call_user_func_array('fetch_admin_courses', [$user_id, $page, $page_size, $type, $first_time]);
    die(json_encode($assigned_courses));

  case 'load_source':
    if (!isset($post->source)) {
      die("'source' is required.");
    }
    $source = $paramControl->load_sources($post->source);
    die(json_encode($source));

  // case 'clean':
    // $sql = "INSERT INTO invoice (student_id, course_id, enrollment_id, student, course, enroll_type, balance, amount_due)
    // SELECT enrollments.student_id, enrollments.course_id, enrollments.id, payments.student, payments.course, enrollments.enroll_type, enrollments.balance, payments.amount
    // FROM enrollments
    // INNER JOIN payments ON enrollments.student_id = payments.student_id AND enrollments.course_id = payments.course_id;
    // UPDATE invoice SET ref = SUBSTRING(MD5(UUID()), 1, 11), price = amount_due, payment_type = 'full', completed = 1; 
    // UPDATE payments 
    // JOIN invoice ON payments.student_id = invoice.student_id AND payments.course_id = invoice.course_id 
    // SET payments.invoice_ref = invoice.ref";

    //   $ids = [];
    //   $sql = "SELECT MIN(id) AS ID FROM academy_lessons GROUP BY title";
      // $result = $db->query($sql) or die($db->error);
    //   while ($row = $result->fetch_object()) $ids[] = $row->ID;
    //   $ids = join(', ', $ids);
    //   $sql = "DELETE FROM academy_lessons WHERE id NOT IN ($ids)";
      // $db->query($sql) or die($db->error);
      // $sql = "DELETE FROM users WHERE academy_type=0;DROP TABLE enrollments, payments, invoice;";
      // $db->multi_query($sql) or die($db->error);
      // die('Successful');

  case 'search':
    if (!isset($post->search) || !isset($post->page)) {
      die("Both 'search' and 'page' are required.");
    }
    $user_id = $_SESSION['admin_id'];
    $post->search = $db->real_escape_string($post->search);
    switch ($post->page) {
      case 'payment':
      case 'all':
        if ($_SESSION['type'] == 'Front Desk Officer') {
          $page = isset($post->page_num) ? (int) $post->page_num : 1;
          $page_size = isset($post->page_size) ? (int) $post->page_size : 10;
          $page = ($page - 1) * $page_size;
          $search_cols = ['trx_no', 'student', 'course', 'payment_method'];
          $build = [];
          foreach ($search_cols as $col) {
            $build[] = "$col LIKE '%{$post->search}%'";
          }
          $build = ' WHERE ' . join(' OR ', $build);
          $sql = "SELECT id, trx_no, student, course, payment_method, amount, confirmed, payment_date FROM payments$build ORDER BY payment_date DESC LIMIT $page, $page_size";
          $result = $db->query($sql) or die($db->error);
          if ($result->num_rows > 0) {
            while ($row = $result->fetch_object()) {
              $payments[] = $row;
            }
          } else {
            $payments = [];
          }
          $payment_modes = $paramControl->load_sources('payment_mode');
          foreach ($payments as $i => $payment) {
            $payment->payment_date = date_format(date_create($payment->payment_date), 'D jS F, Y');
            $payment->confirmed = $payment->confirmed == 0 ? 'No' : 'Yes';
            $payment->payment_method = $payment_modes->{$payment->payment_method};
            $payment->trx_no ??= 'None';
          }
          die(json_encode(['payments' => $payments, 'page' => 'payment']));
        }
      case 'courses':
        $assigned_course_ids = $generic->getFromTable('users', "id=$user_id", 1, 1, '', false, 'other')[0]->other;
        $assigned_course_ids = empty($assigned_course_ids) ? '' : (strpos($assigned_course_ids, ',') !== FALSE ? "id IN ($assigned_course_ids)" : "id=$assigned_course_ids");
        $available_courses = $generic->getFromTable('academy_courses', "keyword={$post->search}, available=1, $assigned_course_ids", 1, 0, '', 'name', 'id, name, available, date_created, date_updated');
        $drafted_courses = $generic->getFromTable('academy_courses', "keyword={$post->search}, available=0, $assigned_course_ids", 1, 0, '', 'name', 'id, name, available, date_created, date_updated');
        die(json_encode(['available_courses' => $available_courses, 'drafted_courses' => $drafted_courses, 'page' => 'courses']));
      case 'survey':
        $page = isset($post->page_num) ? (int) $post->page_num : 1;
        $page_size = isset($post->page_size) ? (int) $post->page_size : 10;
        $page = ($page - 1) * $page_size;
        $sql = "SELECT survey.id, title, description, available, questions, survey.creator_id, CONCAT(first_name, ' ', last_name) AS creator, course_id, course, close_date, close_after_date, response_count FROM survey INNER JOIN users ON survey.creator_id=users.id WHERE title LIKE '%$post->search%' ORDER BY date_updated DESC LIMIT $page, $page_size";
        $result = $db->query($sql) or die($db->error);
        $surveys = $result->fetch_all(MYSQLI_ASSOC);
        foreach ($surveys as $i => $survey) {
          $surveys[$i]['_id'] = $survey['id'];
          if (!is_null($survey['course_id'])) {
            $course = new stdClass;
            $course->id = $survey['course_id'];
            $course->name = $survey['course'];
            $surveys[$i]['course'] = $course;
          }
          $surveys[$i]['available'] = $survey['available'] == 1 ? TRUE : FALSE;
          $surveys[$i]['questions'] = json_decode($survey['questions']);
          $surveys[$i]['editable'] = $user_id == $survey['creator_id'];
          $surveys[$i]['dueDate'] = !is_null($survey['close_date']) ? date_format(date_create($survey['close_date']), 'jS M, Y g:i A') : '';
          $surveys[$i]['closeSubmitAfterDue'] = $survey['close_after_date'] ? TRUE : FALSE;
          $surveys[$i]['responseCount'] = $survey['response_count'];
          unset($surveys[$i]['id'], $surveys[$i]['course_id'], $surveys[$i]['creator_id'], $surveys[$i]['close_date'], $surveys[$i]['close_after_date']);
        }
        die(json_encode(['surveys' => $surveys, 'page' => 'survey']));

      case 'students':
        $user_type = $_SESSION['type'];
        $branch = $generic->getFromTable('users', "id=$user_id", 1, 1, '', false, 'address')[0]->address ?? 0;
        $page = isset($post->page_num) ? (int) $post->page_num : 1;
        $page_size = isset($post->page_size) ? (int) $post->page_size : 10;
        $page = ($page - 1) * $page_size;
        $type = !empty($post->type) ? preg_replace("/\d/", " WHERE completed=$0", $type) : '';
        if ($user_type == 'Tutor') {
          $assigned_course_ids = $generic->getFromTable('users', "id=$user_id", 1, 1, '', false, 'other')[0]->other;
          $type .= is_null($assigned_course_ids) ? '' : (stristr($assigned_course_ids, ',') !== false ? " AND course_id IN ($assigned_course_ids)" : " AND course_id=$assigned_course_ids");
        }
        if ($type != '' and stripos($type, 'where', 1) !== 1) {
          $count = 1;
          $type = str_ireplace('and', 'WHERE', $type, $count) . ' AND';
        } elseif ($type == '') {
          $type = ' WHERE';
        }
        $cur_students = [];
        $past_students = [];
        $creators = [];
        $sql = "SELECT student_id, course_id, completed, title AS branch, CONCAT(student.first_name, ' ', student.last_name) AS name, student.gender, student.phone, student.email, CONCAT(admin.first_name, ' ', admin.last_name) AS creator, student.date, CASE WHEN completed=0 THEN 1 ELSE 0 END AS editable FROM enrollments INNER JOIN users student ON student_id = student.id LEFT JOIN users admin ON student.creator_id = admin.id LEFT JOIN content ON enrollments.branch=content.id$type (CONCAT(student.first_name, ' ', student.last_name) LIKE '%{$post->search}%' OR student.email LIKE '%{$post->search}%' OR student.phone LIKE '%{$post->search}%') AND (enrollments.branch='$branch' OR enrollments.branch IS NULL) LIMIT $page, $page_size";
        $result = $db->query($sql) or die($db->error);
        $students = $result->fetch_all(MYSQLI_ASSOC);
        $students = array_group($students, 'completed');
        foreach ($students as $student_group) {
          if (count($student_group) == 0) continue;
          $student_group = array_group($student_group, 'student_id');
          foreach ($student_group as $student) {
            $student_detail = array_merge(...json_decode(json_encode($student), true));
            $student_detail['creator'] ??= 'None';
            $student_detail['editable'] = $student_detail['editable'] == 1 ? TRUE : FALSE;
            list($course_ids, $branches) = array_reduce($student, function ($accum, $obj) {
              $accum[0][] = $obj->course_id;
              $accum[1][] = $obj->branch;
              return $accum;
            }, [[], []]);
            $course_ids = count($course_ids) > 1 ? 'id IN (' . join(',', $course_ids) . ')' : "id={$course_ids[0]}";
            $student_detail['courses'] = $generic->getFromTable("academy_courses", $course_ids, 1, 0, '', false, "name");
            $student_detail['courses'] = join(', ', array_map(function ($obj) {
              return $obj->name;
            }, $student_detail['courses']));
            $student_detail['branch'] = count(array_filter($branches, function ($b) {
              return !empty($b);
            })) > 0 ? join(', ', $branches) : 'None';
            $student_detail['date'] = date_format(date_create($student_detail['date']), 'D jS F, Y');
            if (is_null($student_detail['gender'])) $student_detail['gender'] = 'None';
            $student_detail['completed'] == 0 ? array_push($cur_students, $student_detail) : array_push($past_students, $student_detail);
          }
        }
        die(json_encode(['current' => $cur_students, 'past' => $past_students, 'page' => 'students']));
    }
    break;

  case 'fetch_survey':
    $user_id = $_SESSION['admin_id'];
    $page = isset($post->page) ? (int) $post->page : 1;
    $page_size = isset($post->page_size) ? (int) $post->page_size : 10;
    $course_id_filter = !empty($post->course_id) ? "course_id={$post->course_id}" : '';
    $surveys = $generic->getFromTable("survey", $course_id_filter, $page, $page_size, DATE_UPDATED_DESC, false, "id, title, description, available, questions, creator_id, course_id, course, close_date, close_after_date, response_count");
    if (!empty($post->first_time)) {
      $count = $generic->getFromTable("survey", $course_id_filter, 1, 0, '', false, "COUNT(*) AS count")[0]->count;
    }
    $survey_list = [];
    foreach ($surveys as $survey) {
      $_survey['_id'] = $survey->id;
      if (!is_null($survey->course_id)) {
        $course = new stdClass;
        $course->id = $survey->course_id;
        $course->name = $survey->course;
        $_survey['course'] = $course;
      }
      $_survey['creator'] = $generic->getFromTable("users", "id={$survey->creator_id}", 1, 1, '', false, "CONCAT(first_name, ' ', last_name) AS name")[0]->name;
      $_survey['title'] = $survey->title;
      $_survey['description'] = $survey->description;
      $_survey['available'] = $survey->available == 1 ? TRUE : FALSE;
      $_survey['questions'] = json_decode($survey->questions);
      $_survey['editable'] = $user_id == $survey->creator_id;
      $_survey['dueDate'] = !is_null($survey->close_date) ? date_format(date_create($survey->close_date), 'jS M, Y g:i A') : '';
      $_survey['closeSubmitAfterDue'] = $survey->close_after_date ? TRUE : FALSE;
      $_survey['responseCount'] = $survey->response_count;
      array_push($survey_list, $_survey);
    }
    $data = ["surveys" => $survey_list];
    if (isset($count)) $data['count'] = $count;
    if (!empty($post->course_id)) $data['course_id'] = $post->course_id;
    die(json_encode($data));

  case 'survey':
    $response = new stdClass();
    $response->status = 0;
    $user_id = $_SESSION['admin_id'];
    if (!isset($post->action)) {
      $response = "'action' is required";
      die(json_encode($response));
    }
    $build = $post->action == 'new' ? "creator_id=$user_id" : '';
    if (!empty($post->course_id)) $build .= ", course_id={$post->course_id}";
    $cols = ["title", "description", "available", "questions", "course"];
    $post->available = $post->available == 'true' ? 1 : 0;
    $post->questions = json_encode($post->questions);
    foreach ($cols as $col) {
      $val = $db->real_escape_string($post->{$col});
      $build .= ", $col=" . (gettype($val) == 'string' ? "'" . $val . "'" : $val);
    }
    if ($post->dueDate != 'No due date') {
      $format = strpos($post->dueDate, ':') !== false ? 'jS M, Y g:i A' : 'jS M, Y';
      $datetime = DateTime::createFromFormat($format, $post->dueDate);
      $due_date = $datetime->format('Y-m-d H:i:s');
      $build .= ", close_date='{$due_date}'";
    } else {
      $build .= ", close_date is null";
    }
    if (isset($post->closeSubmitAfterDue)) {
      $build .= ", close_after_date={$post->closeSubmitAfterDue}";
    }
    $build = ltrim($build, ', ');
    if ($post->action == "edit") {
      assert(isset($post->_id));
      $sql = "UPDATE survey SET $build WHERE id={$post->_id}";
    } elseif ($post->action == "new") {
      $sql = "INSERT INTO survey SET $build";
    }
    $db->query($sql) or die($db->error);
    if ($post->action == "new") $response->id = $db->insert_id;
    $response->status = 1;
    die(json_encode($response));

  case 'course_list':
    $user_id = $_SESSION['admin_id'];
    $user_type = $_SESSION['type'];
    if ($user_type == 'Tutor') {
      $tutor_course_ids = $generic->getFromTable("users", "id=$user_id", 1, 1, '', false, "other")[0]->other;
      if (!is_null($tutor_course_ids)) {
        $tutor_course_ids = strstr($tutor_course_ids, ',') !== FALSE ? ", id IN ($tutor_course_ids)" : ", id=$tutor_course_ids";
      }
    }
    $tutor_course_ids ??= '';
    $courses = $generic->getFromTable('academy_courses', "available=1$tutor_course_ids", 1, 0, '', false, 'id, name');
    die(json_encode($courses));

  case 'payments':
    $user_id = $_SESSION['admin_id'];
    $page = !empty($post->page) ? (int) $post->page : 1;
    $page_size = !empty($post->page_size) ? (int) $post->page_size : 10;
    $branch = $generic->getFromTable('users', "id=$user_id", 1, 1, '', false, 'address')[0]->address ?? 0;
    $branch = " AND (branch='$branch' OR branch IS NULL)";
    $filters = !empty($post->filter_time) ? " WHERE payment_date > DATE_SUB(NOW(), INTERVAL {$post->filter_time})" : '';
    $filters .= $branch;
    if (!empty($post->filter_mode)) {
      $filter_mode = explode(',', $post->filter_mode);
      $filters .= count($filter_mode) > 1 ? " AND payment_method IN (" . join(', ', array_map(function ($mode) {
        return "'$mode'";
      }, $filter_mode)) . ")" : " AND payment_method={$filter_mode[0]}";
    }
    if ($filters != '' and stripos($filters, 'where', 1) !== 1) {
      $count = 1;
      $filters = str_ireplace('and', 'WHERE', $filters, $count);
    }
    $payments = array();
    $page = ($page - 1) * $page_size;
    $limit = $page == 0 ? $page_size : "$page, $page_size";
    $payment_modes = $paramControl->load_sources('payment_mode');
    $sql = "SELECT payments.id, payments.student_id, payments.student, payments.course, SUM(amount) AS amount, payment_method, enrollments.completed, ref, payment_date, balance FROM payments INNER JOIN invoice ON payments.invoice_ref=invoice.ref INNER JOIN enrollments ON payments.student_id=enrollments.student_id$filters GROUP BY ref ORDER BY MAX(payment_date) DESC LIMIT $limit;SELECT COUNT(DISTINCT payments.invoice_ref) AS count FROM payments INNER JOIN enrollments ON payments.student_id=enrollments.student_id$filters;";
    $db->multi_query($sql) or die($db->error);
    do {
      if ($result = $db->store_result()) {
        $payments[] = $result->fetch_all(MYSQLI_ASSOC);
        $result->free();
      }
    } while ($db->next_result());
    list($payments, $count) = $payments;
    foreach ($payments as $i => $payment) {
      $payments[$i]["payment_date"] = date_format(date_create($payment["payment_date"]), 'D jS F, Y');
      $payments[$i]["completed"] = $payment["completed"] == 0 ? 'Uncompleted' : 'Completed';
      $payments[$i]["payment_method"] = $payment_modes->{$payment["payment_method"]};
    }
    $payments = ["payments" => $payments, "pay_count" => $count[0]['count']];
    die(json_encode($payments));

  case 'reg_form_data':
    $response = new stdClass;
    $response->available_courses = $generic->getFromTable("academy_courses", "available=1", 1, 0, NAME_ASC, false, "id, name, executive_price, group_price, online_price, available");
    $tutors = $generic->getFromTable('users', "academy_type=1", 1, 0, '', false, "id, CONCAT(first_name, ' ', last_name) AS name");
    $response->tutors = new stdClass;
    foreach ($tutors as $tutor) {
      $response->tutors->{$tutor->id} = $tutor->name;
    }
    $response->centers = $paramControl->load_data_from_param('learning_center');
    $response->payment_modes = $paramControl->load_sources('payment_mode');
    unset($response->payment_modes->card);
    die(json_encode($response));

  case 'pay_form_data':
    $response = new stdClass;
    if (!empty($post->invoice_ref)) {
      $invoices = $generic->getFromTable('invoice', "ref={$post->invoice_ref}, completed=0", 1, 1, '', false, 'ref, student_id, course, balance, amount_due');
      $response->student_info = $generic->getFromTable("users", "id={$invoices[0]->student_id}", 1, 1, '', false, "id, first_name, last_name, email, phone, picture_ref")[0];
    }
    $invoices ??= [];
    $response->invoice_list = $invoices;
    $response->payment_modes = $paramControl->load_sources('payment_mode');
    unset($response->payment_modes->card);
    die(json_encode($response));

  case 'find_student':
    $user_id = $_SESSION['admin_id'];
    if (!isset($post->keyword)) {
      die("'keyword' is required");
    }
    $keyword = $db->real_escape_string($post->keyword);
    $sql = "SELECT id, first_name, last_name, email, phone, picture_ref,
      CASE
        WHEN CONCAT(first_name, ' ', last_name) LIKE '%$keyword%' THEN CONCAT(first_name, ' ', last_name)
        WHEN email LIKE '%$keyword%' THEN email
        WHEN phone LIKE '%$keyword%' THEN phone
      END AS matched_col
    FROM users
    WHERE (CONCAT(first_name, ' ', last_name) LIKE '%$keyword%' OR
      email LIKE '%$keyword%' OR
      phone LIKE '%$keyword%') AND academy_type=0
    ORDER BY 
      CASE
        WHEN CONCAT(first_name, ' ', last_name) LIKE '%$keyword%' THEN 1
        WHEN email LIKE '%$keyword%' THEN 2
        WHEN phone LIKE '%$keyword%' THEN 3
      END
    LIMIT 20";
    $result = $db->query($sql) or die($db->error);
    $matched_students = $result->fetch_all(MYSQLI_ASSOC);
    if (isset($post->filter) && $post->filter == 'course') {
      for ($i = 0; $i < count($matched_students); $i++) {
        $student = $matched_students[$i];
        $enrols = $generic->getFromTable("enrollments", "student_id={$student['id']}", 1, 0, '', false, "course_id");
        $matched_students[$i]['exempt_ids'] = array_map(function ($enrol) {
          return $enrol->course_id;
        }, $enrols);
      }
    }
    die(json_encode($matched_students));

  case 'register_student':
    $user_id = $_SESSION['admin_id'];
    $user_name = $_SESSION['full_name'];
    $response = new stdClass;
    $response->status = 0;
    if (!isset($post->form_type)) {
      $response->message = "'form_type' is a required field";
      die(json_encode($response));
    }
    $sql = "START TRANSACTION;";
    if ($post->form_type == 'students') {
      assert(isset($post->new_student), "'new_student' is required");
      assert(!empty($post->student_id) || $post->new_student == 'true', "'student_id' is required");
      assert(isset($post->courses) && is_array($post->courses), "'courses' is required");
      $student_cols = ['first_name', 'last_name', 'email', 'password', 'phone'];
      $required_student_cols = ['first_name', 'last_name', 'phone'];
      if ($post->new_student == 'true') {
        $check = empty($post->email) ? "phone={$post->phone}" : "email={$post->email}";
        $student_exist = $generic->getFromTable('users', $check, 1, 1, '', false, 'id');
        if (count($student_exist)) {
          $response->message = 'Email or phone already exist';
          die(json_encode($response));
        }
        $post->first_name = ucfirst(strtolower($post->first_name));
        $post->last_name = ucfirst(strtolower($post->last_name));
        $student = $db->real_escape_string($post->first_name . ' ' . $post->last_name);
        $build = [];
        foreach ($student_cols as $col) {
          if (empty($post->{$col}) && in_array($col, $required_student_cols)) {
            $response->message = "'$col' is a required field";
            die(json_encode($response));
          // } elseif ($col == 'password' && !empty($post->password)) {
          //   $post = hash_password($post);
          } elseif (empty($post->{$col})) {
            continue;
          }
          $build[] = "$col='" . $db->real_escape_string($post->{$col}) . "'";
        }
        $build = join(', ', $build);
        $build .= ", academy_type=0, creator_id=$user_id";
        $sql .= "INSERT INTO users SET $build;SET @student_id=LAST_INSERT_ID();";
        $student_id = '@student_id';
      } else {
        $student_id = $db->real_escape_string($post->student_id);
        $student = $generic->getFromTable('users', "id=$student_id", 1, 1, '', false, "CONCAT(first_name, ' ', last_name) AS name");
        if (count($student) < 1) {
          $response->message = "Student with id '$student_id' wasn't found";
          die(json_encode($response));
        }
        $student = $student[0]->name;
      }
      $enrol_cols = ['course_id', 'enroll_type', 'branch', 'tutor_id'];
      $required_enrol_cols = ['course_id', 'enroll_type'];
      $invoice_cols = ['course', 'discount', 'amount_due', 'payment_type', 'balance', 'completed', 'price'];
      $payment_cols = ['course', 'payment_method', 'amount', 'trx_no', 'phone'];
      $price_assoc = ['immersive' => 'group_price', 'executive' => 'executive_price', 'online' => 'online_price'];
      $price = $amount_due = $amount = $discount = $balance = 0;
      $invoice_ref = random(11);
      $trx_no = gen_trx_no();
      $items = [];
      foreach ($post->courses as $i => $course) {
        $item['course'] = $course->course;
        $build = [];
        foreach ($enrol_cols as $col) {
          if (in_array($col, $required_enrol_cols) && empty($course->{$col})) {
            $response->message = "'$col' is a required field";
            die(json_encode($response));
          } else if (empty($course->{$col})) continue;
          $quote = is_numeric($course->{$col}) ? '' : "'";
          $build[] = "$col=$quote" . $db->real_escape_string($course->{$col}) . $quote;
        }
        $build = join(', ', $build);
        $sql .= "INSERT INTO enrollments SET student_id=$student_id, invoice_ref='$invoice_ref', $build;";
        $price_col = $price_assoc[$course->enroll_type];
        $price += $item['price'] = $generic->getFromTable('academy_courses', "id={$course->course_id}", 1, 1, '', false, $price_col)[0]->{$price_col};
        $amount_due += doubleval($course->amount_due);
        if ($course->payment_type == 'installment') {
          assert($course->amount < $course->amount_due, "'amount' should be less than 'amount_due' for installments");
          $amount += doubleval($course->amount);
        } else {
          $amount += doubleval($course->amount_due);
        }
        $items[] = $item;
      }
      $discount = $price - $amount_due;
      $balance = $amount_due - $amount;
      $completed = $balance > 0 ? 0 : 1;
      $payment_type = $completed ? 'full' : 'installment';
      $merge_cols = ['course' => join(', ', array_column($items, 'course')), 'discount' => $discount, 'amount_due' => $amount_due, 'payment_type' => $payment_type, 'balance' => $balance, 'completed' => $completed, 'price' => $price, 'payment_method' => $post->payment_method, 'amount' => $amount, 'trx_no' => $trx_no, 'phone' => $post->phone];
      $details = array_intersect_key($merge_cols, array_flip(['discount', 'amount_due', 'balance', 'price']));
      $details['deposits'] = 0;
      $details['items'] = array_map(function ($item) {return array_values($item);}, $items);
      $details = $db->real_escape_string(json_encode($details));
      $build = [[], []];
      foreach ($merge_cols as $col => $val) {
        $quote = is_numeric($val) && $col != 'phone' ? '' : "'";
        $val = "$col=$quote" . $db->real_escape_string($val) . $quote;
        if (in_array($col, $invoice_cols)) $build[0][] = $val;
        if (in_array($col, $payment_cols)) $build[1][] = $val;
      }
      $build = array_map(function ($sub_build) use ($student_id, $student) {
        return join(', ', $sub_build).", student_id=$student_id, student='$student'";
      }, $build);
      $sql .= "INSERT INTO invoice SET {$build[0]}, ref='$invoice_ref';INSERT INTO payments SET {$build[1]}, invoice_ref='$invoice_ref', desk_officer='$user_name', details='$details';";
    } elseif ($post->form_type == 'payment') {
      if (!isset($post->student_id) || !isset($post->payments)) {
        $response->message = "'student_id' or 'payments' is a required field";
        die(json_encode($response));
      }
      $student_id = $db->real_escape_string($post->student_id);
      $payment_cols = ['student_id', 'student', 'course', 'payment_method', 'amount', 'invoice_ref', 'details', 'trx_no', 'phone'];
      $trx_no = [];
      foreach ($post->payments as $payment) {
        $trx_no[] = $payment->trx_no = gen_trx_no();
        assert(isset($payment->invoice_ref), "'invoice_ref' is required");
        $invoice_ref = $db->real_escape_string($payment->invoice_ref);
        $extras_inv = $generic->getFromTable('invoice', "ref=$invoice_ref", 1, 1, '', false, 'student, balance')[0];
        $amount = doubleval($payment->amount);
        $amount_due = doubleval($extras_inv->balance);
        $balance = $amount_due - $amount;
        if ($balance < 0) {
          $response->message = "balance can't be negative";
          die(json_encode($response));
        }
        $payment->student = $extras_inv->student;
        $extras_pay = $generic->getFromTable('payments', "invoice_ref=$invoice_ref", 1, 1, PAYMENT_DATE_DESC, false, 'amount, details')[0];
        $details = json_decode($extras_pay->details);
        $details->deposits = doubleval($details->deposits) + doubleval($extras_pay->amount);
        $details->amount_due = $amount_due;
        $details->balance = $balance;
        $payment->details = json_encode($details);
        foreach ($payment_cols as $col) {
          if (property_exists($post, $col)) {
            $val = $post->{$col};
          } elseif (!empty($payment->{$col})) {
            $val = $payment->{$col};
          } else {
            $response->message = "'$col' is a required field";
            die(json_encode($response));
          }
          $quote = is_numeric($val) && $col !== 'phone' ? '' : "'";
          $build[] = "$col=$quote" . $db->real_escape_string($val) . $quote;
        }
        $build = join(', ', $build);
        $sql .= "INSERT INTO payments SET $build, desk_officer='$user_name';";
        $build = "balance=$balance" . ($balance > 0 ? '' : ', completed=1');
        $sql .= "UPDATE invoice SET $build WHERE ref='$invoice_ref';";
      }
    } elseif ($post->form_type == 'update') {
      // $build = [];
      // $payment_cols = ['course', 'course_id', 'enroll_type', 'student', 'payment_method', 'amount', 'completed'];
      // foreach ($payment_cols as $col) {
      //   if (!isset($post->{$col})) {
      //     $response->message = "'$col' is a required field";
      //     die(json_encode($response));
      //   }
      //   $quote = is_numeric($post->{$col}) ? '' : "'";
      //   $build[] = "$col=" . $quote . $db->real_escape_string($post->{$col}) . $quote;
      // }
      // $build = join(', ', $build);
    }
    $sql .= "COMMIT;";
    $db->multi_query($sql) or die($db->error);
    $response->status = 1;
    $response->message = "Successful";
    if (!empty($trx_no)) {
      $response->trx_no = $trx_no;
    }
    die(json_encode($response));

  case 'payment_invoice':
    if (!isset($post->student_id) && !isset($post->invoice_ref)) {
      die("Either 'student_id' or 'invoice_ref' is required");
    }
    $filter = empty($post->student_id) ? "ref={$post->invoice_ref}" : "student_id={$post->student_id}, completed=0";
    $invoices = $generic->getFromTable('invoice', $filter, 1, 0, '', false, 'ref, payment_type, student, course, balance, amount_due');
    if (!empty($post->track_payment)) {
      foreach ($invoices as $invoice) {
        $invoice->payments = $generic->getFromTable('payments', "invoice_ref={$invoice->ref}", 1, 0, PAYMENT_DATE_DESC, false, 'trx_no, amount, payment_method, desk_officer, confirmed, payment_date');
        foreach ($invoice->payments as $payment) {
          $payment->payment_date = date_format(date_create($payment->payment_date), 'D jS F, Y');
          $payment->desk_officer ??= 'None';
          $payment->confirmed = $payment->confirmed == 1 ? TRUE : FALSE;
        }
      }
    }
    die(json_encode($invoices));

  case 'edit_student':
    if (isset($post->submit)) {
      $response = new stdClass;
      $response->status = 0;
      if (!isset($post->student) && !isset($post->branches)) {
        $response->message = "'student' or 'branches' is required";
        die(json_encode($response));
      }
      if (!empty($post->student)) {
        $student = (array) $post->student;
        $student_cols = ['first_name', 'last_name', 'email', 'phone', 'password'];
        $build = [];
        foreach ($student_cols as $col) {
          if (empty($student[$col])) continue; 
          // if ($col == 'password') {
          //   $student[$col] = hash_password($student[$col]);
          // }
          $build[] = "$col='" . $db->real_escape_string($student[$col]) . "'";
        }
        $student_id = filter_var($student['student_id'], FILTER_SANITIZE_NUMBER_INT); 
        if (!count($build) || empty($student_id)) {
          $response->message = "Student info is empty";
          die(json_encode($response));
        }
        $build = join(', ', $build);
        $sql = "UPDATE users SET $build WHERE id=$student_id;";
      }
      if (!empty($post->branches)) {
        $branches = $post->branches;
        foreach ($branches as $branch_data) {
          if (empty($branch_data->id) || empty($branch_data->branch)) {
            $response->message = "No branch data";
            die(json_encode($response));
          }
          $enrol_id = filter_var($branch_data->id, FILTER_SANITIZE_NUMBER_INT);
          $branch = filter_var($branch_data->branch, FILTER_SANITIZE_NUMBER_INT);
          $sql .= "UPDATE enrollments SET branch=$branch WHERE id=$enrol_id;";
        }
      }
      (substr_count($sql, ";") > 1 ? $db->multi_query($sql) : $db->query($sql)) or die($db->error);
      $response->message = 'Successful';
      $response->status = 1;
      die(json_encode($response));
    } else {
      if (!isset($post->student_id)) {
        die("'student_id' is required");
      }
      $response = new stdClass;
      $response->user = $generic->getFromTable('users', "id={$post->student_id}", 1, 1, '', false, "id, first_name, last_name, email, phone")[0];
      $response->enrollments = $generic->getFromTable('enrollments', "student_id={$post->student_id}", 1, 0, '', false, "id, course_id, branch");
      $branches = $paramControl->load_data_from_param('learning_center');
      foreach ($response->enrollments as $enrollment) {
        $enrollment->course = $generic->getFromTable('academy_courses', "id={$enrollment->course_id}", 1, 1, '', false, 'name')[0]->name;
        if (!empty($enrollment->branch)) $enrollment->branch = $branches[$enrollment->branch];
      }
      $response->branches = $branches;
      die(json_encode($response));
    }

  case 'get_students':
    $user_id = $_SESSION['admin_id'];
    $user_type = $_SESSION['type'];
    $branch = $generic->getFromTable('users', "id=$user_id", 1, 1, '', false, 'address')[0]->address ?? 0;
    $page = isset($post->page) ? (int) $post->page : 1;
    $page_size = isset($post->page_size) ? (int) $post->page_size : 10;
    $page = ($page - 1) * $page_size;
    $first_time = isset($first_time) ? TRUE : FALSE;
    $filter = !empty($post->type) ? preg_replace("/\d/", " WHERE completed=$0", $post->type) : '';
    if ($user_type == 'Tutor') {
      $assigned_course_ids = $generic->getFromTable('users', "id=$user_id", 1, 1, '', false, 'other')[0]->other;
      $filter .= is_null($assigned_course_ids) ? '' : (stristr($assigned_course_ids, ',') !== false ? " AND course_id IN ($assigned_course_ids)" : " AND course_id=$assigned_course_ids");
    }
    if ($filter != '' and stripos($filter, 'where', 1) !== 1) {
      $filter = str_ireplace('and', 'WHERE', $filter);
    }
    $filter .= ($filter != '' ? " AND" : " WHERE") . " (enrollments.branch='$branch' OR enrollments.branch IS NULL)";
    $cur_students = [];
    $past_students = [];
    $creators = [];
    $sql = !empty($post->type) ? "SELECT enrollments.student_id, course_id, completed, title AS branch FROM enrollments JOIN (SELECT DISTINCT student_id FROM enrollments$filter LIMIT $page, $page_size) students ON enrollments.student_id=students.student_id LEFT JOIN content ON enrollments.branch=content.id" : "(SELECT enrollments.student_id, course_id, completed, title AS branch FROM enrollments JOIN (SELECT DISTINCT student_id FROM enrollments$filter AND completed=0 LIMIT $page, $page_size) students ON enrollments.student_id=students.student_id LEFT JOIN content ON enrollments.branch=content.id) UNION ALL (SELECT enrollments.student_id, course_id, completed, title AS branch FROM enrollments JOIN (SELECT DISTINCT student_id FROM enrollments$filter AND completed=1 LIMIT $page, $page_size) students ON enrollments.student_id=students.student_id LEFT JOIN content ON enrollments.branch=content.id)";
    $result = $db->query($sql) or die($db->error);
    $students = $result->fetch_all(MYSQLI_ASSOC);
    $students = array_group($students, 'completed');

    foreach ($students as $done => $student) {
      if (count($student) == 0) continue;
      $student = array_group($student, 'student_id');
      $ids = array_keys($student);
      $ids = count($ids) > 1 ? 'id IN (' . join(',', $ids) . ')' : "id={$ids[0]}";
      $student_detail = $generic->getFromTable("users", $ids, 1, 0, '', false, "id, CONCAT(first_name, ' ', last_name) AS name, gender, phone, email, creator_id AS creator, date");

      foreach ($student_detail as $detail) {
        $detail->editable = $done == 0 && $user_id == $detail->creator ? TRUE : FALSE;
        if (empty($detail->email)) $detail->email = 'None';
        if (!is_null($detail->creator)) {
          if (array_key_exists($detail->creator, $creators)) {
            $detail->creator = $creators[$detail->creator];
          } else {
            $detail->creator = $creators[$detail->creator] = $generic->getFromTable("users", "id={$detail->creator}", 1, 1, '', false, "CONCAT(first_name, ' ', last_name) AS name")[0]->name;
          }
        } else {
          $detail->creator = 'None';
        }
        list($course_ids, $branches) = array_reduce($student[$detail->id], function ($accum, $obj) {
          $accum[0][] = $obj->course_id;
          $accum[1][] = $obj->branch;
          return $accum;
        }, [[], []]);
        $course_ids = count($course_ids) > 1 ? 'id IN (' . join(',', $course_ids) . ')' : "id={$course_ids[0]}";
        $detail->courses = $generic->getFromTable("academy_courses", $course_ids, 1, 0, '', false, "name");
        $detail->courses = join(', ', array_map(function ($obj) {
          return $obj->name;
        }, $detail->courses));
        $branches = array_filter($branches, function ($b) {
          return !empty($b);
        });
        $detail->branch = count($branches) > 0 ? join(', ', $branches) : 'None';
        $detail->date = date_format(date_create($detail->date), 'D jS F, Y');
        if (is_null($detail->gender)) $detail->gender = 'None';
      }
      $done == 0 ? array_push($cur_students, ...$student_detail) : array_push($past_students, ...$student_detail);
    }
    $students[0] = $cur_students;
    $students[1] = $past_students;
    if ($first_time) {
      $counts = [];
      $sql = "SELECT COUNT(DISTINCT(student_id)) AS count FROM enrollments WHERE completed=FALSE;SELECT COUNT(DISTINCT(student_id)) AS count FROM enrollments WHERE completed=TRUE;";
      $db->multi_query($sql) or die($db->error);
      do {
        if ($result = $db->store_result()) {
          $counts[] = $result->fetch_obj()->count;
          $result->free();
        }
      } while ($db->next_result());
      $students['current_count'] = $counts[0] ?? 0;
      $students['past_count'] = $counts[1] ?? 0;
    } else {
      $students = (object) $students;
    }
    die(json_encode(($students)));

  case 'course_preview':
    if (!isset($post->course_id)) {
      die("'course_id' is required.");
    }
    $course = $generic->getFromTable('academy_courses', "id={$post->course_id}", 1, 1, '', false, 'id, name')[0];
    $topics = $generic->getFromTable('academy_lessons', "course_id={$post->course_id}", 1, 0, SERIAL_NO_ASC, false, 'id, title,  lessons');
    foreach ($topics as $topic) {
      $topic->lessons = !is_null($topic->lessons) ? json_decode($topic->lessons) : [];
    }
    $course->topics = $topics;
    $course->coursework = ['completed' => 0, 'records' => new stdClass, 'performance' => 0];
    die(json_encode($course));

  default:
    return false;
}
