<?php
if (!isset($_SESSION['student_id'])) {
  set_time_limit(30);
  sleep(31);
  die("You're not authorized!");
}
$option = $post->option;
$user_id = $_SESSION['student_id'];

switch ($option) {
  case 'get_courses':
    $response = new stdClass;
    $related_size = isset($post->related_size) ? (int) $post->related_size : 4;
    $page = isset($post->page) ? (int) $post->page : 1;
    if (isset($post->is_dashboard)) {
      $response->enrolled_count = $generic->getFromTable('enrollments', "completed=0, student_id=$user_id", 1, 0, '', false, 'COUNT(*) AS count')[0]->count;
      $response->completed_count = $generic->getFromTable('enrollments', "completed=1, student_id=$user_id", 1, 0, '', false, 'COUNT(*) AS count')[0]->count;
      $response->wallet = $generic->getFromTable('users', "id=$user_id", 1, 1, '', false, 'wallet')[0]->wallet;
    }
    $courses = array();
    $sql = "SELECT course_id, name, bg_ref, duration, category, contents AS description, study_hrs, last_study, date_enrolled FROM enrollments INNER JOIN academy_courses ON course_id=academy_courses.id WHERE completed=0 AND student_id=$user_id ORDER BY completed ASC, last_study DESC";
    $result = $db->query($sql) or die($db->error);
    while ($row = $result->fetch_object()) {
      $courses[] = $row;
    }
    if (empty($post->only_related)) {
      foreach ($courses as $course) {
        $course->last_study = call_user_func('get_last_study', date_create($course->last_study));
        $course->course_period = call_user_func('get_course_period', $course->date_enrolled, $course->duration);
      }
      $response->courses = $courses;
    }
    $taken_ids = array_map(function ($obj) {
      return $obj->course_id;
    }, $courses);
    $cat_ids = array_map(function ($obj) {
      return $obj->category;
    }, $courses);
    $taken_ids = count($taken_ids) > 1 ? 'id NOT IN (' . join(',', $taken_ids) . ')' : "id!={$taken_ids[0]}";
    $cat_ids = count($cat_ids) > 1 ? 'category IN (' . join(',', $cat_ids) . ')' : "category={$cat_ids[0]}";
    $related_filter = "$taken_ids, available=1";
    $order_by = "CASE
        WHEN $cat_ids THEN 0
        ELSE 1
      END";
    $related_courses = $generic->getFromTable('academy_courses', $related_filter, $page, $related_size, $order_by, false, 'id AS course_id, name, contents AS description, bg_ref, duration, executive_price, group_price, category');
    $response->related_courses = $related_courses;
    die(json_encode($response));

  case 'course_category':
    $categories = $generic->getFromTable('category', '', 1, 0, '', false, 'id, name');
    die(json_encode($categories));

  case 'progress':
    $progress_data = array();
    $sql = "SELECT COUNT(*) AS count FROM enrollments WHERE completed=0 AND student_id=$user_id;SELECT COUNT(*) AS count FROM enrollments WHERE completed=1 AND student_id=$user_id;SELECT name, bg_ref, duration, contents AS description, course_id, completed, date_enrolled, last_study FROM enrollments INNER JOIN academy_courses ON course_id=academy_courses.id WHERE student_id=$user_id";
    $db->multi_query($sql) or die($db->error);
    do {
      if ($result = $db->store_result()) {
        $progress_data[] = $result->fetch_all(MYSQLI_ASSOC);
        $result->free();
      }
    } while ($db->next_result());
    list($uncompleted_count, $completed_count, $course_progress) = $progress_data;
    $completed_courses = $uncompleted_courses = [];
    $days_per_week = 7;
    foreach ($course_progress as $course) {
      $duration = $course['duration'] * $days_per_week;
      if ($course['completed'] == 0) {
        $now = new DateTime();
        $date_enrolled = new DateTime($course['date_enrolled']);
        $days = $date_enrolled->diff($now)->days;
        $course['covered'] = floor($days * 100 / $duration);
      } else {
        $date->modify("+$duration days");
        $course['end_date'] = $date->format('D jS F, Y');
      }
      $course['date_enrolled'] = date_format(date_create($course['date_enrolled']), 'D jS F, Y');
      $course['last_study'] = date_format(date_create($course['last_study']), 'D jS F, Y');
      $course['completed'] == 0 ? $uncompleted_courses[] = $course : $completed_courses[] = $course;
    }
    $course_progress = array_group($course_progress, 'completed');
    $progress_data = ['uncompleted_count' => $uncompleted_count[0]['count'], 'completed_count' => $completed_count[0]['count'], 'completed_courses' => $completed_courses, 'uncompleted_courses' => $uncompleted_courses];
    die(json_encode($progress_data));

  case 'payment':
    $payment_modes = $paramControl->load_sources('payment_mode');
    $last_payments = $generic->getFromTable('payments', "student_id=$user_id", 1, 2, PAYMENT_DATE_DESC, false, 'id, student, course, payment_method, amount, payment_date');
    foreach ($last_payments as $payment) {
      $payment->payment_method = $payment_modes->{$payment->payment_method};
      $payment->payment_date = date_format(date_create($payment->payment_date), 'D jS F, Y');
    }
    $sql = "SELECT course_id, payments.course, SUM(amount) AS amount, enroll_type, invoice.completed, payment_date, balance FROM payments INNER JOIN enrollments ON payments.student_id=enrollments.student_id INNER JOIN invoice ON payments.invoice_ref=invoice.ref WHERE payments.student_id=$user_id AND payment_type='installment' GROUP BY payments.student_id, course_id ORDER BY MAX(payment_date) DESC";
    $result = $db->query($sql) or die($db->error);
    $installments = [];
    if ($result->num_rows > 0) {
      $installments = $result->fetch_all(MYSQLI_ASSOC);
    }
    foreach ($installments as $installment) {
      $course_prices = $generic->getFromTable('academy_courses', "id={$installment->course_id}", 1, 1, '', false, 'executive_price, group_price')[0];
      $installment->price = $installment->enroll_type == 'immersive' ? $course_prices->group_price : $course_prices->executive_price;
      $installment->payment_date = date_format(date_create($installment->payment_date), 'D jS F, Y');
    }
    $payments = ['last_payments' => $last_payments, 'installments' => $installments];
    die(json_encode($payments));

  case 'receipt':
    if (!isset($post->pay_id)) {
      die("'receipt_id' is required");
    }
    $payment = $generic->getFromTable('payments', "id=$post->pay_id", 1, 1, '', false, 'student_id, course_id, transaction_ref, student, course, payment_method, amount, enroll_type, completed, payment_date')[0];
    if ($payment->completed) {
      $payment->balance = 0;
    } else {
      $payment->balance = $eneric->getFromTable('enrollments', "student_id={$payment->student_id}, course_id={$payment->course_id}", 1, 1, '', false, 'balance')[0]->balance;
    }
    $date = new DateTime($payment->payment_date);
    $payment->payment_date = $date->format('D jS F, Y') . " at " . $date->format('h:i a');
    call_user_func('print_receipt', $payment);
    exit();

  case 'all_payments':
    $payment_modes = $paramControl->load_sources('payment_mode');
    $all_payments = $generic->getFromTable('payments', "student_id=$user_id", 1, 0, PAYMENT_DATE_DESC, false, 'id, student, course, payment_method, amount, payment_date, invoice_ref');
    $payment_modes = $paramControl->load_sources('payment_mode');
    foreach ($all_payments as $payment) {
      $payment->payment_method = $payment_modes->{$payment->payment_method};
      $payment->payment_date = date_format(date_create($payment->payment_date), 'D jS F, Y');
    }
    die(json_encode($all_payments));

  case 'view_course':
    if (!isset($post->course_id)) {
      die("'course_id' is required");
    }
    $course = call_user_func('APICourse', $post->course_id);
    $sql = "SET @referral_alt = REPLACE(UUID(), '-', '');
    SELECT @referral := referral_code FROM users WHERE id = $user_id;
    UPDATE users SET referral_code = @referral_alt WHERE id = $user_id AND @referral IS NULL;
    SELECT IFNULL(@referral, @referral_alt) AS code";
    $db->multi_query($sql) or die($db->error);
    do {
      if ($result = $db->store_result()) {
        while (($row = $result->fetch_assoc()) && isset($row['code'])) {
          $course->referral_code = $row['code'];
        }
        $result->free();
      }
    } while ($db->next_result());
    die(json_encode($course));

  case 'all_courses':
    $courses = call_user_func('APICourses');
    $course_cats = array_group($courses, "category");
    if (!empty($post->category)) {
      $course_cats = array_filter($course_cats, function ($key) use (&$post) {
        return $post->category == $key;
      }, ARRAY_FILTER_USE_KEY);
    }
    usort($courses, function ($a, $b) {
      return $b->syllabus <=> $a->syllabus;
    });
    $top_courses = array_range($courses, 5);
    die(json_encode(["top_courses" => $top_courses, "courses" => $course_cats]));

  case 'survey':
    $course_ids = $generic->getFromTable('enrollments', "student_id=$user_id", 1, 0, '', false, "course_id");
    $course_ids = '(course_id IN (' . join(', ', array_map(function ($obj) {
      return $obj->course_id;
    }, $course_ids)) . ') OR course_id IS NULL)';
    $surveys = array();
    $sql = "SELECT id, title, description, course_id, course, responders, close_date FROM survey WHERE available=1 AND (close_after_date=0 OR close_date=null OR close_date >= CURDATE()) AND $course_ids ORDER BY date_updated DESC, close_date ASC";
    $result = $db->query($sql) or die($db->error);
    if ($result->num_rows > 0) {
      while ($row = $result->fetch_object()) {
        $surveys[] = $row;
      }
    }
    $completed_surveys = $uncompleted_surveys = array();
    foreach ($surveys as $survey) {
      $user_ids = is_null($survey->responders) ? [] : json_decode($survey->responders);
      if (in_array($user_id, $user_ids)) {
        array_push($completed_surveys, $survey);
      } else {
        array_push($uncompleted_surveys, $survey);
      }
      $survey->close_date = date_format(date_create($survey->close_date), 'D jS F, Y');
      unset($survey->responders);
    }
    $surveys = ["completed" => $completed_surveys, "uncompleted" => $uncompleted_surveys];
    die(json_encode($surveys));

  case 'survey_form':
    if (!isset($post->survey_id)) {
      die("'survey_id' is required");
    }
    $responses = $post->edit_response == 'true' ? ', responses' : '';
    $survey_id = $db->real_escape_string($post->survey_id);
    $survey = $generic->getFromTable('survey', "id={$survey_id}", 1, 1, '', false, "questions$responses, close_date")[0];
    if (is_null($survey)) {
      die("None");
    } elseif (!empty($survey->close_date)) {
      $date = new DateTime($date->close_date);
      $today = new DateTime();
      if ($date < $today) {
        die('Closed');
      }
    } elseif ($post->edit_response == 'true') {
      $responses = json_decode($survey->responses);
      $survey->response = array_filter($responses, function ($obj) use ($user_id) {
        return $obj->responder == $user_id;
      })[0]->response;
    }
    $survey->questions = json_decode($survey->questions);
    if (property_exists($survey, 'responses')) unset($survey->responses);
    die(json_encode($survey));

  case 'survey_response':
    $returned_response = new stdClass;
    $returned_response->status = 0;
    if (!isset($post->survey_id) || !isset($post->response)) {
      die("Both 'survey_id' and 'response' is required");
    }
    $response = $post->response;
    $response->responder = $user_id;
    $survey_id = $db->real_escape_string($post->survey_id);
    $survey = $generic->getFromTable('survey', "id={$survey_id}", 1, 1, '', false, 'responses, responders, close_date')[0];
    if (!empty($survey->close_date)) {
      $date = new DateTime($date->close_date);
      $today = new DateTime();
      if ($date < $today) {
        $returned_response->message = 'No longer accepting responses';
        die(json_encode($returned_response));
      }
    }
    $responses = is_null($survey->responses) ? [] : json_decode($survey->responses);
    if ($post->edit_response == 'true') {
      $responses = array_filter($responses, function ($obj) use ($user_id) {
        return $obj->responder != $user_id;
      });
      $build = $responders = '';
    } else {
      $responders = is_null($survey->responders) ? [] : json_decode($survey->responders);
      array_push($responders, $user_id);
      $responders = ", responders=JSON_ARRAY(" . join(', ', $responders) . ")";
      $build = 'response_count=response_count+1, ';
    }
    array_push($responses, $response);
    $responses = $db->real_escape_string(json_encode($responses));
    $build .= "responses='$responses'$responders";
    $sql = "UPDATE survey SET $build WHERE id={$survey_id}";
    $db->query($sql) or die($db->error);
    $returned_response->status = 1;
    $returned_response->message = $post->edit_response == 'true' ? "Response edited!" : "Response saved!";
    die(json_encode($returned_response));

  case 'search':
    if (!isset($post->search) || !isset($post->page)) {
      die("Both 'search' and 'page' are required");
    }
    $post->search = $db->real_escape_string($post->search);
    switch ($post->page) {
      case 'courses':
        $course_ids = $generic->getFromTable('enrollments', "student_id=$user_id", 1, 0, '', false, 'course_id');
        $course_ids = count($course_ids) > 1 ? 'id IN (' . join(',', array_map(function ($obj) {
          return $obj->course_id;
        }, $course_ids)) . ")" : "id={$course_ids[0]}";
        $enrolled_courses = $generic->getFromTable('academy_courses', "keyword={$post->search}, $course_ids", 1, 0, '', 'name', 'id AS course_id, name, bg_ref, contents AS description, duration, group_price, executive_price');
        $times = 1;
        $course_ids = str_replace(['IN', '='], ['NOT IN', '!='], $course_ids, $times);
        $other_courses = $generic->getFromTable('academy_courses', "keyword={$post->search}, available=1, $course_ids", 1, 0, '', 'name', 'id AS course_id, name, bg_ref, contents AS description, duration, group_price, executive_price');
        die(json_encode(['enrolled_courses' => $enrolled_courses, 'other_courses' => $other_courses, 'page' => 'courses']));

      case 'progress':
        $sql = "SELECT name, bg_ref, duration, contents AS description, course_id, completed, date_enrolled, last_study FROM enrollments INNER JOIN academy_courses ON course_id=academy_courses.id WHERE student_id=$user_id AND (name='%{$post->search}%' OR enroll_type='%{$post->search}%')";
        $result = $db->query($sql) or die($db->error);
        $course_progress = $result->fetch_all(MYSQLI_ASSOC);
        $completed_courses = $uncompleted_courses = [];
        $days_per_week = 7;
        foreach ($course_progress as $course) {
          $duration = $course['duration'] * $days_per_week;
          if ($course['completed'] == 0) {
            $now = new DateTime();
            $date_enrolled = new DateTime($course['date_enrolled']);
            $days = $date_enrolled->diff($now)->days;
            $course['covered'] = floor($days * 100 / $duration);
          } else {
            $date->modify("+$duration days");
            $course['end_date'] = $date->format('D jS F, Y');
          }
          $course['date_enrolled'] = date_format(date_create($course['date_enrolled']), 'D jS F, Y');
          $course['last_study'] = date_format(date_create($course['last_study']), 'D jS F, Y');
          $course['completed'] == 0 ? $uncompleted_courses[] = $course : $completed_courses[] = $course;
        }
        $course_progress = array_group($course_progress, 'completed');
        $progress_data = ['completed_courses' => $completed_courses, 'uncompleted_courses' => $uncompleted_courses, 'page' => 'progress'];
        die(json_encode($progress_data));

      case 'payment':
        $payment_modes = $paramControl->load_sources('payment_mode');
        $build = array();
        $search_cols = ['course', 'enroll_type', 'payment_method', 'transaction_ref'];
        foreach ($search_cols as $col) {
          $build[] = "$col='%{$post->search}%'";
        }
        $sql = "SELECT id, student, course, payment_method, amount, payment_date FROM payments WHERE student_id=$user_id AND $build ORDER BY payment_date DESC";
        $payment_modes = $paramControl->load_sources('payment_mode');
        foreach ($payments as $payment) {
          $payment->payment_method = $payment_modes->{$payment->payment_method};
          $payment->payment_date = date_format(date_create($payment->payment_date), 'D jS F, Y');
        }
        die(json_encode(['payments' => $payments, 'page' => 'payment']));

      case 'survey':
        // $related_len = count($related_courses);
        // if ($related_len < $related_size) {
        //   $related_size -= $related_len;
        //   $related_filter = preg_replace('/category/', "$0 NOT", $related_filter);
        //   $more_courses = $generic->getFromTable('academy_courses', $related_filter, $page, $related_size, '', false, 'id AS course_id, name, contents AS description, bg_ref, duration, executive_price, group_price, category');
        //   $related_courses = array_merge($related_courses, $more_courses);
        // }

        // $sql = "SELECT id AS course_id, name, bg_ref, contents AS description, duration, group_price, executive_price FROM academy_courses WHERE  id NOT IN (1,2,3) AND available='1' AND name LIKE '%Cyber%'"
        break;
    }

  case 'course_page':
    if (!isset($post->course_id)) {
      $course_id = $generic->getFromTable('enrollments', "student_id=$user_id", 1, 1, LAST_STUDY_DESC, false, 'course_id')[0]->course_id;
    } else {
      $course_id = $post->course_id;
    }
    $course = $generic->getFromTable('academy_courses', "id={$course_id}", 1, 1, '', false, 'id, name, duration')[0];
    $study_data = $generic->getFromTable('enrollments', "course_id={$course_id}, student_id=$user_id", 1, 1, '', false, 'schedule, date_enrolled, completed')[0];
    $course->schedule = $study_data->schedule;
    $days_per_week = 7;
    $duration = $course->duration * $days_per_week;
    if ($study_data->completed == 0) {
      $date_enrolled = new DateTime($study_data->date_enrolled);
      $now = new DateTime();
      $days = $date_enrolled->diff($now)->days;
      $course->covered = floor($days * 100 / $duration);
    } else {
      $course->covered = 100;
    }
    $topics = $generic->getFromTable('academy_lessons', "course_id={$course_id}, approved=1", 1, 0, SERIAL_NO_ASC, false, 'title, lessons');
    foreach ($topics as $topic) {
      $lessons = json_decode($topic->lessons);
      $topic->lessons = array_map(function ($lesson) {
        return $lesson->title;
      }, $lessons);
    }
    $course->topics = $topics;
    $sql = "SET @referral_alt = REPLACE(CONVERT(UUID() USING utf8), '-', '');
    SELECT @referral := referral_code FROM users WHERE id = $user_id;
    UPDATE users SET referral_code = @referral_alt WHERE id = $user_id AND @referral IS NULL;
    SELECT IFNULL(@referral, @referral_alt) AS code";
    $db->multi_query($sql) or die($db->error);
    do {
      if ($result = $db->store_result()) {
        while (($row = $result->fetch_assoc()) && isset($row['code'])) {
          $course->referral_code = $row['code'];
        }
        $result->free();
      }
    } while ($db->next_result());
    die(json_encode($course));

  case 'classroom':
    if (!isset($post->course_id)) {
      die("'course_id' is required.");
    }
    $course = $generic->getFromTable('academy_courses', "id={$post->course_id}", 1, 1, '', false, 'id, name')[0];
    $topics = $generic->getFromTable('academy_lessons', "course_id={$post->course_id}, approved=1", 1, 0, SERIAL_NO_ASC, false, 'id, title,  lessons');
    $enrol_data = $generic->getFromTable('enrollments', "course_id={$post->course_id}, student_id=$user_id", 1, 1, '', false, 'completed, records, performance')[0];
    foreach ($topics as $topic) {
      $topic->lessons = !is_null($topic->lessons) ? json_decode($topic->lessons) : [];
    }
    $enrol_data->records = !is_null($enrol_data->records) ? json_decode($enrol_data->records) : new stdClass;
    $course->topics = $topics;
    $course->coursework = $enrol_data;
    die(json_encode($course));

  case 'study_goal':
    if (!isset($post->schedule) || !isset($post->course_id)) {
      die("Both 'course_id' and 'schedule' are required.");
    }
    $sql = "UPDATE enrollments SET schedule={$post->schedule} WHERE course_id={$post->schedule} AND student_id=$user_id";
    $db->query($sql) or die($db->error);
    die('{"status":1}');

  case 'update_classroom':
    $response = new stdClass;
    $response->status = 0;
    if (!isset($post->course_id)) {
      $response->message = "'course_id' is required";
      die(json_encode($response));
    }
    $build = array();
    if (isset($post->records)) {
      $build[] = "records='" . $db->real_escape_string(json_encode($post->records)) . "'";
    }
    if (isset($post->performance)) {
      $build[] = "performance={$post->performance}";
    }
    if (isset($post->completed)) {
      $build[] = "completed={$post->completed}";
    }
    $build = join(', ', $build);
    $sql = "UPDATE enrollments SET $build WHERE course_id={$post->course_id} AND student_id=$user_id";
    $db->query($sql) or die($db->error);
    $response->status = 1;
    $response->message = "Successful";
    die(json_encode($response));

  case 'course_files_zip':
    if (!isset($post->course_id)) {
      die("'course_id' is required");
    }
    $content = $generic->getFromTable('academy_lessons', "course_id={$post->course_id}, approved=1", 1, 0, '', false, 'lessons');
    $content = array_map(function ($obj) {
      return json_decode($obj->lesson);
    }, $topics);

    $files = [];
    call_user_func('get_downloadable_files', $content, $files);
    $zip = new ZipArchive;
    if ($zip->open($zipcreated, ZipArchive::CREATE) === TRUE) {
      foreach ($files as $file) {
        $zip->addFile($file, basename($file));
      }
      $zip->close();
    } else {
      die("Could not create zip");
    }
    header("Content-Type: application/octet-stream");
    header('Content-Transfer-Encoding: binary');
    header("Content-Disposition: attachment; filename=" . basename($zipcreated));
    header('Expires: 0');
    header('Cache-Control: must-revalidate');
    header('Pragma: public');
    header('Content-Length: ' . filesize($zipcreated));
    readfile($zipcreated);
    unlink($zipcreated);
    die;

  case 'learning_centers':
    $centers = $paramControl->load_data_from_param('learning_center');
    foreach ($centers as $id => $center) {
      echo "<option value='$id'>$center</option>";
    }
    die;

  default:
    // $topic_ids = $generic->getFromTable('academy_lessons', "course_id={$post->id}", 1, 1, '', false, 'id');
    // if (count($topic_ids) > 0) {
    //   $topic_ids = count($topic_ids) > 1 ? 'id IN ('.join(', ', array_map(function ($obj) {return $obj->id;}, $topic_ids)).')' : "id={$topic_ids[0]}";
    // }
    return false;
}
