<?php

$query1 = "CREATE table IF NOT EXISTS company_info (
	id int unsigned not null auto_increment,
	primary key (id),
	name varchar(250) null,
	logo_ref text null,
	website varchar(250) null,
	email varchar(250) null,
	phone varchar(15) null,
	address varchar(250) null,
	other text null,
	slider text DEFAULT NULL,
	branches text
)";

$query2 = "CREATE table if not exists content (
	id int unsigned not null auto_increment,
	primary key (id),
	title varchar(250),
	body longtext DEFAULT NULL,
	image text DEFAULT NULL,
	view varchar(250),
	category varchar(250),
	industry varchar(250),
	business varchar(250),
	product varchar(250),
	product_desc text DEFAULT NULL,
	parent varchar(250),
	label varchar(250),
	url varchar(300) null,
	type text DEFAULT NULL,
	auto varchar(255),
	status int(11) default 0,
	no_of_views int(11) default 0,
	user_id int(50) default 0,
	author int(50) NULL,
	last_updated DATETIME NULL DEFAULT CURRENT_TIMESTAMP,
	date_uploaded DATETIME NULL DEFAULT CURRENT_TIMESTAMP,
	date_updated DATETIME NULL DEFAULT CURRENT_TIMESTAMP
)";

$query3 = "CREATE table if not exists roles (
	roleid int unsigned not null auto_increment,
	primary key (roleid),
	transcid varchar(50),
	rolename varchar(255),
	roledesc text DEFAULT NULL,
	clientid int
)";

$query4 = "CREATE table if not exists activitylog (
	id int(11) unsigned not null auto_increment,
	primary key (id),
	user_id int(50),
	action varchar(250),
	type varchar(10) default 'admin',
	location varchar(250),
	location_id varchar(50),
	description varchar(250),
	date DATETIME NULL DEFAULT CURRENT_TIMESTAMP
)";

$query5 = "CREATE table if not exists users (
	id int unsigned not null auto_increment,
	primary key (id),
	picture_ref varchar(255) null,
	first_name varchar(255) not null,
	middle_name varchar(255) null,
	last_name varchar(255) null,
	phone varchar(70) null,
	email varchar(70) null,
	state varchar(70) null,
	gender varchar(6) null,
	username varchar(50) not null,
	password text not null,
	bio varchar(300) null,
	wallet decimal(11,2) not null default 0.00,
	referral_code varchar(50) null,
	type int(5) null,
	status int(5) default 0,
	roleId int default 0,
	accessLevel int default 0,
	address varchar(255) null,
	website varchar(255) null,
	other varchar(255) null,
 	academy_type int(2) null,
  notification text null,
	creator_id int null,
	dob DATETIME NULL,
	date DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP
)";

$query6 = "CREATE table if not exists subscribers (
	id int unsigned not null auto_increment,
	primary key (id),
	name varchar(250),
	email varchar(250),
	unique (email),
	phone varchar(15) NULL,
	user_id int(50) NULL,
	status int(20) DEFAULT 1,
	sub_date DATETIME NULL DEFAULT CURRENT_TIMESTAMP,
	unsub_date datetime NULL
)";

$query7 = "CREATE table if not exists conversation (
	id int unsigned not null auto_increment,
	primary key (id),
	post_id int(50) NULL,
	user_id int(50) NULL,
	parent_message int(11) NULL,
	title varchar(250) NULL,
	message text DEFAULT NULL,
	type varchar(250) NULL,
	user_name varchar(250) NULL,
	time DATETIME NULL DEFAULT CURRENT_TIMESTAMP
)";

$query8 = "CREATE TABLE IF NOT EXISTS bookmark (
	id int unsigned not null auto_increment primary key,
	url varchar(250) not null,
	type enum ('channel', 'video')
)";

$query9 = "CREATE TABLE IF NOT EXISTS staff(
	id int unsigned not null auto_increment primary key,
	first_name varchar(255) null, 
	last_name varchar(255) null,
	permanent_address varchar(255) null,
	middle_name varchar(255) null,
	date_of_birth DATE NULL,
	gender varchar(2) null,
	email varchar(70) null,
	phone_number varchar(15) null,
	residential_address varchar(255) null,
	lga_of_origin varchar(70) null,
	lga_residence varchar(70) null,
	state_of_origin varchar(70) null,
	country_of_origin varchar(70) null,
	guardian_full_name varchar(255) null,
	guardian_phone_number varchar(15) null,
	guardian_residential_address varchar(255) null,
	relationship_with_guardian varchar(70) null,
	date_of_appointment DATE NULL,
	appointment_type varchar(255) null,
	department varchar(255) null,
	position varchar(255) null,
	office varchar(255) null,
	bank_name varchar(255) null,
	account_number varchar(15) null,
	salary_amount decimal(11,2) null,
	image varchar(255) null,
	date_created DATETIME NULL DEFAULT CURRENT_TIMESTAMP
)";

$query10 = "CREATE table if not exists academy_courses (
	id int unsigned not null auto_increment primary key,
	name varchar(250) not null,
	user_id int not null,
	curriculum varchar(255) null,
	bg_ref varchar(255) null,
	pic_ref varchar(255) null,
	tutor text null,
	students int not null default 0,
	duration int not null,
	contents text not null default '',
	category varchar(100) null,
	executive_price decimal(10, 2) not null default 0.00,
	group_price decimal(10, 2) not null default 0.00,
	online_price decimal(10, 2) not null default 0.00,
	syllabus int(2) not null default 0,
	available boolean not null default false,
	in_review boolean not null default false,
	date_updated DATETIME DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
	date_created DATETIME DEFAULT CURRENT_TIMESTAMP
)";

$query11 = "CREATE table if not exists enrollments (
	id int unsigned not null auto_increment primary key,
	student_id int unsigned not null,
	course_id int unsigned not null,
	completed boolean default false,
	invoice_ref varchar(20) null,
	enroll_type enum('immersive', 'executive', 'weekend') not null, 
	tutor_id int null,
	study_hrs int not null default 0,
	schedule int not null default 0,
	records json null,
	performance int(3) not null default 0,
	branch int null,
	certificate varchar(255) null,
	certificate_id varchar(50) null,
	date_enrolled DATETIME DEFAULT CURRENT_TIMESTAMP,
	last_study DATETIME DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
)";

$query12 = "CREATE table if not exists academy_lessons (
	id int unsigned not null auto_increment primary key,
	serial_no int not null,
	title varchar(250) not null,
	approved boolean not null default false,
	lessons longtext null,
	drafts longtext null,
	creator_id int unsigned not null,
	course_id int unsigned not null,
	date_updated DATETIME DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
)";

$query13 = "CREATE table if not exists survey (
	id int unsigned not null auto_increment primary key,
	title varchar(250) not null,
	description text not null default '',
	available boolean not null default false,
	responses longtext null,
	questions mediumtext not null,
	responders text null,
	response_count int not null default 0,
	creator_id int not null,
	course varchar(250) null,
	course_id int null,
	close_date DATETIME null,
	close_after_date boolean not null default true,
	date_updated DATETIME DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
)";

$query14 = "CREATE table if not exists payments (
	id int unsigned not null auto_increment primary key,
	student_id int unsigned not null,
	paystack_ref varchar(50) null,
	trx_no varchar(50) null,
	phone varchar(20) null,
	details text not null,
	invoice_ref varchar(20) null,
	student varchar(250) null,
	course varchar(250) null,
	payment_method varchar(50) not null,
	amount decimal(11,2) not null,
	desk_officer varchar(250) null,
	confirmed boolean not null default false,
	payment_date DATETIME DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
)";

$query15 = "CREATE table if not exists category (
	id int unsigned not null auto_increment primary key,
	name varchar(100) not null,
	user_id int not null,
	date_updated DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
)";

$query16 = "CREATE table if not exists coding_bootcamp (
	id int unsigned not null auto_increment primary key,
	student varchar(250) not null,
	course varchar(250) not null,
	phone varchar(15) not null,
	email varchar(70) not null,
	user_id int null,
	transaction_ref varchar(50) null,
	payment_method varchar(50) not null,
	amount decimal(11,2) not null,
	track enum('genius', 'marvel') not null, 
	balance decimal(11,2) not null default 0.00,
	completed boolean not null default false,
	branch varchar(50) null,
	payment_date DATETIME DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
)"; 

$query17 = "CREATE table if not exists event_reg (
	id int unsigned not null auto_increment primary key,
	first_name varchar(250) not null,
	last_name varchar(250) not null,
	phone varchar(15) not null,
	email varchar(70) not null,
	location varchar(20) not null,
	attendee_id varchar(50) not null,
	event_id int unsigned not null,
	event_title varchar(250) not null,
	reg_date DATETIME DEFAULT CURRENT_TIMESTAMP
)";

$query18 = "CREATE TABLE IF NOT EXISTS invoice (
	id int(10) NOT NULL AUTO_INCREMENT primary key,
	ref varchar(20) not null,
	student_id int unsigned not null,
	payment_type enum('installment', 'full'),
	student varchar(250) null,
	course varchar(250) null,
	completed boolean not null default false,
	discount float(2,1) not null default 0.0,
	balance decimal(11,2) not null default 0.00,
	amount_due decimal(11,2) not null,
	price decimal(11,2) not null,
	date_generated DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP
)";
?>
