<?php

use SendGrid\Email;

require_once("cache.php");

function urlSlug($data)
{
  if (empty($data->url) && !empty($data->title)) {
    $data->url = strToUrl($data->title);
  }
  return $data;
}

function companyCache()
{
  if (is_object(company(true)))
    $res =  object(["status" => 1, "message" => "Company Cache created"]);
  else
    $res = object(["status" => 0]);
  return $res;
}

function validpagesCache()
{
  company(true);
  get_nav(true);
  get_homepage(true);
  $response = get_pages(true);
  if (is_array($response))
    $res =  object(["status" => 1, "message" => "Company Cache created"]);
  else
    $res = object(["status" => 0]);
  return $res;
}


function runCache($post)
{
  $object = contentCache($post->pageType, $post->primary_key, true);
  if (is_object($object))
    $res =  object(["status" => 1, "message" => "Cache created"]);
  else
    $res = object(["status" => 0]);
  return $res;
}

function linkschool($uri, $createOnly = false)
{
  if (empty($uri)) global $uri;
  $dir  = absolute_filepath($uri->site);
  $dir  = "{$dir}cache/linkskool/";
  $file = "{$dir}schools.json";
  $today = strtotime(date('Y-m-d h:i:s'));
  if (!is_dir($dir)) {
    mkdir($dir, 0777, true);
  }
  if (file_exists($file) && $createOnly !== true &&  (round(($today - filemtime($file)) / (3600 * 24)) < 7)) {
    $json = _readFile($file);
  } else {
    $data = curl_post(['url' => 'https://linkskool.com/newportal/api/getList.php?action=schools']);
    $json = _writeFile($file, $data, true);
  }
  return json_decode($json, true);
}

function sendCurriculum($post)
{
  global $generic;
  if (!empty($post->phone)) {
    $post->message = "Contact me with {$post->message} | {$post->phone}";
  }
  //
  if (!empty($post->syllabus)) {
    // Send syllabus to $post->email
  }

  // Notify admin
  if (!empty($post->notify)) {
    $company = $generic->company();
    $messenger = new Messenger($generic);
    $messenger->sendMail(object([
      "subject" => "Notification for Enquiry on Digital Dreams Website",
      "body" => "Hi, i'm {$post->user_name}. {$post->message}. I am interested in knowing about {$post->title}.",
      "from" => $company->email,
      "to" => "digitaldreamsict@gmail.com",
      "from_name" => $post->user_name,
      "to_name" => $company->name,
      "user_id" => 1,
      "address" => $company->address
    ]));
  }
  return $post;
}

function get_payment_fields($post)
{
  $generic = new Generic();
  $generic->connect();
  $post_arr = (array) $post;
  foreach ($post_arr as $key => $_) {
    if (empty($post->{$key})) {
      unset($post->{$key});
    }
  }
  $price = $post->price_cat == 'immersive' ? 'group_price' : ($post->price_cat == 'executive' ? 'executive_price' : 'online_price');
  $post->amount = $generic->getFromTable("academy_courses", "id={$post->id}", 1, 1, '', false, $price)[0]->{$price};
  $post->amount = (int) $post->amount;

  if (!isset($_SESSION['student_id'])) {
    $subscriber = $generic->getFromTable('subscribers', "email={$post->email}", 1, 1, '', false, 'id');
    if (count($subscriber) == 0) {
      $name = "{$post->first_name} {$post->last_name}";
      $phone = isset($post->phone) ? ", phone='$post->phone'" : '';
      $sql = "INSERT INTO subscribers SET name='$name', email='{$post->email}'$phone";
      Generic::$mydb->query($sql) or die(Generic::$mydb->error);
    }
  } elseif (!isset($post->email)) {
    $student_id = $_SESSION['student_id'];
    $post->email = $generic->getFromTable('users', "id=$student_id", 1, 1, '', false, "email")[0]->email;
  }
  $generic->closeDB();
  return $post;
}

function get_bootcamp_fields($post)
{
  global $generic;
  if (isset($post->other)) {
    $price = $generic->getFromTable('content', "id={$post->content_id}", 1, 1, '', false, 'label as price')[0]->price;
    $post->amount = $price;
  } else {
    $prices = $generic->getFromTable('content', "id={$post->content_id}", 1, 1, '', false, 'product as genius_price, label as marvel_price')[0];
    $post->amount = $post->track == 'genius' ? $prices->genius_price : $prices->marvel_price;
  }
  return $post;
}

function register_student($post)
{
  $generic = new Generic();
  $generic->connect();
  $return_val = [];
  if (isset($post->bootcamp)) {
    $user = $generic->getFromTable('users', "email={$post->email}", 1, 1, '', false, 'id');
    if (count($user) > 0) {
      $return_val['user_id'] = $user[0]->id;
      $return_val['enroll_type'] = 'immersive';
      $generic->closeDB();
      return $post;
    }
  }
  $post->type = $post->status = $post->academy_type = 0;
  $cols = ['first_name', 'last_name', 'email', 'phone', 'status', 'type', 'academy_type'];
  $build = '';
  foreach ($cols as $col) {
    $build .= "$col='{$post->{$col}}', ";
  }
  $build = rtrim($build, ', ');
  $sql = "INSERT INTO users SET $build";
  Generic::$mydb->query($sql) or die(Generic::$mydb->error);
  $return_val['user_id'] = Generic::$mydb->insert_id;
  $return_val['enroll_type'] = $post->price_cat == 'immersive' ? 'immersive' : 'executive';
  $generic->closeDB();
  return $return_val;
}

function send_course_enroll_email($post, $first_timer)
{
  $generic = new Generic();
  $generic->connect();
  $uri = $generic->getURIdata();
  $course_name = $generic->getFromTable('academy_courses', "id={$post->id}", 1, 1, '', false, "name")[0]->name;
  $student_name = $_SESSION['full_name'];
  $body = "Welcome to the $course_name course. We've made all preparations to ensure you have the best learning experience.";
  if ($first_timer) {
    $body .= "To that effect, we have developed a learning portal for you. You'll have access to extra learning resources to hone the skills you'd develop in the course. you'd also be able to print receipts, download course curriculum and find help. But you'd have to activate your account by providing a password and select the branch where you want to take the course.<br>Click <a href='{$uri->site}portal?page=enrolled&action=reg&first_timer=true&id=" . encode_id($post->id) . "'>here</a> or copy and paste the link <mark>{$uri->site}portal?page=enrolled&action=reg&first_timer=true&id=" . encode_id($post->id) . "</mark> in your browser's address bar.";
  } else {
    $body .= " You should login to the portal to select the branch where you want to take the course, print payment receipt and access lots of learning resources curated to just for you.<br>Click <a href='{$uri->site}portal?page=enrolled&action=reg&id=" . encode_id($post->id) . "'>here</a> or copy and paste the link <mark>{$uri->site}portal?page=enrolled&action=reg&id=" . encode_id($post->id) . "</mark> in your browser's address bar.";
  }
  $company = $generic->company();
  $messenger = new Messenger($generic);
  $messenger->sendMail((object)[
    "subject" => "Enrollment into " . ucwords($course_name),
    "body" => $body,
    "from" => $company->email,
    "to" => $post->email,
    "from_name" => $company->name,
    "to_name" => $student_name,
    "address" => $company->address
  ]);
  $generic->closeDB();
}

function encode_id($id)
{
  $alphabet = str_shuffle('abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ');
  $len = strlen($alphabet);
  $id_len = strlen($id);
  $encoded_id = '';
  for ($i = 0; $i < $id_len; $i++) {
    $encoded_id .= substr($alphabet, rand(0, $len - 4), 4) . ord($id[$i]);
  }
  return $encoded_id;
}

function decode_id($str)
{
  preg_match_all("/(\d+)/", $str, $matches);
  assert(count($matches) > 0, "No course was selected");
  return (int) join(array_map(function ($arr) {
    return chr($arr[0]);
  }, array_slice($matches, 0, count($matches) - 1)));
}

function fetch_admin_courses($user_id, $page, $page_size, $type, $first_time)
{
  global $generic;
  $assigned_course_ids = $generic->getFromTable('users', "id=$user_id", 1, 1, '', false, 'other')[0]->other;
  $draft_count = $avail_count = 0;
  if (is_null($assigned_course_ids)) {
    $assigned_courses = [array(), array()];
  } else {
    $assigned_course_ids = stristr($assigned_course_ids, ',') !== false ? "id IN ($assigned_course_ids)" : "id=$assigned_course_ids";
    $type = array_map(function ($str) {
      return ", $str";
    }, explode(',', preg_replace("/\d/", "available=$0", $type)));
    $assigned_courses = [];
    foreach ($type as $t) {
      $assigned_courses = array_merge($assigned_courses, $generic->getFromTable('academy_courses', $assigned_course_ids . $t, $page, $page_size, DATE_UPDATED_DESC . ', ' . ID_DESC, false, "id, name, available, date_created, date_updated"));
    }
    if ($first_time) {
      $sql = "SELECT COUNT(*) AS count FROM academy_courses WHERE $assigned_course_ids GROUP BY available";
      $result = $generic::$mydb->query($sql) or die($generic::$mydb->error);
      $counts = $result->fetch_all(MYSQLI_ASSOC);
      $draft_count = $counts[0]['count'] ?? 0;
      $avail_count = $counts[1]['count'] ?? 0;
    }
    if (count($assigned_courses) == 0) {
      $assigned_courses = [array(), array()];
    } else {
      $assigned_courses = array_group($assigned_courses, 'available');
      if (empty($assigned_courses[0])) $assigned_courses[0] = [];
      elseif (empty($assigned_courses[1])) $assigned_courses[1] = [];
      foreach ($assigned_courses as $courses) {
        foreach ($courses as $course) {
          $course->date_created = date_format(date_create($course->date_created), 'D jS F, Y');
          $course->date_updated = date_format(date_create($course->date_updated), 'D jS F, Y');
          $course->available = $course->available == 1 ? 'Available' : 'Draft';
        }
      }
    }
  }
  if ($first_time) {
    $assigned_courses['avail_count'] = $avail_count;
    $assigned_courses['draft_count'] = $draft_count;
  }
  return $assigned_courses;
}

function size_as_byte_multple($bytes)
{
  $suffixes = ['B', 'KB', 'MB', 'GB'];
  if ($bytes == 0) return '0 B';
  $exp = min(floor(log($bytes) / log(1024)), sizeof($suffixes) - 1);
  $suffix = $suffixes[$exp];
  $byteMultiple = $bytes / 1024 ** $exp;
  return number_format($byteMultiple, 2) . ' ' . $suffix;
}

function get_similar_files(...$arr)
{
  $search = array_pop($arr);
  $result = [];
  while (count($arr) > 0) {
    $file = array_pop($arr);
    $filename = basename($file);
    $compare = stristr($filename, $search);
    if ($compare === false) {
      if (is_dir($file)) {
        $arr = array_merge($arr, glob($file . '/*'));
      }
      continue;
    } elseif (!is_dir($file)) {
      $tbn = substr_replace($file, 'tbn/', strrpos($file, '/') + 1, 0);

      if (!file_exists($tbn)) {
        $tbn = $file;
      }
      $is_dir = false;
    } else {
      $tbn = $file;
      $is_dir = true;
    }
    $pos = stripos($filename, $search);
    $search_len = strlen($search);
    $extra = [substr($filename, 0, $pos), substr($filename, $pos, $search_len), substr($filename, $pos + $search_len)];
    preg_match("/(?<=\/)(?:images|videos|others)(?=\/)/", $file, $type);
    $file_prop = ['src' => http_filepath($tbn), 'name' => $filename, 'size' => size_as_byte_multple(filesize($file)), 'extra' => $extra, 'type' => $type[0], "is_dir" => $is_dir];
    if ($is_dir) {
      $file_prop['relpath'] = get_trailing_path($file);
    }
    array_push($result, $file_prop);
  }
  return $result;
}

function get_course_files($dir, $isFolder = false, $ignore = "/tbn")
{
  $files = [];
  foreach (glob($dir . '/*') as $file) {
    $subFiles = array();
    if (is_dir($file)) {
      if (substr($file, -strlen($ignore)) === $ignore) {
        continue;
      }
      if (!$isFolder) {
        $subFiles[basename($file)] = get_course_files($file, true);
      } else {
        $subFiles['src'] = http_filepath($file);
        $subFiles['relpath'] = get_trailing_path($file);
        $subFiles['name'] = basename($file);
        $subFiles['is_dir'] = true;
      }
    } else {
      $tbn = substr_replace($file, 'tbn/', strrpos($file, '/') + 1, 0);
      if (!file_exists($tbn)) {
        $tbn = $file;
      }
      $subFiles['src'] = http_filepath($tbn);
      $subFiles['name'] = basename($file);
      $subFiles['size'] = size_as_byte_multple(filesize($file));
    }
    array_push($files, $subFiles);
  }
  return $files;
}

function get_trailing_path($path)
{
  $matched = preg_match("/(?<=\/)(?:images|videos|others)(?=\/)/", $path, $match, PREG_OFFSET_CAPTURE);
  if ($matched !== false) {
    return substr($path, $match[0][1] + strlen($match[0][0]));
  }
  return '';
}

function delete_dir($dir)
{
  $files = glob($dir . '/*');
  foreach ($files as $file) {
    if (is_dir($file)) {
      delete_dir($file);
    } else {
      unlink($file);
    }
  }
  return rmdir($dir);
}

function googleDriveSort($file1, $file2)
{
  $order = ['video' => 0, 'image' => 1];
  preg_match("/\b(video|image|(?!video|image)\w+)\b/", $file1['mime'], $file_type1);
  preg_match("/\b(video|image|(?!video|image)\w+)\b/", $file2['mime'], $file_type2);
  $file_type1 = $file_type1[0];
  $file_type2 = $file_type2[0];
  $file1score = in_array($file_type1, $order) ? $order[$file_type1] : 2;
  $file2score = in_array($file_type2, $order) ? $order[$file_type2] : 2;
  return $file1score - $file2score;
}

function get_time_since($diff, $hours = NULL)
{
  $days = (int) $diff->format('%a');
  if ($days >= 365) {
    $year = floor($days / 365);
    $s = $year > 1 ? 's' : '';
    return "$year year$s ago";
  } elseif ($days >= 30) {
    $month = floor($days / 30);
    $s = $month > 1 ? 's' : '';
    return "$month month$s ago";
  } elseif ($days >= 7) {
    $week = floor($days / 7);
    $s = $week > 1 ? 's' : '';
    return "$week week$s ago";
  } elseif ($days > 2) {
    return "$days days ago";
  } else {
    if ($days > 1) return 'Yesterday';
    elseif (is_null($hours)) return 'Today';
    else return $hours > 0 ? "$hours hour" . ($hours > 1 ? 's' : '') . " ago" : 'Now';
  }
}

function get_last_study($date)
{
  $date_today = date_create();
  $diff = date_diff($date, $date_today)->format("%a");
  if ($diff > 1) {
    return date_format($date, 'jS M, Y');
  } else {
    return $diff > 0 ? 'Yesterday' : 'Today';
  }
}

function get_course_period($date_str, $duration)
{
  $date = date_create($date_str);
  $today = date_create();
  $diff = date_diff($date, $today);
  $days = $diff->format("%a");
  if ($days > ($duration * 30)) {
    return "Done";
  } elseif ($days >= 7) {
    $week = floor($days / 7);
    return "Week $week";
  } elseif ($days > 1) {
    return "Day $days";
  } else {
    return 'Day 1';
  }
}

function print_receipt($payment, $boot_camp = false)
{
  global $company, $uri;
  if (ob_get_contents()) ob_end_clean();
  require_once(__DIR__ . "/../api/fpdf/fpdf.php");
  $pdf = new tFPDF();
  $pdf->AliasNbPages();
  $head = strtoupper($company->name);
  $subhead = 'Payment Receipt';
  if ($boot_camp) $subhead .= ' for Coding Boot Camp';
  $footer = "$head, $company->address";
  $subfooter = "TEL: " . $company->phone . "; EMAIL: " . $company->email . "; WEBSITE: " . $company->website;
  $amount = number_format($payment->amount, 2);
  $balance = number_format($payment->balance, 2);
  $logoWidth = 40;
  $logo = $uri->site . 'asset/picture/dd_black_no_bg.png';
  date_default_timezone_set('Africa/Lagos');
  $pdf->AddPage();
  $pdf->Image($logo, ($pdf->GetPageWidth() - $logoWidth) / 2, 10, $logoWidth);
  $pdf->Cell(0, 20);
  $pdf->Ln();
  $pdf->SetFont('Helvetica', 'B', 13);
  $pdf->Cell(0, 5, $subhead, 0, 0, 'C');
  $pdf->Ln(15);
  $pdf->SetFont('Arial', '', 10);
  $pdf->Cell(90, 10, 'Student', 'B', 0, 'L');
  $pdf->SetFont('Arial', 'B', 10);
  $pdf->Cell(100, 10, ucwords($payment->student), 'B', 1, 'R');
  $pdf->SetFont('Arial', '', 10);
  $pdf->Cell(90, 10, 'Course', 'B', 0, 'L');
  $pdf->SetFont('Arial', 'B', 10);
  $pdf->Cell(100, 10, $payment->course, 'B', 1, 'R');
  if ($boot_camp) {
    $pdf->SetFont('Arial', '', 10);
    $pdf->Cell(90, 10, 'Track', 'B', 0, 'L');
    $pdf->SetFont('Arial', 'B', 10);
    $pdf->Cell(100, 10, ucfirst($payment->track), 'B', 1, 'R');
  } else {
    $pdf->SetFont('Arial', '', 10);
    $pdf->Cell(90, 10, 'Class', 'B', 0, 'L');
    $pdf->SetFont('Arial', 'B', 10);
    $pdf->Cell(100, 10, ucfirst($payment->enroll_type), 'B', 1, 'R');
  }
  $pdf->SetFont('Arial', '', 10);
  $pdf->Cell(90, 10, 'Payment date', 'B', 0, 'L');
  $pdf->SetFont('Arial', 'B', 10);
  $pdf->Cell(100, 10, $payment->payment_date, 'B', 1, 'R');
  $pdf->SetFont('Arial', '', 10);
  $pdf->Cell(90, 10, 'Amount paid', 'B', 0, 'L');
  $pdf->SetFont('Arial', 'B', 10);
  $pdf->Cell(100, 10, "N$amount", 'B', 0, 'R');
  $pdf->SetX($pdf->GetX() - 100);
  $pdf->Cell(100, 10, '=' . str_repeat(' ', (strlen($amount) - 1) * 2), 0, 1, 'R');
  $pdf->SetFont('Arial', '', 10);
  $pdf->Cell(90, 10, 'Payment method', 'B', 0, 'L');
  $pdf->SetFont('Arial', 'B', 10);
  $pdf->Cell(100, 10, ucwords($payment->payment_method), 'B', 1, 'R');
  $pdf->SetFont('Arial', '', 10);
  $pdf->Cell(90, 10, 'Amount owed', 'B', 0, 'L');
  $pdf->SetFont('Arial', 'B', 10);
  $pdf->Cell(100, 10, "N$balance", 'B', 0, 'R');
  $pdf->SetX($pdf->GetX() - 100);
  $pdf->Cell(100, 10, '=' . str_repeat(' ', strlen($balance) * 2 - 1), 0, 1, 'R');
  $pdf->SetFont('Arial', '', 10);
  if ($payment->payment_method == 'card') {
    $pdf->Cell(90, 10, 'Vendor', 'B', 0, 'L');
    $pdf->SetFont('Arial', 'B', 10);
    $pdf->Cell(100, 10, 'Paystack', 'B', 1, 'R');
    $pdf->SetFont('Arial', '', 10);
  }
  $pdf->Cell(90, 10, 'Transaction Reference', 'B', 0, 'L');
  $pdf->SetFont('Arial', 'B', 10);
  $pdf->Cell(100, 10, $payment->transaction_ref ?? 'None', 'B', 0, 'R');
  $pdf->SetFont('Arial', '', 9);
  $pdf->SetY(-50.5, false);
  $pdf->Ln();
  $pdf->Cell(200, 5, iconv("UTF-8", "ISO-8859-1", "©") . " " . date('Y') . " $footer", 0, 1, 'C');
  $pdf->Cell(200, 5, $subfooter, 0, 1, 'C');
  $pdf->SetFont('Arial', 'I', 7);
  $pdf->Cell(0, 10, 'Page ' . $pdf->PageNo() . '/{nb}', 0, 0, 'C');
  $pdf_dir = absolute_filepath($uri->site . 'assets/pdf');
  if (!is_dir($pdf_dir)) {
    mkdir($pdf_dir);
  }
  $pdf_path = $pdf_dir . '/receipt.pdf';
  $pdf->Output('F', $pdf_path);
  if (file_exists($pdf_path)) {
    header('Content-Description: File Transfer');
    header('Content-Type: application/octet-stream');
    header('Content-Disposition: attachment; filename="' . basename($pdf_path) . '"');
    header('Content-Transfer-Encoding: binary');
    header('Expires: 0');
    header('Cache-Control: must-revalidate');
    header('Pragma: public');
    flush();
    readfile($pdf_path);
  }
  unlink($pdf_path);
}

function print_receipt2($payments)
{
  global $uri;
  if (ob_get_contents()) ob_end_clean();
  require_once(__DIR__ . "/../api/pdf_receipt.php");
  $pdf_dir = absolute_filepath($uri->site . 'assets/pdf');
  if (!is_dir($pdf_dir)) {
    mkdir($pdf_dir);
  }
  $pdf_path = "$pdf_dir/" . gen_rand_file_name();
  $receipt = new PDFReceipt($payments, $pdf_path, 'send_receipt_as_email');
  $receipt->CreateReceipt();
}

function print_certificate($content, $original = false)
{
  global $uri;
  if (ob_get_contents()) ob_end_clean();
  require_once(__DIR__ . "/../api/pdf_certificate.php");
  $pdf_dir = absolute_filepath($uri->site . 'assets/certificates');
  if (!is_dir($pdf_dir)) {
    mkdir($pdf_dir);
  }
  $pdf_path = "$pdf_dir/{$content->certificate_id}.pdf";
  $certificate = new PDFCert();
  $certificate->CreateCertificate($pdf_path, $content, $original);
  if (file_exists($pdf_path)) {
    header('Content-Description: File Transfer');
    header('Content-Type: application/octet-stream');
    header('Content-Disposition: attachment; filename="' . basename($pdf_path) . '"');
    header('Content-Transfer-Encoding: binary');
    header('Expires: 0');
    header('Cache-Control: must-revalidate');
    header('Pragma: public');
    flush();
    readfile($pdf_path);
  }
  if (!$original) unlink($pdf_path);
}

function set_psw($post)
{
  $post->password = $post->new_password;
  // $post = hash_password($post);
  unset($post->new_password);
  return $post;
}

function publish_course($post)
{
  if ($post->submitType == 'update') {
    global $generic;
    $sql = '';
    if (isset($post->publish_changes) && $post->publish_changes == TRUE) {
      $sql = "UPDATE academy_lessons SET lessons=drafts, approved=TRUE WHERE course_id={$post->id};";
      unset($post->publish_changes);
    }
    $sql .= "UPDATE academy_courses SET in_review=FALSE WHERE id={$post->id}";
    if (strstr($sql, ';') !== FALSE) {
      $generic::$mydb->multi_query($sql) or die($generic::$mydb->error);
      do {
        if ($result = $generic::$mydb->store_result()) {
          $result->free();
        }
      } while ($generic::$mydb->next_result());
    } else {
      $generic::$mydb->query($sql) or die($generic::$mydb->error);
    }
  }
  return $post;
}

function get_downloadable_files($content, &$files)
{
  global $uri;
  foreach ($content as $topic) {
    $lessons = $topic->lessons;
    foreach ($lessons as $lesson) {
      $attachments = $lesson->attachments ?? [];
      foreach ($attachments as $attach) {
        if (strpos($attach->url, $uri->site) == 0) {
          array_push($files, absolute_filepath($attach->url));
        }
      }
    }
  }
  return $files;
}

function generateUUID()
{
  $data = random_bytes(16);
  $data[6] = chr((ord($data[6]) & 0x0f) | 0x40);
  $data[8] = chr((ord($data[8]) & 0x3f) | 0x80);
  return vsprintf('%s%s-%s-%s-%s-%s%s%s', str_split(bin2hex($data), 4));
}

function removeEmptyTags($html)
{
  do {
    $prevHtml = $html;
    $html = preg_replace('/<([a-z]+)([^>]*?)>\s*<\/\1>/i', '', $html);
    $html = preg_replace('/<([a-z]+)([^>]*?)>\s*(<br\s*\/?>\s*)+<\/\1>/i', '', $html);
  } while ($html !== $prevHtml);

  return trim($html);
}

function strip_html_tags($html)
{
  $dom = new DOMDocument();
  libxml_use_internal_errors(true);
  $html = mb_convert_encoding($html, 'HTML-ENTITIES', 'UTF-8');
  if (!$dom->loadHTML($html, LIBXML_HTML_NOIMPLIED | LIBXML_HTML_NODEFDTD)) {
    libxml_clear_errors();
    return '';
  }
  libxml_clear_errors();
  return $dom->textContent;
}

function encodeForUrl($str)
{
  $base64_encoded = base64_encode($str);
  $url_safe = str_replace(['+', '/', '='], ['-', '_', ''], $base64_encoded);
  return $url_safe;
}

function decodeFromUrl($encoded)
{
  $base64_encoded = str_replace(['-', '_'], ['+', '/'], $encoded);
  $original_str = base64_decode($base64_encoded);
  if ($original_str === false) {
    return "";
  }
  return $original_str;
}

function gen_trx_no()
{
  return join('', array_rand(array_flip(range('A', 'Z')), 3)) . random_int(1e7, 9e7);
}

function get_qr_code($link)
{
  return file_get_contents('https://quickchart.io/chart?cht=qr&chld=H%7C1&chs=400x400&chl=' . urlencode($link));
}

function verifyReceipt($trx_no)
{
  global $generic;
  $payment = $generic->getFromTable('payments', "trx_no=$trx_no", 1, 1, '', false, 'trx_no, invoice_ref, student, course, amount, desk_officer, payment_date, details, phone');
  if (empty($payment)) return null;
  else $payment = $payment[0];
  $details = json_decode($payment->details, true);
  foreach ($details as $key => $value) {
    $payment->{$key} = $key !== 'items' ? number_format($value) : $value;
  }
  $payment->amount = number_format($payment->amount);
  $payment->payment_date = date_format(date_create($payment->payment_date), 'D jS F, Y');
  return $payment;
}

function gen_rand_file_name($prefix = 'receipt-', $ext = 'pdf')
{
  return $prefix . mt_rand(1000, 9999) . '.' . $ext;
}

function send_receipt_as_email($payments, $receipt)
{
  global $generic, $company, $uri;
  $student_id = $payments[0]->student_id;
  $student = $payments[0]->student;
  $items = array_map(function ($pay) {
    return [join(', ', array_column($pay->items, 0)), $pay->trx_no];
  }, $payments);
  $email = $generic->getFromTable('users', "id=$student_id", 1, 1, '', false, "email")[0]->email;
  if (!empty($email)) return;
  $body = "<h1>Course Registration Confirmation</h1><p>Dear {$student},</p><p>Thank you for registering for the following courses:</p><ul>";
  $links = '';
  foreach ($items as $item) {
    list($course, $trx_no) = $item;
    $body .= "<li>{$course}</li>";
    $links .= "<p><a href='{$uri->site}verify-receipt/$trx_no'>Verify Registration</a></p>";
  }
  $body .= "</ul><p>You can verify your registration by visiting the following link(s):</p>$links<p>Thank you for choosing Digital Dreams ICT Academy!</p><p>Best Regards,<br>Digital Dreams ICT Academy</p>";
  $messenger = new Messenger($generic);
  $messenger->sendMail([
    "subject" => "'Course Registration/Payment Confirmation",
    "body" => $body,
    "from" => $company->email,
    "to" => $email,
    "from_name" => $company->name,
    "to_name" => $student,
    "address" => $company->address,
    "attachments" => ['receipt.pdf' => $receipt]
  ]);
  unlink($receipt);
}

function clipPath()
{
  $mult = isMobile() ? 0.01 : 0.03;
  $path = '100% 80%, 100% 0%, 0% 0%, 0% 70%';
  for ($i = 1; $i < 100; $i++) {
    $arg = M_PI * $i * $mult;
    $inc = $i / 100;
    $path .= ", $i% calc(70% + 10% * ($inc + sin({$arg}rad)))";
  }
  return $path;
}

function salaryRange($post)
{
  global $generic;
  if (!empty($post->min)) {
    $currency = empty($post->currency) ? '₦' : $post->currency;
    $basis = empty($post->basis) ? '/ month' : $post->basis;
    $min = $currency . number_format($post->min);
    if (empty($post->max)) {
      $range = $min;
    } else {
      $max = $post->max;
      if (intval($min) >= intval($max)) {
        die(json_encode(['status' => 0, 'message' => "'min salary' should be less than 'max salary'"]));
      }
      $range = $min . ' — ' . $currency . number_format($max);
    }
    $range .= " $basis";
    $post->product_desc = $range;
    unset($post->currency, $post->min, $post->basis, $post->max);
  }
  if (empty($post->label)) {
    $post->label = 1;
  }
  if (empty($post->url) && empty($post->parent)) {
    die(json_encode(['status' => 0, 'message' => "At least an application link or the employer's email should be provided"]));
  }
  $employer = $generic->getFromTable('content', "id={$post->business}", 1, 1, '', false, 'image, auto as email');
  if (empty($employer)) die(json_encode(['status' => 0, 'message' => "Please select the employer from the suggested names in the employer name field"]));
  else $employer = $employer[0];
  $post->image = $employer->image;
  if (empty($post->parent) && !empty($employer->email)) {
    $post->parent = $employer->email;
  }
  return $post;
}

function find_insight_id(string $str)
{
  global $nav;
  foreach ($nav as $item) {
    if (strcasecmp($item->title, 'insights') == 0) {
      foreach ($item->child as $arr) {
        foreach ($arr as $obj) {
          if (strcasecmp($obj->title, $str) == 0) return $obj->id;
        }
      }
      break;
    }
  }
  return 0;
}

function salaryInRange($range, $target)
{
  $pattern = '/^(\D+)([\d,]+) — (\D+)([\d,]+) \/ (\w+)$/';
  if (!preg_match($pattern, $range, $matches)) {
    return false;
  }
  list(, $currency, $min,, $max, $unit) = $matches;
  if (!preg_match('/^(\D+)([\d,]+)\/ (\w+)$/', $target, $targetMatches)) {
    return false;
  }
  list(, $targetCurrency, $targetValue, $targetUnit) = $targetMatches;
  if ($currency !== $targetCurrency || $unit !== $targetUnit) {
    return false;
  }
  $minValue = (int)str_replace(',', '', $min);
  $maxValue = (int)str_replace(',', '', $max);
  $targetIntValue = (int)str_replace(',', '', $targetValue);
  return $targetIntValue >= $minValue && $targetIntValue <= $maxValue;
}

function truncate_txt($str, $len = 80)
{
  if (strlen($str) <= $len) {
    return $str;
  }
  $truncated = substr($str, 0, $len);
  $break_point = max(strpos($truncated, '.'), strrpos($truncated, ' '));
  if ($break_point !== false) {
    $truncated = substr($truncated, 0, $break_point);
  }
  return $truncated . ' ...';
}

function set_company_image($post)
{
  global $generic;
  if ($post->page_title == 'Opportunities' && !empty($post->view) && strpos($post->view, ' - ') === false) {
    unset($post->view);
  }
  $post->product = $generic->getFromTable('content', "id={$post->business}", 1, 1, '', false, 'image')[0]->image;
  return $post;
}

function get_meta_img(string $url)
{
  global $uri;
  $html = file_get_contents($url);
  $default = $uri->site . 'asset/picture/article.svg';
  if (!$html) {
    return $default;
  }
  $doc = new DOMDocument();
  @$doc->loadHTML($html);
  $meta_tags = $doc->getElementsByTagName('meta');
  foreach ($meta_tags as $tag) {
    if (substr($tag->getAttribute('property'), -6) == ':image') {
      return $tag->getAttribute('content');
    }
  }
  $links = $doc->getElementsByTagName('link');
  foreach ($links as $link) {
    if ($link->getAttribute('rel') == 'icon' || $link->getAttribute('rel') == 'shortcut icon') {
      return $link->getAttribute('href');
    }
  }
  return $default;
}

function get_icon_path($path)
{
  if (strpos($path, 'tbn/') === false) {
    $slashPos = strrpos($path, '/');
    if ($slashPos !== false) {
      $newpath = substr($path, 0, $slashPos + 1) . 'tbn/' . substr($path, $slashPos + 1);
      if (file_exists(absolute_filepath($newpath))) {
        $path = $newpath;
      }
    }
  }
  return $path;
}
