<?php
$year = date('Y');
switch ($post->case) {
	case "phone_number":
		$dir = absolute_filepath("{$uri->site}cache/linkskool/");
		$file = "{$dir}{$post->_db}-{$post->level}.json";
		if (!is_dir($dir)) mkdir($dir, 0777,  true);
		if (!file_exists($file)) {
			$res = [];
			$fields = array('url' => "https://linkskool.com/newportal/api/phone_numbers.php?db={$post->_db}&level={$post->level}");
			$resp = curl_post($fields);
			//see($fields);
			if (gettype(json_decode($resp, true)) == 'array') {
				_writeFile($file, $resp);
				$response->message = "Successfully Created";
				$response->status = 1;
			} else {
				$response->message = "failed to create";
				echo json_encode($res);
				die();
			}
		} else {
			$response->status = 1;
		}
		$response->url = http_filepath($file);
		break;
	case "edcPhoneNumbers":
		$dir = absolute_filepath("{$uri->site}cache/linkskool/");
		$file = "{$dir}EDCEnugu-{$year}-{$post->level}.json";
		if (!is_dir($dir)) mkdir($dir, 0777,  true);
		if (!file_exists($file)) {
			$res = [];
			$fields = array('url' => "https://digitaldreamstudios.net/edcenugu/linkexam/retrieve_numbers.php?level={$post->level}");
			$resp = curl_post($fields);
			//see($fields);
			if (gettype(json_decode($resp, true)) == 'array') {
				_writeFile($file, $resp);
				$response->message = "Successfully Created";
				$response->status = 1;
			} else {
				$response->message = "failed to create";
				echo json_encode($res);
				die();
			}
		} else {
			$response->status = 1;
		}
		$response->url = http_filepath($file);
		break;
	case "getLevels":
		// code...
		$variables = array_serialize($post);
		$response = json_decode(curl_post(['url' => "https://linkskool.com/newportal/api/getList.php?{$variables}"]), true);
		break;
	case "staffRecord":
		$data = $_POST['data'];
		$staff = (object)
		[
			"date_created" => $data[0],
			"first_name" => $data[1],
			"middle_name" => $data[2],
			"last_name" => $data[3],
			"date_of_birth" => $data[4],
			"email" => $data[5],
			"phone_number" => $data[6],
			"residential_address" => $data[7],
			"lga_residence" => $data[8],
			"gender" => $data[9],
			"permanent_address" => $data[10],
			"lga_of_origin" => $data[11],
			"state_of_origin" => $data[12],
			"country_of_origin" => $data[13],
			"guardian_full_name" => $data[14],
			"guardian_phone_number" => $data[15],
			"guardian_residential_address" => $data[16],
			"relationship_with_guardian" => $data[17],
			"date_of_appointment" => $data[18],
			"appointment_type" => $data[19],
			"department" => $data[20],
			"position" => $data[21],
			"office" => $data[22],
			"bank_name" => $data[23],
			"account_number" => $data[24],
			"salary_amount" => $data[25],
			"image" => $data[26],
		];
		$stf_col = "date_created, first_name, middle_name, last_name, date_of_birth, email, phone_number, residential_address
				,lga_residence, gender, permanent_address, lga_of_origin, state_of_origin, country_of_origin, guardian_full_name,
				guardian_phone_number, guardian_residential_address, relationship_with_guardian, date_of_appointment,
				appointment_type, department, position, office, bank_name, account_number, salary_amount, image ";
		$query = $db->prepare("INSERT INTO staff ($stf_col) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
		$query->bind_param(
			"sssssssssssssssssssssssssss",
			$staff->date_created,
			$staff->first_name,
			$staff->middle_name,
			$staff->last_name,
			$staff->date_of_birth,
			$staff->email,
			$staff->phone_number,
			$staff->residential_address,
			$staff->lga_residence,
			$staff->gender,
			$staff->permanent_address,
			$staff->lga_of_origin,
			$staff->state_of_origin,
			$staff->country_of_origin,
			$staff->guardian_full_name,
			$staff->guardian_phone_number,
			$staff->guardian_residential_address,
			$staff->relationship_with_guardian,
			$staff->date_of_appointment,
			$staff->appointment_type,
			$staff->department,
			$staff->position,
			$staff->office,
			$staff->bank_name,
			$staff->account_number,
			$staff->salary_amount,
			$staff->image
		);

		if ($query->execute() || die($db->error)) {
			echo "success added";
		};
		break;

	case 'youtube_channel_api':
		if (!isset($post->url) && !isset($post->id)) {
			exit("'url' and 'id' cannot both be empty");
		}
		if (!isset($post->id)) {
			if (($html = file_get_contents($post->url)) == false) {
				exit('Channel was not found');
			}
			preg_match('/<meta\s+property="og:url"\s+content=".*?channel\/([^"]+)">/m', $html, $match);
			assert(count($match) == 2);
			$channel_id = $match[1];
		} else {
			$channel_id = $post->id;
		}
		$page_token = isset($post->page_token) ? "&pageToken=$post->page_token" : '';
		$results_per_page = 10;
		$api_key = $generic::YOUTUBE_API_KEY;
		$v3Api = "https://www.googleapis.com/youtube/v3/search?part=snippet&channelId=$channel_id&maxResults=$results_per_page&order=date&key=$api_key" . $page_token;
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_HEADER, 0);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		/* Set the URL and options  */
		curl_setopt($ch, CURLOPT_URL, $v3Api);
		curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
		curl_setopt($ch, CURLOPT_VERBOSE, 0);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
		/* Grab the URL */
		$curlResource = curl_exec($ch);
		/* Close the resource */
		curl_close($ch);
		$channel_data = json_decode($curlResource);
		$videos = array();
		foreach ($channel_data->items as $item) {
			if ($item->id->kind === 'youtube#video') {
				$video_id  = $item->id->videoId;
				$title     = $item->snippet->title;
				$desc = $item->snippet->description;
				$thumbnail = $item->snippet->thumbnails->medium->url;
				$videos[] = [
					'videoId'   => $video_id,
					'title'     => $title,
					'thumbnail' => $thumbnail,
					'description' => $desc
				];
			}
		}
		$result = new stdClass;
		$result->prevPageToken = $channel_data->prevPageToken ?? null;
		$result->nextPageToken = $channel_data->nextPageToken ?? null;
		$result->videos = $videos;
		$result->channel_id = $channel_id;
		if (isset($post->url)) {
			$bookmark_id = $generic->getFromTable('bookmark', "url={$post->url}", 1, 1, '', false, 'id');
			if (count($bookmark_id) > 0) $result->bookmark_id = $bookmark_id[0]->id;
		}
		die(json_encode($result));

	case 'youtube_video_api':
		if (!isset($post->id)) {
			exit("Video 'id' is not set in post");
		}
		$api_key = $generic::YOUTUBE_API_KEY;
		$googleApi = "https://www.googleapis.com/youtube/v3/videos?id={$post->id}&key=$api_key&part=snippet,contentDetails";
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_HEADER, 0);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		/* Set the URL and options  */
		curl_setopt($ch, CURLOPT_URL, $googleApi);
		curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
		curl_setopt($ch, CURLOPT_VERBOSE, 0);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
		/* Grab the URL */
		$curlResource = curl_exec($ch);
		/* Close the resource */
		curl_close($ch);
		$video_data = json_decode($curlResource, true);
		if (is_array($video_data) && count($video_data) > 0 && $video_data['pageInfo']['resultsPerPage'] > 0) {
			$details = array(
				"status" => 1,
				'id' => $post->id,
				'title' => $video_data['items'][0]['snippet']['title'],
				'thumbnail' => $video_data['items'][0]['snippet']['thumbnails']['medium']['url'],
				'description' => $video_data['items'][0]['snippet']['title'],
				'publishedAt' => date_format(date_create($video_data['items'][0]['snippet']['publishedAt']), 'j F, Y')
			);
			if (isset($post->channel_ref)) {
				$channel_id = $video_data['items'][0]['snippet']['channelId'];
				$channel = json_decode(file_get_contents("https://www.googleapis.com/youtube/v3/channels?id=$channel_id&key=$api_key&part=snippet"), true);
				try {
					$details['channel_name'] = $channel['items'][0]['snippet']['title'];
					$details['channel_pic'] = $channel['items'][0]['snippet']['thumbnails']['default']['url'];
				} catch (Exception $err) {
				}
				$details['duration'] = $video_data['items'][0]['contentDetails']['duration'];
			}
		} else {
			$details = new stdClass;
			$details->status = 0;
		}

		if (isset($post->url)) {
			$bookmark_id = $generic->getFromTable('bookmark', "url={$post->url}", 1, 1, '', false, 'id');
			if (count($bookmark_id) > 0) $details['bookmark_id'] = $bookmark_id[0]->id;
		}
		die(json_encode($details));

	case 'channel_list':
		if (!isset($post->access_token)) {
			die("'access_token' is required");
		}
		$api_url = 'https://www.googleapis.com/youtube/v3/channels?part=snippet&mine=true';
		$options = [
			'http' => [
				'header' => "Authorization: Bearer {$post->access_token}\r\n",
				'method' => 'GET',
			],
		];
		$context = stream_context_create($options);
		$response = file_get_contents($api_url, false, $context);
		if ($response === false) {
			die('Error fetching channels');
		}
		$channels = json_decode($response, true);
		if (!isset($channels['items'])) {
			die('No channels found');
		}
		$access_channels = array();
		foreach ($channels['items'] as $channel) {
			$access_channels[$channel['id']] = $channel['snippet']['title'];
		}
		die(json_encode($access_channels));

	case 'youtube_upload':
		if (!isset($post->video_path) || !isset($post->metadata) || !isset($post->access_token)) {
			die("Both 'video_path' and 'metadata' are required");
		}
		$metadata = $post->metadata;
		$video_path = absolute_filepath($post->video_path);
		$api_key = $generic::YOUTUBE_API_KEY;
		$url = 'https://www.googleapis.com/upload/youtube/v3/videos?part=snippet,status&key=' . $api_key;
		$finfo = finfo_open(FILEINFO_MIME_TYPE);
		$mime = finfo_file($finfo, $video_path) or die('Could not read video mimetype');
		finfo_close($finfo);
		$boundary = 'boundary_' . time();
		$headers = [
			'Authorization: Bearer ' . $post->access_token,
			'Content-Type: multipart/related; boundary=' . $boundary,
		];
		$postData = "--$boundary\r\n";
		$postData .= "Content-Type: application/json; charset=UTF-8\r\n\r\n";
		$postData .= json_encode($metadata) . "\r\n";
		$postData .= "--$boundary\r\n";
		$postData .= "Content-Type: $mime\r\n\r\n";
		$postData .= file_get_contents($video_path) . "\r\n";
		$postData .= "--$boundary--\r\n";
		$ch = curl_init($url);
		curl_setopt($ch, CURLOPT_POST, true);
		curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $postData);
		$video_data = json_decode(curl_exec($ch), true);
		curl_close($ch);
		unlink($video_path);
		$response = array(
			"status" => 1,
			'id' => $video_data['id'],
			'title' => $video_data['snippet']['title'],
			'thumbnail' => $video_data['snippet']['thumbnails']['medium']['url'],
			'description' => $video_data['snippet']['title'],
			'publishedAt' => date_format(date_create($video_data['snippet']['publishedAt']), 'j F, Y'),
			'duration' => ''
		);
		$channel_id = $video_data['snippet']['channelId'];
		$channel = json_decode(file_get_contents("https://www.googleapis.com/youtube/v3/channels?id=$channel_id&key=$api_key&part=snippet"), true);
		try {
			$response['channel_name'] = $channel['items'][0]['snippet']['title'];
			$response['channel_pic'] = $channel['items'][0]['snippet']['thumbnails']['default']['url'];
		} catch (Exception $err) {
		}
		die(json_encode($response));

	case 'add_to_bookmark':
		$response = new stdClass;
		$response->status = 0;
		$user_id = $_SESSION['student_id'] ?? $_SESSION['admin_id'];
		if (!isset($post->url) || !isset($post->type)) {
			$response->message = "'url' or 'type' is missing from the fields";
			die(json_encode($response));
		}
		$url = $db->real_escape_string($post->url);
		$type = $db->real_escape_string($post->type);
		$sql = "INSERT INTO bookmark(type, url, user_id) VALUES ('$type', '$url', $user_id)";
		$db->query($sql) or die($db->error);
		$response->status = 1;
		$response->bookmark_id = $db->insert_id;
		$response->message = 'Successful';
		die(json_encode($response));

	case 'remove_from_bookmark':
		$response = new stdClass;
		$response->status = 0;
		if (!isset($post->id)) {
			$response->message = "'id' is missing from the fields";
			die(json_encode($response));
		}
		$sql = "DELETE FROM bookmark WHERE id={$post->id}";
		$sql = $db->query($sql) or die($db->error);
		$response->status = 1;
		$response->message = 'Deleted';
		die(json_encode($response));

	case 'get_bookmark_items':
		$user_id = $_SESSION['student_id'] ?? $_SESSION['admin_id'];
		$page_count = isset($post->page_count) && is_numeric($post->page_count) ? $post->page_count : 0;
		$bookmark = $generic->getFromTable('bookmark', "user_id=$user_id, user_id=null", 1, $page_count);
		die(json_encode($bookmark));

	case 'new_student':
		$response = new stdClass;
		$response->status = 0;
		if (!isset($post->email) || empty($post->email)) {
			$response->message = "'email' is missing or it's empty";
			die(json_encode($response));
		}
		$email = $db->real_escape_string($post->email);
		$user = $generic->getFromTable('users', "email=$email", 1, 1, '', false, 'id');
		if (count($user) > 0) {
			$response->message = "Email already exists. You can login with the email or use a different email";
			die(json_encode($response));
		}
		$response->status = 1;
		$response->message = 'Proceed';
		die(json_encode($response));

	case 'new_bootcamp_reg':
		$response = new stdClass;
		$response->status = 0;
		if (!isset($post->email) || !isset($post->course)) {
			$response->message = "Both 'email' and 'course' are required";
			die(json_encode($response));
		}
		$email = $db->real_escape_string($post->email);
		$course = $db->real_escape_string($post->course);
		$record = $generic->getFromTable('coding_bootcamp', "email=$email, course=$course", 1, 1, '', false, 'id, amount');
		if (count($record) > 0 && $record[0]->amount > 0) {
			$response->message = "Student with email has already registered for this course.";
			die(json_encode($response));
		}
		$cols = ['course', 'phone', 'email', 'track'];
		$build = [];
		foreach ($cols as $col) {
			$build[$col] = "'" . $db->real_escape_string($post->{$col}) . "'";
		}
		$build['student'] = "'" . $db->real_escape_string($post->first_name) . ' ' . $db->real_escape_string($post->last_name) . "'";
		$build['amount'] = 0;
		$build['payment_date'] = 'null';
		$cols = array_keys($build);
		$values = array_values($build);
		$build = join(', ', array_map(function ($col, $val) {
			return "$col=$val";
		}, $cols, $values));
		$cols = join(', ', $cols);
		$values = join(', ', $values);
		$sql = "INSERT INTO coding_bootcamp ($cols) VALUES ($values) ON DUPLICATE KEY UPDATE $build";
		$db->query($sql) or die($db->error);
		$prices = $generic->getFromTable('content', "type=coding_bootcamp", 1, 1, '', false, 'product as genius_price, label as marvel_price')[0];
		$response->genius_price = $prices->genius_price;
		$response->marvel_price = $prices->marvel_price;
		$response->status = 1;
		$response->message = 'Proceed';
		die(json_encode($response));

	case 'boot_camp_receipt':
		if (!isset($_SESSION['token']) or !isset($post->token) or $post->token != $_SESSION['token']) {
			http_response_code(403);
			exit;
		}
		if (!isset($post->email)) {
			die("'receipt_id' is required");
		}
		$payment = $generic->getFromTable('coding_bootcamp', "email={$post->email}", 1, 1, '', false, 'transaction_ref, student, course, payment_method, amount, completed, balance, payment_date, track')[0];
		$date = new DateTime($payment->payment_date);
		$payment->payment_date = $date->format('D jS F, Y') . " at " . $date->format('h:i a');
		unset($_SESSION['token']);
		call_user_func('print_receipt', $payment, true);
		exit;

	case 'process_bootcamp':
		$savedData = $_SESSION['post'];
		foreach (get_object_vars($savedData) as $key => $_) {
			$savedData->{$key} = $db->real_escape_string($savedData->{$key});
		}
		foreach (get_object_vars($post) as $key => $_) {
			$post->{$key} = $db->real_escape_string($post->{$key});
		}
		$reference = $post->reference;
		if (empty($reference)) {
			header("Location: javascript://history.go(-1)");
		}
		$api_keys	= $generic::$paystack;
		$api_key 	= $api_keys[$api_keys["DEFAULT"]];
		$curl = curl_init();
		curl_setopt_array($curl, array(
			CURLOPT_URL => "https://api.paystack.co/transaction/verify/" . rawurlencode($reference),
			CURLOPT_RETURNTRANSFER => true,
			CURLOPT_ENCODING => "",
			CURLOPT_MAXREDIRS => 10,
			CURLOPT_TIMEOUT => 30,
			CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
			CURLOPT_CUSTOMREQUEST => "GET",
			CURLOPT_HTTPHEADER => array(
				"Authorization: Bearer $api_key",
				"Cache-Control: no-cache",
			),
		));
		$response = curl_exec($curl);
		$err = curl_error($curl);
		curl_close($curl);
		if ($err) {
			die("An error occurred: $err");
		} else {
			$response = json_decode($response);
		}
		$student = $savedData->first_name . ' ' . $savedData->last_name;
		$trxref = $response->data->reference;
		$payment_mode = $response->data->channel;
		$amount = $response->data->amount / 100;
		unset($_SESSION['post']);
		if ($response->data->status == 'success' && $response->data->customer->email == $savedData->email) {
			$sql = "UPDATE coding_bootcamp SET student='$student', course='{$post->course}', phone='{$savedData->phone}', transaction_ref='$trxref', payment_method='$payment_mode', amount=$amount, track='{$savedData->track}', completed=TRUE, payment_date=NOW() WHERE email='{$savedData->email}'";
			$db->query($sql) or die($db->error);
			$token = $_SESSION['token'] = bin2hex(random_bytes(8));
			header("Location: {$uri->site}coding-bootcamp?token=$token&email=" . urlencode($savedData->email) . "&track={$savedData->track}");
		} else {
			echo ("Payment was not successful");
			echo "<p>Go <a href='history.go(-1)'>back</p>";
			exit;
		}
		break;

	case 'process_payment':
		$savedData = $_SESSION['post'];
		foreach (get_object_vars($savedData) as $key => $_) {
			$savedData->{$key} = $db->real_escape_string($savedData->{$key});
		}
		foreach (get_object_vars($post) as $key => $_) {
			$post->{$key} = $db->real_escape_string($post->{$key});
		}
		$reference = $post->reference;
		if (empty($reference)) {
			header("Location: javascript://history.go(-1)");
		}
		$api_keys	= $generic::$paystack;
		$api_key 	= $api_keys[$api_keys["DEFAULT"]];
		$curl = curl_init();
		curl_setopt_array($curl, array(
			CURLOPT_URL => "https://api.paystack.co/transaction/verify/" . rawurlencode($reference),
			CURLOPT_RETURNTRANSFER => true,
			CURLOPT_ENCODING => "",
			CURLOPT_MAXREDIRS => 10,
			CURLOPT_TIMEOUT => 30,
			CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
			CURLOPT_CUSTOMREQUEST => "GET",
			CURLOPT_HTTPHEADER => array(
				"Authorization: Bearer $api_key",
				"Cache-Control: no-cache",
			),
		));
		$response = curl_exec($curl);
		$err = curl_error($curl);
		curl_close($curl);
		if ($err) {
			die("An error occurred: $err");
		} else {
			$response = json_decode($response);
		}
		if ($response->data->status == 'success' && $response->data->customer->email == $savedData->email) {
			$first_timer = false;
			if (isset($post->new_user)) {
				$first_timer = true;
				$return_val = call_user_func('register_student', $savedData);
				$_SESSION['student_id'] = $return_val['user_id'];
				$_SESSION['first_name'] = $savedData->first_name;
				$_SESSION['last_name'] = $savedData->last_name;
				$_SESSION['full_name'] = $_SESSION['first_name'] . ' ' . $_SESSION['last_name'];
			} else {
				$return_val['enroll_type'] = $_SESSION['post']->price_cat == 'immersive' ? 'immersive' : 'executive';
				assert(isset($_SESSION['student_id']), "user should be logged in...");
				$return_val['user_id'] = $_SESSION['student_id'];
			}
			call_user_func_array('send_course_enroll_email', [$savedData, $first_timer]);
			unset($_SESSION['post']);
			$trxref = $response->data->reference;
			$payment_mode = $response->data->channel;
			$amount = $response->data->amount;
			$amount /= 100;
			$student = $_SESSION['full_name'];
			$invoice_ref = random(11);
			$trx_no = gen_trx_no();
			$sql = "INSERT INTO enrollments SET student_id={$return_val['user_id']}, course_id={$post->id}, enroll_type='{$return_val['enroll_type']}', invoice_ref='$invoice_ref';INSERT INTO invoice (student_id, student, course, ref, payment_type, completed, discount, amount_due, price) VALUES ({$return_val['user_id']}, '$student', '{$post->course}', '$invoice_ref', 'full', TRUE, 0.0, $amount, $amount);INSERT INTO payments (student_id, student, course, paystack_ref, payment_method, amount, invoice_ref, trx_no) VALUES ({$return_val['user_id']}, '$student', '{$post->course}', '$trxref', '$payment_mode', $amount, '$invoice_ref', '$trx_no');";
			if (!empty($savedData->referral_code)) {
				$savedData->referral_code = $db->real_escape_string($savedData->referral_code);
				$referral_owner = $generic->getFromTable('users', "referral_code={$savedData->referral_code}", 1, 1, '', false, 'id');
				if (count($referral_owner) > 0 && $referral_owner[0]->id != $return_val['user_id']) {
					$owner_id = $referral_owner[0]->id;
					$sql .= "UPDATE users SET wallet=wallet+2000 WHERE id=$owner_id";
				}
			}
			$db->multi_query($sql) or die($db->error);
			$set_psw = $first_timer ? '&first_timer=true' : '';
			header("Location: {$uri->site}portal?page=enrolled&action=reg$set_psw&id=" . encode_id($post->id));
		} else {
			echo ("Payment was not successful");
			echo "<p>Go <a href='history.go(-1)'>back</p>";
			exit;
		}
		break;

	case 'verify_reg':
		$response = new stdClass;
		$response->status = 0;
		if (!isset($_SESSION['student_id'])) {
			$response->message = "Student is not signed in";
			die(json_encode($response));
		} elseif (!isset($post->course_id)) {
			$response->message = "'course_id' is required";
			die(json_encode($response));
		}
		$user_id = $_SESSION['student_id'];
		$course_id = call_user_func('decode_id', $post->course_id);
		$branch = $generic->getFromTable('enrollments', "student_id=$user_id,	course_id=$course_id", 1, 1, '', false, 'branch')[0]->branch;
		$password =  $generic->getFromTable('users', "id=$user_id", 1, 1, '', false, 'password')[0]->password;
		if (empty($branch)) $response->nobranch = true;
		if (empty($password)) $response->nopassword = true;
		$response->status = 1;
		die(json_encode($response));

	case 'verify_event_reg':
		$response = new stdClass;
		$response->status = 0;
		if (!isset($post->email)) {
			$response->message = "'email' is required";
			die(json_encode($response));
		}
		$reg_user = $generic->getFromTable('event_reg', "email={$post->email}", 1, 1, '', false, 'first_name, last_name, email, attendee_id');
		if (count($reg_user) > 0) {
			if (isset($post->get_details)) {
				$reg_user = $reg_user[0];
				$reg_user->name = $reg_user->first_name . ' ' . $reg_user->last_name;
				$response->attendee = $reg_user;
				$response->status = 1;
			} else {
				$response->message = "Attendee already exists";
			}
		} else {
			if (isset($post->get_details)) $response->message = "Attendee was not found";
			else $response->status = 1;
		}
		die(json_encode($response));

	case 'verify_cert':
		if (!isset($post->cert_id)) {
			die("'cert_id' is a required fields");
		}
		$response = new stdClass;
		$response->status = 0;
		$user = $generic->getFromTable('enrollments', "certificate_id={$post->cert_id}", 1, 1, '', false, 'student_id, course_id');
		if (count($user) > 0) {
			$response->status = 1;
			$user = $user[0];
			$student = $generic->getFromTable('users', "id={$user->student_id}", 1, 1, '', false, "CONCAT(first_name, ' ', last_name)AS name")[0];
			$course = $generic->getFromTable('academy_courses', "id={$user->course_id}", 1, 1, '', false, 'name AS course, duration')[0];
			$response->student = array_merge((array) $student, (array) $course);
		}
		die(json_encode($response));

	case 'register_event':
		$response = new stdClass;
		$response->status = 0;
		if (!isset($post->event_id) || !isset($post->event_title) || !isset($post->first_name) || !isset($post->last_name) || !isset($post->email) || !isset($post->phone)) {
			$response->message = "'event_id', 'event_title', 'first_name', 'last_name', 'email', 'phone' are required";
			die(json_encode($response));
		}
		$cols = ['event_id', 'event_title', 'first_name', 'last_name', 'email', 'phone'];
		$build = [];
		foreach ($cols as $col) {
			$build[] = "$col='" . $db->real_escape_string($post->{$col}) . "'";
		}
		$build[] = "attendee_id='" . $db->real_escape_string(call_user_func('generateUUID')) . "'";
		$build = join(',', $build);
		$sql = "INSERT INTO event_reg SET $build";
		$db->query($sql) or die($db->error);
		$response->attendee = $generic->getFromTable('event_reg', "id={$db->insert_id}", 1, 1, '', false, 'first_name, last_name, email, attendee_id')[0];
		$response->attendee->name = $response->attendee->first_name . ' ' . $response->attendee->last_name;
		$response->status = 1;
		die(json_encode($response));

	case 'fetch_responses':
		$response = new stdClass;
		$response->status = 0;
		if (!isset($post->event_id) || !isset($post->get_count) || !isset($post->page) || !isset($post->page_size)) {
			$response->message = "'event_id', 'get_count', 'page', 'page_size' are required";
			die(json_encode($response));
		}
		if ($post->get_count == 'true') {
		}
		$list = $generic->getFromTable('event_reg', "event_id={$post->event_id}", $post->page, $post->page_size, '', false, "CONCAT(first_name, ' ', last_name) AS name, email, phone, attendee_id, reg_date");
		$response->status = 1;
		$response->responses = $list;
		die(json_encode($response));

	case 'set_fields':
		$response = new stdClass;
		$response->status = 0;
		if (!isset($_SESSION['student_id'])) {
			$response->message = "User is not logged in";
			die(json_encode($response));
		}
		$user_id = $_SESSION['student_id'];
		if (!isset($post->password) && (!isset($post->branch) || !isset($post->course_id))) {
			$response->message = "'password' or 'branch' (and 'course_id') should be set";
			die(json_encode($response));
		}
		if (!empty($post->password)) {
			$password = $db->real_escape_string($post->password);
			$sql = "UPDATE users SET password='$password' WHERE id=$user_id";
		} else {
			assert(!empty($post->branch) && !empty($post->course_id), "'password' or 'branch' (and 'course_id') should be set");
			$course_id = call_user_func('decode_id', $post->course_id);
			$sql = "UPDATE enrollments SET branch={$post->branch} WHERE student_id=$user_id AND course_id='$course_id'";
		}
		$db->query($sql) or die($db->error);
		$response->status = 1;
		die(json_encode($response));

	case 'scrape_url':
		if (!isset($post->url)) {
			die(json_encode("'url' is a required field"));
		}
		$result = new stdClass;
		$result->status = 0;
		$url = filter_var($post->url, FILTER_VALIDATE_URL);
		if (!$url) die(json_encode($result));
		$headers = @get_headers($url);
		$does_match = false;
		if (isset($post->type) && preg_match("/^(?:video|image)$/", $post->type) == 1) {
			foreach ($headers as $header) {
				if (strpos($header, 'Content-Type:') === 0) {
					if (@preg_match("/(?<=Content-Type:\s*){$post->type}\/.+/", $header) === 1) {
						$does_match = true;
						break;
					}
				}
			}
			if (!$does_match) {
				$result->no_match = true;
				die(json_encode($result));
			}
			$result->status = 1;
		}

		if ($headers && strpos($headers[0], '200')) {
			if (empty($post->check)) {
				$tags = get_meta_tags($url);
				$html = file_get_contents($url);
				$result->title = preg_match("/<title[^>]*>(.*?)<\/title>/is", $html, $match) ? $match[1] : '';
				foreach ($tags as $key => $value) {
					if (stripos($key, 'image') !== FALSE) {
						$result->thumbnail = $value;
					} elseif (stripos($key, 'description') !== FALSE) {
						$result->description = $value;
					}
				}
				if (empty($result->thumbnail)) {
					$relPattern = implode('|', array_map('preg_quote', ['shortcut icon', 'icon', 'apple-touch-icon']));
					$result->thumbnail = preg_match('/<link\s+.*?\brel=["\'](?:' . $relPattern . ')["\'].*?\bhref=(["\'])(.*?)\1/i', $html, $match) ? preg_replace('~(?<!:)/{2,3}~', '/', $url . '/' . $match[2]) : '';
				}
			}
			$result->status = 1;
		}
		die(json_encode($result));

	case 'google_drive':
		if (!isset($_SESSION['admin_id'])) {
			die("User does not have access.");
		} elseif (!isset($post->access_token)) {
			die("'token' is required");
		}
		$pageSize = 15;
		$page_token = isset($post->page_token) ? "&pageToken={$post->page_token}" : '';
		$endpoint = "https://www.googleapis.com/drive/v3/files?pageSize=$pageSize$page_token";
		$headers = [
			'Authorization: Bearer ' . $post->access_token,
			'Accept: application/json',
		];

		// Make HTTP GET request to list files
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $endpoint);
		curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		$response = curl_exec($ch);
		curl_close($ch);

		// Decode JSON response
		$data = json_decode($response, true);
		$result = new stdClass;
		$result->files = array();
		foreach ($data['files'] as $file) {
			if ($file['kind'] === 'drive#file') {
				$result->files[] = [
					'id'   => $file['id'],
					'mime'     => $file['mimeType'],
					'name' => $file['name']
				];
			}
		}
		if (!empty($page_token)) $result->prev_token = $page_token;
		if (isset($data['nextPageToken'])) $result->next_token = $data['nextPageToken'];
		usort($result->files, 'googleDriveSort');
		die(json_encode($result));

	case 'search_course':
		$search = empty($post->search) ? $post->search : '';
		$categories = isset($post->categories) && is_array($post->categories) ? $post->categories : [];
		$results_by_cat = array_group(APICourses(false, $categories, $search), "category");
		die(json_encode($results_by_cat));

	case 'search_job':
		$search = empty($post->search) ? $post->search : '';
		$categories = isset($post->categories) && is_array($post->categories) ? $post->categories : [];
		$filter = [];
		!empty($post->salary) ? $filter['salary'] = $post->salary : null;
		!empty($post->location) ? $filter['location'] = $post->location : null;
		!empty($post->work_type) ? $filter['work_type'] = $post->work_type : null;
		!empty($post->qualification) ? $filter['qualification'] = $post->qualification : null;
		$results_by_cat = array_group(jobListCache(false, $categories, $search, $filter), "category");
		die(json_encode($results_by_cat));

	case 'search_talents':
		$search = empty($post->search) ? $post->search : '';
		$categories = isset($post->categories) && is_array($post->categories) ? $post->categories : [];
		$filter = [];
		!empty($post->location) ? $filter['location'] = $post->location : null;
		!empty($post->status) ? $filter['status'] = $post->status : null;
		!empty($post->degree) ? $filter['degree'] = $post->degree : null;
		$talents = talentProfiles(categories: $categories, search: $search, filters: $filter);
		die(json_encode($talents));

	case 'search_programs':
		$search = empty($post->search) ? $post->search : '';
		$categories = isset($post->categories) && is_array($post->categories) ? $post->categories : [];
		$filter = [];
		!empty($post->location) ? $filter['location'] = $post->location : null;
		!empty($post->company) ? $filter['company'] = $post->company : null;
		$talents = array_group(contestListCache(categories: $categories, search: $search, filters: $filter), 'category');
		die(json_encode($talents));

	case 'account_info':
		if (!isset($_SESSION['student_id']) && !isset($_SESSION['admin_id'])) {
			die("User is not logged in");
		}
		$is_student = isset($_SESSION['student_id']);
		$user_id = $is_student ? $_SESSION['student_id'] : $_SESSION['admin_id'];
		$other_cols = $is_student ? ', address, other' : '';
		if (isset($post->settings)) {
			// 
		}
		$user = $generic->getFromTable('users', "id=$user_id", 1, 1, '', false, "id, first_name, last_name, email, phone, bio, Year(date) as reg_yr$other_cols")[0];
		$response = new stdClass;
		$response->user = $user;
		if ($is_student) {
			$tech_roles = $paramControl->load_sources('tech_roles');
			$tech_skills = $paramControl->load_sources('tech_skills');
			$states = $paramControl->load_sources('states');
			$countries = $paramControl->load_sources('countries');
			$job_status = $paramControl->load_sources('job_status');
			$degrees = $paramControl->load_sources('degrees');
			$disciplines = $paramControl->load_sources('disciplines');
			$employers = $paramControl->load_data_from_param('employers');
			$response->extras = [$employers, $tech_roles, $tech_skills, $states, $countries, $job_status, $degrees, $disciplines];
		}
		die((json_encode($response)));

	case 'edit_account':
		$response = new stdClass;
		$response->status = 0;
		if (!isset($_SESSION['student_id']) && !isset($_SESSION['admin_id'])) {
			$response->message = "User is not logged in";
			die(json_encode($response));
		}
		$user_id = isset($_SESSION['student_id']) ? $_SESSION['student_id'] : $_SESSION['admin_id'];
		if (isset($post->talent)) {
			$profile = $generic->getFromTable('users', "id=$user_id", 1, 1, '', false, 'other')[0]->other;
			$default = ['location' => '', 'workplace' => '', 'other' => '', 'title' => '', 'status' => '', 'open' => 1, 'skills' => [], 'education' => [], 'experience' => [], 'projects' => [], 'socials' => ['facebook' => '', 'x' => '', 'linkedIn' => '', 'github' => '']];
			$profile = json_decode($profile, true);
			if (json_last_error() !== JSON_ERROR_NONE || empty($profile)) {
				$profile = $default;
			}
			foreach ($profile as $key => $_) {
				if (isset($post->{$key})) {
					$profile[$key] = $post->{$key};
				}
			}
			$profile = json_encode($profile);
			$stmt = $db->prepare("UPDATE users SET other=? WHERE id=?");
			$stmt->bind_param("si", $profile, $user_id);
			$stmt->execute() or die($db->error);
			$stmt->close();
			$response->status = 1;
			die(json_encode($response));
		} else {
			if (!empty($_FILES['picture_ref'])) {
				$folder = absolute_filepath($uri->site) . 'assets/profile_pic';
				if (!file_exists($folder)) {
					mkdir($folder);
				}
				$ext = strtolower(pathinfo($_FILES["picture_ref"]["name"], PATHINFO_EXTENSION));
				$pic_path = $folder . '/' . 'img-' . $user_id . '.' . $ext;
				$img_info = getimagesize($_FILES["picture_ref"]["tmp_name"]);
				if ($img_info == FALSE || preg_match('/^image\/jpe?g|png$/i', $img_info['mime']) !== 1) {
					$response->message = "'picture_ref' must be jpg, jpeg or png image";
					die(json_encode($response));
				}
				if (move_uploaded_file($_FILES["picture_ref"]["tmp_name"], $pic_path)) {
					list($width, $height) = $img_info;
					if ($width > 200 || $height > 200) {
						$max_side = max($width, $height);
						$scaler = 200 / $max_side;
						$new_width = $width * $scaler;
						$new_height = $height * $scaler;
						$thumb = imagecreatetruecolor($new_width, $new_height);
						$source = $ext == 'png' ? imagecreatefrompng($pic_path) : imagecreatefromjpeg($pic_path);
						imagecopyresized($thumb, $source, 0, 0, 0, 0, $new_width, $new_height, $width, $height);
						$ext == 'png' ? imagepng($thumb, $pic_path) : imagejpeg($thumb, $pic_path);
						imagedestroy($thumb);
					}
				} else {
					$response->message = "Uploading picture was not successful";
					die(json_encode($response));
				}
				$pic_path = http_filepath($pic_path);
				$_SESSION['profile_pic'] = $pic_path;
				$response->picture_ref = $pic_path;
				$build = "picture_ref='" . $db->real_escape_string($pic_path) . "'";
			} else {
				if ((!isset($post->first_name) || !isset($post->last_name)) && !isset($post->email) && !isset($post->phone) && !isset($post->bio) && !isset($post->password) && !isset($post->gender) && !isset($post->address)) {
					$response->message = "post is empty";
					die(json_encode($response));
				} elseif (isset($password)) {
					if ($post->old_psw == $post->password) {
						$response->message = "New password is the same as old password";
						die(json_encode($response));
					}
					$password = $generic->getFromTable('users', "id={$post->user_id}", 1, 1, '', false, 'password')[0]->password;
					if (!is_null($password) && $post->old_psw !== $password) {
						$response->message = "Old password is incorrect";
						die(json_encode($response));
					}
				}
				$expected_cols = ['first_name', 'last_name', 'email', 'phone', 'bio', 'password', 'gender', 'address'];
				$build = [];
				foreach ($expected_cols as $col) {
					if (isset($post->{$col})) {
						$val = $post->{$col};
						if ($col == 'first_name' || $col == 'last_name') $val = ucfirst(trim($val));
						$build[] = "$col='" . $db->real_escape_string($val) . "'";
					}
				}
				$build = join(', ', $build);
			}
			$sql = "UPDATE users SET $build WHERE id=$user_id";
			$db->query($sql) or die($db->error);
			if (!empty($post->first_name) && !empty($post->last_name)) {
				$_SESSION['first_name'] = $post->first_name;
				$_SESSION['last_name'] = $post->last_name;
				$_SESSION['full_name'] = $post->first_name . ' ' . $post->last_name;
			}
			$response->message = "Successful";
			$response->status = 1;
			die(json_encode($response));
		}

	case 'print_receipt':
		if (!isset($post->trx_no) || !is_array($post->trx_no)) {
			die("'trx_no' is required");
		}
		$payments = array();
		foreach ($post->trx_no as $trx_no) {
			$payment = $generic->getFromTable('payments', "trx_no=$trx_no", 1, 1, '', false, 'student_id, trx_no, invoice_ref, student, course, amount, desk_officer, payment_date, details, phone')[0];
			$details = json_decode($payment->details, true);
			foreach ($details as $key => $value) {
				$payment->{$key} = $value;
			}
			$payments[] = $payment;
		}
		print_receipt2($payments);
		die;

	case 'rss_feed':
		if (!isset($post->url)) {
			die("'url' is required");
		}
		$url = filter_var($post->url, FILTER_VALIDATE_URL);
		if ($url === FALSE) {
			die("'url' is malformed");
		}
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $url);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
		curl_setopt($ch, CURLOPT_HTTPHEADER, [
			'Accept: application/rss+xml, application/xml'
		]);
		curl_setopt($ch, CURLOPT_USERAGENT, "Mozilla/5.0");
		$rss_feed = curl_exec($ch);
		if (curl_errno($ch)) {
			$rss_feed = 'cURL error: ' . curl_error($ch);
		}
		curl_close($ch);
		die($rss_feed);
		
	case 'google_calendar':
		$request_url = $uri->backend . 'process/custom?case=google_calendar';
		if (isset($post->date) && isset($post->title) && isset($post->duration)) {
			$date = DateTime::createFromFormat('jS F, Y', $post->date);
			if ($date === false) {
				header("HTTP/1.1 400 Bad Request");
				header("X-Error-Message: Invalid date.");
				exit;
			} else {
				$start_date = $date->format(DATE_ATOM);
				$date->add(new DateInterval("P{$post->duration}W"));
				$end_date = $date->format(DATE_ATOM);
			}
			$auth_cred = json_decode(file_get_contents(absolute_filepath($uri->site) . 'credentials.json'));
			if (!is_object($auth_cred)) {
				header("HTTP/1.1 500 Internal Server Error");
				header("X-Error-Message: Could not get the auth credentials.");
				exit;
			}
			$auth_cred = $auth_cred->web;
			$client_id = $auth_cred->client_id;
			$_SESSION['google_calendar'] = ['title' => $post->title, 'start_date' => $start_date, 'end_date' => $end_date];
			$auth_url = "https://accounts.google.com/o/oauth2/auth?client_id=" . $client_id . "&redirect_uri=" . rawurlencode($request_url) . "&scope=https://www.googleapis.com/auth/calendar.events&response_type=code";
			header("Location: $auth_url");
			exit;
		} elseif (isset($post->code)) {
			if (!isset($_SESSION['google_calendar'])) {
				header("HTTP/1.1 400 Bad Request");
				header("X-Error-Message: Session expired.");
				exit;
			}
			$client_secret = $auth_cred->client_secret;
			$token_url = 'https://oauth2.googleapis.com/token';
			$post_data = [
				'code' => $post->code,
				'client_id' => $client_id,
				'client_secret' => $client_secret,
				'redirect_uri' => $request_url,
				'grant_type' => 'authorization_code'
			];
			$ch = curl_init($token_url);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
			curl_setopt($ch, CURLOPT_POST, true);
			curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($post_data));
			$response = curl_exec($ch);
			curl_close($ch);
			$data = json_decode($response, true);
			$access_token = $data['access_token'];
			['title' => $title, 'start_date' => $start_date, 'end_date' => $end_date] = $_SESSION['google_calendar'];
			$event = [
				'summary' => $title,
				'location' => 'Awka, Abakaliki, Enugu, Nsukka, Onitsha, Umuahia',
				'description' => "Join Digital Dreams ICT Academy for an intensive, hands-on {$title}! Gain in-demand skills with expert training, real-world projects, and personalized mentorship. Perfect for beginners and professionals alike looking to advance their careers in tech. Don't miss this opportunity to unlock your potential!",
				'start' => [
					'dateTime' => $start_date,
					'timeZone' => 'Africa/Lagos'
				],
				'end' => [
					'dateTime' => $end_date,
					'timeZone' => 'Africa/Lagos'
				],
				'reminders' => [
					'useDefault' => true
				]
			];
			$calendar_url = 'https://www.googleapis.com/calendar/v3/calendars/primary/events';
			$ch = curl_init($calendar_url);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
			curl_setopt($ch, CURLOPT_HTTPHEADER, [
				'Authorization: Bearer ' . $access_token,
				'Content-Type: application/json'
			]);
			curl_setopt($ch, CURLOPT_POST, true);
			curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($event));

			$response = curl_exec($ch);
			curl_close($ch);
			$event_data = json_decode($response, true);
			if (isset($event_data['htmlLink'])) {
				$_SESSION['calendar_link'] = $event_data['htmlLink'];
			}
			unset($_SESSION['google_calendar']);
			die("<script>window.close()</script>");
		} else {
			if (isset($_SESSION['google_calendar'])) {
				unset($_SESSION['google_calendar']);
			}
			if (isset($_SESSION['calendar_link'])) {
				$calendar_link = $_SESSION['calendar_link'];
				unset($_SESSION['calendar_link']);
				die(json_encode(['status'=>1, 'calendar'=>$calendar_link]));
			}
			die(json_encode(['status'=>0]));
		}
		break;

	case 'test_print_cert':
		$cert = new stdClass;
		$cert->course = 'Android Development';
		$cert->student = 'Victor Anya';
		$cert->certificate_id = 'certid';
		$cert->grade = 'Distinction';
		$cert->date = '2024-05-15';
		print_certificate($cert);
		die;

	default:
		return (false);
}
