<?php
$user_id = isset($_SESSION["user_id"]) ? $_SESSION["user_id"] : 0;
$user_al = isset($_SESSION["accesslevel"]) ? $_SESSION["accesslevel"] : 1;
$actLog = $user_al >= 2 ? "" : ", user_id=$user_id";
$form_top = [
	[
		'position' => 'left',
		'section_title' => 'Post Image',
		'section_elements' => [
			[
				'column' => 'image',
				'description' => '',
				'required' => true,
				'type' => 'generic-slider',
				'class' => 'col s12 m12'
			],
		]
	],
	[
		'position' => 'right',
		'section_title' => 'Description',
		'section_elements' => [
			[
				'column' => 'title',
				'description' => 'Title',
				'required' => true,
				'type' => 'richtext-title',
				'class' => 'col s12 m12'
			],
			[
				'column' => 'body',
				'description' => '',
				'required' => true,
				'type' => 'richtext-body',
				'class' => 'col s12 m12'
			]
		]
	],
];
// see($_SESSION);
$richtext_editors = [
	'position' => 'center',
	'section_title' => '',
	'section_elements' => [
		[
			'column' => 'image',
			'description' => 'Article Image',
			'required' => true,
			'type' => 'generic-slider',
			'class' => 'col s12 m12'
		],
		[
			'column' => 'title',
			'description' => 'Title',
			'required' => true,
			'type' => 'richtext-title',
			'class' => 'col s12 m12'
		],
		[
			'column' => 'body',
			'description' => ' Body',
			'required' => true,
			'type' => 'richtext-body',
			'class' => 'col s12 m12'
		]
	]
];

$modal_section = [
	'position' => 'modal',
	'section_title' => 'Publish Settings',
	'section_elements' => [
		[
			'column' => 'status',
			'source' => 'publish',
			'type' => 'switch',
			'class' => 'col s12'
		],
		[
			'column' => 'industry',
			'description' => 'Tag Industry',
			'required' => true,
			'type' => 'select',
			'source' => 'industry',
			'class' => 'col s12 m6'
		],
		[
			'column' => 'business',
			'description' => 'Tag Business',
			'required' => true,
			'type' => 'select',
			'source' => 'business',
			'class' => 'col s12 m6'
		],
		[
			'column' => 'product',
			'description' => 'Tag a Product',
			'required' => true,
			'type' => 'select',
			'source' => 'product',
			'class' => 'col s12 m6'
		],
		[
			'column' => 'return_values',
			'type' => 'hidden',
			'value' => '1',
			'class' => 'hide'
		]
	]
];

$modal_section2 = [
	'position' => 'modal',
	'section_title' => 'Publish Settings',
	'section_elements' => [
		[
			'column' => 'parent',
			'description' => 'Add to a Page',
			'required' => true,
			'type' => 'select',
			'source' => 'page',
			'class' => 'col s12 m6'
		],
		[
			'column' => 'label',
			'description' => 'Add to Label',
			'type' => 'select',
			'source' => 'label',
			'class' => 'col s12 m6'
		],
		[
			'column' => 'return_values',
			'type' => 'hidden',
			'value' => '1',
			'class' => 'hide'
		]
	]
];
$param = [
	"admin_signin" => [ //Signin Parameters
		"table" 			=> "users",
		"primary_key"	=> "id",
		"username_col" => "username",
		"password_col" => "password",
		"name_col"  	=> "first_name",
		"email_col" 	=> "email",
		"image_col"		=> "picture_ref",
		"interface"		=> "signin1",
		"status_col"	=> "status",
		"status_val"	=> 1,
		"callback" 		=> "signin_log",
	],

	"organization" 	=> [ //The current organization using the code
		"table"				=> "company_info",
		"primary_key"	=> "id",
		"key"	=> 1,
		"page_title"	=> "Settings",
		"post_submit_function" => "companyCache",
		"form" => [
			"sections" => [
				[
					"position" => "left",
					"section_title" => "Basic Company Info",
					"section_elements" => [
						[
							"column" => "name",
							"description" => "Business Name",
							"required" => true,
							"type" => "text",
							"class" => "col s12 m12"
						],
						[
							"column" => "email",
							"description" => "Email Address",
							"required" => true,
							"type" => "text",
							"class" => "col s12 m12"
						],
						[
							"column" => "website",
							"description" => "Website",
							"required" => false,
							"type" => "url",
							"class" => "col s12 m12"
						],
						[
							"column" => "address",
							"description" => "Address",
							"required" => false,
							"type" => "text",
							"class" => "col s12 m12"
						],
						[
							"column" => "phone",
							"description" => "Phone",
							"type" => "text",
							"required" => true,
							"class" => "col s12 m12",

						]
					]
				],
				[
					"position" => "right",
					"section_title" => "Company Logo",
					"section_elements" => [
						[
							"column" => "logo_ref",
							"description" => "Logo",
							"required" => true,
							"type" => "items",
							"value" => 2,
							"class" => "col s12 m12"
						]
					]
				],
				[
					'position' => 'right',
					'section_title' => 'Branch Offices',
					'section_elements' => [
						[
							'column' => 'branches',
							'description' => '',
							'type' => 'description',
							'class' => 'col s12 m12 hidename'
						]
					]
				]
			]
		]
	], //new page

	"role" => [
		"table" => "roles",
		"primary_key" => "roleid",
		"page_title" => "Roles",
		"display_fields" => [
			[
				"column" => "rolename",
				"description" => "Role Name",
				"component" => "span"
			]
		],
		"form" => [
			"sections" => [
				[
					"position" => "center",
					"section_title" => "Role Info",
					"section_elements" => [
						[
							"column" => "rolename",
							"description" => "Role Name",
							"type" => "text",
							"required" => true,
							"class" => "col s12 m12"
						],
						[
							"column" => "roledesc",
							"description" => "Role Name",
							"required" => true,
							"type" => "roles",
							"class" => "col s12 m12"
						]
					]
				]
			]
		]
	],

	"log" => [
		"table" => "activitylog",
		"primary_key" => "id",
		"page_title" => "log",
		"listFAB" => ["refresh"],
		"retrieve_filter" => "type='admin' $actLog",
		"sort" => "id DESC",
		"display_fields" => [
			[
				"column" => "action",
				"description" => "Action",
				"component" => "span"
			],
			[
				"column" => "description",
				"description" => "Description",
				"component" => "span"
			],
			[
				"column" => "date",
				"description" => "Time",
				"component" => "span",
				"action" => "datetime"
			]
		],
		"form" => [
			"form_view" => "modal",
			"form_submit" => false,
			"sections" => [
				[
					"position" => "center",
					"section_title" => "Log Details",
					"section_elements" => [
						[
							"column" => "description",
							"description" => "Description",
							"type" => "textarea",
							"readonly" => true,
							"class" => "col s12"
						]
					]
				]
			]
		]
	],

	"subscribers" => [
		"table" => "subscribers",
		"primary_key" => "id",
		"page_title" => "Subscribers",
		"listFAB" => ["delete"],
		"display_fields" => [
			[
				"column" => "email",
				"description" => "Email",
				"component" => "span"
			]
		],
		"form" => [
			"form_view" => "modal",
			"sections" => [
				[
					"position" => "center",
					"section_title" => "Subscriber Info",
					"section_elements" => [
						[
							"column" => "name",
							"description" => "Subscriber Name",
							"type" => "text",
							"required" => true,
							"class" => "col s12 m12"
						],
						[
							"column" => "email",
							"description" => "Email",
							"type" => "email",
							"required" => true,
							"class" => "col s12 m12"
						]
					]
				]
			]
		]
	],

	"users" => [
		"table" => "users",
		"primary_key" => "id",
		"page_title" => "Users",
		"fixed_values" => "status=1",
		"retrieve_filter" => "status=1, type=1",
		"display_fields" => [
			[
				"column" => "first_name",
				"description" => "First Name",
				"component" => "span"
			],
			[
				"column" => "last_name",
				"description" => "Last Name",
				"component" => "span"
			],
			[
				"column" => "gender",
				"source" => "gender",
				"action" => "select",
				"description" => "Gender",
				"component" => "span"
			]
		],
		"form" => [
			"sections" => [
				[
					"position" => "left",
					"section_title" => "User Info",
					"section_elements" => [
						[
							"column" => "first_name",
							"description" => "First Name",
							"required" => true,
							"type" => "text",
							"class" => "col s12 m6"
						],
						[
							"column" => "last_name",
							"description" => "Last Name",
							"required" => true,
							"type" => "text",
							"class" => "col s12 m6"
						],
						[
							"column" => "gender",
							"description" => "Gender",
							"required" => true,
							"type" => "select",
							"source" => "gender",
							"class" => "col s12 m6"
						],
						[
							"column" => "dob",
							"description" => "Date of Birth",
							"required" => true,
							"type" => "date",
							"class" => "col s12 m6"
						]
					]
				],
				[
					"position" => "left",
					"section_title" => "Contact Info",
					"section_elements" => [
						[
							"column" => "phone",
							"description" => "Phone Number",
							"class" => "col s12 m12",
							"type" => "text"
						],
						[
							"column" => "email",
							"description" => "Email",
							"class" => "col s12 m12",
							"type" => "text",
							"required" => true,
						],
						[
							"column" => "address",
							"description" => "Residential Address",
							"class" => "col s12 m12",
							"type" => "text"
						]
					]
				],
				[
					"position" => "right",
					"section_title" => "Admin Picture",
					"section_elements" => [
						[
							"column" => "picture_ref",
							"description" => "Logo",
							"type" => "picture",
							"class" => "col s12 m12"
						]
					]
				],
				[
					"position" => "right",
					"section_title" => "Security Settings",
					"section_elements" => [
						[
							"column" => "type",
							"description" => "Category",
							"class" => "col s12 m4",
							"type" => "select",
							"required" => true,
							"source" => "user-category",
							"value" => "****************",
						],
						[
							"column" => "roleid",
							"description" => "Role",
							"type" => "select",
							"required" => true,
							"class" => "col s12 m4",
							"source" => "role",
						],
						[
							"column" => "accesslevel",
							"description" => "Access Level",
							"type" => "select",
							"required" => true,
							"class" => "col s12 m4",
							"source" => "accessLevel",
						],
						[
							"column" => "username",
							"description" => "Username",
							"class" => "col s12 m6",
							"type" => "text",
							"required" => true
						],
						[
							"column" => "password",
							"description" => "Password",
							"type" => "password",
							"required" => true,
							"class" => "col s12 m6"
						],
					]
				],

			]
		]
	],

	"allUsers" => [
		"table" => "users",
		"primary_key" => "id",
		"display_fields" => [
			[
				"column" => "first_name",
				"description" => "First Name",
				"component" => "span"
			],
			[
				"column" => "last_name",
				"description" => "Last Name",
				"component" => "span"
			],
			[
				"column" => "gender",
				"source" => "gender",
				"action" => "select",
				"description" => "Gender",
				"component" => "span"
			]
		],
	],

	"slider" => [
		"table" => "company_info",
		"primary_key" => "id",
		"key" => "1",
		"page_title" => "Home Page Slider",
		"form" => [
			"sections" => [
				[
					"position" => "center",
					"section_title" => "Home Page Slider",
					"section_elements" => [
						[
							"column" => "slider",
							"description" => "Home Page Slider",
							"required" => true,
							"type" => "generic-slider",
							"class" => "col s12 m12"
						]
					]
				]
			]
		]
	],

	'page' => [
		'table' => 'content',
		'primary_key' => 'id',
		'page_title' => 'Pages',
		'pre_submit_function' => 'urlSlug',
		'post_submit_function' => 'validpagesCache',
		'fixed_values' => "type='page',date_uploaded=now(),no_of_views='0', user_id='$user_id'",
		'extra_values' => "last_updated=now()",
		'retrieve_filter' => "type='page'",
		'sort' => "label DESC",
		'display_fields' => [
			[
				'column' => 'title',
				'description' => 'Pages',
				'component' => 'span',
			],
			[
				"column" => "label",
				"description" => "Ordering",
				"component" => "span"
			]
		],

		'form' => [
			'sections' => [
				$richtext_editors,
				[
					'position' => 'modal',
					'section_title' => 'Page Ordering',
					'section_elements' => [
						[
							'column' => 'label',
							'description' => 'Numeric values only from 1',
							'required' => true,
							'type' => 'number',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'status',
							'description' => 'Status',
							'type' => 'switch',
							'source' => 'status',
							'class' => 'col s12 m4'
						],
						[
							'column' => 'return_values',
							'required' => true,
							'type' => 'hidden',
							'value' => '1',
							'class' => 'hide'
						]
					]
				]
			]
		]
	],

	'staff' => [
		'table' => 'staff',
		'primary_key' => 'id',
		'page_title' => 'Staff Record',
		'display_fields' => [
			[
				'column' => 'first_name',
				'description' => 'First Name',
				'component' => 'span'
			],
			[
				'column' => 'last_name',
				'description' => 'Last Name',
				'component' => 'span'
			],
			[
				'column' => 'permanent_address',
				'description' => 'Address',
				'component' => 'span'
			]

		],
		'category' => [
			[
				'type' => 'select',
				'name' => 'Staff',
			],
			[
				'type' => 'select',
				'name' => 'By Date employed',
				'column' => 'date_created',
				'sort' => 'date_created ASC',
				'source' => 'staff'
			],
			[
				'type' => 'period',
				'name' => 'By Date',
				'column' => 'date_created',
			]
		],
		'form' => [
			'sections' => [
				[
					'position' => 'left',
					'section_title' => 'Staff Info',
					'section_elements' => [
						[
							'column' => 'first_name',
							'description' => 'First Name',
							'required' => true,
							'type' => 'text',
							'class' => 'col s12 m4'
						],
						[
							'column' => 'middle_name',
							'description' => 'Middle Name',
							'type' => 'text',
							'class' => 'col s12 m4'
						],
						[
							'column' => 'last_name',
							'description' => 'Last Name',
							'type' => 'text',
							'class' => 'col s12 m4'
						],
						[
							'column' => 'date_of_birth',
							'description' => 'Date of Birth',
							'type' => 'date',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'gender',
							'description' => 'Gender',
							'type' => 'select',
							'source' => 'gender',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'email',
							'description' => 'Email',
							'type' => 'text',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'phone_number',
							'description' => 'Phone Number',
							'type' => 'text',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'residential_address',
							'description' => 'Residential Address',
							'class' => 'col s12 m6',
							'type' => 'text'
						],
						[
							'column' => 'permanent_address',
							'description' => 'Permanent Address',
							'type' => 'text',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'lga_of_origin',
							'description' => 'LGA of Origin',
							'type' => 'text',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'lga_residence',
							'description' => 'LGA of Residence',
							'type' => 'text',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'state_of_origin',
							'description' => 'State of Origin',
							'type' => 'text',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'country_of_origin',
							'description' => 'Country of Origin',
							'type' => 'text',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'guardian_full_name',
							'description' => 'Guardian Full Name',
							'type' => 'text',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'guardian_phone_number',
							'description' => 'Guardian Phone Number',
							'type' => 'text',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'guardian_residential_address',
							'description' => 'Guardian Residential Address',
							'type' => 'input',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'relationship_with_guardian',
							'description' => 'Relationship With Guardian',
							'type' => 'text',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'date_of_appointment',
							'description' => 'Date of Appointment',
							'type' => 'date',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'appointment_type',
							'description' => 'Appointment Type',
							'type' => 'text',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'department',
							'description' => 'Department',
							'type' => 'text',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'position',
							'description' => 'Position',
							'type' => 'text',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'office',
							'description' => 'Office',
							'class' => 'col s12 m6',
							'type' => 'text'
						],
						[
							'column' => 'bank_name',
							'description' => 'Bank Name',
							'type' => 'text',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'account_number',
							'description' => 'Account Number',
							'type' => 'text',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'salary_amount',
							'description' => 'Salary Amount',
							'type' => 'number',
							'class' => 'col s12 m6'
						]
					]
				],
				[
					'position' => 'right',
					'section_title' => 'Staff Photo',
					'section_elements' => [
						[
							'column' => 'image',
							'description' => 'Staff Photo',
							'class' => 'col s12 m12',
							'type' => 'picture'
						]
					]
				],
			]
		]
	],

	'websites' => [
		'table' => 'our_websites',
		'primary_key' => 'id',
		'page_title' => 'Websites We Built',
		'display_fields' => [
			[
				'column' => 'domain',
				'description' => 'Domain',
				'component' => 'span'
			],
			[
				'column' => 'company',
				'description' => 'Company',
				'component' => 'span'
			],
			[
				'column' => 'location',
				'description' => 'Location',
				'component' => 'span'
			],
			[
				'column' => 'Creator',
				'description' => 'Creator',
				'component' => 'span'
			]

		],
		'form' => [
			"form_view" => "modal",
			'sections' => [
				[
					'position' => 'center',
					'section_title' => 'Add A Website',
					'section_elements' => [
						[
							'column' => 'domain',
							'description' => 'Website URL',
							'required' => true,
							'type' => 'url',
							'class' => 'col s12 m12'
						],
						[
							'column' => 'company',
							'description' => 'Company',
							// 'required'=>true,
							'type' => 'text',
							'class' => 'col s12 m12'
						],
						[
							'column' => 'location',
							'description' => 'Company Address',
							'class' => 'col s12 m12',
							'type' => 'textarea'
						],
						[
							'column' => 'creator',
							'description' => 'Creator',
							'class' => 'col s12 m12',
							'type' => 'text'
						],
						[
							'column' => 'date_created',
							'description' => 'Date Created',
							'class' => 'col s12 m12',
							'type' => 'date'
						]
					]
				]
			]
		]
	],

	'industry' => [ //industry page
		'table' => 'content',
		'primary_key' => 'id',
		'page_title' => 'Industries',
		'retrieve_filter' => "type='industry'",
		'fixed_values' => "type='industry',date_uploaded=now(),no_of_views='0', user_id='$user_id'",
		'extra_values' => "last_updated=now()",
		'post_submit_function' => "runCache",
		'pre_submit_function' => "urlSlug",
		'related' => "(type='article' OR type='news' OR type='caseStudy' OR type='career')",
		"view" => 'read_three',
		'display_fields' => [
			[
				'column' => 'title',
				'description' => 'Industries',
				'component' => 'span',
			]
		],
		'form' => [
			'sections' => [
				$richtext_editors,
				$modal_section2
			]
		]
	],

	'business' => [
		'table' => 'content',
		'primary_key' => 'id',
		'page_title' => 'Businesses',
		'fixed_values' => "type='business',date_uploaded=now(),no_of_views='0', user_id='$user_id'",
		'extra_values' => "last_updated=now()",
		'retrieve_filter' => "type='business'",
		'post_submit_function' => "runCache",
		'pre_submit_function' => "urlSlug",
		'related' => "(type='article' OR type='news' OR type='caseStudy' OR type='career')",
		"view" => "read_three",
		'display_fields' => [
			[
				'column' => 'title',
				'description' => 'Businesses',
				'component' => 'span',
			]
		],
		'form' => [
			'sections' => [
				$richtext_editors,
				$modal_section2
			]
		]
	],

	'category' => [
		'table' => 'content',
		'primary_key' => 'id',
		'page_title' => 'Categories',
		// "post_submit_function" => "validpagesCache",
		'fixed_values' => "type='category',date_uploaded=now(),no_of_views='0', user_id='$user_id'",
		'extra_values' => "last_updated=now(), status=1",
		'retrieve_filter' => "type='category'",
		'post_submit_function' => "runCache",
		'pre_submit_function' => "urlSlug",
		'view' => "list_one",
		'display_fields' => [
			[
				'column' => 'title',
				'description' => 'Insight Categories',
				'component' => 'span',
			]
		],
		'form' => [
			'sections' => [
				$richtext_editors,
				$modal_section2
			]
		]
	],

	'article' => [
		'table' => 'content',
		'primary_key' => 'id',
		'page_title' => 'Article',
		'fixed_values' => "type='article',date_uploaded=now(),no_of_views='0', user_id='$user_id'",
		'extra_values' => "last_updated=now()",
		'retrieve_filter' => "type='article'",
		'post_submit_function' => "runCache",
		'pre_submit_function' => "urlSlug",
		"related" => true,
		"view" => "read_one",
		'display_fields' => [
			[
				'column' => 'title',
				'description' => 'Article',
				'component' => 'span',
			],
			[
				'column' => 'status',
				'description' => 'Published ?',
				'component' => 'span',
				'action' => 'select',
				'source' => 'bool',
			],
			[
				'column' => 'category',
				'description' => 'Insight',
				'component' => 'span',
				'action' => 'select',
				'source' => 'category',
			]
		],
		'category' => [
			[
				'column' => '',
				'name' => 'All Articles',
				'type' => 'select',
			],
			[
				'column' => 'status',
				'type' => 'select',
				'name' => 'Drafts',
				'value' => '0'
			],
			[
				'column' => 'status',
				'type' => 'select',
				'name' => 'Published',
				'value' => '1'
			],
			[
				'column' => 'category',
				'type' => 'select',
				'name' => 'By Category',
				'source' => 'category'
			],
			[
				"column" => "date_uploaded",
				"name" => "Filter by Date",
				"type" => "period"
			]
		],
		'form' => [
			'sections' => [
				$richtext_editors,
				[
					'position' => 'modal',
					'section_title' => 'Publish Settings',
					'section_elements' => [
						[
							'column' => 'status',
							'source' => 'publish',
							'type' => 'switch',
							'class' => 'col s12 m12'
						],
						[
							'column' => 'category',
							'description' => 'Tag Insight Category',
							'required' => true,
							'type' => 'select',
							'empty' => false,
							'source' => 'category',
							'class' => 'col s12 m6',
							'onChange' => []
						],
						[
							'column' => 'industry',
							'description' => 'Tag Industry',
							//'required'=>true,
							'type' => 'select',
							'source' => 'industry',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'business',
							'description' => 'Tag Business',
							//'required'=>true,
							'type' => 'select',
							'source' => 'business',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'product',
							'description' => 'Tag a Product',
							'type' => 'select',
							'source' => 'product',
							'class' => 'col s12 m3'
						],
						[
							'column' => 'author',
							'description' => 'Tag an author',
							'type' => 'select',
							'source' => 'users',
							'class' => 'col s12 m3'
						],
						[
							'column' => 'return_values',
							'type' => 'hidden',
							'value' => '1',
							'class' => 'hide'
						]
					]
				]
			]
		]
	],

	'news' => [
		'table' => 'content',
		'primary_key' => 'id',
		'page_title' => 'News',
		'fixed_values' => "type='news',date_uploaded=now(),no_of_views='0', user_id='$user_id'",
		'extra_values' => "last_updated=now()",
		'retrieve_filter' => "type='news'",
		'post_submit_function' => "runCache",
		'pre_submit_function' => "urlSlug",
		"related" => true,
		"view" => "read_one",
		'display_fields' => [
			[
				'column' => 'title',
				'description' => 'News',
				'component' => 'span',
			],
			[
				'column' => 'status',
				'description' => 'Published ?',
				'component' => 'span',
				'action' => 'select',
				'source' => 'bool',
			]
		],
		'category' => [
			[
				'column' => '',
				'name' => 'All Articles',
				'type' => 'select',
			],
			[
				'column' => 'status',
				'type' => 'select',
				'name' => 'Drafts',
				'value' => '0'
			],
			[
				'column' => 'status',
				'type' => 'select',
				'name' => 'Published',
				'value' => '1'
			],
			[
				"column" => "date_uploaded",
				"name" => "Filter by Date",
				"type" => "period"
			]
		],

		'form' => [
			'sections' => [
				$richtext_editors,
				$modal_section
			]
		]
	],

	'caseStudy' => [
		'table' => 'content',
		'primary_key' => 'id',
		'page_title' => 'Case Study',
		'fixed_values' => "type='caseStudy',date_uploaded=now(),no_of_views='0', user_id='$user_id'",
		'extra_values' => "last_updated=now()",
		'retrieve_filter' => "type=caseStudy",
		'post_submit_function' => "runCache",
		'pre_submit_function' => "urlSlug",
		"related" => true,
		'display_fields' => [
			[
				'column' => 'title',
				'description' => 'Case Study',
				'component' => 'span',
			],
			[
				'column' => 'status',
				'description' => 'Published ?',
				'component' => 'span',
				'action' => 's',
				'source' => 'bool',
			]
		],
		'category' => [
			[
				'column' => '',
				'name' => 'All Articles',
				'type' => 'select',
			],
			[
				'column' => 'status',
				'type' => 'select',
				'name' => 'Drafts',
				'value' => '0'
			],
			[
				'column' => 'status',
				'type' => 'select',
				'name' => 'Published',
				'value' => '1'
			],
			[
				"column" => "date_uploaded",
				"name" => "Filter by Date",
				"type" => "period"
			]
		],
		'form' => [
			'sections' => [
				$richtext_editors,
				$modal_section
			]
		]
	],

	'subPage' => [
		'table' => 'content',
		'primary_key' => 'id',
		'page_title' => 'Sub Pages',
		"pre_submit_function" => "urlSlug",
		"post_submit_function" => "runCache",
		'fixed_values' => "type=subPage,date_uploaded=now(),no_of_views='0',user_id='$user_id',status=1",
		'extra_values' => "last_updated=now()",
		'retrieve_filter' => "type=subPage",
		'sort' => "title ASC",
		'display_fields' => [
			[
				'column' => 'title',
				'description' => 'Sub Pages',
				'component' => 'span',
			]
		],
		'form' => [
			'sections' => [
				$richtext_editors,
				[
					'position' => 'modal',
					'section_title' => 'Publish Settings',
					'section_elements' => [
						[
							'column' => 'parent',
							'description' => 'Add to a Page',
							'required' => true,
							'type' => 'select',
							'source' => 'page',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'label',
							'description' => 'Add to Label',
							'type' => 'select',
							'empty' => true,
							'source' => 'label',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'url',
							'description' => 'Override a url',
							'type' => 'text',
							'class' => 'col s12 m12'
						],
						[
							'column' => 'return_values',
							'value' => '1',
							'type' => 'hidden',
							'class' => 'hide'
						]
					]
				]
			]
		]
	],

	'label' => [
		'table' => 'content',
		'primary_key' => 'id',
		'page_title' => 'Group Label',
		'pre_submit_function' => 'urlSlug',
		'fixed_values' => "type='label',date_uploaded=now(),no_of_views='0', user_id='$user_id'",
		'extra_values' => "last_updated=now()",
		'retrieve_filter' => "type='label'",
		'display_fields' => [
			[
				'column' => 'title',
				'description' => 'Label',
				'component' => 'span',
			]
		],
		'form' => [
			"form_view" => "modal",
			'sections' => [
				[
					'position' => 'center',
					'section_title' => 'Add / Edit Label',
					'section_elements' => [
						[
							'column' => 'title',
							'description' => 'Label Name',
							'required' => true,
							'type' => 'text',
							'class' => 'col s12 m12'
						]
					]
				]
			]
		]
	],

	'linkschool' => [
		"primary_key" => 0,
		"key" => 0,
		"page_title" => "LinkSchool Contacts",
		"process_url" => "{$uri->backend}process/custom?case=phone_number",
		'form' => [
			"callback" => "downloadfile",
			'sections' => [
				[
					'position' => 'center',
					'section_title' => 'Linkschool Fields',
					'section_elements' => [
						[
							'column' => '_db',
							'source' => "linkskool",
							'type' => 'select',
							"event" => [
								"type" => "onChange",
								'target' => 'level',
								'function' => 'getlinksch_class(this)',
								'source' => "",
							],
							'class' => 'col s6'
						],
						[
							'column' => 'level',
							'type' => 'select',
							'class' => 'col s6'
						]
					]
				]
			]
		]
	],

	'product' => [
		'table' => 'content',
		'primary_key' => 'id',
		'page_title' => 'Products',
		'fixed_values' => "type='product',date_uploaded=now(),no_of_views='0', user_id='$user_id'",
		'post_submit_function' => "runCache",
		'pre_submit_function' => "urlSlug",
		'extra_values' => "last_updated=now()",
		'retrieve_filter' => "type='product'",
		'related' => "(type='article' OR type='news' OR type='caseStudy' OR type='career')",
		"view" => 'read_two',
		'display_fields' => [
			[
				'column' => 'title',
				'description' => 'Products',
				'component' => 'span',
			]
		],
		'form' => [
			'sections' => [
				[
					'position' => 'center page_1',
					'section_title' => '',
					'section_elements' => [
						[
							'column' => 'image',
							'description' => 'Article Image',
							'required' => true,
							'type' => 'generic-slider',
							'class' => 'col s12 m12'
						],
						[
							'column' => 'title',
							'description' => 'Title',
							'required' => true,
							'type' => 'richtext-title',
							'class' => 'col s12 m12'
						],
						[
							'column' => 'body',
							'description' => ' Body',
							'required' => true,
							'type' => 'richtext-body',
							'class' => 'col s12 m12'
						]
					]
				],
				[
					'position' => 'left page_2',
					'section_title' => '',
					'section_elements' => [
						[
							'column' => 'product_desc',
							'description' => '',
							'required' => true,
							'type' => 'description',
							'class' => 'col s12 m12'
						]
					]
				],
				[
					'position' => 'right page_2',
					'section_title' => 'Publish Settings',
					'section_elements' => [
						[
							'column' => 'status',
							'source' => 'publish',
							'type' => 'switch',
							'class' => 'col s12'
						],
						[
							'column' => 'parent',
							'description' => 'Add to a Page',
							'required' => true,
							'type' => 'select',
							'source' => 'page',
							'class' => 'col s12 m12'
						],
						[
							'column' => 'label',
							'description' => 'Add to Label',
							// 'required'=>true,
							'type' => 'select',
							'source' => 'label',
							'class' => 'col s12 m12'
						],
						[
							'column' => 'return_values',
							'type' => 'hidden',
							'value' => 1,
							'class' => 'col s12 m12 hide'
						]
					]
				]
			]
		]
	],

	'about' => [
		'view' => "about"
	],

	'insights' => [
		'table' => 'content',
		'primary_key' => 'id',
		'retrieve_filter' => "type=article",
		"view" => "all-articles"
	],

	'training' => [
		"view" => "training"
	],

	'ict-academy' => [
		"view" => "training"
	],

	'coding-bootcamp' => [
		"view" => "coding_bootcamp"
	],
	'tech-bootcamps' => [
		"view" => "tech_bootcamps"
	],

	'verify-certificate' => [
		"view" => "verify_cert"
	],

	'verify-receipt' => [
		"view" => "verify_receipt"
	],

	'courses' => [
		"view" => "course_filter"
	],

	'events' => [
		"view" => "events"
	],

	'careers' => [
		"view" => "career"
	],

	'tech-jobs' => [
		"view" => "tech_jobs"
	],

	"view-job" => [
		"view" => "job_detail"
	],

	"find-jobs" => [
		"view" => "search_jobs"
	],

	"talent-home" => [
		"view" => "talent_home"
	],

	"view-profile" => [
		"view" => "talent_detail"
	],

	"find-talents" => [
		"view" => "search_talents"
	],

	"programs" => [
		"view" => "all_programs"
	],

	"view-program" => [
		"view" => "program_detail"
	],

	"find-programs" => [
		"view" => "search_programs"
	],

	'press-release' => [
		'table' => 'content',
		'primary_key' => 'id',
		'retrieve_filter' => "type=news",
		"view" => 'list_two'
	],

	'view-course' => [
		'view' => 'view_course',
	],
	'view-bootcamp' => [
		'view' => 'view_bootcamp',
	],

	'view-event' => [
		'view' => 'event_reg',
	],

	"enquiries" => [
		"table" => "conversation",
		"primary_key" => "id",
		"page_title" => "Course Enquiries",
		"fixed_values" => "type=enquiry",
		"retrieve_filter" => "type=enquiry",
		"pre_submit_function" => "sendCurriculum",
		// "unique_key"=>"message"
	],

	'academy_admin' => [
		'table' => 'users',
		'primary_key' => 'id',
		'fixed_values' => "creator_id=$user_id",
		"retrieve_filter" => "academy_type=1,academy_type=2",
		'pre_submit_function' => "set_psw",
		'page_title' => 'Digital Dreams ICT Academy Administrators',
		'display_fields' => [
			[
				'column' => 'first_name',
				'description' => 'First Name',
				'component' => 'span'
			],
			[
				'column' => 'last_name',
				'description' => 'Last Name',
				'component' => 'span'
			],
			[
				'column' => 'address',
				'description' => 'Branch',
				'source' => 'learning_center',
				'action' => 'select',
				'component' => 'span'
			],
			[
				'column' => 'academy_type',
				'description' => 'Type',
				'source' => 'portal_admin_type',
				'action' => 'select',
				'component' => 'span'
			],
			[
				'column' => 'creator_id',
				'description' => 'Modified By',
				"source" => [
					"pageType" => "users",
					"column" => "first_name, last_name",
					"concat" => true
				],
				'action' => 'select',
				'component' => 'span'
			],
			[
				'column' => 'date',
				'description' => 'Date Created',
				'action' => 'datetime',
				'component' => 'span'
			],
		],
		'form' => [
			'sections' => [
				[
					'position' => 'left',
					'section_title' => 'User Information',
					'section_elements' => [
						[
							'column' => 'status',
							'description' => 'Active',
							'type' => 'switch',
							'source' => 'bool',
							'value' => '1',
							'class' => 'col s12'
						],
						[
							'column' => 'first_name',
							'description' => 'First Name',
							'required' => true,
							'type' => 'text',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'last_name',
							'description' => 'Last Name',
							'required' => true,
							'type' => 'text',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'middle_name',
							'description' => 'Middle Name',
							'type' => 'text',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'gender',
							'description' => 'Gender',
							'required' => true,
							'type' => 'select',
							'source' => 'gender',
							'class' => 'col s12 m6'
						],
					]
				],
				[
					'position' => 'right',
					'section_title' => 'Profile Picture',
					'section_elements' => [
						[
							'column' => 'picture_ref',
							'description' => 'Picture',
							'type' => 'picture',
							'class' => 'col s12 m12'
						],
					]
				],
				[
					'position' => 'left',
					'section_title' => 'Contact Information',
					'section_elements' => [
						[
							'column' => 'email',
							'description' => 'Email',
							'required' => true,
							'class' => 'col s12 m12',
							'type' => 'text'
						],
						[
							'column' => 'address',
							'description' => 'Branch',
							'class' => 'col s12 m12',
							'type' => 'select',
							'source' => 'learning_center'
						],
						[
							'column' => 'state',
							'description' => 'State',
							'type' => 'select',
							'source' => 'states',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'phone',
							'description' => 'Phone Number',
							'class' => 'col s12 m6',
							'type' => 'tel'
						],
					]
				],
				[
					'position' => 'right',
					'section_title' => 'Security Settings',
					'section_elements' => [
						[
							"column" => "academy_type",
							"description" => "Type",
							"type" => "select",
							"required" => true,
							"class" => "col s12 m6",
							"source" => "portal_admin_type",
						],
						[
							"column" => "username",
							"description" => "Username",
							"class" => "col s12 m6",
							"type" => "text",
							"required" => true
						],
						[
							"column" => "new_password",
							"description" => "Password",
							"type" => "password",
							"required" => true,
							"class" => "col s12 m6"
						],
						[
							"column" => "other",
							"description" => "Assigned courses (for tutors only)",
							"type" => "select",
							'source' => 'academy_course',
							'multiple' => true,
							"class" => "col s12 m6"
						],
					]
				]
			]
		]
	],

	'academy_student' => [
		'table' => 'users',
		'primary_key' => 'id',
		"retrieve_filter" => "academy_type=0",
		'page_title' => 'Digital Dreams ICT Academy Students',
		'display_fields' => [
			[
				'column' => 'first_name',
				'description' => 'First Name',
				'component' => 'span'
			],
			[
				'column' => 'last_name',
				'description' => 'Last Name',
				'component' => 'span'
			],
			[
				'column' => 'gender',
				'description' => 'Gender',
				'source' => 'gender',
				'action' => 'select',
				'component' => 'span'
			],
			[
				'column' => 'creator_id',
				'description' => 'Creator',
				"source" => [
					"pageType" => "users",
					"column" => "first_name, last_name",
					"concat" => true
				],
				'action' => 'select',
				'component' => 'span'
			],
			[
				'column' => 'date',
				'description' => 'Date Created',
				'action' => 'datetime',
				'component' => 'span'
			]
		],
		'form' => [
			'sections' => [
				[
					'position' => 'left',
					'section_title' => 'User Information',
					'section_elements' => [
						[
							'column' => 'first_name',
							'description' => 'First Name',
							'readonly' => true,
							'type' => 'text',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'last_name',
							'description' => 'Last Name',
							'readonly' => true,
							'type' => 'text',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'middle_name',
							'description' => 'Middle Name',
							'readonly' => true,
							'type' => 'text',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'gender',
							'description' => 'Gender',
							'readonly' => true,
							'type' => 'select',
							'source' => 'gender',
							'class' => 'col s12 m6'
						],
					]
				],
				[
					'position' => 'left',
					'section_title' => 'Contact Information',
					'section_elements' => [
						[
							'column' => 'email',
							'description' => 'Email',
							'readonly' => true,
							'class' => 'col s12 m12',
							'type' => 'text'
						],
						[
							'column' => 'address',
							'description' => 'Residential Address',
							'class' => 'col s12 m12',
							'readonly' => true,
							'type' => 'text'
						],
						[
							'column' => 'state',
							'description' => 'State',
							'type' => 'text',
							'readonly' => true,
							'class' => 'col s12 m6'
						],
						[
							'column' => 'phone',
							'description' => 'Phone Number',
							'readonly' => true,
							'class' => 'col s12 m6',
							'type' => 'tel'
						],
					]
				],
			]
		]
	],

	'academy_course' => [
		'table' => 'academy_courses',
		'primary_key' => 'id',
		'pre_submit_function' => 'publish_course',
		'page_title' => 'Digital Dreams ICT Academy Courses',
		'fixed_values' => "user_id=$user_id",
		"category" => [
			[
				"name" => "Show All",
				"type" => "select",
			],
			[
				"column" => "available",
				"name" => "Filter by Published",
				"value" => "1",
				"type" => "select",
			],
			[
				"column" => "available",
				"name" => "Filter by Drafts",
				"value" => "0",
				"type" => "select",
			],
			[
				"column" => "category",
				"name" => "Filter by category",
				"source" => "course_cat",
				"type" => "select",
			]
		],
		'display_fields' => [
			[
				'column' => 'name',
				'description' => 'Name',
				'component' => 'span'
			],
			[
				'column' => 'executive_price',
				'description' => 'Executive Price (₦)',
				'component' => 'span'
			],
			[
				'column' => 'online_price',
				'description' => 'Online Price (₦)',
				'component' => 'span'
			],
			[
				'column' => 'group_price',
				'description' => 'Immersive Price (₦)',
				'component' => 'span'
			],
			[
				'column' => 'user_id',
				'description' => 'Updated By',
				"source" => [
					"pageType" => "users",
					"column" => "first_name, last_name",
					"concat" => true
				],
				'action' => 'select',
				'component' => 'span'
			],
			[
				'column' => 'date_updated',
				'description' => 'Last Updated',
				'action' => 'datetime',
				'component' => 'span'
			],
		],
		'form' => [
			'sections' => [
				[
					'position' => 'left',
					'section_title' => 'Course Details',
					'section_elements' => [
						[
							'column' => 'available',
							'description' => 'Status',
							'class' => 'col s12 m12',
							'type' => 'switch',
							'source' => 'publish'
						],
						[
							'column' => 'name',
							'description' => 'Course name',
							'required' => true,
							'type' => 'richtext-title',
							'class' => 'col s12 m12'
						],
						[
							'column' => 'category',
							'description' => 'Category',
							'type' => 'select',
							'required' => true,
							'source' => 'course_cat',
							'class' => 'col s12 m6',
						],
						[
							'column' => 'duration',
							'description' => 'Duration (in weeks)',
							'required' => true,
							'type' => 'number',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'executive_price',
							'description' => 'Executive price',
							'required' => true,
							'type' => 'number',
							'class' => 'col s12 m6',
						],
						[
							'column' => 'group_price',
							'description' => 'Immersive price',
							'required' => true,
							'type' => 'number',
							'class' => 'col s12 m6',
						],
						[
							'column' => 'online_price',
							'description' => 'Online price',
							'required' => true,
							'type' => 'number',
							'class' => 'col s12 m6',
						],
						[
							'column' => 'syllabus',
							'description' => 'Rank',
							'required' => true,
							'class' => 'col s12 m6',
							'type' => 'number'
						],
						[
							'column' => 'discount',
							'description' => 'Discount (%)',
							'class' => 'col s12 m6',
							'type' => 'number'
						],
					]
				],
				[
					'position' => 'right',
					'section_title' => 'Course Description',
					'section_elements' => [
						[
							'column' => 'contents',
							'required' => true,
							'type' => 'richtext-body',
							'class' => 'col s12 m12'
						],
					]
				],
				[
					'position' => 'left',
					'section_title' => 'Background Image',
					'section_elements' => [
						[
							'column' => 'bg_ref',
							'type' => 'picture',
							'class' => 'col s12 m12'
						],
					]
				],
				[
					'position' => 'left',
					'section_title' => 'Course Picture',
					'section_elements' => [
						[
							'column' => 'pic_ref',
							'type' => 'picture',
							'class' => 'col s12 m12'
						],
					]
				],
				[
					'position' => 'left',
					'section_title' => 'Course Curriculum',
					'section_elements' => [
						[
							'column' => 'curriculum',
							'description' => 'Curriculum',
							'type' => 'file',
							'class' => 'col s12 m12'
						],
					]
				],
				[
					"position" => "center",
					"section_title" => "Course review",
					"section_elements" => [
						[
							"column" => "course_review",
							"type" => "course-review",
							"class" => "col s12 m12",
							"action" => "view"
						]
					]
				],
			]
		]
	],

	'course_cat' => [
		'table' => 'category',
		'primary_key' => 'id',
		'page_title' => 'Course Categories',
		'fixed_values' => "user_id=$user_id",
		'display_fields' => [
			[
				'column' => 'name',
				'description' => 'Name',
				'component' => 'span',
			],
			[
				'column' => 'user_id',
				'description' => 'Modified By',
				"source" => [
					"pageType" => "users",
					"column" => "first_name, last_name",
					"concat" => true
				],
				'action' => 'select',
				'component' => 'span',
			],
			[
				'column' => 'date_updated',
				'description' => 'Last Modified',
				'action' => 'datetime',
				'component' => 'span',
			]
		],
		'form' => [
			"form_view" => "modal",
			'sections' => [
				[
					'position' => 'center',
					'section_title' => 'Category',
					'section_elements' => [
						[
							'column' => 'name',
							'description' => 'Category name',
							'required' => true,
							'type' => 'text',
							'class' => 'col s12 m12'
						],
					]
				],
			]
		]
	],

	'learning_center' => [
		'table' => 'content',
		'primary_key' => 'id',
		'page_title' => 'Learning centers',
		'fixed_values' => "user_id=$user_id, type='center'",
		'extra_values' => "last_updated=now()",
		'retrieve_filter' => "type='center'",
		'display_fields' => [
			[
				'column' => 'title',
				'description' => 'Center',
				'component' => 'span',
			],
			[
				'column' => 'user_id',
				'description' => 'Created by',
				"source" => [
					"pageType" => "users",
					"column" => "first_name, last_name",
					"concat" => true
				],
				'action' => 'select',
				'component' => 'span',
			],
			[
				'column' => 'last_updated',
				'description' => 'Last modified',
				'action' => 'datetime',
				'component' => 'span',
			]
		],
		'form' => [
			"form_view" => "modal",
			'sections' => [
				[
					'position' => 'center',
					'section_title' => 'Learning center',
					'section_elements' => [
						[
							'column' => 'title',
							'description' => 'Center',
							'required' => true,
							'type' => 'text',
							'class' => 'col s12 m12'
						]
					]
				]
			]
		]
	],

	'course_payments' => [
		'table' => 'payments',
		'primary_key' => 'id',
		'page_title' => 'Course Payments',
		'listFAB' => ["refresh", "delete"],
		"sort" => "payment_date DESC, confirmed ASC",
		"category" => [
			[
				"name" => "Show All",
				"type" => "select",
			],
			[
				"column" => "confirmed",
				"name" => "Filter by Confirmed",
				"value" => "1",
				"type" => "select",
			],
			[
				"column" => "confirmed",
				"name" => "Filter by Not Confirmed",
				"value" => "0",
				"type" => "select",
			],
			[
				"column" => "payment_date",
				"name" => "Filter by Date",
				"type" => "period"
			]
		],
		'display_fields' => [
			[
				'column' => 'course_id',
				'description' => 'Course',
				"source" => "academy_course",
				'action' => 'select',
				'component' => 'span',
			],
			[
				'column' => 'student_id',
				'description' => 'Student',
				"source" => [
					"pageType" => "academy_student",
					"column" => "first_name, last_name",
					"concat" => true
				],
				'action' => 'select',
				'component' => 'span',
			],
			[
				'column' => 'payment_method',
				'description' => 'Payment method',
				'source' => 'payment_mode',
				'action' => 'select',
				'component' => 'span',
			],
			[
				'column' => 'amount',
				'description' => 'Amount',
				'component' => 'span',
			],
			[
				'column' => 'confirmed',
				'description' => 'Confirmed',
				'source' => 'bool',
				'action' => 'select',
				'component' => 'span',
			],
			[
				'column' => 'payment_date',
				'description' => 'Payment Date',
				'component' => 'span',
			]
		],
		'form' => ['sections' => [
			[
				"position" => "center",
				"section_title" => "Payment details",
				"section_elements" => [
					[
						"column" => "confirmed",
						"description" => "Confirmed payment",
						"required" => true,
						"type" => "switch",
						"source" => "bool",
						"class" => "col s12 m8 offset-m2"
					],
					[
						"column" => "student",
						"description" => "Student's name",
						"readonly" => true,
						"type" => "text",
						"class" => "col s12 m8 offset-m2"
					],
					[
						"column" => "course",
						"description" => "Course",
						"readonly" => true,
						"type" => "text",
						"class" => "col s12 m8 offset-m2"
					],
					[
						"column" => "payment_method",
						"description" => "Payment mode",
						"readonly" => true,
						"type" => "select",
						"source" => "payment_mode",
						"class" => "col s12 m8 offset-m2"
					],
					[
						"column" => "amount",
						"description" => "Amount",
						"readonly" => true,
						"type" => "number",
						"class" => "col s12 m8 offset-m2"
					],
					[
						"column" => "enroll_type",
						"description" => "Class type",
						"readonly" => true,
						"type" => "text",
						"class" => "col s12 m8 offset-m2"
					],
					[
						"column" => "desk_officer",
						"description" => "Front desk officer (Payment receiver)",
						"readonly" => true,
						"type" => "text",
						"class" => "col s12 m8 offset-m2"
					],
					[
						"column" => "payment_date",
						"description" => "Post Title",
						"readonly" => true,
						"type" => "datetime-local",
						"class" => "col s12 m8 offset-m2"
					],
				]
			],
		]]
	],
	'boot_camp_payments' => [
		'table' => 'coding_bootcamp',
		'primary_key' => 'id',
		'page_title' => 'Payments for Coding Boot Camp',
		'retrieve_filter' => 'amount > 0',
		'listFAB' => ["refresh", "delete"],
		'display_fields' => [
			[
				'column' => 'course',
				'description' => 'Course',
				'component' => 'span',
			],
			[
				'column' => 'student',
				'description' => 'Student',
				'component' => 'span',
			],
			[
				'column' => 'track',
				'description' => 'Track',
				'component' => 'span',
			],
			[
				'column' => 'payment_method',
				'description' => 'Payment method',
				'component' => 'span',
			],
			[
				'column' => 'amount',
				'description' => 'Amount',
				'component' => 'span',
			],
			[
				'column' => 'payment_date',
				'description' => 'Payment Date',
				'component' => 'span',
			]
		],
		'form' => ['sections' => []]
	],
	'upload_cert' => [
		'table' => 'enrollments',
		'primary_key' => 'id',
		"retrieve_filter" => "completed=1",
		'page_title' => "Upload Students' Certificates",
		'display_fields' => [
			[
				'column' => 'student_id',
				'description' => 'Student',
				'component' => 'span',
				"source" => [
					"pageType" => "academy_student",
					"column" => "first_name, last_name",
					"concat" => true
				],
				'action' => 'select',
			],
			[
				'column' => 'course_id',
				'description' => 'Course',
				'component' => 'span',
				"source" => [
					"pageType" => "academy_course",
					"column" => "name"
				],
				'action' => 'select',
			],
			[
				'column' => 'enroll_type',
				'description' => 'Class',
				'component' => 'span'
			],
			[
				'column' => 'certificate_id',
				'description' => 'Certificate ID',
				'component' => 'span'
			],
			[
				'column' => 'date_enrolled',
				'description' => 'Enrolment date',
				'action' => 'datetime',
				'component' => 'span'
			]
		],
		'form' => [
			'sections' => [
				[
					'position' => 'left',
					'section_title' => 'Enrolment Information',
					'section_elements' => [
						[
							'column' => 'student_id',
							'description' => 'Student',
							'readonly' => true,
							'type' => 'select',
							"source" => [
								"pageType" => "users",
								"column" => "first_name, last_name",
								"concat" => true
							],
							'class' => 'col s12 m6'
						],
						[
							'column' => 'course_id',
							'description' => 'Course',
							"source" => "academy_course",
							'readonly' => true,
							'type' => 'select',
							'class' => 'col s12 m6'
						],
					]
				],
				[
					'position' => 'right',
					'section_title' => 'Certificate Information',
					'section_elements' => [
						[
							'column' => 'certificate',
							'description' => 'Scanned Certificate',
							'type' => 'picture',
							'class' => 'col s12 m12'
						],
						[
							'column' => 'certificate_id',
							'description' => 'Certificate ID (same on certificate)',
							'class' => 'col s12 m12',
							'type' => 'text'
						]
					]
				],
			]
		]
	],

	'internal_events' => [
		'table' => 'content',
		'primary_key' => 'id',
		'page_title' => 'Internal Events',
		'fixed_values' => "type='event1',date_uploaded=now(),user_id='$user_id'",
		'extra_values' => "last_updated=now()",
		'retrieve_filter' => "type='event1'",
		'post_submit_function' => "runCache",
		'event' => true,
		'display_fields' => [
			[
				'column' => 'title',
				'description' => 'Event',
				'component' => 'span',
			],
			[
				'column' => 'status',
				'description' => 'Published',
				'component' => 'span',
				'action' => 'select',
				'source' => 'bool',
			],
			[
				'column' => 'no_of_views',
				'description' => 'No. of Attendees',
				'component' => 'span',
			],
			[
				'column' => 'user_id',
				'description' => 'Updated by',
				'component' => 'span',
				'action' => 'select',
				"source" => [
					"pageType" => "users",
					"column" => "first_name, last_name",
					"concat" => true
				],
			],
			[
				'column' => 'last_updated',
				'description' => 'Date updated',
				'component' => 'span',
				'action' => 'datetime'
			]
		],
		'form' => [
			'sections' => [
				$richtext_editors,
				[
					'position' => 'modal',
					'section_title' => 'Publish Settings',
					'section_elements' => [
						[
							'column' => 'status',
							'source' => 'active',
							'type' => 'switch',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'date_updated',
							'description' => 'Event date',
							'required' => true,
							'type' => 'datetime-local',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'auto',
							'description' => 'Location',
							'type' => 'text',
							'required' => true,
							'class' => 'col s12 m6'
						],
						[
							'column' => 'industry',
							'description' => 'Tag Industry',
							'type' => 'select',
							'source' => 'industry',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'business',
							'description' => 'Tag Business',
							'type' => 'select',
							'source' => 'business',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'product',
							'description' => 'Tag a Product',
							'type' => 'select',
							'source' => 'product',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'return_values',
							'type' => 'hidden',
							'value' => '1',
							'class' => 'hide'
						]
					]
				]
			]
		]
	],
	'external_events' => [
		'table' => 'content',
		'primary_key' => 'id',
		'page_title' => 'External Events',
		'fixed_values' => "type='event2',date_uploaded=now(),user_id='$user_id'",
		'extra_values' => "last_updated=now()",
		'retrieve_filter' => "type='event2'",
		'post_submit_function' => "runCache",
		'event' => true,
		'display_fields' => [
			[
				'column' => 'title',
				'description' => 'Event',
				'component' => 'span',
			],
			[
				'column' => 'status',
				'description' => 'Published',
				'component' => 'span',
				'action' => 'select',
				'source' => 'bool',
			],
			[
				'column' => 'user_id',
				'description' => 'Updated by',
				'component' => 'span',
				'action' => 'select',
				"source" => [
					"pageType" => "users",
					"column" => "first_name, last_name",
					"concat" => true
				],
			],
			[
				'column' => 'last_updated',
				'description' => 'Date updated',
				'component' => 'span',
				'action' => 'datetime'
			]
		],
		'form' => [
			'sections' => [
				$richtext_editors,
				[
					'position' => 'modal',
					'section_title' => 'Publish Settings',
					'section_elements' => [
						[
							'column' => 'status',
							'source' => 'active',
							'type' => 'switch',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'date_updated',
							'description' => 'Event date',
							'required' => true,
							'type' => 'datetime-local',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'auto',
							'description' => 'Location',
							'type' => 'text',
							'required' => true,
							'class' => 'col s12 m6'
						],
						[
							'column' => 'url',
							'description' => 'Registration link',
							'type' => 'url',
							'required' => true,
							'class' => 'col s12 m6'
						],
						[
							'column' => 'return_values',
							'type' => 'hidden',
							'value' => '1',
							'class' => 'hide'
						]
					]
				]
			]
		]
	],

	'tech_job' => [
		'table' => 'content',
		'primary_key' => 'id',
		'page_title' => 'Tech Jobs',
		'fixed_values' => "type='job',date_uploaded=now(),no_of_views='0', user_id='$user_id'",
		'extra_values' => "last_updated=now()",
		'retrieve_filter' => "type='job'",
		'pre_submit_function' => "salaryRange",
		'post_submit_function' => "runCache",
		'job' => true,
		"category" => [
			[
				"name" => "Show All",
				"type" => "select",
			],
			[
				"column" => "status",
				"name" => "Filter by Published",
				"value" => "1",
				"type" => "select",
			],
			[
				"column" => "status",
				"name" => "Filter by Drafts",
				"value" => "0",
				"type" => "select",
			],
			[
				"column" => "category",
				"name" => "Filter by category",
				"source" => "job_cat",
				"type" => "select",
			],
			[
				"column" => "date_uploaded",
				"name" => "Filter by Date",
				"type" => "period"
			]
		],
		'display_fields' => [
			[
				'column' => 'title',
				'description' => 'Position',
				'component' => 'span',
			],
			[
				'column' => 'business',
				'description' => 'Employer name',
				'action' => 'select',
				'source' => 'employers',
				'component' => 'span'
			],
			[
				'column' => 'status',
				'description' => 'Published ?',
				'component' => 'span',
				'action' => 'select',
				'source' => 'bool',
			],
			[
				'column' => 'category',
				'description' => 'Category',
				'component' => 'span',
				'action' => 'select',
				'source' => 'job_cat',
			],
			[
				'column' => 'user_id',
				'description' => 'Creator',
				'component' => 'span',
				'action' => 'select',
				"source" => [
					"pageType" => "users",
					"column" => "first_name, last_name",
					"concat" => true
				],
			],
			[
				'column' => 'last_updated',
				'description' => 'Last updated',
				'component' => 'span',
				'action' => 'datetime',
			]
		],
		'form' => [
			'sections' => [
				[
					'position' => 'left',
					'section_title' => 'Job Position',
					'section_elements' => [
						[
							'column' => 'title',
							'description' => 'Position',
							'required' => true,
							'type' => 'richtext-title',
							'class' => 'col s12 m12'
						]
					]
				],
				[
					'position' => 'right',
					'section_title' => 'Job Description',
					'section_elements' => [
						[
							'column' => 'body',
							'description' => '',
							'required' => true,
							'type' => 'richtext-body',
							'class' => 'col s12 m12'
						]
					]
				],
				[
					'position' => 'left',
					'section_title' => 'Job settings',
					'section_elements' => [
						[
							'column' => 'status',
							'source' => 'publish',
							'type' => 'switch',
							'class' => 'col s12 m12'
						],
						[
							'column' => 'business',
							'description' => 'Employer name',
							'required' => true,
							'type' => 'select',
							'source' => 'employers',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'parent',
							'description' => 'Employer email',
							'type' => 'email',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'url',
							'description' => 'Application link',
							'type' => 'url',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'category',
							'description' => 'Category',
							'type' => 'select',
							'required' => true,
							'source' => 'job_cat',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'auto',
							'description' => 'Location (in Nigeria)',
							'type' => 'select',
							'source' => 'states',
							'class' => 'col s12 m4'
						],
						[
							'column' => 'author',
							'description' => 'Country',
							'type' => 'select',
							'required' => true,
							'source' => 'countries',
							'class' => 'col s12 m4'
						],
						[
							'column' => 'product',
							'description' => 'Work type',
							'type' => 'select',
							'required' => true,
							'source' => 'work_type',
							'class' => 'col s12 m4'
						],
						[
							'column' => 'industry',
							'description' => 'Qualification',
							'type' => 'select',
							'source' => 'education_level',
							'class' => 'col s12 m4'
						],
						[
							'column' => 'view',
							'description' => 'Closing date',
							'type' => 'date',
							'class' => 'col s12 m4'
						],
						[
							'column' => 'label',
							'description' => 'Rank',
							'type' => 'number',
							'class' => 'col s12 m4'
						],
						[
							'column' => 'return_values',
							'type' => 'hidden',
							'value' => '1',
							'class' => 'hide'
						]
					]
				],
				[
					'position' => 'left',
					'section_title' => 'Salary Range',
					'section_elements' => [
						[
							'column' => 'currency',
							'description' => 'Currency',
							'type' => 'select',
							'source' => 'currency',
							'class' => 'col s6 m4'
						],
						[
							'column' => 'basis',
							'description' => 'Payment basis',
							'type' => 'select',
							'source' => 'pay_basis',
							'class' => 'col s6 m4',
						],
						[
							'column' => 'min',
							'description' => 'Min salary (or salary)',
							'type' => 'number',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'max',
							'description' => 'Max salary',
							'type' => 'number',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'product_desc',
							'description' => 'Last inputted salary',
							'type' => 'text',
							'readonly' => true,
							'class' => 'col s12 m12'
						],
					]
				],
			]
		]
	],

	'job_cat' => [
		'table' => 'content',
		'primary_key' => 'id',
		'page_title' => 'Job Categories',
		'fixed_values' => "type='job category', date_uploaded=now(), user_id=$user_id",
		'extra_values' => "last_updated=now()",
		'retrieve_filter' => "type='job category'",
		'display_fields' => [
			[
				'column' => 'title',
				'description' => 'Name',
				'component' => 'span',
			],
			[
				'column' => 'user_id',
				'description' => 'Created by',
				"source" => [
					"pageType" => "users",
					"column" => "first_name, last_name",
					"concat" => true
				],
				'action' => 'select',
				'component' => 'span',
			],
			[
				'column' => 'last_updated',
				'description' => 'Last Modified',
				'action' => 'datetime',
				'component' => 'span',
			]
		],
		'form' => [
			"form_view" => "modal",
			'sections' => [
				[
					'position' => 'center',
					'section_title' => 'Job Category',
					'section_elements' => [
						[
							'column' => 'title',
							'description' => 'Category name',
							'required' => true,
							'type' => 'text',
							'class' => 'col s12 m12'
						],
					]
				],
			]
		]
	],

	'employers' => [
		'table' => 'content',
		'primary_key' => 'id',
		'page_title' => 'Organizations',
		'fixed_values' => "type='employer', date_uploaded=now(), user_id=$user_id",
		'extra_values' => "last_updated=now()",
		'retrieve_filter' => "type='employer'",
		'display_fields' => [
			[
				'column' => 'title',
				'description' => 'Name',
				'component' => 'span',
			],
			[
				'column' => 'user_id',
				'description' => 'Created by',
				"source" => [
					"pageType" => "users",
					"column" => "first_name, last_name",
					"concat" => true
				],
				'action' => 'select',
				'component' => 'span',
			],
			[
				'column' => 'last_updated',
				'description' => 'Last Modified',
				'action' => 'datetime',
				'component' => 'span',
			]
		],
		'form' => [
			"form_view" => "modal",
			'sections' => [
				[
					'position' => 'left',
					'section_title' => 'Employer',
					'section_elements' => [
						[
							'column' => 'title',
							'description' => 'Employer name',
							'required' => true,
							'type' => 'text',
							'class' => 'col s12 m12'
						],
						[
							'column' => 'auto',
							'description' => 'Employer email',
							'type' => 'email',
							'class' => 'col s12 m12'
						],
					]
				],
				[
					'position' => 'right',
					'section_title' => 'Employer Logo',
					'section_elements' => [
						[
							'column' => 'image',
							'description' => '',
							'required' => true,
							'type' => 'picture',
							'class' => 'col s12 m12'
						]
					]
				],
			]
		]
	],

	'opportunity' => [
		'table' => 'content',
		'primary_key' => 'id',
		'page_title' => 'Opportunities',
		'fixed_values' => "type='opportunity', date_uploaded=now(), no_of_views='0', user_id='$user_id'",
		'extra_values' => "last_updated=now()",
		'retrieve_filter' => "type='opportunity'",
		'pre_submit_function' => "set_company_image",
		'post_submit_function' => "runCache",
		"opportunity" => true,
		"category" => [
			[
				"name" => "Show All",
				"type" => "select",
			],
			[
				"column" => "status",
				"name" => "Filter by Published",
				"value" => "1",
				"type" => "select",
			],
			[
				"column" => "status",
				"name" => "Filter by Drafts",
				"value" => "0",
				"type" => "select",
			],
			[
				"column" => "category",
				"name" => "Filter by category",
				"source" => "opportunity_type",
				"type" => "select",
			],
			[
				"column" => "date_uploaded",
				"name" => "Filter by Date",
				"type" => "period"
			]
		],
		'display_fields' => [
			[
				'column' => 'title',
				'description' => 'Title',
				'component' => 'span',
			],
			[
				'column' => 'status',
				'description' => 'Published ?',
				'component' => 'span',
				'action' => 'select',
				'source' => 'bool',
			],
			[
				'column' => 'category',
				'description' => 'Category',
				'component' => 'span',
				'action' => 'select',
				'source' => 'opportunity_type',
			],
			[
				'column' => 'business',
				'description' => 'Company name',
				'component' => 'span',
				'action' => 'select',
				'source' => 'employers',
			],
			[
				'column' => 'user_id',
				'description' => 'Creator',
				'component' => 'span',
				'action' => 'select',
				"source" => [
					"pageType" => "users",
					"column" => "first_name, last_name",
					"concat" => true
				],
			],
			[
				'column' => 'last_updated',
				'description' => 'Last updated',
				'component' => 'span',
				'action' => 'datetime',
			]
		],
		'form' => [
			'sections' => [
				...$form_top,
				[
					'position' => 'left',
					'section_title' => 'Other details',
					'section_elements' => [
						[
							'column' => 'status',
							'source' => 'publish',
							'type' => 'switch',
							'class' => 'col s12 m12'
						],
						[
							'column' => 'business',
							'description' => 'Company name',
							'required' => true,
							'type' => 'select',
							'source' => 'employers',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'category',
							'description' => 'Category',
							'type' => 'select',
							'required' => true,
							'source' => 'opportunity_type',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'auto',
							'description' => 'Location',
							'type' => 'text',
							'required' => true,
							'class' => 'col s6'
						],
						[
							'column' => 'url',
							'description' => 'Application link',
							'type' => 'url',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'parent',
							'description' => 'Contact information',
							'type' => 'text',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'industry',
							'description' => 'Participants',
							'multiple' => true,
							'type' => 'select',
							'source' => 'tech_roles',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'label',
							'description' => 'Rank',
							'type' => 'number',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'view',
							'description' => 'Application period',
							'readonly' => true,
							'type' => 'text',
							"event" => [
								"type" => "onfocusout",
								'function' => "setDateRange(this)",
							],
							'class' => 'col s12 m6 dateFilter'
						],
						[
							'column' => 'return_values',
							'type' => 'hidden',
							'value' => '1',
							'class' => 'hide'
						]
					]
				],
			]
		]
	],
	'contest' => [
		'table' => 'content',
		'primary_key' => 'id',
		'page_title' => 'Contests',
		'fixed_values' => "type='contest', date_uploaded=now(), no_of_views='0', user_id='$user_id'",
		'extra_values' => "last_updated=now()",
		'retrieve_filter' => "type='contest'",
		'pre_submit_function' => "set_company_image",
		'post_submit_function' => "runCache",
		"opportunity" => true,
		"category" => [
			[
				"name" => "Show All",
				"type" => "select",
			],
			[
				"column" => "status",
				"name" => "Filter by Published",
				"value" => "1",
				"type" => "select",
			],
			[
				"column" => "status",
				"name" => "Filter by Drafts",
				"value" => "0",
				"type" => "select",
			],
			[
				"column" => "date_uploaded",
				"name" => "Filter by Date",
				"type" => "period"
			]
		],
		'display_fields' => [
			[
				'column' => 'title',
				'description' => 'Title',
				'component' => 'span',
			],
			[
				'column' => 'status',
				'description' => 'Published ?',
				'component' => 'span',
				'action' => 'select',
				'source' => 'bool',
			],
			[
				'column' => 'view',
				'description' => 'Contest date',
				'component' => 'span',
				'action' => 'datetime',
			],
			[
				'column' => 'business',
				'description' => 'Company name',
				'component' => 'span',
				'action' => 'select',
				'source' => 'employers',
			],
			[
				'column' => 'user_id',
				'description' => 'Creator',
				'component' => 'span',
				'action' => 'select',
				"source" => [
					"pageType" => "users",
					"column" => "first_name, last_name",
					"concat" => true
				],
			],
			[
				'column' => 'last_updated',
				'description' => 'Last updated',
				'component' => 'span',
				'action' => 'datetime',
			]
		],
		'form' => [
			'sections' => [
				...$form_top,
				[
					'position' => 'left',
					'section_title' => 'Other details',
					'section_elements' => [
						[
							'column' => 'status',
							'source' => 'publish',
							'type' => 'switch',
							'class' => 'col s12 m12'
						],
						[
							'column' => 'business',
							'description' => 'Company name',
							'required' => true,
							'type' => 'select',
							'source' => 'employers',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'auto',
							'description' => 'Location',
							'type' => 'text',
							'required' => true,
							'class' => 'col s12 m6'
						],
						[
							'column' => 'url',
							'description' => 'Application link',
							'type' => 'url',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'parent',
							'description' => 'Contact information',
							'type' => 'text',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'industry',
							'description' => 'Participants',
							'multiple' => true,
							'type' => 'select',
							'source' => 'tech_roles',
							'class' => 'col s12 m4'
						],
						[
							'column' => 'view',
							'description' => 'Contest date',
							'required' => true,
							'type' => 'datetime-local',
							'class' => 'col s12 m4'
						],
						[
							'column' => 'label',
							'description' => 'Rank',
							'type' => 'number',
							'class' => 'col s12 m4'
						],
						[
							'column' => 'return_values',
							'type' => 'hidden',
							'value' => '1',
							'class' => 'hide'
						]
					]
				],
			]
		]
	],
	'seminar' => [
		'table' => 'content',
		'primary_key' => 'id',
		'page_title' => 'Seminars',
		'fixed_values' => "type='seminar', date_uploaded=now(), no_of_views='0', user_id='$user_id'",
		'extra_values' => "last_updated=now()",
		'retrieve_filter' => "type='seminar'",
		'pre_submit_function' => "set_company_image",
		'post_submit_function' => "runCache",
		"opportunity" => true,
		"category" => [
			[
				"name" => "Show All",
				"type" => "select",
			],
			[
				"column" => "status",
				"name" => "Filter by Published",
				"value" => "1",
				"type" => "select",
			],
			[
				"column" => "status",
				"name" => "Filter by Drafts",
				"value" => "0",
				"type" => "select",
			],
			[
				"column" => "date_uploaded",
				"name" => "Filter by Date",
				"type" => "period"
			]
		],
		'display_fields' => [
			[
				'column' => 'title',
				'description' => 'Title',
				'component' => 'span',
			],
			[
				'column' => 'status',
				'description' => 'Published ?',
				'component' => 'span',
				'action' => 'select',
				'source' => 'bool',
			],
			[
				'column' => 'view',
				'description' => 'Seminar date',
				'component' => 'span',
				'action' => 'datetime',
			],
			[
				'column' => 'business',
				'description' => 'Company name',
				'component' => 'span',
				'action' => 'select',
				'source' => 'employers',
			],
			[
				'column' => 'user_id',
				'description' => 'Creator',
				'component' => 'span',
				'action' => 'select',
				"source" => [
					"pageType" => "users",
					"column" => "first_name, last_name",
					"concat" => true
				],
			],
			[
				'column' => 'last_updated',
				'description' => 'Last updated',
				'component' => 'span',
				'action' => 'datetime',
			]
		],
		'form' => [
			'sections' => [
				...$form_top,
				[
					'position' => 'left',
					'section_title' => 'Other details',
					'section_elements' => [
						[
							'column' => 'status',
							'source' => 'publish',
							'type' => 'switch',
							'class' => 'col s12 m12'
						],
						[
							'column' => 'business',
							'description' => 'Company name',
							'required' => true,
							'type' => 'select',
							'source' => 'employers',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'auto',
							'description' => 'Location',
							'type' => 'text',
							'required' => true,
							'class' => 'col s12 m6'
						],
						[
							'column' => 'url',
							'description' => 'Application link',
							'type' => 'url',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'parent',
							'description' => 'Contact information',
							'type' => 'text',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'industry',
							'description' => 'Participants',
							'multiple' => true,
							'type' => 'select',
							'source' => 'tech_roles',
							'class' => 'col s12 m4'
						],
						[
							'column' => 'view',
							'description' => 'Seminar date',
							'required' => true,
							'type' => 'datetime-local',
							'class' => 'col s12 m4'
						],
						[
							'column' => 'label',
							'description' => 'Rank',
							'type' => 'number',
							'class' => 'col s12 m4'
						],
						[
							'column' => 'return_values',
							'type' => 'hidden',
							'value' => '1',
							'class' => 'hide'
						]
					]
				],
			]
		]
	],
	'bootcamp' => [
		'table' => 'content',
		'primary_key' => 'id',
		'page_title' => 'Boot Camps',
		'fixed_values' => "type='bootcamp', date_uploaded=now(), user_id='$user_id'",
		'extra_values' => "last_updated=now()",
		'retrieve_filter' => "type='bootcamp'",
		'post_submit_function' => "runCache",
		"bootcamp" => true,
		"category" => [
			[
				"name" => "Show All",
				"type" => "select",
			],
			[
				"column" => "status",
				"name" => "Filter by Published",
				"value" => "1",
				"type" => "select",
			],
			[
				"column" => "status",
				"name" => "Filter by Drafts",
				"value" => "0",
				"type" => "select",
			]
		],
		'display_fields' => [
			[
				'column' => 'title',
				'description' => 'Title',
				'component' => 'span',
			],
			[
				'column' => 'status',
				'description' => 'Published ?',
				'component' => 'span',
				'action' => 'select',
				'source' => 'bool',
			],
			[
				'column' => 'label',
				'description' => 'Price (₦)',
				'component' => 'span',
			],
			[
				'column' => 'auto',
				'description' => 'Start date',
				'component' => 'span',
				'action' => 'date',
			],
			[
				'column' => 'user_id',
				'description' => 'Creator',
				'component' => 'span',
				'action' => 'select',
				"source" => [
					"pageType" => "users",
					"column" => "first_name, last_name",
					"concat" => true
				],
			],
			[
				'column' => 'last_updated',
				'description' => 'Last updated',
				'component' => 'span',
				'action' => 'datetime',
			]
		],
		'form' => [
			'sections' => [
				...$form_top,
				[
					'position' => 'left',
					'section_title' => 'Other details',
					'section_elements' => [
						[
							'column' => 'status',
							'source' => 'publish',
							'type' => 'switch',
							'class' => 'col s12 m12'
						],
						[
							'column' => 'product',
							'description' => 'Course',
							'required' => true,
							'type' => 'select',
							'source' => 'academy_course',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'label',
							'description' => 'Price (₦)',
							'type' => 'number',
							'required' => true,
							'class' => 'col s12 m6'
						],
						[
							'column' => 'auto',
							'description' => 'Start date',
							'type' => 'date',
							'required' => true,
							'class' => 'col s12 m6'
						],
						[
							'column' => 'parent',
							'description' => 'Duration (weeks)',
							'required' => true,
							'type' => 'number',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'return_values',
							'type' => 'hidden',
							'value' => '1',
							'class' => 'hide'
						]
					]
				],
				[
					'position' => 'left',
					'section_title' => 'Instructors',
					'section_elements' => [
						[
							'column' => 'product_desc',
							'description' => 'Instructors',
							'type' => 'items',
							'class' => 'col s12 m6'
						],
					]
				],
				[
					'position' => 'left',
					'section_title' => 'Curriculum',
					'section_elements' => [
						[
							'column' => 'url',
							'description' => 'Curriculum',
							'type' => 'file',
							'class' => 'col s12 m6'
						],
					]
				]
			]
		]
	],
	'coding_bootcamp' => [
		'table' => 'content',
		'primary_key' => 'id',
		'listFAB' => ["refresh"],
		'page_title' => 'Coding boot camp',
		"post_submit_function" => "runCache",
		'fixed_values' => "type='coding_bootcamp',date_uploaded=now(),user_id='$user_id'",
		'extra_values' => "last_updated=now()",
		'retrieve_filter' => "type='coding_bootcamp'",
		'coding_bootcamp' => true,
		'display_fields' => [
			[
				'column' => 'title',
				'description' => 'Title',
				'component' => 'span',
			],
			[
				'column' => 'status',
				'description' => 'Published ?',
				'component' => 'span',
				'action' => 'select',
				'source' => 'bool',
			],
			[
				'column' => 'user_id',
				'description' => 'Creator',
				'component' => 'span',
				'action' => 'select',
				"source" => [
					"pageType" => "users",
					"column" => "first_name, last_name",
					"concat" => true
				],
			],
			[
				'column' => 'last_updated',
				'description' => 'Last updated',
				'component' => 'span',
				'action' => 'datetime',
			]
		],
		'form' => [
			'sections' => [
				$richtext_editors,
				[
					'position' => 'center',
					'section_title' => 'Publish Settings',
					'section_elements' => [
						[
							'column' => 'status',
							'source' => 'publish',
							'type' => 'switch',
							'class' => 'col s12 m12'
						],
						[
							'column' => 'product',
							'description' => 'Genius price',
							'required' => true,
							'type' => 'number',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'label',
							'description' => 'Marvel price',
							'type' => 'number',
							'required' => true,
							'class' => 'col s12 m6'
						],
						[
							'column' => 'auto',
							'description' => 'Genius start date',
							'required' => true,
							'type' => 'date',
							'class' => 'col s12 m6'
						],
						[
							'column' => 'view',
							'description' => 'Marvel start date',
							'type' => 'date',
							'required' => true,
							'class' => 'col s12 m6'
						],
						[
							'column' => 'no_of_views',
							'description' => 'Duration (weeks)',
							'type' => 'number',
							'required' => true,
							'class' => 'col s12 m6'
						],
						[
							'column' => 'return_values',
							'value' => '1',
							'type' => 'hidden',
							'class' => 'hide'
						]
					]
				],
				[
					'position' => 'left',
					'section_title' => 'Instructors',
					'section_elements' => [
						[
							'column' => 'product_desc',
							'description' => 'Instructors',
							'type' => 'items',
							'class' => 'col s12 m6'
						],
					]
				]
			]
		]
	],
];
