<?php

$sources = [
	"period" => getDatePeriod(),
	"session" => get_session(),
	"active" => [
		"0" => "Inactive",
		"1" => "Active"
	],
	"publish" => [
		"0" => "Draft",
		"1" => "Publish"
	],
	"asset_categories" => [
		"1" => "Asset Stock",
		"2" => "Fixed Asset",
		"3" => "Inventory Stock"
	],
	"mode_of_payment" => [
		"card" => "Paystack",
		"transfer" => "Bank Transfer",
		"cash" => "Cash Payment",
		"pos" => "POS"
	],
	"payment_mode" => [
		"card" => "Card",
		"transfer" => "Bank Transfer",
		"cash" => "Cash Payment"
	],
	"accessLevel" => [
		"0" => "View Access",
		"1" => "Creation Access",
		"2" => "Full Modification Access",
		"3" => "Super Admin"
	],
	"linkskool" => linkschool($uri),
	"degrees" => [
		"BEng",
		"BSc",
		"BA",
		"BTech",
		"BEd",
		"LLB",
		"MBBS",
		"BPharm",
		"HND",
		"OND",
		"ND",
		"PGD",
		"MSc",
		"MA",
		"MBA",
		"MEd",
		"LLM",
		"PhD",
		"DBA",
		"DSc",
		"Fellowship"
	],
	"disciplines" => [
		"Engineering" => [
			"Electrical Engineering",
			"Mechanical Engineering",
			"Civil Engineering",
			"Chemical Engineering",
			"Aerospace Engineering"
		],
		"Medical Sciences" => [
			"Medicine",
			"Nursing",
			"Pharmacy",
			"Dentistry",
			"Public Health",
			"Physiotherapy"
		],
		"Business" => [
			"Accounting",
			"Finance",
			"Marketing",
			"Management",
			"Economics",
			"Business Administration"
		],
		"Arts and Humanities" => [
			"History",
			"Philosophy",
			"Literature",
			"Fine Arts",
			"Linguistics",
			"Cultural Studies"
		],
		"Sciences" => [
			"Biology",
			"Chemistry",
			"Computer Science",
			"Physics",
			"Mathematics",
			"Environmental Science",
			"Geology"
		],
		"Social Sciences" => [
			"Psychology",
			"Sociology",
			"Political Science",
			"Anthropology",
			"International Relations",
			"Social Work"
		],
		"Information Technology" => [
			"Data Science",
			"Cybersecurity",
			"Artificial Intelligence",
			"Game Development"
		],
		"Law" => [
			"Corporate Law",
			"Criminal Law",
			"International Law",
			"Constitutional Law",
			"Intellectual Property Law",
			"Environmental Law"
		],
		"Education" => [
			"Early Childhood Education",
			"Special Education",
			"Educational Psychology",
			"Curriculum Development",
			"Educational Leadership"
		]
	],
	'education_level' => ['doctorate' => 'Doctorate', 'master' => "Master's or professional degree", 'bachelor' => "Bachelor's Degree", 'diploma' => 'Diploma', 'senior secondary' => 'Secondary/high school', 'junior secondary' => 'Junior secondary/junior high/middle school', 'primary' => 'Elementary/primary school', 'none' => 'No formal education'],

	"work_type" => ['On-Site Full-Time', 'On-Site Part-Time', 'Remote Full-Time', 'Remote Part-Time', 'Hybrid', 'Contract'],

	"days" => [
		"0" => "Sunday",
		"1" => "Monday",
		"2" => "Tuesday",
		"3" => "Wednessday",
		"4" => "Thursday",
		"5" => "Friday",
		"6" => "Saturday"
	],
	'currency' => [
		'₦' => 'NGN (Nigerian Naira)',
		'$' => 'USD (United States Dollar)',
		'€' => 'EUR (Euro)',
		'£' => 'GBP (British Pound Sterling)',
		'¥' => 'JPY (Japanese Yen)',
		'A$' => 'AUD (Australian Dollar)',
		'C$' => 'CAD (Canadian Dollar)',
		'CHF' => 'CHF (Swiss Franc)',
		'¥' => 'CNY (Chinese Yuan)',
		'₹' => 'INR (Indian Rupee)',
		'₽' => 'RUB (Russian Ruble)',
		'R' => 'ZAR (South African Rand)',
		'₩' => 'KRW (South Korean Won)',
	],
	'tech_roles' => [
		"AI Research Scientist",
		"AI Specialist",
		"Backend Developer",
		"Big Data Engineer",
		"Blockchain Developer",
		"Business Intelligence Analyst",
		"Cloud Architect",
		"Cloud Engineer",
		"Computer Vision Engineer",
		"Cybersecurity Specialist",
		"Data Analyst",
		"Data Engineer",
		"Data Scientist",
		"Database Administrator (DBA)",
		"Deep Learning Engineer",
		"DevOps Engineer",
		"Embedded Systems Developer",
		"Ethical Hacker",
		"Frontend Developer",
		"Full Stack Developer",
		"Game Developer",
		"Graphic Designer",
		"Help Desk Technician",
		"Information Security Manager",
		"Infrastructure Engineer",
		"Intern",
		"IT Consultant",
		"IT Manager",
		"IT Support Specialist",
		"Machine Learning Engineer",
		"Manual Tester",
		"Mobile App Developer",
		"Network Administrator",
		"Network Security Engineer",
		"NLP Specialist",
		"Penetration Tester",
		"Performance Tester",
		"Product Manager",
		"Program Manager",
		"QA Analyst",
		"QA Engineer",
		"Security Analyst",
		"Security Engineer",
		"Site Reliability Engineer (SRE)",
		"Solutions Architect",
		"Statistician",
		"System Administrator",
		"Technical Project Manager",
		"Technical Support Engineer",
		"Technical Writer",
		"Test Automation Engineer",
		"UI/UX Designer"
	],
	'tech_skills' => [
		"Programming Languages" => [
			"Python",
			"Kotlin",
			"Dart",
			"Java",
			"PHP",
			"C#",
			"C++",
			"C",
			"Ruby",
			"Go",
			"Swift",
			"Rust",
			"Solidity"
		],
		"Web Development" => [
			"HTML",
			"CSS",
			"JavaScript",
			"React",
			"Angular",
			"Vue.js",
			"Node.js",
			"Express",
			"Django",
			"Flask",
			"Spring Boot",
			"Ktor",
			"Ruby on Rails"
		],
		"Data Science & Analytics" => [
			"Python",
			"R",
			"SQL",
			"Pandas",
			"NumPy",
			"Scikit-Learn",
			"TensorFlow",
			"Keras",
			"Power BI",
			"Tableau"
		],
		"Database Management" => [
			"MySQL",
			"PostgreSQL",
			"MongoDB",
			"SQLite",
			"Oracle",
			"Firebase",
			"Redis"
		],
		"Cloud Computing" => [
			"AWS",
			"Azure",
			"Google Cloud Platform (GCP)",
			"Docker",
			"Kubernetes",
			"Terraform",
			"OpenStack"
		],
		"Cybersecurity" => [
			"Ethical Hacking",
			"Penetration Testing",
			"Network Security",
			"Cryptography",
			"Incident Response",
			"SIEM",
			"Firewalls",
			"IDS/IPS"
		],
		"DevOps & Automation" => [
			"CI/CD",
			"Jenkins",
			"Git",
			"Ansible",
			"Chef",
			"Puppet",
			"Bash/Shell Scripting",
			"Docker",
			"Kubernetes"
		],
		"Artificial Intelligence & Machine Learning" => [
			"Machine Learning",
			"Deep Learning",
			"Natural Language Processing (NLP)",
			"Computer Vision",
			"PyTorch",
			"TensorFlow",
			"Keras",
			"OpenCV"
		],
		"Mobile Development" => [
			"Android Development",
			"iOS Development",
			"React Native",
			"Flutter",
			"Xamarin"
		],
		"Project Management & Collaboration" => [
			"Agile",
			"Scrum",
			"Kanban",
			"JIRA",
			"Confluence",
			"Trello",
			"Asana",
			"Slack"
		]
	],
	'job_status' => [
		'Employed',
		'Freelancer',
		'Student',
		'Unemployed',
	],
	'opportunity_type'=>['Boot camp', 'Contest', 'Course Discount', 'Freelance', 'Full-Time Job', 'Internship', 'Mentorship', 'Part-Time Job', 'Scholarship', 'Seminar'],
	'pay_basis' => ['/ hour' => 'Hourly', '/ day' => 'Daily', '/ week' => 'Weekly', '/ month' => 'Monthly'],

	"status" => ["0" => "Pending", "1" => "Active", "2" => "Completed"],

	"user-category" => ["1" => "Admin", "0" => "Non-Admin"],

	"terms" => [
		"1" => "First Term",
		"2" => "Second Term",
		"3" => "Third Term"
	],
	"gender" => [
		"m" => "Male",
		"f" => "Female"
	],
	"portal_admin_type" => [
		1 => "Tutor",
		2 => "Front Desk Officer"
	],
	"condition" => [
		"0" => "Poor",
		"1" => "Fair",
		"2" => "Good",
		"3" => "Excellent"
	],
	"bool" => [
		"0" => "No",
		"1" => "Yes"
	],
	"states" => [
		"abia" => "Abia State",
		"adamawa" => "Adamawa State",
		"akwa ibom" => "Akwa Ibom State",
		"anambra" => "Anambra State",
		"bauchi" => "Bauchi State",
		"bayelsa" => "Bayelsa State",
		"benue" => "Benue State",
		"borno" => "Borno State",
		"cross river" => "Cross River State",
		"delta" => "Delta State",
		"ebonyi" => "Ebonyi State",
		"edo" => "Edo State",
		"ekiti" => "Ekiti State",
		"enugu" => "Enugu State",
		"fct" => "FCT - Abuja",
		"gombe" => "Gombe State",
		"imo" => "Imo State",
		"jigawa" => "Jigawa State",
		"kaduna" => "Kaduna State",
		"kano" => "Kano State",
		"katsina" => "Katsina State",
		"kebbi" => "Kebbi State",
		"kogi" => "Kogi State",
		"kwara" => "Kwara State",
		"lagos" => "Lagos State",
		"nasarawa" => "Nasarawa State",
		"niger" => "Niger State",
		"ogun" => "Ogun State",
		"ondo" => "Ondo State",
		"osun" => "Osun State",
		"oyo" => "Oyo State",
		"plateau" => "Plateau State",
		"rivers" => "Rivers State",
		"sokoto" => "Sokoto State",
		"taraba" => "Taraba State",
		"yobe" => "Yobe State",
		"zamfara" => "Zamfara State",
	],
	'countries' => ["Afghanistan", "Albania", "Algeria", "American Samoa", "Andorra", "Angola", "Anguilla", "Antarctica", "Antigua and Barbuda", "Argentina", "Armenia", "Aruba", "Australia", "Austria", "Azerbaijan", "Bahamas", "Bahrain", "Bangladesh", "Barbados", "Belarus", "Belgium", "Belize", "Benin", "Bermuda", "Bhutan", "Bolivia", "Bonaire, Sint Eustatius and Saba", "Bosnia and Herzegovina", "Botswana", "Bouvet Island", "Brazil", "British Indian Ocean Territory", "Brunei Darussalam", "Bulgaria", "Burkina Faso", "Burundi", "Cambodia", "Cameroon", "Canada", "Cape Verde", "Cayman Islands", "Central African Republic", "Chad", "Chile", "China", "Christmas Island", "Cocos (Keeling) Islands", "Colombia", "Comoros", "Congo", "Congo, the Democratic Republic of the", "Cook Islands", "Costa Rica", "Cote D'Ivoire", "Croatia", "Cuba", "Curaçao", "Cyprus", "Czech Republic", "Denmark", "Djibouti", "Dominica", "Dominican Republic", "Ecuador", "Egypt", "El Salvador", "Equatorial Guinea", "Eritrea", "Estonia", "Ethiopia", "Falkland Islands (Malvinas)", "Faroe Islands", "Fiji", "Finland", "France", "French Guiana", "French Polynesia", "French Southern Territories", "Gabon", "Gambia", "Georgia", "Germany", "Ghana", "Gibraltar", "Greece", "Greenland", "Grenada", "Guadeloupe", "Guam", "Guatemala", "Guernsey", "Guinea", "Guinea-Bissau", "Guyana", "Haiti", "Heard Island and Mcdonald Islands", "Holy See (Vatican City State)", "Honduras", "Hong Kong", "Hungary", "Iceland", "India", "Indonesia", "Iran, Islamic Republic of", "Iraq", "Ireland", "Isle of Man", "Israel", "Italy", "Jamaica", "Japan", "Jersey", "Jordan", "Kazakhstan", "Kenya", "Kiribati", "Kosovo", "Kuwait", "Kyrgyzstan", "Lao People's Democratic Republic", "Latvia", "Lebanon", "Lesotho", "Liberia", "Libya", "Liechtenstein", "Lithuania", "Luxembourg", "Macao", "Madagascar", "Malawi", "Malaysia", "Maldives", "Mali", "Malta", "Marshall Islands", "Martinique", "Mauritania", "Mauritius", "Mayotte", "Mexico", "Micronesia, Federated States of", "Moldova, Republic of", "Monaco", "Mongolia", "Montenegro", "Montserrat", "Morocco", "Mozambique", "Myanmar", "Namibia", "Nauru", "Nepal", "Netherlands", "New Caledonia", "New Zealand", "Nicaragua", "Niger", "Nigeria", "Niue", "Norfolk Island", "North Korea", "North Macedonia, Republic of", "Northern Mariana Islands", "Norway", "Oman", "Pakistan", "Palau", "Palestinian Territory, Occupied", "Panama", "Papua New Guinea", "Paraguay", "Peru", "Philippines", "Pitcairn", "Poland", "Portugal", "Puerto Rico", "Qatar", "Reunion", "Romania", "Russian Federation", "Rwanda", "Saint Barthélemy", "Saint Helena", "Saint Kitts and Nevis", "Saint Lucia", "Saint Martin (French part)", "Saint Pierre and Miquelon", "Saint Vincent and the Grenadines", "Samoa", "San Marino", "Sao Tome and Principe", "Saudi Arabia", "Senegal", "Serbia", "Seychelles", "Sierra Leone", "Singapore", "Sint Maarten (Dutch part)", "Slovakia", "Slovenia", "Solomon Islands", "Somalia", "South Africa", "South Georgia and the South Sandwich Islands", "South Korea", "South Sudan", "Spain", "Sri Lanka", "Sudan", "Suriname", "Svalbard and Jan Mayen", "Swaziland", "Sweden", "Switzerland", "Syrian Arab Republic", "Taiwan", "Tajikistan", "Tanzania, United Republic of", "Thailand", "Timor-Leste", "Togo", "Tokelau", "Tonga", "Trinidad and Tobago", "Tunisia", "Turkey", "Turkmenistan", "Turks and Caicos Islands", "Tuvalu", "Uganda", "Ukraine", "United Arab Emirates", "United Kingdom", "United States Minor Outlying Islands", "United States of America", "Uruguay", "Uzbekistan", "Vanuatu", "Venezuela", "Viet Nam", "Virgin Islands, British", "Virgin Islands, U.S.", "Wallis and Futuna", "Western Sahara", "Yemen", "Zambia", "Zimbabwe", "Åland Islands"],
];
