<?php
require_once (__DIR__."../../../controllers/Controllers.php");
$fmt = numfmt_create("en", NumberFormatter::CURRENCY );
$generic 			= new Generic();
$paramControl = new ParamControl($generic);
$get    			= (object)$_GET;
$uri					= $generic->getURIdata();
$uri->root    = absolute_filepath("{$uri->site}{$uri->backend}");
$db = $generic->connect();
$bb = [
  'BKG'=>['red','Trips','blur_on'],
  'cha'=>['green','Charters','assistant'],
  'cou'=>['blue','Couriers','assessment'],
  '0'=>['orange','Saved Customers','person_outline']
];
$background = ["#ffe3e3", "transparent",  "transparent", "transparent", "transparent", "transparent"];
//Get charat data
if(isset($_POST['getChart'])){
	$y = date('Y');
  "SELECT MONTH(tbl.date_created) as month, tbl.trans_type as type, count(tbl.tid) as num, sum(transactions.amount) as sum
  FROM transactions as tbl
  LEFT JOIN transactions ON transactions.parent=tbl.tid
  WHERE tbl.trans_type='BKG' AND YEAR(tbl.date_created)=$y AND tbl.status='1' AND tbl.sub > 0
  GROUP BY MONTH(tbl.date_created) ORDER BY MONTH(tbl.date_created) ASC";
	$qe = "
	(
    SELECT MONTH(date_created) as month, trans_type as type, count(tid) as num FROM `transactions` WHERE trans_type='BKG' AND YEAR(date_created)='$y' AND status='1' AND sub = 0 GROUP BY MONTH(date_created) ORDER BY MONTH(date_created) ASC
  )
	UNION
	(
    SELECT MONTH(date_created) as month, fixed as type,  count(id) as num FROM `charter_requests` WHERE YEAR(date_created)='$y' GROUP BY MONTH(date_created) ORDER BY MONTH(date_created) ASC
  )";
	$pgquery = $db->query($qe) or die($db->error."($qe)");
	while($r = $pgquery->fetch_assoc()){
		$row[$r['type']][] = $r;
	}
	$bbx = ["BKG"=>true, "cha"=>true];
	foreach($bbx as $type => $arr){
	    if(!isset($row[$type]))$row[$type] = [['month' => 1, 'num' => 0, "sum"=>0]];
	}
	foreach($row as $type => $info){
		$nums = array();$ddd = array();
		for($i=1; $i<=12;$i++){
			$nums[$i]=0;
			foreach($info as $m => $month ){
				if($month['month'] == $i){
          $nums[$i]=intval($month['num']);
        }
			}
		}
		foreach($nums as $c => $num){$ddd[] = $num;}
		$json[$type]=['data'=>$ddd, 'color'=>$bb[$type][0], 'label'=>$bb[$type][1]];
	}
	echo json_encode($json);
	die();
}else{//Get number of posts on each of the key  parameters initialized above
	$query1 = "SELECT COUNT(tid) as num, trans_type as type FROM transactions WHERE status='1' AND sub='0' AND trans_type = 'BKG'
    UNION SELECT COUNT(id) as num, fixed as type FROM charter_requests
		UNION SELECT COUNT(package_ref) as num, fixed as type FROM courier
		UNION SELECT COUNT(id) as num , accesslevel as type FROM  users WHERE accesslevel='0'
	";

	$con1 = $db->query($query1) or die($db->error."($query1)");

	$rows = [];
	while($row = $con1->fetch_assoc()){
	    $rows[] = $row;
	}
	$types = array_column($rows, 'type');
	$build1 = [];
	foreach($bb as $type => $arr){
		$key = array_search($type, $types);

		$build1[$type]['icon'] = $arr[2];
		$build1[$type]['label'] = $arr[1];
		$build1[$type]['color'] = $arr[0];
		$build1[$type]['type'] = $type;
		if(is_numeric($key)){
			$build1[$type]['num'] = $rows[$key]['num'];
		}else{
			$build1[$type]['num'] = 0;
		}
    if($type != "2") 	$build1[$type]['num'] = round($build1[$type]['num']);
	}

  //----------------------------------------------------------------------
  $wid =
  "SELECT transactions.ref, transactions.date_due,transactions.description,  transactions.date_created, transactions.customer
  FROM transactions
  WHERE transactions.trans_type='BKG' AND sub > 0 ORDER BY transactions.tid DESC LIMIT 15" ;
  $widd = $db->query($wid) or die($db->error."($wid)");
  $wids = [];
  if($widd->num_rows){
    while($row = $widd->fetch_object()){
      $now = date('Y-m-d H:i:s');
      $date = new DateDifference($row->date_created , $now);
      $date_= new DateTime($row->date_due);
      $row->date_created = $date->smart();
      $row->date_due = $date_->format("Y-m-d");
      $row->date_d = $date_;
      $wids[] = $row;
    }
  }

	$dep = "SELECT charter_requests.reference, charter_requests.status, charter_requests.price, charter_requests.date_created,charter_requests.destination_state, charter_requests.client_name,content.title as departure_state
  FROM charter_requests
  LEFT JOIN content on content.id=charter_requests.client_location_id
  ORDER BY charter_requests.reference DESC
  LIMIT 7
  ";
	$depp = $db->query($dep) or die($db->error."($dep)");
  $deps = [];
	if($depp->num_rows){
    while($row = $depp->fetch_object()){
  		$now = date('Y-m-d H:i:s');
      $date = new DateDifference($row->date_created , $now);
  		$row->date_created = $date->smart();
  		$deps[] = $row;
  	}
  }

  $pla = "SELECT description, count(it_id) as num FROM transactions WHERE trans_type='BKG' AND sub='0' GROUP BY it_id ORDER BY num DESC LIMIT 6" ;
	$trip = $db->query($pla) or die($db->error."($pla)");
  $trips = [];
	if($trip->num_rows){
    while($row = $trip->fetch_object()){
  		$now = date('Y-m-d H:i:s');
  		$trips[] = $row;
  	}
  }
}

?>

<div id="dashboard-mini" style="background-color: #fdfdfd; min-height: 100vh">
	<div class="dashboard">
		<div class="row">
			<?php foreach($build1 as $c => $item){?>
			<div class="col l3 m6 s12">
				<div class="info-box hoverable pointer">
				<span class="info-box-icon  <?=$item['color']?>"><i class="material-icons medium white-text"><?=$item['icon']?></i></span>
				<div class="info-box-content">
				  <span class="info-box-text">Total <?=$item['label']?></span>
				  <span class="info-box-number"><?=$item['num']?></span>
				</div>
			  </div>
			</div>
			<?php } ?>
		</div>
		<div class="graph row">
			<canvas id="myChart" style="width:100%; height: 400px !important"></canvas>
		</div>
		<div class="stats  row">
			<div class="col l8 s12 nopad">
				<div class="white stat-title" style="border-top: 4px solid red"><b>Most Recent Bookings</b></div>
				<div class="table-holder">
					<table class="stats stats1 white bordered">
						<thead>
							<th style="padding-right: 20px">S/N</th>
              <th>Customer</th>
              <th>REF NO</th>
							<th>Trip</th>
							<th>Trip Date</th>
							<th>Booked</th>
						</thead>
						<tbody>
						<?php foreach($wids as $c =>$row){?>
							<tr style="background-color:<?=$background[intval(date('ymdhis') < intval($row->date_d->format('ymdhis')))]?>">
								<td><?=$c+1?></td>
								<td><?=$row->customer?></td>
								<td><?=$row->ref?></td>
								<td><?=$row->description?></td>
								<td><?=$row->date_due?></td>
								<td class="right-align"><?=$row->date_created?></td>
							</tr>
						<?php }?>
						</tbody>
					</table>
				</div>
			</div>
      <div class="col l4 s12 posRel nopad">
			<?php if(!empty($deps)){?>
					<div class="col s12 substat nopad" style="margin-bottom:25px">
						<div class="white stat-title" style="border-top: 4px solid green">
							<b>Most Recent Vehicle Charters</b>
						</div>
						<div class="table-holder">
							<table class="stats white bordered">
                <thead>
    							<th style="padding-right: 20px">S/N</th>
    							<th>Customer</th>
    							<th>Status</th>
    							<th>Time</th>
    						</thead>
								<tbody>
									<?php foreach($deps as $v => $row){$row->status = empty($row->status) ? 0 :$row->status?>
                    <tr style="background-color:<?=$background[$row->status]?>">
      								<td><?=$v+1?></td>
                      <td><?=$row->client_name?></td>
      								<td><?=$paramControl->load_sources("rentstatus")[$row->status]?></td>
      								<td class="right-align"><?=$row->date_created?></td>
      							</tr>
									<?php }?>
								</tbody>
							</table>
						</div>
					</div>
  			<?php }?>
  			<?php if(!empty($trips)){?>
  					<div class="col s12 substat nopad">
  						<div class="white stat-title" style="border-top: 4px solid yellow">
  							<b>Most Popular Trips</b>
  						</div>
  						<div class="table-holder">
  							<table class="stats white bordered">
                  <thead>
      							<th style="padding-right: 20px">S/N</th>
      							<th>Routes</th>
      							<th>Times</th>
      						</thead>
  								<tbody>
  									<?php foreach($trips as $c => $row){?>
                      <tr>
        								<td><?=$c+1?></td>
        								<td><?=$row->description?></td>
        								<td><?=$row->num?></td>
        							</tr>
  									<?php }?>
  								</tbody>
  							</table>
  						</div>
  					</div>
				<?php }?>
  		</div>
  	</div>
  </div>
<style>
.info-box {
    display: block;
    min-height: 90px;
    background: #fff;
    width: 100%;
    box-shadow: 0 1px 1px rgba(0,0,0,0.1);
    border-radius: 2px;
    margin-bottom: 15px;
}
.info-box-icon {
    border-top-left-radius: 2px;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 2px;
    display: block;
    float: left;
    height: 90px;
    width: 90px;
    text-align: center;
    font-size: 45px;
    line-height: 90px;
    background: rgba(0,0,0,0.2);
        background-color: rgba(0, 0, 0, 0.2);
    background-color: rgba(0, 0, 0, 0.2);
    padding-top: 12px;
}.info-box-content {
    padding: 5px 10px;
    margin-left: 90px;
    font-family: 'Source Sans Pro','Helvetica Neue',Helvetica,Arial,sans-serif;
    font-weight: 400;
}
.info-box-content {
    font-family: 'Source Sans Pro','Helvetica Neue',Helvetica,Arial,sans-serif;
    font-weight: 400;
}
.info-box-number {
    display: block;
    font-weight: bold;
    font-size: 18px;
}
.dashboard .table-holder {
    border: solid 1px lightgray;
}
</style>
<script>

$(document).ready(function(){
	$.post(site.backend+"backendProject/views/dashboard-mini.php",{'getChart':true},function(response){
		var ctx = $('#myChart');
    // console.log(response);
		var data = isJson(response);
		//console.log(response);
		if(data !== false){
			var dataset = [];
			$.each(data, function(key, value){
				var obj = {
					label : value.label,
					backgroundColor: '',
					borderColor: value.color,
					data: value.data
				};
				dataset.push(obj);
			});
			var chart = new Chart(ctx, {
				type: 'line',
				data: {
					labels: ['Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec'],
					datasets: dataset
				},
				options: {}
			});
		}else{console.log(response)}
	});
});
function isJson(str) {
	if(!str){
		return false;
	}else{
		try {
			var data = JSON.parse(str);
			var type = typeof(data);
			if(type.toLowerCase() !== 'object'){
				return false;
			}else{return data;}
		} catch (e) {
			//alert(e)
			return false;
		}
	}
}
</script>
