<?php
require_once (__DIR__."../../../controllers/Controllers.php");
$fmt = numfmt_create("en", NumberFormatter::CURRENCY );
$generic 			= new Generic();
$uri = $generic->getURIdata();
$db = $generic->connect();
$paramControl = new ParamControl($generic);
$bb = [
	'article'=>['red','Articles','blur_on'],
	'news'=>['green','News','assistant'],
	'caseStudy'=>['blue','Case Studies','assessment'],
	'career'=>['orange','Careers','person_outline']
];

if(isset($_POST['getChart'])){
	$y = date('Y');
	$qe = "
	(SELECT MONTH(date_uploaded) as month, type, COUNT(id) as num FROM content WHERE type='article' AND YEAR(date_uploaded)=$y AND status='1' GROUP BY MONTH(date_uploaded) ORDER BY MONTH(date_uploaded) ASC)
	UNION
	(SELECT MONTH(date_uploaded) as month, type, COUNT(id) as num FROM content WHERE type='news' AND YEAR(date_uploaded)=$y AND status='1' GROUP BY MONTH(date_uploaded) ORDER BY MONTH(date_uploaded) ASC)
	UNION
	(SELECT MONTH(date_uploaded) as month, type, COUNT(id) as num FROM content WHERE type='career' AND YEAR(date_uploaded)=$y AND status='1' GROUP BY MONTH(date_uploaded) ORDER BY MONTH(date_uploaded) ASC)
	UNION
	(SELECT MONTH(date_uploaded) as month, type, COUNT(id) as num FROM content WHERE type='caseStudy' AND YEAR(date_uploaded)=$y AND status='1' GROUP BY MONTH(date_uploaded) ORDER BY MONTH(date_uploaded) ASC)
	";
	$pgquery = $db->query($qe) or die($db->error);
	while($r = $pgquery->fetch_assoc()){
		$row[$r['type']][] = $r;

	}
	foreach($bb as $type => $arr){if(!isset($row[$type]))$row[$type] = [['month' => 1, 'num' => 0]];}
	foreach($row as $type => $info){
		$nums = array();$ddd = array();
		for($i=1; $i<=12;$i++){
			$nums[$i]=0;
			foreach($info as $m => $month ){
				if($month['month'] == $i){$nums[$i]=intval($month['num']);}
			}
		}
		foreach($nums as $c => $num){$ddd[] = $num;}
		$json[$type]=['data'=>$ddd, 'color'=>$bb[$type][0], 'label'=>$bb[$type][1]];
	}
	echo json_encode($json);
	die();
}else{
	$query1 = "SELECT COUNT(id) as num, type FROM content WHERE type='article' AND status='1'
		UNION SELECT COUNT(id) as num, type FROM  content WHERE type='news' AND status='1'
		UNION SELECT COUNT(id) as num, type FROM  content WHERE type='caseStudy' AND status='1'
		UNION SELECT COUNT(id) as num, type FROM  content WHERE type='career' AND status='1'
	";
	$con1 = $db->query($query1) or die($db->error);
	$c = 0;
	while($row = $con1->fetch_assoc()){
		$thistype = $row['type'];
		if(!empty($thistype)){
			$row['icon'] = $bb[$thistype][2];
			$row['label'] = $bb[$thistype][1];
			$row['color'] = $bb[$thistype][0];
			$build1[$c] = $row;
			$c++;
		}
	}
	$c = 0;
	$types = array_column($build1, 'type');
	foreach($bb as $type => $arr){
		if(array_search($type, $types) === false ){
			$build1[]=['num'=>0,'icon'=>$bb[$type][2],'label'=>$bb[$type][1],'color'=>$bb[$type][0]];
		}
	}
	$query2 = "SELECT
	content.id, content.title, content.url, content.no_of_views, content.category as cat, content.date_uploaded as date,  users.name
	FROM content
		LEFT JOIN users ON users.id=content.user_id
	WHERE content.type='article'  AND content.status='1'
	ORDER BY content.no_of_views/((datediff(curdate(),date(date_uploaded)) *4)+1) DESC LIMIT 5" ;
	$con2 = $db->query($query2) or die($db->error);
	$c = 0;

	while($row = $con2->fetch_assoc()){
		$qe = $db->query("SELECT title as category FROM content WHERE id='{$row['cat']}'") or die($db->error);
		while($cat = $qe->fetch_assoc()){$row['category'] = $cat['category'];}
		$now = date('Y-m-d H:i:s');
		$date = new DateDifference($row['date'], $now);
		$row['date'] = $date->smart();
		//$row['date'] = date_diff_humans('2018-10-15 10:59:00', $now, 'S');
		$tats[] = $row;
	}
	$query3 = "
	(SELECT title, type, no_of_views, url FROM content WHERE type='product' ORDER BY no_of_views DESC LIMIT 2)
	UNION
	(SELECT title, type, no_of_views, url FROM content WHERE type='business' ORDER BY no_of_views DESC LIMIT 2)";
	$con3 = $db->query($query3) or die($db->error);
	$c = 0;
	while($row = $con3->fetch_assoc()){
		$others[$row['type']][] = $row;
	}
$db->close();
}
//die()
//echo json_encode($build1);
?>
<style>.col.s12.substat.nopad:last-child {margin-top: 15px;}</style>
<div class="" style="background-color: #ecf0f5; min-height: 100vh">
	<div class="dashboard">
		<div class="row">
			<?php foreach($build1 as $c => $item){?>
			<div class="col s3">
				<div class="info-box hoverable pointer">
				<span class="info-box-icon  <?=$item['color']?>"><i class="material-icons medium white-text"><?=$item['icon']?></i></span>
				<div class="info-box-content">
				  <span class="info-box-text">Total Number of Published <?=$item['label']?></span>
				  <span class="info-box-number"><?=$item['num']?></span>
				</div>
			  </div>
			</div>
			<?php } ?>
		</div>
		<div class="graph row ">
			<canvas id="myChart" style="width:100%; height: 400px !important"></canvas>
			<!--<img id="myChart" style="width:100%; height: 400px !important" src="../asset/images/graph.png"></canvas>-->
		</div>
		<div class="stats  row ">
			<div class="col s8 nopad">
				<div class="white stat-title"><b>Most Performing articles</b></div>
				<div class="table-holder">
					<table class="stats stats1 white bordered">
						<thead>
							<th style="padding-right: 20px">S/N</th>
							<th>Title</th>
							<th>Category</th>
							<th>Author</th>
							<th>Posted</th>
							<th>Views</th>
						</thead>
						<tbody>
						<?php foreach($tats as $c =>$row){?>
							<tr>
								<td><?=$c+1?></?></td>
								<td><a href="<?=$uri->site."article/{$row['id']}-{$row['url']}"?>"><?=$row['title']?></?></a></td>
								<td><?=$row['category']?></?></td>
								<td><?=explode(' ',trim($row['name']))[0]?></?></td>
								<td style="text-transform: unset"><?=$row['date']?></?></td>
								<td class="right-align"><?=$row['no_of_views']?></?></td>
							</tr>
						<?php }?>
						</tbody>
					</table>
				</div>
			</div>
			<div class="col s4 posRel nopad">
				<?php
				$inf = ['product'=>['Prodcuts','4ddb0ee6'], 'business'=>['Businesses','c70edbe6']];
				foreach($others as $type =>$rows){?>
					<div class="col s12 substat nopad">
						<div class="white stat-title" style="border-top: 4px solid #<?=$inf[$type][1]?>">
							<b>Most Viewed <?=$inf[$type][0]?></b>
						</div>
						<div class="table-holder">
							<table class="stats white bordered">
								<tbody>
									<?php foreach($rows as $v => $row){?>
										<tr>
											<td><?=$row['title']?></?></td>
											<td><?=$row['no_of_views']?></?></td>
										</tr>
									<?php }?>
								</tbody>
							</table>
						</div>
					</div>
				<?php }?>
			</div>
		</div>
	</div>
</div>
<script>

$(document).ready(function(){
	$.post(site.backend+"backendProject/views/dashboard.php",{'getChart':true},function(response){
		var ctx = $('#myChart');
		var data = isJson(response);
		//console.log(response);
		if(data !== false){
			var dataset = [];
			$.each(data, function(key, value){
				var obj = {
					label : value.label,
					backgroundColor: '',
					borderColor: value.color,
					data: value.data
				};
				dataset.push(obj);
			});
			var chart = new Chart(ctx, {
				type: 'line',
				data: {
					labels: ['Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec'],
					datasets: dataset
				},
				options: {}
			});
		}else{console.log(response)}
	});
});
function isJson(str) {
	if(!str){
		return false;
	}else{
		try {
			var data = JSON.parse(str);
			var type = typeof(data);
			if(type.toLowerCase() !== 'object'){
				return false;
			}else{return data;}
		} catch (e) {
			//alert(e)
			return false;
		}
	}
}
</script>
