<?php
require_once "PHPMailer.php";
require_once __DIR__.'../../vendor/autoload.php';

use Twilio\Rest\Client;
class Messenger{
  public $email;
  public $name;
  static $generic;
  public function __construct($generic) {
    self::$generic = $generic;
  }

  public function sendMail($post){
    if(gettype($post) !== 'object'){
      $post = (object) $post;
    }
    if(isset($data->url)){//Sendonline
      $response = curl_post($post);
    }else{
      $params = ['subject','body','from','to','from_name','to_name','address','user_id'];
      foreach($params as $field){if(!isset($post->{$field})){return("$field field is not defined for sending email parameters");}}
      $bd = "";
      $bd = '<html>
        <body>
        <div style="background-color: white; margin: 0; float: left; width: 100%">
        <div style="width: 70%;margin:3px auto;font-family: '."Open Sans".','."Helvetica Neue,Helvetica".',Arial,sans-serif;min-width: 450px; max-width: 600px">
        <div style="padding: 15px; text-align: center; border-radius: 3px; box-sizing: border-box;line-height: 33px;font-size: 21px;color: gray;">
        '.$post->body.'
        </div>
        <table style="background-color:transparent;padding:0 24px;color:#6a6c6d;text-align:center" width="100%" cellspacing="0" cellpadding="0" border="0" bgcolor="#EDF0F3" align="center"> <tbody> <tr> <td style="padding:16px 0 0 0;text-align:center" align="center"> <table width="100%" cellspacing="0" cellpadding="0" border="0" align="center"> <tbody> <tr> <td style="padding:0 0 16px 0;vertical-align:middle;text-align:center" valign="middle" align="center"><a href="'.$this::$generic->domain.'/rear/unsubscribe.php?id='.$post->user_id.'"> <span style="color:#6a6c6d;font-weight:400;text-decoration:underline;font-size:12px;line-height:1.333">Unsubscribe</span></a>&nbsp;&nbsp;</td> </tr> </tbody> </table></td> </tr> <tr> <td> <table width="100%" cellspacing="0" cellpadding="0" border="0"> <tbody> <tr> <td style="padding:0 0 12px 0;text-align:center" align="center"> <p style="margin:0;color:#6a6c6d;font-weight:400;font-size:12px;line-height:1.333">This message is from '.$post->from_name.'</p></td> </tr> <tr> <td style="padding:0 0 12px 0;text-align:center" align="center"> <p style="margin:0;word-wrap:break-word;color:#6a6c6d;word-break:break-word;font-weight:400;font-size:12px;line-height:1.333">This email was intended for '.$post->to_name.' </p></td> </tr> <tr> <td style="padding:0 0 8px 0;text-align:center" align="center"></td> </tr> <tr> <td style="padding:0 0 12px 0;text-align:center" align="center"> <p style="margin:0;color:#6a6c6d;font-weight:400;font-size:12px;line-height:1.333">©'.date("Y").$post->from_name.' '.$post->address.'</p></td> </tr> </tbody> </table></td> </tr> </tbody> </table></div></div>
        </div>
        </div>
        </body>
      </html>';
      $response = new stdClass;
      $Mail = new PHPMailer();
      if(!in_array(self::$generic->getServer(), self::$generic->getLocalServers())){
        $subject = ucwords($post->subject);
        $Mail->AddReplyTo($post->from, "RE: $subject");
        $Mail->From     = $post->from;
        $Mail->FromName = $post->from_name;
        $Mail->Body = $bd;
        $Mail->AltBody = $post->body;
        $Mail->Subject = $subject;
        $Mail->AddAddress($post->to);
        $Mail->WordWrap = 50;
        $Mail->IsHTML(true);
        if(!empty($post->copy_to)){
          foreach ($post->copy_to as $key => $value) {
            $Mail->AddCC = $value;
          }
        }
        if(!$Mail->send()){
          $response->status = 0;
          $response->message = 'Error Sending email to '.$post->to;
        }else{
          $response->status = 1;
          $response->message = 'Mail Sent to '.$post->to;
        }
      }else{
        $response->status = 1;
        $response->message = 'Mail Sent to '.$post->to;
      }
    }
    return($response);
  }

  public function sendSMS($post = []){
    $params = ['message','phone'];
    if(gettype($post) !== 'object'){$post = (object) $post;}
    foreach($params as $field){if(!isset($post->{$field})){return("$field field is not defined for sending email parameters");}}

    // Your Account SID and Auth Token from twilio.com/console
    $twilio         = json_decode(json_encode($this::$generic::$twilio));
    $account_sid    = $twilio->ACCOUNT_SID;
    $auth_token     = $twilio->AUTH_TOKEN;
    if(empty($twilio->SMS_DEFAULT))$twilio->SMS_DEFAULT = "PHONE";
		$twilio_phone 	= $twilio->{$twilio->SMS_DEFAULT};
    // In production, these should be environment variables. E.g.:
    // $auth_token = $_ENV["TWILIO_ACCOUNT_SID"]

    // A Twilio number you own with SMS capabilities
    $client = new Client($account_sid, $auth_token);
    $response = new stdClass;
    try {
      $msg = $client->messages->create(
        $post->phone,
        array(
          'from' => $twilio_phone,
          'body' => $post->message,
          "statusCallback" => "http://postb.in/1234abcd"
        )
      );
      $response->status = 1;
      $response->message = "Message sent to {$post->phone}";
    } catch (\Exception $e) {
      $response->status = 0;
      $response->message = "An Error Occured";
      $response->data = $e->xdebug_message;
    }
    return $response;
  }

  public function verifyPhone($phone_number)  {
    $response = new stdClass;
    $twilio = json_decode(json_encode($this::$generic::$twilio));
    $account_sid = $twilio->ACCOUNT_SID;
    $auth_token = $twilio->AUTH_TOKEN;
    $Twilion = new Client($account_sid, $auth_token);
    try {
      $response = $Twilion->verify->v2->services(
        $twilio->services->verify->SID
      )->verifications->create($phone_number, "sms");
      $response->message = $response->status;
      $response->status = 1;
    } catch (\Exception $e) {
      $response->status = 0;
      $response->message = "An Error Occured";
      $response->error = $e;
    }
    return($response);
  }

  public function confirmToken($token, $phone_number)  {
    $response = new stdClass;
    $twilio = json_decode(json_encode($this::$generic::$twilio));
    $account_sid = $twilio->ACCOUNT_SID;
    $auth_token = $twilio->AUTH_TOKEN;
    $Twilion = new Client($account_sid, $auth_token);
    try {
      $response = $Twilion->verify->v2->services(
        $twilio->services->verify->SID
      )->verificationChecks->create($token,["to"=>$phone_number]);
      $response->message = $response->status;
      $response->status = 1;
    } catch (\Exception $e) {
      $response->status = 0;
      $response->message = "An Error Occured";
      $response->error = $e;
    }
    return($response);
  }

}
?>
