var bootcampReg, referral;
let searchInProgress = false;
$(document).ready(function () {
  if ($(".owl-carousel")[0]) {
    $(".owl-carousel").each(function (_, carousel) {
      const childCount = $(carousel).children().length;

      if ($(carousel).hasClass("contest-carousel")) {
        $(carousel).owlCarousel({
          items: childCount,
          loop: loopCarousel(carousel, true),
          nav: true,
          margin: 50,
          autoplay: true,
          autoplayTimeout: 2000,
          autoplayHoverPause: true,
          responsiveClass: true,
          responsive: {
            0: {
              items: 1,
            },
            900: {
              items: 2,
            },
          },
        });
      } else {
        $(carousel).owlCarousel({
          items: childCount,
          loop: loopCarousel(carousel),
          nav: true,
          margin: 50,
          center: true,
          autoWidth: true,
          autoplay: true,
          autoplayTimeout: 2000,
          autoplayHoverPause: true,
          responsiveClass: true,
          responsive: {
            0: {
              items: 1,
            },
            600: {
              items: 2,
            },
            900: {
              items: 3,
            },
            1200: {
              items: 4,
            },
          },
        });
      }
    });
  }
  $(window).scroll(function () {
    var pc = $(this).scrollTop() / 300;
    $("nav.navbar").css({ "background-color": "rgba(3,45,87," + 0 + pc + ")" });
    if (pc <= 1) {
      $("nav.navbar").removeClass("opaque");
      $("#nav-mobile").removeClass("opaque");
      $(".dropdown-menu").removeClass("img-raised");
    } else {
      $(".dropdown-menu").addClass("img-raised");
      $("nav.navbar").addClass("opaque");
      $("#nav-mobile").addClass("opaque");
    }

    if ($(this).scrollTop() > $(document).height() - 2000) {
      if ($("#enquiryBtn").hasClass("d-none"))
        $("#enquiryBtn").removeClass("d-none");
    } else if (!$("#enquiryBtn").hasClass("d-none")) {
      $("#enquiryBtn").addClass("d-none");
    }
  });
  onViewport(".posRel.animated", "pulse", 500);
  onViewport(".read-content", "", 500, function () {});
  scrollactions("#carouselExampleIndicators", "bottomEl");
  $(".page_loader").fadeOut("fast");
  $("#mobile-menu").click(function () {
    $("#nav-mobile").toggleClass("hide").animate({
      width: "toggle",
    });
  });
  $("#nav-mobile")
    .find("a[href]")
    .click(function (e) {
      e.stopImmediatePropagation();
    });
  //
  /*(function(d, s, id) {
    var js, fjs = d.getElementsByTagName(s)[0];
    if (d.getElementById(id)) return;
    js = d.createElement(s); js.id = id;
    js.src = "https://connect.facebook.net/en_US/sdk.js#xfbml=1&version=v3.0";
    fjs.parentNode.insertBefore(js, fjs);
  }(document, 'script', 'facebook-jssdk'));*/
  startSvgAnim();
  $(".content-toggler").click(function () {
    const toggleContent = () => {
      const pElem = $(this).prev("p").toggleClass("text-truncate-lines-2");
      if ($(pElem).hasClass("text-truncate-lines-2")) {
        this.childNodes[0].textContent = "Show more";
        this.querySelector("use").setAttribute("xlink:href", "#caretDown");
      } else {
        this.childNodes[0].textContent = "Show less";
        this.querySelector("use").setAttribute("xlink:href", "#caretUp");
      }
    };

    if (!document.startViewTransition) return toggleContent();
    document.startViewTransition(() => toggleContent());
  });
  $("#show-more").click(function () {
    if (!$(this).prop("expanded")) {
      $(this)
        .prop("expanded", true)
        .text("Show less")
        .parent()
        .css("background", "none");
      $(this).closest(".posRel").css("max-height", "unset");
    } else {
      $(this)
        .prop("expanded", false)
        .text("Show more")
        .parent()
        .css(
          "background",
          "linear-gradient(to bottom, transparent 0%, white 40%)"
        );
      $(this)
        .closest(".posRel")
        .css("max-height", "20rem")[0]
        .scrollIntoView({ behavior: "smooth", block: "end" });
    }
  });
  $("#show-syllabus").click(function () {
    if (!$(this).prop("expanded")) {
      $(this).prop("expanded", true).text("Show less");
      $(this)
        .closest(".posRel")
        .children("div.card:nth-child(n+5)")
        .removeClass("d-none");
    } else {
      $(this).prop("expanded", false).text("Show more");
      $(this)
        .closest(".posRel")
        .children("div.card:nth-child(n+5)")
        .addClass("d-none");
      this.scrollIntoView({ behavior: "smooth", block: "end" });
    }
  });
  $("#mainSearchBtn, #jobSearchBtn, #talentSearchBtn, #contestSearchBtn").click(
    () =>
      $("#mainSearch, #jobSearch, #talentSearch, #contestSearch").trigger(
        $.Event("keypress", { keyCode: 13, which: 13 })
      )
  );
  $("#mainSearch, #jobSearch, #talentSearch, #contestSearch").keypress(
    function (evt) {
      if (evt.keyCode != 13 || !$(this).val().trim()) return;
      const searchStr = $(this).blur().addClass("disabled").val().trim(),
        category = $("#categoryDropdown").data("category");
      const id = $(this).attr("id");
      const url =
        site.domain +
        (id == "mainSearch"
          ? "courses/"
          : id == "jobSearch"
          ? "find-jobs/"
          : id == "talentSearch"
          ? "find-talents/"
          : "find-programs/");
      location.href = url + encodeUrl(category) + "/" + encodeUrl(searchStr);
    }
  );
  $(
    "#searchCoursesBtn, #searchJobsBtn, #searchTalentsBtn, #searchContestsBtn"
  ).click(() =>
    $("#searchCourses, #searchJobs, #searchTalents, #searchContests").trigger(
      $.Event("keypress", { keyCode: 13, which: 13 })
    )
  );
  $("#searchCourses, #searchJobs, #searchTalents, #searchContests").keypress(
    function (evt) {
      if (evt.keyCode == 13 && $(this).val().trim()) {
        $(this).blur().data("search", $(this).val().trim());

        switch ($(this).attr("id")) {
          case "searchCourses":
            reloadCourses();
            break;
          case "searchJobs":
            reloadJobs();
            break;
          case "searchTalents":
            reloadTalents();
            break;
          default:
            reloadContest();
        }
      }
    }
  );
  $("#salaryInput").change(function () {
    const amount = $("#salaryInput").val();
    $("#salaryDisp").val(amount.replace(/\B(?=(\d{3})+(?!\d))/g, ","));
  });
  $("#clearFilter").click(function () {
    $("#cat_filter input:checked").prop("checked", false);
    const initPath = location.pathname.split("/")[1];
    if (initPath == "courses") {
      reloadCourses();
    } else if (initPath == "find-jobs") {
      $("#searchContainer").find("select").val("");
      $("#searchContainer").find("input[type=range]").val(0);
      reloadJobs();
    } else if (initPath == "find-talents") {
      $("#searchContainer").find("select").val("");
      reloadTalents();
    } else {
      reloadContest();
    }
  });

  $("#nav-immersive-tab").click(function () {
    if (!$("#immerse-radio").is(":checked")) $("#immerse-radio").click();
  });
  $("#nav-executive-tab").click(function () {
    if (!$("#exec-radio").is(":checked")) $("#exec-radio").click();
  });
  $("#nav-online-tab").click(function () {
    if (!$("#online-radio").is(":checked")) $("#online-radio").click();
  });

  $("#immerse-radio").change(function () {
    if (!$("#nav-immersive-tab").hasClass("active")) {
      $("#nav-immersive-tab").click();
    }
    let btnTxt = $(".form-submitBtn").text(),
      txt = $("h6.group_price")
        .text()
        .match(/[0-9,]+/)[0];
    btnTxt = btnTxt.replace(/[0-9,.]+/, txt);
    $(".form-submitBtn").text(btnTxt);
  });

  $("#exec-radio").change(function () {
    if (!$("#nav-executive-tab").hasClass("active")) {
      $("#nav-executive-tab").click();
    }
    let btnTxt = $(".form-submitBtn").text(),
      txt = $("h6.executive_price")
        .text()
        .match(/[0-9,]+/)[0];
    btnTxt = btnTxt.replace(/[0-9,.]+/, txt);
    $(".form-submitBtn").text(btnTxt);
  });

  $("#online-radio").change(function () {
    if (!$("#nav-online-tab").hasClass("active")) {
      $("#nav-online-tab").click();
    }
    let btnTxt = $(".form-submitBtn").text(),
      txt = $("h6.online_price")
        .text()
        .match(/[0-9,]+/)[0];
    btnTxt = btnTxt.replace(/[0-9,.]+/, txt);
    $(".form-submitBtn").text(btnTxt);
  });

  let timer;
  $(".toggle-psw-visible").click(function () {
    if (timer) {
      clearTimeout(timer);
      timer = null;
    }
    $(this).toggleClass("fa-eye fa-eye-slash");
    if ($("#loginPsw").attr("type") == "password") {
      $("#loginPsw").attr("type", "text");
    } else {
      $("#loginPsw").attr("type", "password");
    }
    $("#loginPsw")[0].focus();
  });

  $("#loginPsw").on({
    focusin: function () {
      $(this).next().css("border-color", "#f96332");
      if ($(".toggle-psw-visible").hasClass("d-none")) {
        $(".toggle-psw-visible").removeClass("d-none");
      }
    },
    focusout: function () {
      const input = this;
      $(this).next().css("border-color", "#E3E3E3");
      timer = setTimeout(() => {
        console.log("k1");
        if ($(input).attr("type") == "text") {
          $(input).attr("type", "password");
          $(".toggle-psw-visible").toggleClass("fa-eye fa-eye-slash");
        }
        $(".toggle-psw-visible").addClass("d-none");
        timer = null;
      }, 500);
    },
  });

  $(".toggleForms").click(function () {
    $(".invalid-feedback").removeClass("d-block");
    const formElems = $("#enrollFormRow").children(),
      topForm = $(formElems).slice(0, 4),
      bottomForm = location.pathname.split("/").includes("view-event")
        ? $(formElems).slice(4, 5)
        : $(formElems).slice(4, 6);
    $(topForm).animate(
      { translate: "-=100%", opacity: "0.3" },
      "slow",
      function () {
        $(this)
          .addClass("d-none")
          .css({ translate: "0", opacity: "1" })
          .find("input")
          .prop("disabled", true)
          .removeAttr("required");
        $(".toggleForms").parent().addClass("d-none");
        $(".toggleForms2").parent().removeClass("d-none");
        $("#submitReg, #eventRegBtn").addClass("pe-none");
        $("#enrollFormRow")
          .addClass("align-items-center")
          .removeClass("align-items-stretch")
          .prev()
          .addClass("d-none");
        $(bottomForm)
          .removeClass("d-none")
          .css({ translate: "-100%", opacity: "0.3" })
          .animate({ translate: "0", opacity: "1" }, "slow", function () {
            $("input", this).attr("required", "true").prop("disabled", false);
            $("#submitReg").removeClass("pe-none").prop("action", "login");
            $("#eventRegBtn").removeClass("pe-none").prop("reg", false);
          });
      }
    );
  });

  $(".toggleForms2").click(function () {
    const formElems = $("#enrollFormRow").children(),
      topForm = $(formElems).slice(0, 4),
      bottomForm = $(formElems).slice(4, 6);
    $(bottomForm).animate(
      { translate: "-=100%", opacity: "0.3" },
      "slow",
      function () {
        $(this)
          .addClass("d-none")
          .css({ translate: "0", opacity: "1" })
          .find("input")
          .prop("disabled", true)
          .removeAttr("required");
        $(".toggleForms2").parent().addClass("d-none");
        $(".toggleForms").parent().removeClass("d-none");
        $("#submitReg, #eventRegBtn").addClass("pe-none");
        $("#enrollFormRow")
          .addClass("align-items-stretch")
          .removeClass("align-items-center")
          .prev()
          .removeClass("d-none");
        $(topForm)
          .removeClass("d-none")
          .css({ translate: "-100%", opacity: "0.3" })
          .animate({ translate: "0", opacity: "1" }, "slow", function () {
            $("input", topForm)
              .attr("required", "true")
              .prop("disabled", false);
            $("#submitReg").removeClass("pe-none").prop("action", "reg");
            $("#eventRegBtn").removeClass("pe-none").prop("reg", true);
          });
      }
    );
  });

  $("#courseReg").click(function () {
    const courseId = $("#courseId").val(),
      courseName = $("#courseName").val();
    const form = $(this).prev("form").attr("action", `${site.process}payment`);

    if (!$('input[type="radio"]', form).is(":checked")) return;
    $("<input>")
      .attr({
        type: "hidden",
        name: "process_url",
      })
      .val(
        `${site.process}custom?case=process_payment&id=${courseId}&course=${courseName}`
      )
      .appendTo(form)
      .after(
        $("<input>")
          .attr({
            type: "hidden",
            name: "callbefore",
          })
          .val("get_payment_fields")
      );

    if (referral) {
      $("<input>")
        .attr({ name: "referral_code", type: "hidden" })
        .val(referral)
        .appendTo(form);
    }
    let inputToDel = $("#courseName");

    if (!$("#coupon-code").val().trim())
      inputToDel = $(inputToDel).add($("#coupon-code"));
    $(inputToDel).remove();
    $(form).submit();
  });

  $("#submitReg")
    .prop("action", "reg")
    .click(function () {
      $("i", this).removeClass("d-none");
      const submitBtn = $(this).addClass("pe-none"),
        form = $("#regForm");

      if ($(this).prop("action") == "login") {
        if (!$("button.submit", form)[0]) {
          $("<button>")
            .addClass("d-none submit")
            .appendTo(form)
            .after($("<span>").addClass("forgot-password"));
        }
        $(form).loginForm(
          {
            formName: "loginMembers",
            forgoTPassword: true,
          },
          function (res) {
            const courseId = $("#courseId").val(),
              courseName = $("#courseName").val();
            const payForm = $("<form>")
              .prop({
                method: "post",
                action: `${site.process}payment`,
              })
              .appendTo($("body"));
            const paymentData = {
              callbefore: "get_payment_fields",
              process_url: `${site.process}custom?case=process_payment&id=${courseId}&course=${courseName}`,
              email: res.email,
              price_cat: $("#immerse-radio").is(":checked")
                ? "immersive"
                : $("#exec-radio").is(":checked")
                ? "executive"
                : "online",
            };

            if (referral) {
              paymentData.referral_code = referral;
            }
            const coupon = $("#coupon-code").val().trim();
            if (coupon != "") {
              paymentData.coupon_code = coupon;
            }
            $.each(paymentData, function (name, value) {
              $("<input>")
                .attr({ type: "hidden", name })
                .val(value)
                .appendTo(payForm);
            });
            $("#courseName").remove();
            $(payForm).submit();
          },
          function () {
            $(this).removeClass("pe-none").find("i").addClass("d-none");
          }
        );
        $("button.submit", form).click();
        return;
      }
      if ($(".invalid-feedback").hasClass("d-block"))
        $(".invalid-feedback").removeClass("d-block");
      let invalid = false;
      const firstNameElem = $("#regFirstName").val(
          $("#regFirstName").val().trim()
        ),
        lastNameElem = $("#regLastName").val($("#regLastName").val().trim()),
        emailElem = $("#regEmail")[0],
        phoneElem = $("#regPhone")[0];
      if (
        !$(firstNameElem)
          .val()
          .match(/^[a-zA-Z]+$/)
      ) {
        $(firstNameElem).next(".invalid-feedback").addClass("d-block");
        invalid = true;
      }

      if (
        !$(lastNameElem)
          .val()
          .match(/^[a-zA-Z]+$/)
      ) {
        $(lastNameElem).next(".invalid-feedback").addClass("d-block");
        if (!invalid) invalid = true;
      }

      if (!emailElem.validity.valid) {
        $(emailElem).next(".invalid-feedback").addClass("d-block");
        if (!invalid) invalid = true;
      }
      const telLen = phoneElem.value.length;

      if (telLen < 11 || telLen > 14) {
        $(phoneElem).next(".invalid-feedback").addClass("d-block");
        if (!invalid) invalid = true;
      }

      if (invalid) {
        $(this).removeClass("pe-none").find("i").addClass("d-none");
        return;
      }
      const newEmail = $(emailElem).val();
      $.get(`${site.process}custom?case=new_student&email=${newEmail}`)
        .done(function (jsonRes) {
          const res = JSON.parse(jsonRes);
          if (res.status == 0) {
            toast(res.message, "red");
            $(submitBtn).removeClass("pe-none").find("i").addClass("d-none");
            return false;
          }
          const courseId = $("#courseId").val(),
            courseName = $("#courseName").val();
          const paymentData = {
            callbefore: "get_payment_fields",
            process_url: `${site.process}custom?case=process_payment&id=${courseId}&course=${courseName}&new_user=true`,
          };

          if (referral) {
            paymentData.referral_code = referral;
          }
          $("#coupon-code").val($("#coupon-code").val().trim());
          let inputToDel = $("#courseName");

          if (!$("#coupon-code").val())
            inputToDel = $(inputToDel).add($("#coupon-code"));
          $(inputToDel).remove();
          $.each(paymentData, function (name, value) {
            $("<input>")
              .attr({ type: "hidden", name })
              .val(value)
              .appendTo(form);
          });
          $(form).prop("action", `${site.process}payment`).submit();
        })
        .fail(function (_, __, err) {
          console.log("err", err);
          toast("An error occurred. Try later");
          $(submitBtn).removeClass("pe-none").find("i").addClass("d-none");
        });
    });

  $("#nav-genius-tab, #nav-marvel-tab").click(function () {
    if ($(this).hasClass("active")) return;
    const track = $(this)
      .attr("id")
      .match(/(genius|marvel)/)[0];
    const txtNode = $("#bootcampReg")[0].childNodes[0];
    const btnTxt = txtNode.textContent,
      txt = $(`h6#${track}_price`)
        .text()
        .match(/[0-9,]+/)[0];
    txtNode.textContent = btnTxt.replace(/[0-9,.]+/, txt);
  });
  $(".geniusTrackBtn").click(() => $("#nav-genius-tab").click());
  $(".marvelTrackBtn").click(() => $("#nav-marvel-tab").click());
  $("#bootcampModal").on("hidden.bs.modal", () => {
    if ($("#bootcampRow").css("translate") == "-100%") {
      $("#bootcampRow").css("translate", "0");
      $("#reg-step1").toggleClass(
        "fa-check-circle text-success fa-circle text-muted"
      );
      $("#reg-step2").toggleClass("text-success text-muted");
    }
  });
  $("#backToReg").click(() => {
    $("#bootcampRow").animate({ translate: "0" });
    $("#reg-step1").toggleClass(
      "fa-check-circle text-success fa-circle text-muted"
    );
    $("#reg-step2").toggleClass("text-success text-muted");
  });

  $("#bootcampReg").click(function () {
    const form = $("#bootcampForm").attr({
      action: `${site.process}payment`,
      method: "post",
    });
    const courseSelect = $(".tab-pane.active.show").find("select"),
      course = $(courseSelect).val()?.trim();
    const submitBtn = $(this).addClass("pe-none disabled");
    $(this).find("i").removeClass("d-none");
    const track =
      $(".custom-tabs.active").attr("id") == "nav-genius-tab"
        ? "genius"
        : "marvel";

    if ($(".invalid-feedback").hasClass("d-block"))
      $(".invalid-feedback").removeClass("d-block");
    let invalid = false;
    const firstNameElem = $("#regFirstName").val(
        $("#regFirstName").val().trim()
      ),
      lastNameElem = $("#regLastName").val($("#regLastName").val().trim()),
      emailElem = $("#regEmail")[0],
      phoneElem = $("#regPhone")[0];

    if (
      !$(firstNameElem)
        .val()
        .match(/^[a-zA-Z]+$/)
    ) {
      $(firstNameElem).next(".invalid-feedback").addClass("d-block");
      invalid = true;
    }

    if (
      !$(lastNameElem)
        .val()
        .match(/^[a-zA-Z]+$/)
    ) {
      $(lastNameElem).next(".invalid-feedback").addClass("d-block");
      if (!invalid) invalid = true;
    }

    if (!emailElem.validity.valid) {
      $(emailElem).next(".invalid-feedback").addClass("d-block");
      if (!invalid) invalid = true;
    }
    const telLen = phoneElem.value.length;

    if (telLen < 11 || telLen > 14) {
      $(phoneElem).next(".invalid-feedback").addClass("d-block");
      if (!invalid) invalid = true;
    }

    if (!course) {
      $(courseSelect).next(".invalid-feedback").addClass("d-block");
      if (!invalid) invalid = true;
    }

    if (invalid) {
      $(this).removeClass("pe-none disabled").find("i").addClass("d-none");
      return;
    }
    const first_name = $(firstNameElem).val(),
      last_name = $(lastNameElem).val(),
      email = $(emailElem).val(),
      phone = $(phoneElem).val();
    const params = {
      first_name,
      last_name,
      email,
      phone,
      track,
      course,
    };
    $.get(`${site.process}custom?case=new_bootcamp_reg`, params)
      .done(function (jsonRes) {
        const res = JSON.parse(jsonRes);
        $(submitBtn)
          .removeClass("pe-none disabled")
          .find("i")
          .addClass("d-none");
        if (res.status == 0) {
          toast(res.message, "red");

          return false;
        }
        const info = Object.values(params),
          infoLen = info.length,
          infoElems = $("#infoSummary th");

        for (let i = 0; i < infoLen; i++) {
          infoElems[i].textContent = info[i];
        }
        $("#bootcampFee").text(
          track == "genius" ? `₦${res.genius_price}` : `₦${res.marvel_price}`
        );
        $("#bootcampRow").animate({ translate: "-=100%" });
        $("#reg-step1").toggleClass(
          "fa-check-circle text-success fa-circle text-muted"
        );
        $("#reg-step2").toggleClass("text-success text-muted");
        $("#bootcampRegPay")
          .off()
          .on("click", function () {
            const paymentData = {
              callbefore: "get_bootcamp_fields",
              process_url: `${
                site.process
              }custom?case=process_bootcamp&course=${encodeURIComponent(
                course
              )}`,
              track,
            };
            const couponElem = $(courseSelect)
              .closest(".form-group")
              .prev(".form-inline")
              .find(".coupon-code");
            $(couponElem).val($(couponElem).val().trim());
            let inputToDel = $(form).find("select").not(courseSelect);

            if (!$(couponElem).val())
              inputToDel = $(inputToDel).add(couponElem);
            $(inputToDel).remove();
            $.each(paymentData, function (name, value) {
              $("<input>")
                .attr({ type: "hidden", name })
                .val(value)
                .appendTo(form);
            });
            $(form).submit();
          });
      })
      .fail(function (err) {
        console.log("err", err);
        toast("An error occurred. Try later");
        $(submitBtn)
          .removeClass("pe-none disabled")
          .find("i")
          .addClass("d-none");
      });
  });

  $("#otherBootcampReg").click(function () {
    $(this).addClass("pe-none").find("i").removeClass("d-none");
    const form = $("#regForm");

    if ($(".invalid-feedback").hasClass("d-block"))
      $(".invalid-feedback").removeClass("d-block");
    let invalid = false;
    const firstNameElem = $("#regFirstName").val(
        $("#regFirstName").val().trim()
      ),
      lastNameElem = $("#regLastName").val($("#regLastName").val().trim()),
      emailElem = $("#regEmail")[0],
      phoneElem = $("#regPhone")[0];

    if (
      !$(firstNameElem)
        .val()
        .match(/^[a-zA-Z]+$/)
    ) {
      $(firstNameElem).next(".invalid-feedback").addClass("d-block");
      invalid = true;
    }

    if (
      !$(lastNameElem)
        .val()
        .match(/^[a-zA-Z]+$/)
    ) {
      $(lastNameElem).next(".invalid-feedback").addClass("d-block");
      if (!invalid) invalid = true;
    }

    if (!emailElem.validity.valid) {
      $(emailElem).next(".invalid-feedback").addClass("d-block");
      if (!invalid) invalid = true;
    }
    const telLen = phoneElem.value.length;

    if (telLen < 11 || telLen > 14) {
      $(phoneElem).next(".invalid-feedback").addClass("d-block");
      if (!invalid) invalid = true;
    }

    if (invalid) {
      $(this).removeClass("pe-none").find("i").addClass("d-none");
      return;
    }
    const courseId = $("#courseId").val(),
      courseName = $("#courseName").val();
    const paymentData = {
      callbefore: "get_bootcamp_fields",
      process_url: `${site.process}custom?case=process_payment&id=${courseId}&course=${courseName}&new_user=true&bootcamp=true`,
      other: true,
    };
    $("#coupon-code").val($("#coupon-code").val().trim());
    let inputToDel = $("#courseName");

    if (!$("#coupon-code").val())
      inputToDel = $(inputToDel).add($("#coupon-code"));
    $(inputToDel).remove();
    $.each(paymentData, function (name, value) {
      $("<input>").attr({ type: "hidden", name }).val(value).appendTo(form);
    });
    $(form).prop("action", `${site.process}payment`).submit();
  });

  $("#eventRegBtn")
    .prop("reg", true)
    .click(function () {
      $("i", this).removeClass("d-none");
      const submitBtn = $(this).addClass("pe-none"),
        form = $("#eventRegForm")[0];
      if (!$(this).prop("reg")) {
        if (!$("#eventEmail")[0].validity.valid) {
          $("#eventEmail").next(".invalid-feedback").addClass("d-block");
          if (!invalid) invalid = true;
        }
        const email = $("#eventEmail").val();
        $.post(
          `${site.process}custom?case=verify_event_reg`,
          { email, get_details: true },
          function (eventRes) {
            console.log("eventRes", eventRes);
            const res = JSON.parse(eventRes);
            $(submitBtn).removeClass("pe-none").find("i").addClass("d-none");

            if (res.status == 1) {
              retrieveAttendeeInfo(res.attendee);
            } else {
              toast(res.message, "red");
            }
          }
        );
        return;
      }
      if ($(".invalid-feedback").hasClass("d-block"))
        $(".invalid-feedback").removeClass("d-block");
      let invalid = false;
      const firstNameElem = $("#regFirstName").val(
          $("#regFirstName").val().trim()
        ),
        lastNameElem = $("#regLastName").val($("#regFirstName").val().trim()),
        emailElem = $("#regEmail")[0],
        phoneElem = $("#regPhone");
      if (
        !$(firstNameElem)
          .val()
          .match(/^[a-zA-Z]+$/)
      ) {
        $(firstNameElem).next(".invalid-feedback").addClass("d-block");
        invalid = true;
      }

      if (
        !$(lastNameElem)
          .val()
          .match(/^[a-zA-Z]+$/)
      ) {
        $(lastNameElem).next(".invalid-feedback").addClass("d-block");
        if (!invalid) invalid = true;
      }

      if (!emailElem.validity.valid) {
        $(emailElem).next(".invalid-feedback").addClass("d-block");
        if (!invalid) invalid = true;
      }
      const telLen = $(phoneElem).val().length;

      if (telLen < 11 || telLen > 14) {
        $(phoneElem).next(".invalid-feedback").addClass("d-block");
        console.log("telLen", telLen);
        if (!invalid) invalid = true;
      }

      if (!$("#eventId").val() || !$("#eventTitle").val()) {
        if (!invalid) invalid = true;
      }

      if (invalid) {
        $(this).removeClass("pe-none").find("i").addClass("d-none");
        return;
      }
      const newEmail = $(emailElem).val();
      $.get(`${site.process}custom?case=verify_event_reg`, { email: newEmail })
        .done(function (jsonRes) {
          const res = JSON.parse(jsonRes);
          if (res.status == 0) {
            toast(res.message, "red");
            $(submitBtn).removeClass("pe-none").find("i").addClass("d-none");
            return false;
          }
          const data = $(form).serialize();
          console.log("data", $(form)[0], data);
          $.post(`${site.process}custom?case=register_event&${data}`)
            .done(function (jsonRes) {
              console.log("jsonRes", jsonRes);
              const res = JSON.parse(jsonRes);
              $(submitBtn).removeClass("pe-none").find("i").addClass("d-none");

              if (res.status == 1) {
                $(submitBtn)
                  .removeClass("pe-none")
                  .find("i")
                  .addClass("d-none");
                $("#eventRegModal").modal("hide");
                toast("Successful!", "green");
                $(".toggleForms").click();
                retrieveAttendeeInfo(res.attendee);
              }
            })
            .fail(function (err) {
              console.error("reg err", err);
              toast("Could not complete registration. Try later.", "red");
              $(submitBtn).removeClass("pe-none").find("i").addClass("d-none");
            });
        })
        .fail(function (err) {
          console.log("err", err);
          toast("An error occurred. Try later");
          $(submitBtn).removeClass("pe-none").find("i").addClass("d-none");
        });
    });

  $("#verify_cert").click(function () {
    const submitBtn = $(this).addClass("pe-none");
    $("i", this).removeClass("d-none");

    if ($(".invalid-feedback").hasClass("d-block"))
      $(".invalid-feedback").removeClass("d-block");
    const certId = $("#certId").val().trim();

    if (!certId || certId.length != 10 || /\W/.test(certId)) {
      $("#certId").parent().next(".invalid-feedback").addClass("d-block");
      $(this).removeClass("pe-none").find("i").addClass("d-none");
      return;
    }
    $.get(`${site.process}custom?case=verify_cert`, { cert_id: certId })
      .done(function (jsonRes) {
        const res = JSON.parse(jsonRes);
        const modalBody = $("#verifyResultModal")
          .modal("show")
          .find(".modal-body")
          .empty();
        $(submitBtn).removeClass("pe-none").find("i").addClass("d-none");

        if (res.status == 1) {
          const student = res.student;
          $("<div>")
            .appendTo(modalBody)
            .addClass("card-body")

            .append(
              $("<h5>")
                .addClass("text-center")
                .append(
                  $("<i>")
                    .addClass("fas fa-certificate mr-2")
                    .css({ color: "rgb(3, 45, 87)" })
                )
                .append("Verified!")
            )
            .append(
              $("<p>")
                .addClass("text-center")
                .text(`Owner of the certificate with id ${certId} is:`)
            )
            .append(
              $("<ul>")
                .addClass("list-group mb-3")
                .append(
                  $("<li>")
                    .addClass("list-group-item d-flex justify-content-between")
                    .append($("<div>").append($("<span>").text("Name")))
                    .append($("<h6>").addClass("my-0").text(student.name))
                )
                .append(
                  $("<li>")
                    .addClass("list-group-item d-flex justify-content-between")
                    .append($("<span>").addClass("text-dark").text("Course"))
                    .append($("<h6>").addClass("my-0").text(student.course))
                )
                .append(
                  $("<li>")
                    .addClass("list-group-item d-flex justify-content-between")
                    .append(
                      $("<span>").addClass("text-dark").text("Course duration")
                    )
                    .append(
                      $("<h6>")
                        .addClass("my-0")
                        .text(
                          `${student.duration} Month${
                            student.duration > 0 && "s"
                          }`
                        )
                    )
                )
            );
        } else {
          toast(res.message, "red");
          $("<div>")
            .appendTo(modalBody)
            .addClass("card-body text-danger")
            .append(
              $("<h5>")
                .addClass("text-center")
                .append($("<i>").addClass("fas fa-exclamation-triangle mr-2"))
                .append("Unverified!")
            )
            .append(
              $("<p>")
                .addClass("text-center")
                .addClass("card-text")
                .text(`No certificate with id ${certId} was found`)
            );
        }
      })
      .fail(function (err) {
        console.log("err", err);
        toast("An error occurred. Try later");
        $(submitBtn).removeClass("pe-none").find("i").addClass("d-none");
      });
  });

  $("#addToCalendar").click(async function () {
    const title = $(this).data("calendar"),
      date = $(this).data("date"), duration = $(this).data('duration');
    const miniWindow = window.open(
      `${site.process}custom?case=google_calendar&date=${date}&title=${title}&duration=${duration}`,
      "miniWindow",
      "width=800,height=600"
    );
    let unsuccessful = false;
    const pollingInterval = setInterval(function () {
      if (miniWindow.closed) {
        clearInterval(pollingInterval);

        if (unsuccessful) {
          toast('An error occurred', 'red');
          return;
        }
        $.get(`${site.process}custom?case=google_calendar`, function (jsonRes) {
          const res = JSON.parse(jsonRes);

          if (res.status == 1) {
            toast('Boot camp date has been added to your Google calendar!', 'green');
          } else {
            toast('Could not add date to Google calendar', 'black');
          }
        });
      }
    }, 1000);
    miniWindow.onerror = function (msg, _, __, ___, err) {
      unsuccessful = true;
      miniWindow.opener.console.log('calendar error:', msg, err);
      miniWindow.close();
    };
    // if (!document.querySelector('[src="https://apis.google.com/js/api.js"]')) {
    //   try {
    //     await new Promise((res, rej) => {
    //       $(document).append(
    //         $("<script>")
    //           .attr("src", "https://apis.google.com/js/api.js")
    //           .on({ load: () => res(true), error: () => rej(false) })
    //       );
    //     });
    //   } catch {
    //     toast("Could not connect to Google calendar", "red");
    //     return;
    //   }
    //   const CLIENT_ID = "686727143394-rmdk85r6us2cspemijiq4bvna4kt76ja.apps.googleusercontent.com";
    //   const API_KEY = "";
    //   const DISCOVERY_DOCS = [
    //     "https://www.googleapis.com/discovery/v1/apis/calendar/v3/rest",
    //   ];
    //   const SCOPES = "https://www.googleapis.com/auth/calendar.events";
    //   $.get(`${site.process}custom?case=get_api_key`, function (jsonRes) {
    //     const res = JSON.parse(jsonRes);
    //   })
    // }
  });

  if (bootcampReg) {
    $.get({
      url: `${site.process}custom?case=boot_camp_receipt`,
      data: { ...bootcampReg },
      xhrFields: {
        responseType: "blob",
      },
      success: function (receipt) {
        toast(
          "Payment completed successfully! Your receipt will be downloaded shortly",
          "green"
        );
        $("<a>")
          .attr({
            href: URL.createObjectURL(
              new Blob([receipt], { type: "application/pdf" })
            ),
            download: `${bootcampReg.track.concat("-receipt")}.pdf`,
          })[0]
          .click();
      },
    }).fail(function (err) {
      if (err.status == 403) toast("You may have an invalid token", "red");
    });
  }

  if ($("#categoryTabs")[0]) {
    const tabContainer = $("#categoryTabs");
    const fullWidth = tabContainer.width();
    const childTabs = tabContainer.children();
    let accumWidth = 0;
    $(childTabs).each(function () {
      accumWidth += $(this).width();
    });
    accumWidth +=
      (childTabs.length - 1) * parseFloat(tabContainer.css("column-gap"));

    if (accumWidth > fullWidth) {
      $("#moveCatLeft").click((evt) => moveCategoryNav(evt, "left"));
      $("#moveCatRight").click((evt) => moveCategoryNav(evt, "right"));
    } else {
      $("#moveCatLeft, #moveCatRight").remove();
    }
  }

  if ($("#partner_logos")[0]) animateLogos();

  if (location.pathname.match(/\/programs/)) fetchRSSFeed();
});

function retrieveAttendeeInfo(response) {
  $("#registeredUserModal").modal("show");
  const keys = ["name", "email", "attendee_id"],
    ulElem = $("#attendeeDetails").empty();

  for (const key of keys) {
    const field = response[key];
    $("<li>")
      .addClass(
        "list-group-item d-flex justify-content-between align-items-center"
      )
      .append(
        $("<div>").append($("<span>").addClass("text-uppercase").text(key))
      )
      .append($("<h6>").addClass("my-0").append(field.replace("_", " ")))
      .appendTo(ulElem);
  }
}

function scrollactions(topEl, bottomEl, el, newclass, callback) {
  $(window).scroll(function () {
    if ($(topEl).is(":visible")) {
      $(".page-socials").removeClass("stay").addClass("move");
    } else {
      $(".page-socials").removeClass("move").addClass("stay");
    }
  });
}

function onViewport(el, elClass, offset, callback) {
  /*** Based on http://ejohn.org/blog/learning-from-twitter/ ***/
  var didScroll = false;
  var this_top;
  var height;
  var top;

  if (!offset) {
    offset = 0;
  }

  $(window).scroll(function () {
    didScroll = true;
  });

  setInterval(function () {
    if (didScroll) {
      didScroll = false;
      top = $(this).scrollTop();

      $(el).each(function () {
        this_top = $(this).offset().top - offset;
        height = $(this).height();

        // Scrolled within current section
        if (top >= this_top && !$(this).hasClass(elClass)) {
          $(this).addClass(elClass);
          if (typeof callback === "function") {
            callback(el);
          }
        }
      });
    }
  }, 100);

  $("#subscribers").submitForm(
    {
      formName: "subscribers",
      submitType: "insert",
    },
    null,
    function (response) {
      console.log(response);
      Swal.fire();
    }
  );
}

function setSearchCategory(category) {
  $("#categoryDropdown").data({ category });

  if (category != "all") $("#categoryDropdown").text(category);
  else $("#categoryDropdown").text("All categories");
}

function loopCarousel(carousel, isContest = false) {
  const childCount = $(carousel).children().length;
  const vw = $(window).width();

  if (isContest) {
    if (vw < 900 || childCount > 2) return true;
    return false;
  }

  if (vw < 600) return true;
  else if (vw < 900 && childCount >= 2) return true;
  else if (vw < 1200 && childCount >= 3) return true;
  else if (vw > 1200 && childCount >= 4) return true;
  else return false;
}

function encodeUrl(url) {
  return btoa(url).replace(/\+/g, "-").replace(/\//g, "_").replace(/=/g, "");
}

function removeFilter(filterBtn, callback) {
  const catId = $(filterBtn).attr("data-catid");
  $(`[id='${catId}']`).prop("checked", false);
  callback();
}

function reloadCourses() {
  const searchStr = $("#searchCourses").data("search") ?? "";
  const row = $("#search-results"),
    filterPills = $("#search-filter"),
    checkboxes = $("#cat_filter input[type='checkbox']"),
    clearFilterBtn = $("#clearFilter"),
    categories = Array.prototype.reduce.call(
      $(checkboxes).prop("disabled", true).filter(":checked"),
      (accum, checkbox) => {
        accum.push($(checkbox).val());
        return accum;
      },
      []
    );

  if (searchInProgress) return;
  searchInProgress = true;
  $(row).empty();
  $(filterPills).children(":nth-last-child(n+2)").remove();
  $("#searchResCount").text("Courses");

  for (let _ = 1; _ <= 4; _++) {
    $("<div>")
      .addClass("card course-card mr-4 mb-5")
      .appendTo(row)
      .append(
        $("<div>").addClass("card-img-top shimmer-bg").css("height", "150px")
      )
      .append(
        $("<div>")
          .addClass("card-body")
          .append($("<h5>").addClass("card-title col-6 my-3 shimmer-bg"))
          .append(
            $("<p>")
              .addClass("card-text")
              .append($("<span>").addClass("col-10 d-block mb-1 shimmer-bg"))
              .append($("<span>").addClass("col-12 d-block mb-1 shimmer-bg"))
              .append($("<span>").addClass("col-8 d-block mb-1 shimmer-bg"))
          )
          .append($("<a>").addClass("btn btn-lg btn-block disabled shimmer-bg"))
      );
  }
  $(row)
    .children()
    .first()[0]
    .scrollIntoView({ behavior: "smooth", block: "end" });

  $.get(
    `${site.process}custom`,
    { case: "search_course", search: searchStr, categories },
    function (jsonRes) {
      searchInProgress = false;
      $(row).empty();
      $(checkboxes).prop("disabled", false);
      console.log("jsonRes", jsonRes);
      const resultGroup = JSON.parse(jsonRes);
      let courseCount = 0;

      for (const key in resultGroup) {
        const result = resultGroup[key];
        $("<div>")
          .addClass(
            "badge bg-light d-flex align-items-center text-dark border-0 text-capitalize p-2"
          )
          .text(key)
          .insertBefore(clearFilterBtn)
          .append(
            $("<button>")
              .addClass("close ml-2")
              .attr("data-catid", "cat-" + key.replace(/\s+/g, "_"))
              .css("font-size", "x-small")
              .click(function () {
                removeFilter(this, reloadCourses);
              })
          );
        $("<div>")
          .addClass("d-flex justify-content-between w-100")
          .appendTo(row)
          .append(
            $("<h5>")
              .addClass("text-capitalize w-100 mx-3")
              .css({ "font-weight": "500", flex: "1" })
              .text(key)
          )
          .append(
            $("<h6>")
              .addClass("font-weight-normal text-capitalize")
              .css({ "font-size": "18px" })
              .text(`Showing (${result.length})`)
          );

        for (const course of result) {
          $("<div>")
            .addClass("card course-card mr-4 mb-5")
            .appendTo(row)
            .append(
              $("<img>")
                .addClass("card-img-top")
                .attr({
                  height: "150px",
                  src: course.bg_ref,
                  alt: "Image",
                })
                .css({ "object-fit": "cover", "object-position": "top" })
            )
            .append(
              $("<div>")
                .addClass("card-body bg-white")
                .append(
                  $("<h6>")
                    .addClass("mb-0")
                    .append(
                      $("<span>")
                        .addClass("badge text-capitalize text-dark border-0")
                        .css({
                          "border-radius": "1rem",
                          "background-color": "#FAA61A16",
                          "font-family": "'Spartan',sans-serif",
                        })
                        .text(course.category)
                    )
                    .append(
                      '<svg role="img" width="1em" height="1em" class="ml-1 align-middle"><use xlink:href="#badge" /></svg>'
                    )
                )
                .append(
                  $("<h5>")
                    .addClass("card-title text-capitalize mb-2")
                    .text(course.name)
                )
                .append(
                  $("<div>")
                    .addClass("text-truncate-lines-3 mb-2")
                    .css("min-height", "unset")
                    .text($($.parseHTML(course.contents)).text().trim())
                )
                .append(
                  $("<div>")
                    .addClass("d-flex align-items-center")
                    .append(
                      $("<span>").addClass("font-weight-bold").text("Executive")
                    )
                    .append(
                      $("<i>")
                        .addClass("fas fa-circle align-middle mx-2")
                        .css("font-size", "3px")
                    )
                    .append(
                      $("<h5>")
                        .addClass("m-0")
                        .css("font-size", "1.25em")
                        .append(
                          $("<span>").text(
                            new Intl.NumberFormat("en-NG", {
                              currency: "NGN",
                              style: "currency",
                            }).format(course.executive_price)
                          )
                        )
                    )
                )
                .append(
                  $("<div>")
                    .addClass("d-flex align-items-center")
                    .append(
                      $("<span>").addClass("font-weight-bold").text("Immersive")
                    )
                    .append(
                      $("<i>")
                        .addClass("fas fa-circle align-middle mx-2")
                        .css("font-size", "3px")
                    )
                    .append(
                      $("<h5>")
                        .addClass("m-0")
                        .css("font-size", "1.25em")
                        .append(
                          $("<span>").text(
                            new Intl.NumberFormat("en-NG", {
                              currency: "NGN",
                              style: "currency",
                            }).format(course.group_price)
                          )
                        )
                    )
                )
                .append(
                  $("<div>")
                    .addClass("d-flex align-items-center")
                    .append(
                      $("<span>").addClass("font-weight-bold").text("Online")
                    )
                    .append(
                      $("<i>")
                        .addClass("fas fa-circle align-middle mx-2")
                        .css("font-size", "3px")
                    )
                    .append(
                      $("<h5>")
                        .addClass("m-0")
                        .css("font-size", "1.25em")
                        .append(
                          $("<span>").text(
                            new Intl.NumberFormat("en-NG", {
                              currency: "NGN",
                              style: "currency",
                            }).format(course.online_price)
                          )
                        )
                    )
                )
                .append(
                  $("<div>")
                    .addClass("d-flex justify-content-between mt-1 mb-3")
                    .append(
                      $("<span>")
                        .append(
                          $("<i>")
                            .addClass("far fa-clock mr-2")
                            .css("color", "#FAA61A")
                        )
                        .append(`${course.duration} Weeks`)
                    )
                    .append(
                      $("<span>")
                        .append(
                          '<svg role="img" width="1.2em" height="1.2em" class="mr-2 align-text-bottom"><use xlink:href="#book-shelf" /></svg>'
                        )
                        .append(`${course.topic_count} Lessons`)
                    )
                )
                .append(
                  $("<a>")
                    .addClass(
                      "btn btn-block bg-transparent text-dark btn-hover mt-auto"
                    )
                    .css({
                      border: "1px solid #FAA61A",
                      "border-radius": "10px",
                      "font-weight": "600",
                      "box-shadow": "none",
                    })
                    .attr(
                      "href",
                      `${site.domain}view-course/${course.id}-${course.name
                        .toLowerCase()
                        .replaceAll(/\s+/g, "-")}`
                    )
                    .text("View Course")
                    .append(
                      '<svg role="img" width="1em" height="1em" class="ml-1 align-middle"><use xlink:href="#arrow" /></svg>'
                    )
                )
            );
          courseCount++;
        }
      }
      $("button.close", filterPills).each(function (_, btn) {
        const catId = $(btn).attr("data-catid");
        $(`[id='${catId}']`).prop("checked", true);
      });
      $("#searchResCount").text(
        (searchStr ? `Search for "${searchStr}"` : "Courses") +
          ` (${courseCount} Result${courseCount > 1 ? "s" : ""})`
      );

      if (!courseCount) {
        $(row)
          .empty()
          .append(
            $("<h5>")
              .addClass("w-100 text-center my-5")
              .text(`No courses found matching \`${searchStr}\``)
          );
      }
    }
  );
}

function reloadJobs() {
  const searchStr = $("#searchJobs").data("search") ?? "";
  const row = $("#job-results"),
    filterPills = $("#search-filter"),
    checkboxes = $("#cat_filter input[type='checkbox']"),
    clearFilterBtn = $("#clearFilter"),
    categories = Array.prototype.reduce.call(
      $(checkboxes).prop("disabled", true).filter(":checked"),
      (accum, checkbox) => {
        accum.push($(checkbox).val());
        return accum;
      },
      []
    ),
    salaryInput = parseInt($("#salaryInput").val()),
    salary = salaryInput
      ? $("#currencySelector").val() + salaryInput + $("#payBasis").val()
      : "",
    location = $("#pills-state-tab").hasClass("active")
      ? $("#loc_state").val()
      : $("#loc_country").val(),
    work_type = $("#work_type").val(),
    qualification = $("#qualification").val();

  if (searchInProgress) return;
  searchInProgress = true;
  $(row).empty();
  $(filterPills).children(":nth-last-child(n+2)").remove();
  $("#jobResCount").text("Jobs");

  for (let _ = 1; _ <= 4; _++) {
    $("<div>")
      .addClass("card course-card mr-4 mb-5")
      .appendTo(row)
      .append(
        $("<div>").addClass("card-img-top shimmer-bg").css("height", "150px")
      )
      .append(
        $("<div>")
          .addClass("card-body")
          .append($("<h5>").addClass("card-title col-6 my-3 shimmer-bg"))
          .append(
            $("<p>")
              .addClass("card-text")
              .append($("<span>").addClass("col-10 d-block mb-1 shimmer-bg"))
              .append($("<span>").addClass("col-12 d-block mb-1 shimmer-bg"))
              .append($("<span>").addClass("col-8 d-block mb-1 shimmer-bg"))
          )
          .append($("<a>").addClass("btn btn-lg btn-block disabled shimmer-bg"))
      );
  }
  $(row)
    .children()
    .first()[0]
    .scrollIntoView({ behavior: "smooth", block: "end" });

  $.get(
    `${site.process}custom`,
    {
      case: "search_job",
      search: searchStr,
      categories,
      salary,
      location,
      work_type,
      qualification,
    },
    function (jsonRes) {
      searchInProgress = false;
      $(row).empty();
      $(checkboxes).prop("disabled", false);
      console.log("jsonRes", jsonRes);
      const resultGroup = JSON.parse(jsonRes);
      let jobCount = 0;

      for (const key in resultGroup) {
        const result = resultGroup[key];
        $("<div>")
          .addClass(
            "badge bg-light d-flex align-items-center text-dark border-0 text-capitalize p-2"
          )
          .text(key)
          .insertBefore(clearFilterBtn)
          .append(
            $("<button>")
              .addClass("close ml-2")
              .attr("data-catid", "cat-" + key.replace(/\s+/g, "_"))
              .css("font-size", "x-small")
              .click(function () {
                removeFilter(this, reloadJobs);
              })
          );
        $("<div>")
          .addClass("d-flex justify-content-between w-100")
          .appendTo(row)
          .append(
            $("<h5>")
              .addClass("text-capitalize w-100 mx-3")
              .css({ "font-weight": "500", flex: "1" })
              .text(key)
          )
          .append(
            $("<h6>")
              .addClass("font-weight-normal text-capitalize")
              .css({ "font-size": "18px" })
              .text(`Showing (${result.length})`)
          );
        const shouldFit = result.length < 2;

        for (const job of result) {
          const col = $("<div>")
            .appendTo(row)
            .addClass("col-md-6")
            .append(
              $("<div>")
                .addClass("card job-card")
                .append(
                  $("<div>")
                    .addClass("card-body")
                    .append(
                      $("<img>")
                        .addClass(
                          "img-thumbnail float-left mr-3 bg-light border-0"
                        )
                        .attr({ src: job.image, width: "50", alt: "Logo" })
                    )
                    .append(
                      $("<h5>")
                        .addClass("card-title")
                        .css({
                          "font-family": "'Roboto Condensed', sans-serif",
                        })
                        .text(job.position)
                    )
                    .append(
                      $("<h6>")
                        .addClass(
                          "card-subtitle mb-2 font-weight-normal text-muted text-capitalize"
                        )
                        .css({ "font-family": "'Spartan', sans-serif" })
                        .text(job.employer_name)
                    )
                    .append(
                      $("<p>")
                        .addClass("card-text mt-3")
                        .css({ "min-height": "unset !important" })
                        .append(
                          $("<i>").addClass("fas fa-briefcase text-secondary")
                        )
                        .append(
                          $("<span>").addClass("ml-2 mr-3").text(job.category)
                        )
                        .append(
                          $("<i>").addClass(
                            "fas fa-map-marker-alt text-secondary"
                          )
                        )
                        .append(
                          $("<span>").addClass("ml-2 mr-3").text(job.location)
                        )
                        .append(
                          job.salary &&
                            $("<i>").addClass(
                              "fas fa-money-bill-wave text-secondary"
                            )
                        )
                        .append(
                          job.salary &&
                            $("<span>").addClass("ml-2").text(job.salary)
                        )
                    )
                    .append(
                      $("<p>")
                        .addClass("card-text")
                        .css("font-weight", "500")
                        .each(function () {
                          this.style.setProperty(
                            "min-height",
                            "unset",
                            "important"
                          );
                        })
                        .append(job.close_date && `Deadline—${job.close_date}`)
                        .append(
                          job.close_date &&
                            $("<span>").addClass("mx-2").text("|")
                        )
                        .append(`Posted—${job.date_uploaded}`)
                    )
                    .append(
                      $("<span>")
                        .addClass("badge border-0 px-3 py-2")
                        .each((_, span) => {
                          span.style.setProperty(
                            "background-color",
                            "#D6EBFF",
                            "important"
                          );
                          span.style.setProperty(
                            "color",
                            "#1967d2",
                            "important"
                          );
                          $(span).css({
                            "text-transform": "none",
                            "font-size": "smaller",
                          });
                        })
                        .text(job.work_type)
                    )
                    .append(
                      $("<a>").attr({
                        href: `${site.domain}view-job/${job.id}-${job.position
                          .toLowerCase()
                          .replaceAll(/\s+/g, "-")}`,
                      })
                    )
                )
            );

          if (shouldFit) {
            $(col).css({
              width: "fit-content",
              "max-width": "100%",
              flex: "none",
            });
          }
          jobCount++;
        }
      }
      $("button.close", filterPills).each(function (_, btn) {
        const catId = $(btn).attr("data-catid");
        $(`[id='${catId}']`).prop("checked", true);
      });
      $("#jobResCount").text(
        (searchStr ? `Search for "${searchStr}"` : "Jobs") +
          ` (${jobCount} Result${jobCount > 1 ? "s" : ""})`
      );

      if (!jobCount) {
        $(row)
          .empty()
          .append(
            $("<h5>")
              .addClass("w-100 text-center my-5")
              .text(`No jobs found matching \`${searchStr}\``)
          );
      }
    }
  );
}

function reloadTalents() {
  const searchStr = $("#searchTalents").data("search") ?? "";
  const row = $("#talent-results"),
    filterPills = $("#search-filter"),
    checkboxes = $("#cat_filter input[type='checkbox']"),
    clearFilterBtn = $("#clearFilter"),
    categories = Array.prototype.reduce.call(
      $(checkboxes).prop("disabled", true).filter(":checked"),
      (accum, checkbox) => {
        accum.push($(checkbox).val());
        return accum;
      },
      []
    ),
    status = $("#job_status").val(),
    discipline = $("#discipline").val(),
    deg = $("#degreeSelector").val(),
    degree = deg && discipline ? `${deg} ${discipline}` : "",
    state = $("#loc_state").val(),
    location = state ? `${state}, Nigeria` : $("#loc_country").val();

  if (state) $("#loc_country").val("Nigeria");

  if (searchInProgress) return;
  searchInProgress = true;
  $(row).empty();
  $(filterPills).children(":nth-last-child(n+2)").remove();
  $("#talentResCount").text("Talents");

  for (let _ = 1; _ <= 4; _++) {
    $("<div>")
      .appendTo(row)
      .addClass("card course-card mr-4 mb-5")
      .css({ width: "540px" })
      .append(
        $("<div>")
          .addClass("row")
          .append(
            $("<div>")
              .addClass("col-md-4 p-0")
              .append(
                $("<div>").addClass("shimmer-bg img-fluid rounded-left h-100")
              )
          )
          .append(
            $("<div>")
              .addClass("col-md-8")
              .append(
                $("<div>")
                  .addClass("card-body")
                  .append(
                    $("<h5>").addClass("card-title col-6 my-3 shimmer-bg")
                  )
                  .append(
                    $("<p>")
                      .addClass("card-text")
                      .append(
                        $("<span>").addClass("col-10 d-block mb-1 shimmer-bg")
                      )
                      .append(
                        $("<span>").addClass("col-12 d-block mb-1 shimmer-bg")
                      )
                      .append(
                        $("<span>").addClass("col-8 d-block mb-1 shimmer-bg")
                      )
                  )
                  .append(
                    $("<a>").addClass(
                      "btn btn-lg btn-block disabled shimmer-bg"
                    )
                  )
              )
          )
      );
  }
  $(row)
    .children()
    .first()[0]
    .scrollIntoView({ behavior: "smooth", block: "end" });

  $.get(
    `${site.process}custom`,
    {
      case: "search_talents",
      search: searchStr,
      categories,
      location,
      status,
      degree,
    },
    function (jsonRes) {
      searchInProgress = false;
      $(row).empty();
      $(checkboxes).prop("disabled", false);
      console.log("jsonRes", jsonRes);
      const resultGroup = JSON.parse(jsonRes);
      let talentCount = 0;

      for (const key in resultGroup) {
        const result = resultGroup[key];
        $("<div>")
          .addClass(
            "badge bg-light d-flex align-items-center text-dark border-0 text-capitalize p-2"
          )
          .text(key)
          .insertBefore(clearFilterBtn)
          .append(
            $("<button>")
              .addClass("close ml-2")
              .attr("data-catid", "cat-" + key.replace(/\s+/g, "_"))
              .css("font-size", "x-small")
              .click(function () {
                removeFilter(this, reloadTalents);
              })
          );
        $("<div>")
          .addClass("d-flex justify-content-between w-100")
          .appendTo(row)
          .append(
            $("<h5>")
              .addClass("text-capitalize w-100 mx-3")
              .css({ "font-weight": "500", flex: "1" })
              .text(key)
          )
          .append(
            $("<h6>")
              .addClass("font-weight-normal text-capitalize")
              .css({ "font-size": "18px" })
              .text(`Showing (${result.length})`)
          );
        // const shouldFit = result.length < 2;
        let sentence;

        for (const talent of result) {
          $("<div>")
            .appendTo(row)
            .addClass("col-md-6")
            .append(
              $("<div>")
                .addClass("card talent-card mb-3")
                .css({
                  width: "540px",
                  "border-radius": "6px",
                  "box-shadow": "0 0 24px 0 rgba(26, 47, 106, .07)",
                  overflow: "hidden",
                })
                .append(
                  $("<div>")
                    .addClass("row align-items-stretch")
                    .append(
                      $("<div>")
                        .addClass("col-md-4 p-0")
                        .append(
                          $("<img>")
                            .addClass("img-fluid rounded-left h-100")
                            .attr({
                              src:
                                talent.picture_ref ??
                                `${site.domain}asset/picture/photo_silhouette.png`,
                            })
                            .css({
                              "background-color": "#e8f0fe",
                              "object-fit": "contain",
                              "object-position": "center",
                              "max-height": "220px",
                            })
                        )
                    )
                    .append(
                      $("<div>")
                        .addClass("col-md-8 d-flex justify-content-center")
                        .append(
                          $("<div>")
                            .addClass("card-body")
                            .css("max-width", "100vw")
                            .each(function () {
                              this.style.setProperty(
                                "min-height",
                                "unset",
                                "important"
                              );
                            })
                            .append(
                              $("<h5>").addClass("card-title").text(talent.name)
                            )
                            .append(
                              $("<h6>")
                                .addClass(
                                  "card-subtitle font-weight-normal text-capitalize mb-2"
                                )
                                .css({
                                  "font-family": "'Spartan', sans-serif",
                                  color: "rgb(109, 122, 140)",
                                })
                                .text(talent.profile.title)
                                .append(
                                  talent.profile.status &&
                                    $("<i>")
                                      .addClass(
                                        "fas fa-circle align-middle mx-1"
                                      )
                                      .css({ "font-size": "3px" })
                                )
                                .append(talent.profile.status)
                            )
                            .append(
                              $("<p>")
                                .addClass("card-text text-truncate-lines-2")
                                .each(function () {
                                  this.style.setProperty(
                                    "min-height",
                                    "unset",
                                    "important"
                                  );
                                })
                                .text(
                                  (sentence =
                                    talent.bio.match(/(.*?[.!?])(?:\s|$)/))
                                    ? sentence[1]
                                    : talent.bio
                                )
                            )
                            .append(
                              $("<a>")
                                .addClass(
                                  "btn text-dark btn-hover bg-transparent px-0 text-center"
                                )
                                .attr({
                                  href:
                                    `${site.domain}view-profile/${talent.id}` +
                                    talent.name.replaceAll(/\s+/g, "-"),
                                })
                                .css({
                                  "border-radius": "10px",
                                  "font-weight": "600",
                                  "box-shadow": "none",
                                  border: "1px solid rgb(250, 166, 26)",
                                  width: "160px",
                                  height: "40px",
                                  "font-size": "small",
                                })
                                .text("View profile")
                                .append(
                                  $("<i>").addClass(
                                    "fas fa-long-arrow-alt-right ml-2 align-middle"
                                  )
                                )
                            )
                        )
                    )
                )
            );

          // if (shouldFit) {
          //   $(col).css({
          //     width: "fit-content",
          //     "max-width": "100%",
          //     flex: "none",
          //   });
          // }
          talentCount++;
        }
      }
      $("button.close", filterPills).each(function (_, btn) {
        const catId = $(btn).attr("data-catid");
        $(`[id='${catId}']`).prop("checked", true);
      });
      $("#talentResCount").text(
        (searchStr ? `Search for "${searchStr}"` : "Talents") +
          ` (${talentCount} Result${talentCount > 1 ? "s" : ""})`
      );

      if (!talentCount) {
        $(row)
          .empty()
          .append(
            $("<h5>")
              .addClass("w-100 text-center my-5")
              .text(`No talents found matching \`${searchStr}\``)
          );
      }
    }
  );
}

function reloadContest() {
  if (searchInProgress) return;
  searchInProgress = true;

  const searchStr = $("#searchContests").data("search") ?? "";
  const row = $("#contest-results"),
    filterPills = $("#search-filter"),
    checkboxes = $("#cat_filter input[type='checkbox']"),
    clearFilterBtn = $("#clearFilter"),
    categories = Array.prototype.reduce.call(
      $(checkboxes).prop("disabled", true).filter(":checked"),
      (accum, checkbox) => {
        accum.push($(checkbox).val());
        return accum;
      },
      []
    ),
    company = $("#organizer").val(),
    location = $("#loc_state").val();

  $(row).empty();
  $(filterPills).children(":nth-last-child(n+2)").remove();
  $("#contestResCount").text("Programs");

  for (let _ = 1; _ <= 4; _++) {
    $("<div>")
      .appendTo(row)
      .addClass("card course-card mr-4 mb-5")
      .css({ width: "540px" })
      .append(
        $("<div>")
          .addClass("row")
          .append(
            $("<div>")
              .addClass("col-md-4 p-0")
              .append(
                $("<div>").addClass("shimmer-bg img-fluid rounded-left h-100")
              )
          )
          .append(
            $("<div>")
              .addClass("col-md-8")
              .append(
                $("<div>")
                  .addClass("card-body")
                  .append(
                    $("<h5>").addClass("card-title col-6 my-3 shimmer-bg")
                  )
                  .append(
                    $("<p>")
                      .addClass("card-text")
                      .append(
                        $("<span>").addClass("col-10 d-block mb-1 shimmer-bg")
                      )
                      .append(
                        $("<span>").addClass("col-12 d-block mb-1 shimmer-bg")
                      )
                      .append(
                        $("<span>").addClass("col-8 d-block mb-1 shimmer-bg")
                      )
                  )
                  .append(
                    $("<a>").addClass(
                      "btn btn-lg btn-block disabled shimmer-bg"
                    )
                  )
              )
          )
      );
  }
  $(row)
    .children()
    .first()[0]
    .scrollIntoView({ behavior: "smooth", block: "end" });

  $.get(
    `${site.process}custom`,
    {
      case: "search_programs",
      search: searchStr,
      categories,
      location,
      company,
    },
    function (jsonRes) {
      searchInProgress = false;
      $(row).empty();
      $(checkboxes).prop("disabled", false);
      console.log("contest", jsonRes);
      const resultGroup = JSON.parse(jsonRes);
      let contestCount = 0;

      for (const key in resultGroup) {
        const result = resultGroup[key];
        $("<div>")
          .addClass(
            "badge bg-light d-flex align-items-center text-dark border-0 text-capitalize p-2"
          )
          .text(key)
          .insertBefore(clearFilterBtn)
          .append(
            $("<button>")
              .addClass("close ml-2")
              .attr("data-catid", "cat-" + key.replace(/\s+/g, "_"))
              .css("font-size", "x-small")
              .click(function () {
                removeFilter(this, reloadTalents);
              })
          );
        $("<div>")
          .addClass("d-flex justify-content-between w-100")
          .appendTo(row)
          .append(
            $("<h5>")
              .addClass("text-capitalize w-100 mx-3")
              .css({ "font-weight": "500", flex: "1" })
              .text(key)
          )
          .append(
            $("<h6>")
              .addClass("font-weight-normal text-capitalize")
              .css({ "font-size": "18px" })
              .text(`Showing (${result.length})`)
          );
        // const shouldFit = result.length < 2;

        for (const program of result) {
          const datetime = program.date.split("; "),
            date = datetime[0],
            time = datetime.length > 1 ? datetime[1] : null;
          $("<div>")
            .addClass("col-12 col-xl-6")
            .appendTo(row)
            .css({ "min-width": "600px" })
            .append(
              $("<div>")
                .addClass("card contest-card")
                .append(
                  $("<div>")
                    .addClass("row")
                    .append(
                      $("<div>")
                        .addClass("col-md-4 p-0 d-flex")
                        .append(
                          $("<img>")
                            .addClass("img-fluid w-100 rounded")
                            .attr({ src: program.image.src, alt: "Image" })
                            .css({
                              "object-position": "center",
                              "object-fit": "cover",
                            })
                        )
                    )
                    .append(
                      $("<div>")
                        .addClass("col-md-8 p-0 mt-3 mt-md-0")
                        .append(
                          $("<div>")
                            .addClass("card-body py-0")
                            .append(
                              $("<h5>")
                                .addClass("card-title")
                                .css({ "font-family": "'Nunito', sans-serif" })
                                .text(program.title)
                            )
                            .append(
                              $("<p>")
                                .addClass(
                                  "card-text text-justify text-truncate-lines-2"
                                )
                                .css({ "min-height": "unset !important" })
                                .text(program.description)
                            )
                            .append(
                              $("<p>")
                                .addClass("card-text")
                                .css({
                                  "min-height": "unset !important",
                                  "font-weight": "500",
                                })
                                .append(
                                  $("<i>").addClass(
                                    "far fa-calendar text-secondary"
                                  )
                                )
                                .append($("<span>").addClass("ml-2").text(date))
                                .append(
                                  time && [
                                    $("<span>").addClass("mx-2").text("|"),
                                    $("<i>").addClass(
                                      "far fa-clock text-secondary"
                                    ),
                                    $("<span>").addClass("ml-2").text(time),
                                  ]
                                )
                                .append($("<span>").addClass(" mx-2").text("|"))
                                .append(
                                  $("<i>").addClass(
                                    "fas fa-map-marker-alt text-secondary"
                                  )
                                )
                                .append(
                                  $("<span>")
                                    .addClass("ml-2")
                                    .text(program.location)
                                )
                            )
                            .append(
                              $("<button>")
                                .addClass("btn btn-lg clip-btn")
                                .attr({ type: "button" })
                                .text("View details ")
                                .append(
                                  $("<i>").addClass(
                                    "fas fa-long-arrow-alt-right ml-1 align-middle"
                                  )
                                )
                            )
                            .append(
                              $("<a>").attr({
                                href: `${site.domain}view-program/${
                                  program.id
                                }-${program.title
                                  .toLowerCase()
                                  .replaceAll(/\s+/g, "-")}`,
                              })
                            )
                        )
                    )
                )
            );

          // if (shouldFit) {
          //   $(col).css({
          //     width: "fit-content",
          //     "max-width": "100%",
          //     flex: "none",
          //   });
          // }
          contestCount++;
        }
      }
      $("button.close", filterPills).each(function (_, btn) {
        const catId = $(btn).attr("data-catid");
        $(`[id='${catId}']`).prop("checked", true);
      });
      $("#contestResCount").text(
        (searchStr ? `Search for "${searchStr}"` : "Programs") +
          ` (${contestCount} Result${contestCount > 1 ? "s" : ""})`
      );

      if (!contestCount) {
        $(row)
          .empty()
          .append(
            $("<h5>")
              .addClass("w-100 text-center my-5")
              .text(`No Programs found matching \`${searchStr}\``)
          );
      }
    }
  );
}

function startSvgAnim() {
  $(".svg-progress").each(function (_, svg) {
    const observer = new IntersectionObserver((entries, observer) => {
      entries.forEach((entry) => {
        if (entry.isIntersecting) {
          const bar = $("circle:last-of-type", svg);
          const progress = $(bar).data("offset");
          $(bar).css("stroke-dashoffset", progress);
          observer.disconnect();
        }
      });
    });
    observer.observe(svg);
  });
}

function animateLogos() {
  $("#partner_logos")
    .css("translate", 0)
    .animate(
      { translate: "-50%" },
      { duration: 15000, easing: "linear", complete: animateLogos }
    );
}

function fetchRSSFeed() {
  const rssFeeds = [
    {
      key: "youtube",
      url: "https://www.youtube.com/feeds/videos.xml?channel_id=UC7AAQdgwQ204aU5ztp19FKg",
    },
    { key: "techcrunch", url: "https://techcrunch.com/feed/" },
  ];

  for (const { key, url } of rssFeeds) {
    $.get(`${site.process}custom?case=rss_feed`, { url }, function (res) {
      console.log("fetchRSSFeed", res);
      const parser = new DOMParser();
      const xmlDoc = parser.parseFromString(res, "application/xml");
      let parsererror;

      try {
        if ((parsererror = xmlDoc.querySelector("parsererror"))) {
          throw new Error(`Error parsing RSS feed: ${parsererror.textContent}`);
        }

        if (key == "youtube") {
          $("#youtube-feed").empty();
          Array.from(xmlDoc.querySelectorAll("entry"))
            .slice(0, 12)
            .forEach((entry) => {
              const date = new Date(
                entry.querySelector("published").textContent
              );
              $("<div>")
                .appendTo("#youtube-feed")
                .addClass("col-11 col-sm-10 col-md-6 col-lg-4 col-xl-3 mx-auto")
                .append(
                  $("<div>")
                    .addClass("card job-card")
                    // .css({ width: "18rem" })
                    .append(
                      $("<img>")
                        .addClass("card-img-top px-3 pt-3")
                        .css({ "max-height": "150px", "object-fit": "cover" })
                        .attr({
                          src: entry
                            .getElementsByTagName("media:thumbnail")[0]
                            .getAttribute("url"),
                          alt: "Thumbnail",
                        })
                    )
                    .append(
                      $("<div>")
                        .addClass("card-body")
                        .append(
                          $("<h6>")
                            .addClass("card-title")
                            .css("text-transform", "none")
                            .text(entry.querySelector("title").textContent)
                        )
                        .append(
                          $("<p>")
                            .addClass("card-text text-truncate-lines-2 mb-2")
                            .each(function () {
                              this.style.setProperty(
                                "min-height",
                                "unset",
                                "important"
                              );
                            })
                            .text(
                              entry.getElementsByTagName("media:description")[0]
                                .textContent
                            )
                        )
                        .append(
                          $("<span>")
                            .addClass("mb-2")
                            .append(
                              $("<span>").text(
                                date.toLocaleDateString("en-NG", {
                                  day: "numeric",
                                  month: "short",
                                  year: "numeric",
                                })
                              )
                            )
                            .append(
                              $("<i>")
                                .addClass("fas fa-circle align-middle mx-2")
                                .css({ "font-size": "3px" })
                            )
                            .append(
                              $("<span>").text(
                                date.toLocaleTimeString("en-NG", {
                                  hour: "numeric",
                                  minute: "2-digit",
                                  hour12: true,
                                })
                              )
                            )
                        )
                        .append(
                          $("<a>")
                            .addClass("btn btn-block mt-2 py-2 text-dark")
                            .attr({
                              href: entry
                                .querySelector("link")
                                .getAttribute("href"),
                              target: "_blank",
                            })
                            .css({
                              "background-color": "#FAA61A",
                              "border-radius": "50rem",
                              "font-weight": "600",
                            })
                            .text("Open ")
                            .append(`<svg role="img" width="1em" height="1em" class="ml-1 align-top" style="rotate:-45deg;">
                    <use xlink:href="#arrow"></use>
                  </svg>`)
                        )
                    )
                );
            });
        } else {
          $("#techcrunch-feed").empty();
          const items = xmlDoc.querySelectorAll("item");
          Array.from(items)
            .slice(0, 12)
            .forEach((item) => {
              const categories = Array.from(
                item.getElementsByTagName("category")
              )
                .map((c) => "#" + c.textContent)
                .join(", ");
              const [dayOfWeek, day, month, year, time] = item
                .querySelector("pubDate")
                .textContent.replace(/ \+0000$/, "")
                .split(" ");
              const [hours, minutes] = time.split(":");
              const hours12 = parseInt(hours) % 12 || 12;
              const ampm = parseInt(hours) >= 12 ? "pm" : "am";
              const date = `${dayOfWeek} ${day} ${month} ${year}`;
              const formattedTime = `${hours12}:${minutes}${ampm}`;
              $("<div>")
                .appendTo("#techcrunch-feed")
                .addClass("col-11 col-sm-10 col-md-6 col-lg-4 col-xl-3 mx-auto")
                .append(
                  $("<div>")
                    .addClass("card job-card")
                    // .css({ width: "18rem" })
                    .append(
                      $("<div>")
                        .addClass("card-body")
                        .append(
                          $("<h6>")
                            .addClass("card-title")
                            .css("text-transform", "none")
                            .text(item.querySelector("title").textContent)
                        )
                        .append(
                          $("<p>")
                            .addClass("card-text text-truncate-lines-2 mb-2")
                            .css({
                              "-webkit-line-clamp": "5",
                              "max-height": "112px",
                            })
                            .each(function () {
                              this.style.setProperty(
                                "min-height",
                                "unset",
                                "important"
                              );
                            })
                            .html(item.querySelector("description").textContent)
                        )
                        .append(
                          $("<span>")
                            .addClass("text-truncate-lines-2 mb-2")
                            .css({
                              "font-size": "smaller",
                              "text-transform": "none",
                              "font-weight": "500",
                            })
                            .text(categories)
                        )
                        .append(
                          $("<div>")
                            .addClass("text-truncate-lines-2")
                            .css("-webkit-line-clamp", "1")
                            .append(
                              $("<i>").addClass("mr-2 fas fa-user-edit mb-2")
                            )
                            .append(
                              item.getElementsByTagName("dc:creator")[0]
                                .textContent
                            )
                        )
                        .append(
                          $("<span>")
                            .addClass("mb-2")
                            .append($("<span>").text(date))
                            .append(
                              $("<i>")
                                .addClass("fas fa-circle align-middle mx-2")
                                .css({ "font-size": "3px" })
                            )
                            .append($("<span>").text(formattedTime))
                        )
                        .append(
                          $("<a>")
                            .addClass("btn btn-block mt-2 py-2")
                            .attr({
                              href: item.querySelector("link").textContent,
                              target: "_blank",
                            })
                            .css({
                              "background-color": "#291CF3",
                              "border-radius": "50rem",
                              "font-weight": "600",
                            })
                            .text("Open ")
                            .append(`<svg role="img" width="1em" height="1em" class="ml-1 align-top" style="rotate:-45deg;">
                    <use xlink:href="#arrow"></use>
                  </svg>`)
                        )
                    )
                );
            });
        }
      } catch (err) {
        console.error(err);
      }
    }).fail((_, __, err) => console.error(`Failed to fetch RSS feed: ${err}`));
  }
}

function moveCategoryNav(evt, dir) {
  const btns = $("#moveCatLeft, #moveCatRight");
  const tabContainer = $("#categoryTabs");
  const containerOffset = tabContainer.offset().left;
  const containerWidth = tabContainer.width();
  const margin = parseFloat(tabContainer.css("column-gap"));
  let targetTab;

  if (dir == "left") {
    targetTab = Array.prototype.findLast.call(
      tabContainer.children(),
      (tab) => {
        const tabOffset = $(tab).offset().left + $(tab).outerWidth();
        return tabOffset < containerOffset;
      }
    );
  } else {
    targetTab = Array.prototype.find.call(tabContainer.children(), (tab) => {
      const tabOffset = $(tab).offset().left + $(tab).outerWidth();
      return tabOffset > containerOffset + containerWidth;
    });
  }

  if (targetTab) {
    const itemWidth = $(targetTab).outerWidth() + margin;
    $(btns).addClass("disabled");
    $(tabContainer).animate(
      {
        scrollLeft:
          dir == "left"
            ? $(tabContainer).scrollLeft() - itemWidth
            : $(tabContainer).scrollLeft() + itemWidth,
      },
      300,
      () => $(btns).removeClass("disabled")
    );
  } else if (dir == "left") {
    $(tabContainer).animate(
      {
        scrollLeft: 0,
      },
      300,
      () => $(btns).removeClass("disabled")
    );
  }
}
