<?php
$req_url = preg_replace_callback('/(\/)+/', function ($matches) {
  static $count = 0;
  $count++;
  if ($count > 1) {
    return '/';
  }
  return $matches[0];
}, $uri->site . strip_tags($_SERVER['REQUEST_URI']));
if (strpos($req_url, '/view-profile')) {
  $seo_img = $talent->picture_ref ?? $uri->site . 'asset/picture/photo_silhouette.png';
} elseif (is_object($job) && !empty($job->image)) {
  $seo_img = $job->image;
} else {
  $seo_img = str_replace('../', '', $slider->src);
}
?>
<meta property="og:url" content="<?= $req_url ?>" />
<meta property="og:type" content="website" />
<meta property="og:title" content="<?= (!empty($data->title)) ? strip_tags($data->title) : strip_tags($slider->title); ?>" />
<meta property="og:description" content="<?= substr(strip_tags($slider->desc), 0, 150) . '...' ?>" />
<meta property="og:image" content="<?= $seo_img ?>" />
<meta name="og:site_name" content="Digital Dreams LTD">
<meta name="og:locale" content="en_US">
<meta name="article:section" content="ICT">

<meta itemprop="name" content="Digital Dreams LTD - Web Developement, Digital Marketing, Mobile App Developement, ICT consultancy, ICT Training">
<meta itemprop="description" content="<?= substr(strip_tags($slider->desc), 0, 150) . '...' ?>">
<meta itemprop="image" content="<?= $seo_img ?>">
<meta name="og:url" content="<?= $req_url ?>">

<meta name="twitter:card" content="summary_large_image">
<meta name="twitter:title" content="<?= (!empty($data->title)) ? strip_tags($data->title) : strip_tags($lider[0]->title); ?>">
<meta name="twitter:description" content="<?= (!empty($data->body)) ? substr(strip_tags($data->body), 0, 150) . '...' : substr(strip_tags($data->slider[0]->desc), 0, 150) . '...' ?>">
<meta name="twitter:site" content="@digitaldreamsng">
<meta name="twitter:site_name" content="Digital Dreams LTD">
<meta name="twitter:creator" content="@<?= !empty($data->author->name) ? $data->author->name : ''; ?>">
<meta name="twitter:image:src" content="<?= $seo_img ?>">