var redir;
let pageLoadAjax;
$(document).ready(function () {
  if (!location.pathname.includes("login")) {
    $(".page_loader").addClass("d-none");
    $("[data-page]").click(gotoPage);
    loadPage(null, "dashboard");
  }

  if (typeof redir == "object") {
    if ((redir.first_time || redir.action == "reg") && redir.id) {
      const openBranchModal = () => {
        $("#selectBranch").load(
          `${site.process}student?option=learning_centers`
        );
        $("#fillBranchModal")
          .modal("show")
          .on({
            "show.bs.modal": function () {
              $("#fillPasswordModal").remove();
            },
            "hide.bs.modal": () => loadPage(null, "course_page"),
          })
          .find(".modal-footer button")
          .click(function () {
            const invalidElem = $(this)
              .closest(".modal")
              .find(".invalid-feedback");
            if ($("#selectBranch").prop("selectedIndex") == 0) {
              if (!$(invalidElem).hasClass("d-block"))
                $(invalidElem).addClass("d-block");
              return;
            } else if ($(invalidElem).hasClass("d-block")) {
              $(invalidElem).removeClass("d-block");
            }
            const i = $("i", this).removeClass("d-none");
            $.post(
              `${site.process}custom`,
              {
                case: "set_fields",
                branch: $("#selectBranch").val(),
                course_id: redir.id,
              },
              function (jsonRes) {
                const branchRes = JSON.parse(jsonRes);
                $(i).addClass("d-none");
                if (branchRes.status == 1) {
                  $("#fillBranchModal").modal("hide");
                  setTimeout(() => {
                    $("#fillBranchModal").remove();
                  }, 2000);
                }
              }
            );
          });
      };

      const openCoursePage = (course_id) =>
        $("<a>")
          .attr({ href: "javascript:void(0);", "data-page": "course_page" })
          .prop("course_id", course_id)
          .click();

      $.get(
        `${site.process}custom`,
        { case: "verify_reg", course_id: redir.id },
        function (jsonRes) {
          const res = JSON.parse(jsonRes);
          console.log("jsonRes", jsonRes);
          if (res.status == 1) {
            if (res.nopassword) {
              $("#fillPasswordModal").modal("show");
              $("#fillPasswordModal")
                .find(".modal-footer button")
                .click(function () {
                  const invalidElem = $(this)
                    .closest(".modal")
                    .find(".float-left");
                  const password = $("#setAcctPassword").val().trim();
                  if (password.length < 8) {
                    if (!$(invalidElem).hasClass("text-danger"))
                      $(invalidElem).addClass("text-danger");
                    return;
                  } else if ($(invalidElem).hasClass("text-danger")) {
                    $(invalidElem).removeClass("text-danger");
                  }
                  const i = $("i", this).removeClass("d-none");
                  $.post(
                    `${site.process}custom`,
                    { case: "set_fields", password },
                    function (jsonRes) {
                      const pswRes = JSON.parse(jsonRes);
                      $(i).addClass("d-none");
                      if (pswRes.status == 1) {
                        $("#fillPasswordModal").modal("hide");
                        openBranchModal();
                      } else {
                        toast(pswRes.message, "red");
                      }
                    }
                  );
                });
            } else if (res.nobranch) {
              openBranchModal();
            } else if (redir.id) {
              openCoursePage(redir.id);
            }
          } else {
            location.href = site.domain;
          }
        }
      );
    }
  }

  $(".sidebar .nav-link")
    .not("#signout")
    .click(function () {
      if ($(this).hasClass("active")) return;
      $(this).closest(".sidebar-sticky").find(".active").removeClass("active");
      $(this).addClass("active");
    });

  $(".navbar-toggler").click(function () {
    $(this).find("span").toggleClass("d-none");
    if ($("span.navbar-toggler-icon", this).hasClass("d-none")) {
      $(".sidebar").animate({ left: "+=100%" }, "slow", function () {
        $("a.navbar-brand img").toggleClass("d-none d-lg-block d-lg-none");
      });
    } else {
      $(".sidebar").animate({ left: "-=100%" }, "slow");
      $("a.navbar-brand img").toggleClass("d-none d-lg-block d-lg-none");
    }
  });

  $("#searchDropdown").on({
    "hidden.bs.dropdown": function () {
      $("input", this).val("");
    },
    "shown.bs.dropdown": function () {
      setTimeout(() => {
        $("input", this)[0].focus();
      }, 500);
    },
  });

  $('[data-toggle="tooltip"]').tooltip();
  let inputFocused = false,
    timer;

  $(".togglePws")
    .parent()
    .click(function () {
      if (!inputFocused) {
        return;
      } else {
        if (timer) {
          clearTimeout(timer);
          timer = null;
        }
      }
      const input = $(this).prev("input");
      $("span", this).toggleClass("fa-eye fa-eye-slash");

      if ($(input).attr("type") == "password") {
        $(input).attr("type", "text");
      } else {
        $(input).attr("type", "password");
      }
      $(input)[0].focus();
    })
    .prev("input")
    .data("switch", true)
    .on({
      focusin: function () {
        inputFocused = true;
      },
      focusout: function () {
        const input = this;
        timer = setTimeout(() => {
          inputFocused = false;
          if ($(input).data("switch") && $(input).attr("type") == "text") {
            $(input)
              .attr("type", "password")
              .next()
              .find("span")
              .toggleClass("fa-eye fa-eye-slash");
          } else {
            $(input).data("switch", true);
          }
          $(input).next();
        }, 500);
      },
    });

  if ($("#studentLoginForm")[0]) {
    $("#studentLoginForm").loginForm(
      {
        formName: "loginMembers",
        forgoTPassword: true,
      },
      function (res) {
        const student = {
          first_name: res.first_name,
          last_name: res.last_name,
          full_name: res.full_name,
          profile_pic: res.profile_pic,
          student_id: res.student_id,
        };
        if ($("#persistStudentLogin").is(":checked")) {
          sessionStorage.setItem("student", JSON.stringify(student));
        }
        location.href = site.domain + "portal";
      }
    );
  } else if ($("#adminLoginForm")[0]) {
    $("#adminLoginForm").loginForm(
      {
        formName: "loginMembers",
        forgoTPassword: true,
      },
      function (res) {
        const admin = {
          first_name: res.first_name,
          last_name: res.last_name,
          full_name: res.full_name,
          profile_pic: res.profile_pic,
          admin_id: res.admin_id,
          type: res.type,
        };
        if ($("#persistAadminLogin").is(":checked")) {
          sessionStorage.setItem("admin", JSON.stringify(admin));
        }
        location.href = site.domain + "portal-admin";
      }
    );
  }
});

function gotoPage() {
  if ($(this).hasClass("active")) return;
  const elem = this,
    page = $(this).attr("data-page");
  if (!$(this).closest(".sidebar")[0]) {
    const relElem = $(`.sidebar .nav-link[data-page="${page}"]`);
    if ($(relElem)[0]) {
      $(relElem)
        .closest(".sidebar-sticky")
        .find(".active")
        .removeClass("active");
      $(relElem).addClass("active");
    } else {
      $(".sidebar .nav-link.active").removeClass("active");
    }
  }
  $(".toggle-side-pane.expanded").click();
  $("#main").animate({ left: "-=100%" }, "slow", function () {
    $("#main")
      .empty()
      .css("left", "0")
      .append(
        $("<div>")
          .addClass("d-flex justify-content-center align-items-center h-100")
          .append(
            $("<div>")
              .addClass("spinner-border")
              .css({ width: "3rem", height: "3rem" })
              .attr("role", "status")
          )
      );
    loadPage(elem, page);
  });
}

function loadPage(elem, page) {
  if (pageLoadAjax) {
    pageLoadAjax.abort();
  }
  const pathname =
    location.pathname.includes("admin") && page != "classroom"
      ? "admin"
      : "portal";
  pageLoadAjax = $.get(
    `${site.domain}${pathname}_pages?page=${page}`,
    function (html) {
      $("#main").html(html);
      loadPageContent(elem, page);
    }
  );
}

function loading(container = null) {
  const loader = $("<div>")
    .addClass("mx-auto mt-3")
    .css({ width: "fit-content", overflow: "hidden" })
    .append($("<div>").addClass("spinner-border").attr("role", "status"));

  if ($(container)[0]) {
    $(loader).appendTo($(container).empty());
  }
  return loader;
}

function downloadReceipt() {
  const pay_id = $(this).prop("pay_id"),
    course = $(this).prop("course");
  const btn = $(this)
    .addClass("disabled")
    .append($("<i>").addClass("fa fa-spinner fa-spin ml-2"));
  const script = location.pathname.includes("admin") ? "api" : "student";
  $.get({
    url: `${site.process}${script}?option=receipt`,
    data: { pay_id },
    xhrFields: {
      responseType: "blob",
    },
    success: function (receipt) {
      $(btn).removeClass("disabled").find("i.fa-spinner").remove();
      $("<a>")
        .attr({
          href: URL.createObjectURL(
            new Blob([receipt], { type: "application/pdf" })
          ),
          download: `${course.replace(/\s+/, "-").concat("-receipt")}.pdf`,
        })[0]
        .click();
    },
  }).fail(function (_, __, err) {
    console.error(err);
  });
}

function downloadPaymentReceipt(trx_no) {
  $("#loaderModal").modal("show");
  $.get({
    url: `${site.process}custom?case=print_receipt`,
    data: { trx_no },
    xhrFields: {
      responseType: "blob",
    },
    success: function (receipt) {
      const blobURL = URL.createObjectURL(
        new Blob([receipt], { type: "application/pdf" })
      );
      const newWindow = window.open(blobURL);
      
      if (newWindow) {
        newWindow.addEventListener("load", () => {
          $("#loaderModal").modal("hide");
          newWindow.print();
        });
      } else {
        $("#loaderModal").modal("hide");
        const downloadInstead = window.confirm(
          "Enable popup to print receipt. Do you want to download receipt instead?"
        );

        if (downloadInstead) {
          $("<a>")
            .attr({
              href: blobURL,
              download: `receipt-${trx_no}.pdf`,
            })[0]
            .click();
        }
      }
    },
  }).fail(function (_, __, err) {
    console.error(err);
  });
}

const ones = [
    "",
    "One",
    "Two",
    "Three",
    "Four",
    "Five",
    "Six",
    "Seven",
    "Eight",
    "Nine",
  ],
  teens = [
    "",
    "Eleven",
    "Twelve",
    "Thirteen",
    "Fourteen",
    "Fifteen",
    "Sixteen",
    "Seventeen",
    "Eighteen",
    "Nineteen",
  ],
  tens = [
    "",
    "Ten",
    "Twenty",
    "Thirty",
    "Forty",
    "Fifty",
    "Sixty",
    "Seventy",
    "Eighty",
    "Ninety",
  ];

function convertToWord(number) {
  let result = "";
  if (number >= 100) {
    result += ones[Math.floor(number / 100)] + " hundred ";
    number %= 100;
  }
  if (number >= 20) {
    result += tens[Math.floor(number / 10)] + " ";
    number %= 10;
  } else if (number >= 11 && number <= 19) {
    return result + teens[number - 10] + " ";
  }
  return result + ones[number];
}
