<?php
if (!isset($_SESSION['admin_id']) || !isset($_GET['page'])) {
  exit;
}
$page = $_GET['page'];

switch ($page) {
  case 'dashboard':
?>
    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center border-bottom">
      <h1 class="h2 mb-2">Dashboard</h1>
      <div class="btn-toolbar mb-2 mb-md-0">
        <button class="btn btn-sm text-dark bg-light" data-toggle="modal" data-target="#generalDialog" data-action="wallet">
          <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-calendar">
            <rect x="3" y="4" width="18" height="18" rx="2" ry="2"></rect>
            <line x1="16" y1="2" x2="16" y2="6"></line>
            <line x1="8" y1="2" x2="8" y2="6"></line>
            <line x1="3" y1="10" x2="21" y2="10"></line>
          </svg>
          Calendar
        </button>
      </div>
    </div>
    <div class="d-flex align-items-center my-3" id="branch-header"></div>
    <div class="row justify-content-xl-center">
      <?php
      $colors = ['alert-custom', 'alert-primary', 'alert-info', 'alert-success'];
      $dashboard_cards = ['Courses'=>'<svg width="2em" height="2em"><use xlink:href="#video-stack" /></svg>', 'Current students'=>'<svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="2em" height="2em"><use xlink:href="#students-icon" /></svg>', 'Past students'=>'<svg width="2em" height="2em"><use xlink:href="#graduate-icon" /></svg>'];
      $ids = ['course_count', 'student_count', 'graduate_count'];
      if ($_SESSION['type'] != 'Tutor') {
        $dashboard_cards = ['Tutors'=>'<svg width="2em" height="2em"><use xlink:href="#tutor-icon" /></svg>']+$dashboard_cards;
        array_unshift($ids, 'tutor_count');
      }
      $i=0;
      foreach ($dashboard_cards as $title => $svg) {
      ?>
      <div class="col-12 col-md-4 col-xl-3">
        <div class="card <?=$colors[$i]?> border no-scaling" style="max-height:120px;box-shadow:none !important;">
          <div class="card-body">
            <h6 class="card-title"><?=$title?></h6>
            <div class="d-flex justify-content-around mt-3">
              <?=$svg?>
              <h4 class="m-0" id="<?=$ids[$i]?>">
                <div class="spinner-border spinner-border-sm" role="status"></div>
              </h4>
            </div>
          </div>
        </div>
      </div>
      <?php
      $i++;
      }
      ?>
    </div>
    <div class="row">
      <h4 class="col-12">Graphs</h4>
      <div class="col-12 col-xl-6 graph">
        <div class="mx-auto mb-3" style="width:fit-content;">
          <div class="spinner-border" role="status"></div>
        </div>
      </div>
      <div class="col-12 col-xl-6 graph">
        <div class="mx-auto mb-3" style="width:fit-content;">
          <div class="spinner-border" role="status"></div>
        </div>
      </div>
    </div>
    <div class="d-flex justify-content-between align-items-center m-0">
      <h4 class="mt-0" id="tableName"></h4>
      <a href="javascript:void(0);" class="btn btn-sm bg-light text-dark shadow-0 disabled" onclick="gotoPage.call(this);">View all<i class="fas fa-arrow-right ml-2"></i></a>
    </div>
    <div class="table-responsive mt-3" id="dashboard-table" style="overflow:visible;">
      <div class="mx-auto mt-3" style="width:fit-content;">
        <div class="spinner-border" role="status"></div>
      </div>
    </div>
  <?php
    break;
  case 'assigned_courses':
  ?>
    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center border-bottom">
      <h1 class="h2 mb-2">Courses</h1>
      <div class="btn-toolbar mb-2 mb-md-0">
        <button class="btn btn-sm text-dark dropdown-toggle<?php if ($_SESSION['type'] !== 'Tutor') echo ' disabled'; ?>" data-toggle="dropdown" style="background-color:#f8f9fa !important;" id="course-per-page">
          10 Items
        </button>
        <div class="dropdown-menu mt-2">
          <a class="dropdown-item course-count disabled" href="#!" onclick="switchCourseCount(this, 10)">10 Items</a>
          <a class="dropdown-item course-count disabled" href="#!" onclick="switchCourseCount(this, 15)">15 Items</a>
          <a class="dropdown-item course-count disabled" href="#!" onclick="switchCourseCount(this, 20)">20 Items</a>
        </div>
      </div>
    </div>
    <span class="progress-loader invisible"></span>
    <nav class="col-12 col-md-8 col-lg-6 col-xl-4">
      <div class="nav nav-tabs flex-nowrap" id="nav-tab" role="tablist">
        <a class="nav-item nav-link custom-tabs btn btn-sm active" id="nav-avail-tab" data-toggle="tab" href="#nav-avail" role="tab" aria-controls="nav-avail" aria-selected="true" style="font-size:initial;">Available</a>
        <a class="nav-item nav-link custom-tabs btn btn-sm" id="nav-draft-tab" data-toggle="tab" href="#nav-draft" role="tab" aria-controls="nav-draft" aria-selected="false" style="font-size:initial;">Drafted</a>
      </div>
    </nav>
    <div class="tab-content" id="nav-tabContent">
      <div class="tab-pane fade show active" id="nav-avail" role="tabpanel" aria-labelledby="nav-avail-tab">
        <div class="mx-auto mt-3" style="width:fit-content;">
          <div class="spinner-border" role="status"></div>
        </div>
      </div>
      <div class="tab-pane fade" id="nav-draft" role="tabpanel" aria-labelledby="nav-draft-tab">
        <div class="mx-auto mt-3" style="width:fit-content;">
          <div class="spinner-border" role="status"></div>
        </div>
      </div>
    </div>
  <?php
    break;
  case 'survey':
  ?>
    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center border-bottom">
      <h1 class="h2 mb-2">Reponses</h1>
      <div class="btn-toolbar mb-2 mb-md-0"><button type="button" class="btn btn-primary" data-toggle="modal" data-target="#lessonDialog" data-action="survey" id="create_survey"><i class="fa fa-plus align-middle mr-1"></i> New survey</button></div>
    </div>
    <div class="d-flex justify-content-between">
      <h4>Created surveys</h4><div class="btn-group" role="group" id="survey-filter">
        <button type="button" class="btn btn-sm text-dark dropdown-toggle bg-light shadow-0 my-auto disabled" data-toggle="dropdown">Filter survey </button>
        <div class="dropdown-menu mt-2"></div>
      </div>
    </div>
    <div class="row justify-content-center" id="survey_list" style="overflow:visible;">
      <div class="mx-auto mt-3" style="width:fit-content;">
        <div class="spinner-border" role="status"></div>
      </div>
    </div>
  <?php
    break;
  case 'students':
  ?>
    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center border-bottom">
      <h1 class="h2 mb-2">Students</h1>
        <div class="btn-toolbar mb-2 mb-md-0"><?php if ($_SESSION['type'] == 'Front Desk Officer') { ?><button type="button" class="btn btn-primary disabled" data-toggle="modal" data-target="#generalDialog" data-action="new_student" id="create_student"><i class="fa fa-plus align-middle mr-1"></i> New Registration</button><?php } else { ?><button class="btn btn-sm text-dark dropdown-toggle bg-light" data-toggle="modal" data-target="#calendarModal">
          <i class="far fa-calendar-check mr-1" style="font-size:large;"></i>
          Calendar
        </button><?php } ?></div>
    </div>
    <h4>Current students</h4>
    <div class="table-responsive" id="current_students" style="overflow:visible;">
      <div class="mx-auto mt-3" style="width:fit-content;">
        <div class="spinner-border" role="status"></div>
      </div>
    </div>
    <h4>Past students</h4>
    <div class="table-responsive" id="past_students" style="overflow:visible;">
      <div class="mx-auto mt-3" style="width:fit-content;">
        <div class="spinner-border" role="status"></div>
      </div>
    </div>
  <?php
    break;
  case 'payment':
    $payment_modes = $paramControl->load_sources('payment_mode');
  ?>
    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center border-bottom">
      <h1 class="h2 mb-2">Payments</h1>
        <div class="btn-toolbar mb-2 mb-md-0"><button type="button" class="btn btn-primary disabled" data-toggle="modal" data-target="#generalDialog" data-action="new_payment" id="record_payment"><i class="fa fa-plus align-middle mr-1"></i> New payment</button></div>
    </div>
    <div class="d-flex justify-content-between mt-4" id="payment-header">
      <h4 class="mt-0">List of payments</h4>
        <div class="btn-toolbar mb-2" role="toolbar" aria-label="Toolbar with button groups">
          <div class="btn-group mr-3" role="group" aria-label="Payment mode filter">
            <button type="button" class="btn btn-sm text-dark dropdown-toggle bg-light shadow-0 my-auto disabled filterby" data-toggle="dropdown">Payment mode </button>
            <div class="dropdown-menu mt-2" id="payModeDropdown">
              <?php foreach ($payment_modes as $key => $mode) { ?>
                <a class="dropdown-item" href="javascript:void(0);">
                  <div class="custom-control custom-checkbox">
                    <input type="checkbox" class="custom-control-input" mode="<?= $key ?>" id="check-<?= $key ?>" checked onchange="filterPayments(this)">
                    <label class="custom-control-label pt-1 w-100" for="check-<?= $key ?>" style="cursor:inherit;"><?= $mode ?></label>
                  </div>
                </a>
              <?php } ?>
            </div>
          </div>
          <button type="button" class="btn btn-sm text-dark dropdown-toggle bg-light shadow-0 my-auto disabled filterby mr-3" data-toggle="modal" data-target="#daterangepicker">Time interval </button>
          <!-- <div class="btn-group mr-3" role="group" aria-label="Time filter">
            <div class="dropdown-menu mt-2 p-3" style="width:12.3rem;">
              <div class="form-group">
                <select class="custom-select form-control rounded-pill mb-3" onchange="filterPayments(this)">
                  <option selected disabled value="">Choose unit of time</option>
                  <option value="DAY">Day</option>
                  <option value="WEEK">Week</option>
                  <option value="MONTH">Month</option>
                  <option value="YEAR">Year</option>
                </select>
                <input type="number" class="form-control" placeholder="How far back in time?" id="pay-time-interval">
              </div>
            </div>
          </div> -->
          <div class="btn-group" role="group" aria-label="Count per page filter">
            <button type="button" class="btn btn-sm text-dark dropdown-toggle bg-light shadow-0 my-auto disabled filterby" data-toggle="dropdown">10 items </button>
            <div class="dropdown-menu mt-2">
              <a class="dropdown-item" onclick="filterPayments(this, 10)">10 items</a>
              <a class="dropdown-item" onclick="filterPayments(this, 25)">25 items</a>
              <a class="dropdown-item" onclick="filterPayments(this, 50)">50 items</a>
            </div>
          </div>
        </div>
    </div>
    <div class="table-responsive" id="pay-container" style="overflow:visible;">
      <div class="mx-auto mt-3" style="width:fit-content;height:12rem;">
        <div class="spinner-border" role="status" style="margin-top:5rem;"></div>
      </div>
    </div>
  <?php
    break;
  case 'edit_course':
  ?>
    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center border-bottom">
      <h1 class="h2 course-title mb-2"></h1>
      <div class="btn-toolbar mb-2" role="toolbar" aria-label="Toolbar with button groups">
        <div class="btn-group mr-2" role="group" aria-label="First group">
          <button type="button" class="btn btn-success btn-sm px-4 saveCourse" style="background-color:#45cb85 !important;" onmouseout="this.style.setProperty('background-color', '#45cb85', 'important');" onmouseover="this.style.setProperty('background-color', '#099885', 'important');"><i class="fa fa-save mr-1"></i> Save</button>
          <button type="button" class="btn btn-sm px-2" style="background-color: transparent !important;border: 2px solid #45cb85 !important; border-left: none !important; color:#45cb85 !important;font-weight:600;" id="courseReview" onmouseout="this.style.setProperty('border-color', '#45cb85', 'important');this.style.setProperty('color', '#45cb85', 'important');" onmouseover="this.style.setProperty('border-color', '#099885', 'important');this.style.setProperty('color', '#099885', 'important');">Send for review</button>
        </div>
        <div class="btn-group" role="group" aria-label="First group">
          <button type="button" class="btn btn-sm px-4" style="background-color:#17a2b8 !important;" onmouseout="this.style.setProperty('background-color', '#17a2b8', 'important');" onmouseover="this.style.setProperty('background-color', '#1f88c0', 'important');" data-toggle="dropdown"><i class="fa fa-plus mr-1"></i> Create</button>
          <div class="dropdown-menu mt-2 mr-4">
            <a class="dropdown-header text-decoration-none" href="#generalDialog" data-toggle="modal" data-action="lesson"><svg focusable="false" width="1.2em" height="1.2em" class="align-middle">
                <use xlink:href="#topic-icon" />
              </svg> Topic</a>
            <div class="dropdown-divider"></div>
            <a class="dropdown-item" href="#lessonDialog" data-toggle="modal" data-action="material"><svg focusable="false" width="1.2em" height="1.2em" class="align-middle">
                <use xlink:href="#material-icon" />
              </svg> Material</a>
            <a class="dropdown-item" href="#lessonDialog" data-toggle="modal" data-action="assignment"><svg focusable="false" width="1.2em" height="1.2em" class="align-middle">
                <use xlink:href="#assignment-icon" />
              </svg> Assignment</a>
            <a class="dropdown-item" href="#lessonDialog" data-toggle="modal" data-action="quiz"><svg focusable="false" width="1.2em" height="1.2em" class="align-middle">
                <use xlink:href="#quiz-icon" />
              </svg> Quiz</a>
          </div>
        </div>
      </div>
    </div>
    <div class="d-flex justify-content-between mb-4 mt-3">
      <button type="button" class="btn btn-sm bg-white text-dark shadow-0" style="font-size:larger;" id="goback-courses"><i class="fa fa-arrow-left mr-2"></i>Back</button>
      <button type="button" class="btn btn-sm bg-white text-dark shadow-0" style="font-size:larger;" data-toggle="modal" data-target="#generalDialog" data-action="quiz_stats">Quiz results<svg height="1.5em" width="1.5em" class="align-bottom ml-1">
          <use xlink:href="#quiz-icon"></use>
        </svg></button>
      <button type="button" class="btn btn-sm bg-white text-dark shadow-0" style="font-size:larger;" data-toggle="modal" data-target="#generalDialog" data-action="submissions">Assignments<svg height="1.5em" width="1.5em" class="align-bottom ml-1">
          <use xlink:href="#assignment-icon"></use>
        </svg></button>
      <button type="button" class="btn btn-sm bg-white text-dark shadow-0" id="previewCourse" data-page="classroom"  style="font-size:larger;">Preview<i class="fab fa-telegram-plane ml-2"></i></button>
    </div>
    <div class="container">
      <div class="row">
        <div class="col-12">
          <div class="card bg-dark no-scaling shadow-0" style="position:relative;height: 15rem;">
            <img class="card-img h-100" src="" alt="Course background image" id="courseBgImg" style="object-fit:cover;">
            <div class="course-caption-bg" style="width: 15%;min-height:200px;">
              <div class="mx-auto mt-3" style="width:fit-content;"></div>
            </div>
            <h5 class="course-caption font-weight-bold text-white py-2 px-3" id="courseTitle">
              <div class="spinner-border spinner-border-sm" role="status"></div>
            </h5>
          </div>
          <div class="card shadow-0 border no-scaling">
            <div class="card-body">
              <h6 class="card-subtitle text-capitalize mb-3">Description</h6>
              <div class="mx-auto mt-3" style="width:fit-content;">
                <div class="spinner-border" role="status"></div>
              </div>
              <p class="card-text bg-light p-3" style="min-height:12rem!important;" id="course-desc"></p>
            </div>
          </div>
        </div>
      </div>
    </div>
    <h4 class="container">Course contents</h4>
    <div class="container my-4" id="courseContents">
      <div class="mx-auto mt-3" style="width:fit-content;">
        <div class="spinner-border" role="status"></div>
      </div>
    </div>
  <?php
    break;
  case 'search':
  ?>
    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center border-bottom">
      <h1 class="h2 mb-2">Search Results</h1>
    </div>
    <div class="table-responsive mt-4" id="searchResults">
      <div class="mx-auto mb-3" style="width:fit-content;">
        <div class="spinner-border" role="status"></div>
      </div>
    </div>
<?php break;
}
?>