<?php
if ((!isset($_SESSION['student_id']) && (!isset($_SESSION['admin_id']) || $_SESSION['type'] != 'Tutor')) || !isset($_GET['page'])) {
  exit;
}
$page = $_GET['page'];

switch ($page) {
  case 'dashboard':
?>
    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center border-bottom">
      <h1 class="h2 mb-2">Dashboard</h1>
      <div class="btn-toolbar mb-2 mb-md-0">
        <button class="btn btn-sm text-dark mr-3" data-toggle="modal" data-target="#generalDialog" data-action="wallet" style="background-color:#f8f9fa !important;">
          <i class="far fa-money-bill-alt feather align-middle mt-1"></i>
          Wallet
        </button>
        <button class="btn btn-sm text-dark" data-toggle="modal" data-target="#generalDialog" data-action="calendar" style="background-color:#f8f9fa !important;">
          <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-calendar">
            <rect x="3" y="4" width="18" height="18" rx="2" ry="2"></rect>
            <line x1="16" y1="2" x2="16" y2="6"></line>
            <line x1="8" y1="2" x2="8" y2="6"></line>
            <line x1="3" y1="10" x2="21" y2="10"></line>
          </svg>
          Calendar
        </button>
      </div>
    </div>
    <div class="row justify-content-center mt-5">
      <?php
      $colors = ['alert-primary', 'alert-info', 'alert-success', 'alert-custom'];
      $dashboard_cards = ['Ongoing courses' => '<svg width="2em" height="2em"><use xlink:href="#book-stack" /></svg>', 'Completed courses' => '<svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="2em" height="2em"><use xlink:href="#cert-roll" /></svg>', 'Study time' => '<svg width="2em" height="2em"><use xlink:href="#clock-icon" /></svg>', 'Wallet' => '<i class="fas fa-wallet" style="font-size:2em;"></i>'];
      $ids = ['enrolled_count', 'completed_count', 'study_length', 'wallet'];
      $i = 0;
      foreach ($dashboard_cards as $title => $svg) {
      ?>
        <div class="col-12 col-md-4 col-xl-3">
          <div class="card <?= $colors[$i] ?> border no-scaling" style="max-height:120px;box-shadow:none !important;">
            <div class="card-body">
              <h6 class="card-title"><?= $title ?></h6>
              <div class="d-flex justify-content-around mt-4">
                <?= $svg ?>
                <h4 class="m-0" id="<?= $ids[$i] ?>">
                  <div class="spinner-border spinner-border-sm" role="status"></div>
                </h4>
              </div>
            </div>
          </div>
        </div>
      <?php $i++;
      } ?>
    </div>
    <div class="d-flex justify-content-between align-items-center m-0 border-bottom">
      <h4>My Courses</h4>
      <div class="btn-group">
        <button class="btn btn-sm mr-2" style="background-color:#1f88c0;" id="resume_last_course">Resume last study</button>
        <button class="btn btn-sm" style="border: 2px solid #1f88c0 !important; background-color:transparent;;color:#1f88c0;" onmouseover="$(this).css({backgroundColor:'#1f88c0', color: 'white'})" onmouseout="$(this).css({backgroundColor: 'transparent', color: '#1f88c0'})" id="goto_courses">All <i class="fa fa-arrow-right align-middle"></i></button>
      </div>
    </div>
    <div id="my-courses" class="row align-items-stretch mt-5 mx-xl-3">
      <div class="mx-auto mb-3" style="width:fit-content;">
        <div class="spinner-border" role="status"></div>
      </div>
    </div>
    <div class="d-flex justify-content-between align-items-center m-0 border-bottom">
      <h4>Other Courses</h4><button class="btn btn-sm bg-white border text-dark" data-page="all_courses" id="goto_all_courses">More courses <i class="fa fa-arrow-right align-middle ml-1"></i></button>
    </div>
    <div id="related-courses" class="row mt-5 mb-3">
      <div class="mx-auto mb-3" style="width:fit-content;">
        <div class="spinner-border" role="status"></div>
      </div>
    </div>
  <?php
    break;
  case 'courses':
  ?>
    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center border-bottom">
      <h1 class="h2 mb-2">My Courses</h1>
      <div class="btn-toolbar mb-2 mb-md-0">
        <button class="btn btn-sm text-dark" data-toggle="modal" data-target="#generalDialog" data-action="wallet" style="background-color:#f8f9fa !important;">
          <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-calendar">
            <rect x="3" y="4" width="18" height="18" rx="2" ry="2"></rect>
            <line x1="16" y1="2" x2="16" y2="6"></line>
            <line x1="8" y1="2" x2="8" y2="6"></line>
            <line x1="3" y1="10" x2="21" y2="10"></line>
          </svg>
          Calendar
        </button>
      </div>
    </div>
    <div class="mt-5 mb-3" id="current-course">
      <div class="mx-auto mb-3" style="width:fit-content;">
        <div class="spinner-border" role="status"></div>
      </div>
    </div>
    <div class="d-flex justify-content-between align-items-center m-0 border-bottom">
      <h4>Ongoing Courses</h4>
      <div class="btn-group">
        <button class="btn btn-sm mr-2" id="resume_last_course" style="background-color:#1f88c0;">Resume last study</button></button>
      </div>
    </div>
    <div id="my-courses" class="row align-items-stretch mt-5 mx-xl-3">
      <div class="mx-auto mb-3" style="width:fit-content;">
        <div class="spinner-border" role="status"></div>
      </div>
    </div>
    <div class="d-flex justify-content-between align-items-center m-0 border-bottom">
      <h4>Other Courses</h4>
      <div class="dropdown"><button class="btn btn-sm bg-white border text-dark dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Filter </button>
        <div class="dropdown-menu" id="courseCategoryFilter">
          <a class="dropdown-item text-center" href="javascript:void(0);">
            <div class="spinner-border spinner-border-sm" role="status"></div>
          </a>
        </div>
      </div>
    </div>
    <div id="related-courses" class="row my-5">
      <div class="mx-auto mb-3" style="width:fit-content;">
        <div class="spinner-border" role="status"></div>
      </div>
    </div>
    <div class="d-flex justify-content-center">
      <button class="btn btn-sm shadow-0 border disabled" style="background-color:#fefefe !important; color:#818182 !important;" id="load_related_courses">See More <i class="fa fa-sort-down align-top"></i></button>
    </div>
  <?php
    break;
  case 'progress':
  ?>
    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center border-bottom">
      <h1 class="h2 mb-2">Study Progress</h1>
      <div class="btn-toolbar mb-2 mb-md-0">
        <button class="btn btn-sm text-dark" data-toggle="modal" data-target="#generalDialog" data-action="wallet" style="background-color:#f8f9fa !important;">
          <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-calendar">
            <rect x="3" y="4" width="18" height="18" rx="2" ry="2"></rect>
            <line x1="16" y1="2" x2="16" y2="6"></line>
            <line x1="8" y1="2" x2="8" y2="6"></line>
            <line x1="3" y1="10" x2="21" y2="10"></line>
          </svg>
          Calendar
        </button>
      </div>
    </div>
    <div class="row mt-5">
      <?php
      $colors = ['alert-primary', 'alert-info'];
      $dashboard_cards = ['Completed courses' => '<svg width="3em" height="3em"><use xlink:href="#completed-icon" /></svg>', 'Uncompleted courses' => '<svg width="3em" height="3em"><use xlink:href="#book-stack"></use></svg>'];
      $ids = ['completed_count', 'uncompleted_count'];
      $i = 0;
      foreach ($dashboard_cards as $title => $svg) {
      ?>
        <div class="col-12 col-md-4 col-xl-3">
          <div class="card <?= $colors[$i] ?> border no-scaling" style="max-height:120px;box-shadow:none !important;">
            <div class="card-body">
              <h6 class="card-title"><?= $title ?></h6>
              <div class="d-flex justify-content-around mt-4">
                <?= $svg ?>
                <h4 class="m-0" id="<?= $ids[$i] ?>">
                  <div class="spinner-border spinner-border-sm" role="status"></div>
                </h4>
              </div>
            </div>
          </div>
        </div>
      <?php $i++;
      } ?>
    </div>
    <div class="d-flex justify-content-between align-items-center mx-0 mt-0 mb-3">
      <h4>Completed courses</h4>
    </div>
    <div class="table-responsive" id="completed_courses">
      <div class="mx-auto mb-3" style="width:fit-content;">
        <div class="spinner-border" role="status"></div>
      </div>
    </div>
    <div class="d-flex justify-content-between align-items-center mx-0 mt-0 mb-5 border-bottom">
      <h4>Courses in progress</h4>
    </div>
    <div class="row mx-xl-3" id="uncompleted_courses">
      <div class="mx-auto mb-3" style="width:fit-content;">
        <div class="spinner-border" role="status"></div>
      </div>
    </div>
  <?php
    break;
  case 'receipt':
  ?>
    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center border-bottom">
      <h1 class="h2 mb-2">Payments</h1>
      <div class="btn-toolbar mb-2 mb-md-0">
        <button class="btn btn-sm text-dark" data-toggle="modal" data-target="#generalDialog" data-action="wallet" style="background-color:#f8f9fa !important;">
          <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-calendar">
            <rect x="3" y="4" width="18" height="18" rx="2" ry="2"></rect>
            <line x1="16" y1="2" x2="16" y2="6"></line>
            <line x1="8" y1="2" x2="8" y2="6"></line>
            <line x1="3" y1="10" x2="21" y2="10"></line>
          </svg>
          Calendar
        </button>
      </div>
    </div>
    <div class="d-flex justify-content-between align-items-center m-0">
      <h4>Last payments</h4>
    </div>
    <div class="row mb-3" id="lastPayments">
      <div class="mx-auto mb-3" style="width:fit-content;">
        <div class="spinner-border" role="status"></div>
      </div>
    </div>
    <div class="d-flex justify-content-between align-items-center m-0">
      <h4>Track installmental payments</h4>
    </div>
    <div class="table-responsive" id="installments">
      <div class="mx-auto mb-3" style="width:fit-content;">
        <div class="spinner-border" role="status"></div>
      </div>
    </div>
  <?php
    break;
  case 'survey':
  ?>
    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center border-bottom">
      <h1 class="h2 mb-2">Survey</h1>
    </div>
    <div class="row px-3 mt-4" id="uncompleted_surveys">
      <div class="mx-auto mb-3" style="width:fit-content;">
        <div class="spinner-border" role="status"></div>
      </div>
    </div>
    <div class="d-flex justify-content-between align-items-center m-0 border-bottom">
      <h4>Completed surveys</h4>
    </div>
    <div class="table-responsive" id="completed_surveys">
      <div class="mx-auto mb-3" style="width:fit-content;">
        <div class="spinner-border" role="status"></div>
      </div>
    </div>
    <div class="btn fabBtn box-shadow" style="background-color: #099885;" data-toggle="modal" data-target="#generalDialog"><svg width="3em" height="3em" data-toggle="tooltip" data-placement="top" title="Help desk">
        <use xlink:href="#question-icon" />
      </svg></div>
  <?php
    break;
  case 'search':
  ?>
    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center border-bottom">
      <h1 class="h2 mb-2">Search Results</h1>
      <button class="btn btn-sm bg-white border text-dark" data-page="all_courses" id="goto_all_courses">All courses <i class="fa fa-arrow-right align-middle ml-1"></i></button>
    </div>
    <div class="container" id="searchResults">
      <div class="mx-auto mb-3" style="width:fit-content;">
        <div class="spinner-border" role="status"></div>
      </div>
    </div>
  <?php
    break;
  case 'view_course':
  ?>
    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center border-bottom">
      <nav aria-label="breadcrumb" class="flex-grow-1" id="courseViewNav">
        <ol class="breadcrumb ml-0 mb-0 bg-white" style="font-size: larger;">
          <li class="breadcrumb-item"><a href="#main" data-page="all_courses" class="font-weight-bold text-dark">All courses</a></li>
          <li class="breadcrumb-item text-truncate" style="max-width: 80%;">
            <div class="spinner-border spinner-border-sm" role="status"></div>
          </li>
        </ol>
      </nav>
    </div>
    <div class="pt-3 pl-3">
      <div class="carousel not-full mb-3" style="height: 15rem;" data-ride="carousel" id="courseCaption">
        <div class="carousel-inner h-100" role="listbox">
          <div class="carousel-item active h-100">
            <div class="posAbs w-75" style="padding: 50px;left: 0px;top: 50%;translate: 0% -50%;z-index: 1;">
              <h1 class="site_title text_bold_7 text-left animated bounceInUp mb-3"></h1>
              <p class="text-white text-left animated bounceInUp mb-2">
                <span class="spinner-border spinner-border-sm text-white" role="status"></span>
              </p>
              <a class="btn-success btn academy-anchor px-5 disabled" href="#generalDialog" data-toggle="modal" data-action="enrol_form">
                Enroll
              </a>
              <a class="btn-info btn mr-3 academy-anchor disabled" href="#generalDialog" data-toggle="modal" data-action="share">
                Share course
              </a>
            </div>
            <div class="custom-overlay-alt posAbs float-left fullWidth fullHeight"></div>
            <img class="d-block slide-fh rounded" src="">
          </div>
        </div>
      </div>
      <ul class="nav w-100 pl-3 py-3" id="scrollto" style="position: relative; top: 0px; left: 0px; z-index: 0;background-color:#fcfcfd;">
        <li class="nav-item">
          <a class="nav-link nav-link2 active" aria-current="page" href="#about-course">About</a>
        </li>
        <li class="nav-item">
          <a class="nav-link nav-link2" href="#topics">Content</a>
        </li>
        <li class="nav-item">
          <a class="nav-link nav-link2" href="#enrollment-info">Enrollment</a>
        </li>
        <li class="nav-item">
          <a class="nav-link nav-link2" href="#faqs">FAQs</a>
        </li>
      </ul>
      <div class="container" id="course-detail" style="margin-top: 0px;">
        <div class="row justidy-content-center">
          <div class="col-xl-11 lh-lg scrollspy" data-bs-spy="scroll" data-bs-target="#scrollto" data-bs-root-margin="0px 0px -5%" data-bs-smooth-scroll="true" tabindex="0">
            <h4 class="font-weight-bold">About the course</h4>
            <div class="overflow-hidden pb-5" id="about-course" style="max-height:16rem;position:relative;">
              <div class="mx-auto mb-3" style="width:fit-content;">
                <div class="spinner-border" role="status"></div>
              </div>
              <div style="padding-top: 2rem;position: absolute;left: 0;right: 0;bottom: 0;height: 4rem;background: linear-gradient(transparent, white 45%);">
                <button class="btn btn-sm bg-light text-dark disabled" id="toggle-size">Show more</button>
              </div>
            </div>
            <h4 class="font-weight-bold mb-3">Content</h4>
            <ul class="list-unstyled pl-3 ml-3" style="border-left: 5px solid #4ddb0ee6;" id="briefContent">
              <div class="mx-auto mb-3" style="width:fit-content;">
                <div class="spinner-border" role="status"></div>
              </div>
            </ul>
            <h4 class="font-weight-bold mb-3">Enrollment</h4>
            <div id="enrollment-info">
              <div class="table-responsive" style="max-width: 700px;">
                <table class="table table-hover">
                  <thead>
                    <tr>
                      <th class="bg-warning text-center decor" colspan="2"></th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr>
                      <td class="font-weight-bold ps-4">Access to videos and other materials</td>
                      <td class="text-center"><i class="fas fa-check"></i></td>
                    </tr>
                    <tr>
                      <td class="font-weight-bold ps-4">Access to Q/A forum</td>
                      <td class="text-center"><i class="fas fa-check"></i></td>
                    </tr>
                    <tr>
                      <td class="font-weight-bold ps-4">Quizes and projects</td>
                      <td class="text-center"><i class="fas fa-check"></i></td>
                    </tr>
                    <tr>
                      <td class="font-weight-bold ps-4">Certificate upon completion</td>
                      <td class="text-center"><i class="fas fa-check"></i></td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </div>
            <div class="mt-4" id="faqs">
              <h5 class="font-weight-bold">Frequently Asked Questions</h5>
              <dl>
                <dt>Can I pay for a course in installments?</dt>
                <dd>
                  Yes you can pay for a course in installments. Visit any of our branches for further enquiries.
                </dd>
                <dt>Will I always have access to the course if I enroll?</dt>
                <dd>
                  Yes you'll always have access to the content. It is meant to be your go-to place for more information on concepts discussed in the usual classes.
                </dd>
                <dt>Can I download materials for the course(s) I have enrolled in?</dt>
                <dd>
                  There are downloadable materials for the course(s) you are taking.
                </dd>
              </dl>
              <p style="font-size: 14px;">You can visit any of our branches for more enquiries or email us at<a href="mailto:<?= $company->email ?>?subject=Course%20Enquiry" class="btn-link text-dark pr-0"><?= $company->email ?></a>.</p>
              <div class="text-center mb-5"><button class="btn btn-success border px-5 disabled" data-target="#generalDialog" data-toggle="modal" data-action="enrol_form">Enroll</button></div>
            </div>
            <div class="text-center">
              <h4>Tell your relatives & friends about the course</h4>
              <p class="col-11 col-md-6 mx-auto">Share the link to this course with your relatives and friends. You receive a referral bonus for every person that registers with your referral link. You can redeem as cash at anytime or purchase the course of your chosen to boost your high-flying career.</p>
              <p><a href="javascript:void(0);" id="shareFacebook" target="_blank" data-toggle="tooltip" data-placement="top" title="Share on facebook"><i class="fab fa-facebook-f text-info mr-3 align-top" style="font-size: 1.5em;"></i></a><a href="javascript:void(0);" id="shareX" target="_blank" data-toggle="tooltip" data-placement="top" title="Share on X"><svg xmlns="http://www.w3.org/2000/svg" height="1.5em" height="1.5em" viewBox="0 0 512 512" class="mr-3">
                    <path d="M389.2 48h70.6L305.6 224.2 487 464H345L233.7 318.6 106.5 464H35.8L200.7 275.5 26.8 48H172.4L272.9 180.9 389.2 48zM364.4 421.8h39.1L151.1 88h-42L364.4 421.8z"></path>
                  </svg></a><a href="javascript:void(0);" id="shareWhatsApp" target="_blank" data-toggle="tooltip" data-placement="top" title="Share on WhatsApp"><i class="fab fa-whatsapp text-success mr-3 align-top" style="font-size: 1.5em;"></i></a><a href="javascript:void(0);" id="shareLinkedin" target="_blank" data-toggle="tooltip" data-placement="top" title="Share on LinkedIn"><i class="fab fa-linkedin-in text-info align-top" style="font-size: 1.5em;"></i></a></p>
            </div>
          </div>
        </div>
        <h4 class="mt-5 mb-4 text-center col-xl-11">Top courses</h4>
        <div class="row justify-content-center" id="topCourses">
          <div class="mx-auto mb-3" style="width:fit-content;">
            <div class="spinner-border" role="status"></div>
          </div>
        </div>
        <h4 class="mt-5 mb-4 text-center col-xl-11">Related courses</h4>
        <div class="row justify-content-center" id="relatedCourses">
          <div class="mx-auto mb-3" style="width:fit-content;">
            <div class="spinner-border" role="status"></div>
          </div>
        </div>
      </div>
    </div>
  <?php
    break;
  case 'all_courses':
    $data = contentCache('ict-academy');
    $slider = reset($data->image);
  ?>
    <div class='float-left posRel fullWidth'>
      <div id="coursesCarousel" class="carousel not-full" style="height: 18rem" data-ride="carousel">
        <ol class="carousel-indicators">
          <?php foreach ($data->image as $k => $image) { ?>
            <li data-target="#coursesCarousel" data-slide-to="<?= $k ?>" class="<?php if ($k == 0) echo 'active'; ?>"></li>
          <?php } ?>
        </ol>
        <div class="carousel-inner h-100" role="listbox">
          <?php foreach ($data->image as $k => $image) {
            list($width, $height)  = getimagesize(absolute_filepath($image->src));
          ?>
            <div class="carousel-item <?php if ($k == 0) echo ' active'; ?> h-100">
              <div class="float-right posAbs w-75" style="padding: 50px;right: 0px;top: 50%;translate: 0% -50%;z-index: 1;">
                <h1 class="site_title text_bold_7 text-white text-right animated bounceInUp" style="animation-delay: 0.01s;animation-duration: 1.5s;"><?= $image->title ?></h1>
                <?php if (strlen(strip_tags($image->desc)) > 2) { ?><h5 class="text-white text-right animated bounceInUp" style="font-weight:200; animation-delay: 0.11s;animation-duration: 1.5s;"><?= strip_tags($image->desc) ?></h5> <?php } ?>
                <?php if (!empty($image->anchor->href)) { ?>
                  <button href="<?= $image->anchor->href ?>" class="btn btn-lg btn-info float-right animated bounceInUp" style="animation-delay: 0.21s;animation-duration: 1.5s;"><?= $image->anchor->name ?></button>
                <?php } ?>
              </div>
              <div class="custom-overlay posAbs float-left fullWidth fullHeight"></div>
              <img class="d-block <?php if ($width > $height || $width == $height) {
                                    echo 'slide-fh';
                                  } else echo 'slide-fw' ?>" src="<?= str_replace('../', '', $image->src) ?>" alt="First slide">
            </div>
          <?php } ?>
        </div>
        <?php if (count($data->image) > 1) { ?>
          <a class="carousel-control-prev" href="#coursesCarousel" role="button" data-slide="prev">
            <i class="now-ui-icons arrows-1_minimal-left"></i>
          </a>
          <a class="carousel-control-next" href="#coursesCarousel" role="button" data-slide="next">
            <i class="now-ui-icons arrows-1_minimal-right"></i>
          </a>
        <?php } ?>
      </div>
    </div>
    <div class="container">
      <div class="row">
        <div class="col-md-12 posRel float-left">
          <div class="posRel col-sm-12 float-left">
            <h3 class="text_bold_7 text-left text-capitalize mt-4 pl-3 pr-3 mt-0 mb-0">Browse our top courses</h3>
          </div>
          <div class="container-fluid" id="topCourses">
            <div class="mx-auto mb-3" style="width:fit-content;">
              <div class="spinner-border" role="status"></div>
            </div>
          </div>
          <div class="row float-left posRel fullWidth mt-5">
            <div class="col-xs-12 col-sm-4 feature unlimited animated">
              <i class="fas fa-infinity text-secondary" style="font-size: 48px;"></i>
              <div class="upsell-text">
                <div class="headline">Unlimited Access</div>
                <p>Choose what you'd like to learn from our extensive subscription library.</p>
              </div>
            </div>
            <div class="col-xs-12 col-sm-4 feature teachers animated">
              <i class="fas fa-chalkboard-teacher text-secondary" style="font-size: 48px;"></i>
              <div class="upsell-text">
                <div class="headline">Expert Teachers</div>
                <p>Learn from industry experts who are passionate about teaching.</p>
              </div>
            </div>
            <div class="col-xs-12 col-sm-4 feature anywhere animated">
              <i class="fas fa-globe text-secondary" style="font-size: 48px;"></i>
              <div class="upsell-text">
                <div class="headline">Learn Anywhere</div>
                <p>Switch between your computer, tablet, or mobile device.</p>
              </div>
            </div>
          </div>
        </div>
        <div class="col-md-12 posRel float-left mt-5">
          <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center border-bottom">
            <h3 class="mb-2">Courses</h3>
            <div class="btn-toolbar mb-2 mb-md-0">
              <button class="btn btn-sm text-dark text-capitalize dropdown-toggle" data-toggle="dropdown" style="background-color:#f8f9fa !important;" id="filterCat">
                All categories
              </button>
              <div class="dropdown-menu text-center mt-2">
                <div class="spinner-border spinner-border-sm" role="status"></div>
              </div>
            </div>
          </div>
          <div class="container-fluid" id="coursesContainer">
            <h4 class="placeholder-glow"><span class="placeholder col-4"></span></h4>
            <div class="row">
              <?php for ($i = 0; $i < 4; $i++) { ?>
                <div class="col-12 col-xl-6 mb-3 d-flex justify-content-center">
                  <div class="card no-scaling box-shadow" aria-hidden="true" style="max-width: 800px;">
                    <div class="row">
                      <div class="col-md-4 bg-secondary">
                        <img src="" class="img-fluid rounded-start" alt="">
                      </div>
                      <div class="col-md-8">
                        <div class="card-body">
                          <h5 class="card-title placeholder-glow">
                            <span class="placeholder col-6"></span>
                          </h5>
                          <p class="card-text placeholder-glow">
                            <span class="placeholder col-7"></span>
                            <span class="placeholder col-4"></span>
                            <span class="placeholder col-4"></span>
                            <span class="placeholder col-6"></span>
                            <span class="placeholder col-8"></span>
                          </p>
                          <a class="btn btn-info disabled placeholder col-4" aria-disabled="true"></a>
                          <a class="btn btn-info disabled placeholder col-4" aria-disabled="true"></a>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              <?php } ?>
            </div>
          </div>
        </div>
      </div>
    </div>
  <?php
    break;
  case 'course_page':
  ?>
    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center border-bottom">
      <h1 class="h2 mb-2" id="courseTitle"></h1>
      <div class="btn-toolbar mb-2 mb-md-0">
        <button class="btn btn-sm text-dark" data-toggle="modal" data-target="#generalDialog" data-action="wallet" style="background-color:#f8f9fa !important;">
          <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-calendar">
            <rect x="3" y="4" width="18" height="18" rx="2" ry="2"></rect>
            <line x1="16" y1="2" x2="16" y2="6"></line>
            <line x1="8" y1="2" x2="8" y2="6"></line>
            <line x1="3" y1="10" x2="21" y2="10"></line>
          </svg>
          Calendar
        </button>
      </div>
    </div>
    <div class="mx-3">
      <div class="row mt-5">
        <div class="col-12 col-md-7 mb-5">
          <div class="border border-top-0 rounded-bottom px-3 pb-3 mb-5">
            <div class="d-flex justify-content-between align-items-center">
              <div style="width:80%;">
                <h5 class="font-weight-bold">Progress since last study</h5>
                <span>This represents how much of the course content, including tests and assignments, you have completed.</span>
              </div>
              <div class="rounded-circle text-center border-light" style="width: 8rem; height: 8rem; border-width: 1rem;border-style: solid; position:relative;" id="course_covered">
                <div class="font-weight-bold mt-4 mb-0">
                  <div class="spinner-border spinner-border-sm" role="status"></div>
                </div> <span style="font-size:small;">completed</span>
              </div>
            </div>
            <h5 class="mt-3 clearfix" style="line-height:2.5;">Continue from last time <a href="javascript:void(0);" class="btn float-right" style="background-color:#1f88c0;font-size:medium;" data-page="classroom" id="goto-class">Go to class</a></h5>
          </div>
          <h5 class=" font-weight-bold">Contents</h5>
          <div class="card shadow-0 no-scaling border p-4" id="courseContent">
            <div class="mx-auto mb-3" style="width:fit-content;">
              <div class="spinner-border" role="status"></div>
            </div>
          </div>
          <button class="btn btn-lg w-100 disabled" style="background-color:#2015ff;" id="download_curriculum">Download course curriculum <svg viewBox="0 0 32 32" focusable="false" width="1.6em" height="1.6em" class="align-middle">
              <path d="M25 24a1 1 0 010 2H7a1 1 0 010-2h18zM16 6a1 1 0 011 1v11.585l3.293-3.292a1 1 0 011.414 1.414l-5 5a1 1 0 01-1.414 0l-5-5a1 1 0 011.414-1.414L15 18.585V7a1 1 0 011-1z" fill="currentColor"></path>
            </svg></button>
          <button class="btn btn-lg w-100 disabled" style="background-color:rgb(64, 81, 137);" data-target="#generalDialog" data-toggle="modal" data-action="share" id="shareCorse">Share to others <i class="fas fa-share align-middle ml-2"></i></button>
        </div>
        <div class="col-12 col-md-5">
          <div class="card-body">
            <h5 class=" font-weight-bold">Set a goal this week</h5>
            <span style="font-size: small;">
              Goals are important because they are the path to our vision. Your goal has to be practicable. You can always change it.
            </span>
            <div class="row mt-3 justify-content-around justify-content-md-start justify-content-xl-around" style="font-size: 14px;" id="weekly_goal">
              <div class="col-auto text-center py-3 mr-4 goal mb-2" style="box-shadow: inset 0 0 4px 1px #f3e5f5;cursor:pointer;">
                <i class="far fa-flag"></i>
                <p class="mt-3">Casual</p>
                <span style="font-size: smaller;">1 day a week</span>
              </div>
              <div class="col-auto text-center py-3 mr-4 mb-2" style="box-shadow: inset 0 0 4px 1px #f3e5f5;cursor:pointer;">
                <i class="fas fa-flag text-secondary"></i>
                <p class="mt-3">Regular</p>
                <span style="font-size: smaller;">3 days a week</span>
              </div>
              <div class="col-auto text-center py-3 mb-2" style="box-shadow: inset 0 0 4px 1px #f3e5f5;cursor:pointer;">
                <i class="fas fa-flag"></i>
                <p class="mt-3">Intense</p>
                <span style="font-size: smaller;">5 days a week</span>
              </div>
            </div>
          </div>
          <div class="card-body">
            <h5 class=" font-weight-bold">Course Work</h5>
            <dl class="mt-4">
              <dt><i class="far fa-clock"></i> Duration</dt>
              <dd class="mb-3">This is based on the in-person classes you'd be having and consolidates your knowledge in the various topics. You'll find videos, problem sets and additional materials that will help you master the subject. Your career success is our priority.</dd>
              <dt><i class="far fa-calendar"></i> Schedule</dt>
              <dd>
                <table class="table table-hover" id="course-schedule">
                  <tbody>
                    <tr>
                      <td>Course duration</td>
                      <td>
                        <div class="spinner-border spinner-border-sm" role="status"></div>
                      </td>
                    </tr>
                    <tr>
                      <td>Course assessments</td>
                      <td>Whole term</td>
                    </tr>
                    <tr>
                      <td>Term project</td>
                      <td>&mdash;</td>
                    </tr>
                  </tbody>
                </table>
              </dd>
            </dl>
          </div>
        </div>
      </div>
    </div>
  <?php
    break;
  case 'classroom':
  ?>
    <div class="container">
      <div id="main-pane">
        <h3 class="mb-3 text-center"></h3>
        <div class="m-auto mb-3" style="width:fit-content;">
          <div class="spinner-border" role="status"></div>
        </div>
      </div>
      <button class="btn btn-sm text-white px-2 disabled expanded toggle-side-pane" type="button">
        <i class="fas fa-arrow-left"></i>
      </button>
      <div class="fixed-bottom aside-pane bg-light">
        <div class="accordion" id="courseNav" style="min-height: 72vh;">
          <div class="m-auto mb-3" style="width:fit-content;">
            <div class="spinner-border" role="status"></div>
          </div>
        </div>
      </div>
    </div>
    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center border-bottom fixed-top classroom-banner bg-white">
      <nav aria-label="breadcrumb" class="flex-grow-1">
        <ol class="breadcrumb ml-0 mb-0 bg-white" id="classroomHeader" style="font-size: larger;">
          <li class="breadcrumb-item"><a href="#main" data-page="courses" class="font-weight-bold text-dark">Courses</a></li>
          <li class="breadcrumb-item text-truncate" style="max-width: 40%;"><a href="#main" data-page="course_page" class="font-weight-bold text-dark">
              <div class="spinner-border spinner-border-sm" role="status"></div>
            </a></li>
          <li class="breadcrumb-item active text-truncate" aria-current="page" style="max-width: 40%;">
            <div class="spinner-border spinner-border-sm" role="status"></div>
          </li>
        </ol>
      </nav>
      <nav>
        <ul class="pagination mb-0" id="classroomPaging">
          <li class="page-item">
            <a class="page-link m-0" href="javascript:void(0);" style="border-radius:0 !important;color:rgb(64, 81, 137);font-weight: 600;" action="previous"><span class="d-none d-md-inline">≪</span> Previous</a>
          </li>
          <li class="page-item">
            <a class="page-link m-0" href="javascript:void(0);" style="border-radius:0 !important;color:rgb(64, 81, 137);font-weight: 600;" action="next">Next <span class="d-none d-md-inline">≫</span></a>
          </li>
        </ul>
      </nav>
    </div>
  <?php
    break;
  case 'material':
  ?>
    <div class="d-flex justify-content-center align-items-center mx-auto" id="video-spinner" style="height:28rem;max-width: 650px !important;background-color:#fcfcfd;">
      <div class="mx-auto mb-3" style="width:fit-content;">
        <div class="spinner-border" role="status"></div>
      </div>
    </div>
    <div class="embed-responsive embed-responsive-4by3 mb-5 mx-auto d-none" id="lecture-video" style="position:relative;max-width: 650px !important;overflow:visible;">
      <div class="embed-responsive-item bg-secondary d-none" id="youtubePlayer"></div>
      <video class="embed-responsive-item bg-secondary" src=""></video>
      <div class="w-100" style="position:absolute;translate:0 -50%;top:100%;height:fit-content;">
        <div class="progress rounded-0" role="progressbar" aria-label="Video seeker" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="height: 4px; transition: .5s; transform-origin: bottom left; background-color: #4f595d;" id="video-seeker">
          <div class="progress-bar rounded-end" style="width: 1%; background-color: #8e3e63;border-right: 4px solid #cb598d;transition:.5s;"></div>
        </div>
        <div class="btn-toolbar justify-content-between align-items-stretch flex-nowrap" style="background-color:#282c2e;overflow-x: clip;" role="toolbar">
          <div class="btn-group" role="group" aria-label="First group">
            <button type="button" class="btn btn-sm bg-dark border-right border-secondary rounded-0" data-toggle="tooltip" data-placement="top" data-title="Play / Pause"><i class="fas fa-play"></i></button>
            <button type="button" class="btn btn-sm bg-dark border-right border-secondary" data-toggle="tooltip" data-placement="top" data-title="Rewind">
              <svg width="30px" height="30px" viewBox="0 0 76 76" xmlns="http://www.w3.org/2000/svg" fill="currentColor">
                <g transform="rotate(180)" transform-origin="center">
                  <path d="M 19,25L 35.75,38L 19,51L 19,25 Z M 41,25L 57.75,38L 41,51L 41,25 Z"></path>
                </g>
              </svg>
            </button>
            <button type="button" class="btn btn-sm bg-dark border-left border-secondary" data-toggle="tooltip" data-placement="top" data-title="Forward" style="border-top-right-radius: 0; border-bottom-right-radius: 0;">
              <svg width="30px" height="30px" viewBox="0 0 76 76" xmlns="http://www.w3.org/2000/svg" fill="currentColor">
                <path d="M 19,25L 35.75,38L 19,51L 19,25 Z M 41,25L 57.75,38L 41,51L 41,25 Z"></path>
              </svg>
            </button>
          </div>
          <div class="btn-group" role="group" aria-label="Second group">
            <span class="px-3 text-white pe-none pt-2" style="font-family:monospace;font-size:large;">0:00/ 0</span>
          </div>
          <div class="btn-group" role="group" aria-label="Third group">
            <div class="btn-group dropup" data-toggle="tooltip" data-placement="bottom" data-title="Volume">
              <button type="button" class="btn btn-sm bg-dark border-right border-secondary" data-toggle="dropdown" style="border-top-left-radius: 0; border-bottom-left-radius: 0;">
                <svg width="16px" height="16px" viewBox="0 0 16 16" xmlns="http://www.w3.org/2000/svg" fill="currentColor">
                  <path d="M11.8 2.4l-0.5 1c1.1 1.4 1.7 3.2 1.7 5.1 0 1.7-0.5 3.2-1.3 4.6l0.7 0.8c1.1-1.5 1.7-3.4 1.7-5.4-0.1-2.3-0.9-4.4-2.3-6.1z"></path>
                  <path d="M10.8 4.4l-0.5 1.1c0.5 0.9 0.8 1.9 0.8 3 0 1-0.3 2-0.7 2.9l0.7 0.9c0.6-1.1 1-2.4 1-3.7-0.1-1.6-0.5-3-1.3-4.2z"></path>
                  <path d="M4 5h-4v6h4l5 4v-14z"></path>
                </svg>
              </button>
              <ul class="dropdown-menu dropdown-menu-dark">
                <input type="range" class="form-range" min="0" max="100" value="100" id="volume-bar" style="scale: 0.6;">
              </ul>
            </div>
            <div class="btn-group dropup" data-toggle="tooltip" data-placement="top" data-title="Playback speed">
              <button type="button" class="btn btn-sm bg-dark border-right border-secondary font-weight-bold" data-toggle="dropdown"><span>1.0</span><i class="fas fa-times ml-1"></i></button>
              <ul class="dropdown-menu dropdown-menu-dark">
                <li><a class="dropdown-item" href="javascript:void(0);">0.5x</a></li>
                <li><a class="dropdown-item" href="javascript:void(0);">0.75x</a></li>
                <li><a class="dropdown-item active" href="javascript:void(0);">1.0x</a></li>
                <li><a class="dropdown-item" href="javascript:void(0);">1.5x</a></li>
                <li><a class="dropdown-item" href="javascript:void(0);">2.0x</a></li>
              </ul>
            </div>
            <button type="button" class="btn btn-sm bg-dark border-left border-secondary" data-toggle="tooltip" data-placement="top" data-title="Fullscreen"><i class="fas fa-expand"></i></button>
          </div>
        </div>
      </div>
    </div>
    <p class="mt-4" id="lesson-desc"></p>
  <?php
    break;
  case 'assignment':
  ?>
    <p class="w-75 mt-5 mx-auto" id="lesson-instuction"></p>
    <div id="assignment-container" class="card-body mx-auto">
      <p class="card-text"></p>
      <div class="form-group mb-3" style="max-width:40rem;"><label for="assignment-repo" class="mb-3">Assignment repository / Link to assignment</label><input class="form-control" type="text" placeholder="Ex. https://github.com/..." id="assignmentRepo" style="padding: 0.75rem 1rem; font-size: 0.9rem; line-height: 1.5;"></div>
      <div class="invalid-feedback">The link is invalid. Cross-check the link and try again.</div>
      <div class="form-text"><span style="font-size: small;"></span> <i class="fa fa-circle mx-1 align-middle" style="font-size: 5px;"></i> <span style="font-size: small;"></span></div>
      <div class="d-flex justify-content-end">
        <button class="btn btn-success px-4" type="button" id="submit-assignment">Submit assigment</button>
      </div>
    </div>
  <?php
    break;
  case 'quiz':
  ?>
    <p class="w-75 mt-5 mx-auto" id="lesson-instuction"></p>
    <div class="my-5" id="quiz-container"></div>
<?php
    break;
}
?>