<?php
if (!isset($_SESSION['student_id'])) {
  header("Location: {$uri->site}student-login");
  exit;
}
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Portal - Student | Digital Dreams ICT Academy</title>
  <?php require_once('./portal/components/portal_links.php') ?>
</head>

<body>
  <?php require_once './portal/components/portal_navbar.php'; ?>

  <div class="container-fluid">
    <div class="row">
      <?php require_once './portal/components/portal_sidebar.php'; ?>

      <main role="main" class="col-md-12 ml-lg-auto col-lg-9 col-xl-10 px-4 pl-lg-0 pr-lg-2 px-xl-4" style="min-height:74.5vh;" id="main">
        <div class="d-flex justify-content-center align-items-center h-100">
          <div class="spinner-border" style="width: 3rem; height: 3rem;" role="status"></div>
        </div>
      </main>
    </div>
  </div>
  <div class="modal fade" id="fillPasswordModal" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="fillPasswordModalTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content w-100">
        <div class="modal-header">
          <h5 class="modal-title" id="fillPasswordModalTitle">Complete registration</h5>
        </div>
        <div class="modal-body px-5">
          <div class="form-group">
            <label for="setAcctPassword">Create password</label>
            <div class="input-group">
              <input type="password" class="form-control" id="setAcctPassword" placeholder="Enter a password">
              <div class="input-group-append pr-3 pl-1 pt-2 pb-1" style="background-color:rgb(232, 240, 254);border-top-right-radius:50%;border-bottom-right-radius:50%;border: 1px solid #E3E3E3;border-left:none;">
                <span class="input-group-text fa fa-eye text-muted togglePws" style="cursor: pointer;"></span>
              </div>
            </div>
            <small class="text-muted float-left" style="font-size: 13px;">Enter a fairly long password (min-length is 8).</small>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-primary px-4">Save <i class="fa fa-spinner fa-spin d-none"></i></button>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade" id="fillBranchModal" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="fillBranchModalTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content w-100">
        <div class="modal-header">
          <h5 class="modal-title" id="fillBranchModaltle">Learning center</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body px-5">
          <div class="form-group">
            <label for="selectBranch">Centers</label>
            <select class="custom-select form-control" id="selectBranch" required>
              <option value="" disabled selected>Choose a center close to you</option>
            </select>
            <div class="invalid-feedback">You have not chosen a learning center.</div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-primary px-4">Save <i class="fa fa-spinner fa-spin d-none"></i></button>
        </div>
      </div>
    </div>
  </div>
  <?php
  if (count($_GET) > 0) {
  ?>
    <script>
      var redir = {
        <?php
        $keys = ['page', 'first_time', 'action', 'id'];
        foreach ($keys as $key) {
          if (isset($_GET[$key])) {
            $value = $_GET[$key]; ?>
            <?= $key ?>: '<?= $value ?>',
        <?php }
        } ?>
      }
    </script>
  <?php
  }
  ?>
  <?php
  require_once './portal/components/portal_footer.php';
  ?>
</body>

</html>