<?php 
if (isset($_SESSION['student_id']) || isset($_SESSION['admin_id'])) {
  $redirect = $uri->site.(isset($_SESSION['student_id']) ? 'portal':'portal-admin');
  header("Location: $redirect");
  exit;
}
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Portal - login | Digital Dreams ICT Academy</title>
  <?php require_once('./portal/components/portal_links.php') ?>
</head>

<body style="background: no-repeat <?php if ($user_type == 'student') { ?>50% 75%/cover url('./asset/picture/student-login-bg.jpg');<?php } else { ?>center/cover url('./asset/picture/admin-portal-bg.jpg')<?php } ?>">
  <div class="container">
    <div class="row justify-content-center align-items-center" style="height:100vh;">
      <div class="col-sm-10 col-md-8 col-lg-7 col-xl-5">
        <div class="card px-3 py-5 no-scaling">
          <div class="d-flex justify-content-center">
            <a class="navbar-brand" href="<?= $uri->site ?>"><img src="./asset/picture/dd_black_no_bg.png" alt="Digital Dreams ICT Academy"></a>
          </div>
          <?php
          if ($user_type == 'student') :
          ?>
            <h6 class="text-center mt-5 wlc-header">Welcome back</h6>
            <form method="post" id="studentLoginForm" class="mt-4">
              <input type="hidden" name="auth_type" value="0">
              <div class="form-group">
                <label for="student-email">Email</label>
                <div class="input-group mb-3">
                  <div class="input-group-prepend pl-3 pr-1 pt-2 pb-1" style="background-color:rgb(232, 240, 254);border-top-left-radius:50%;border-bottom-left-radius:50%;border: 1px solid #E3E3E3;border-right:none;">
                    <span class="input-group-text"><svg width="1.5em" height="1.5em" viewBox="0 0 48 48" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
                        <g fill="#2c2c2c" fill-rule="nonzero">
                          <path d="M35.7502,28 C38.0276853,28 39.8876578,29.7909151 39.9950978,32.0427546 L40,32.2487 L40,33 C40,36.7555 38.0583,39.5669 35.0798,41.3802 C32.1509,43.1633 28.2139,44 24,44 C19.7861,44 15.8491,43.1633 12.9202,41.3802 C10.0319285,39.6218485 8.11862909,36.9249713 8.00532378,33.3388068 L8,33 L8,32.2489 C8,29.9703471 9.79294995,28.1122272 12.0440313,28.0048972 L12.2499,28 L35.7502,28 Z M24,4 C29.5228,4 34,8.47715 34,14 C34,19.5228 29.5228,24 24,24 C18.4772,24 14,19.5228 14,14 C14,8.47715 18.4772,4 24,4 Z"></path>
                        </g>
                      </svg></span>
                  </div>
                  <input type="email" class="form-control forgot-element" id="student-email" name="email" placeholder="Enter email" style="background-color:rgb(232, 240, 254);transition:none;">
                </div>

              </div>
              <div class="form-group">
                <label for="student-psw">Password</label>
                <div class="input-group mb-3">
                  <div class="input-group-prepend pl-3 pr-1 pt-2 pb-1" style="background-color:rgb(232, 240, 254);border-top-left-radius:50%;border-bottom-left-radius:50%;border: 1px solid #E3E3E3;border-right:none;">
                    <span class="input-group-text"><svg fill="#2c2c2c" width="1.5em" height="1.5em" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg" enable-background="new 0 0 24 24">
                        <path d="M17,9V7c0-2.8-2.2-5-5-5S7,4.2,7,7v2c-1.7,0-3,1.3-3,3v7c0,1.7,1.3,3,3,3h10c1.7,0,3-1.3,3-3v-7C20,10.3,18.7,9,17,9z M9,7c0-1.7,1.3-3,3-3s3,1.3,3,3v2H9V7z" />
                      </svg></span>
                  </div>
                  <input type="password" class="form-control" id="student-psw" name="password" placeholder="Enter password" style="border-left:none;border-right:none;background-color:rgb(232, 240, 254);transition:none;">
                  <div class="input-group-append pr-3 pl-1 pt-2 pb-1" style="background-color:rgb(232, 240, 254);border-top-right-radius:50%;border-bottom-right-radius:50%;border: 1px solid #E3E3E3;border-left:none;">
                    <span class="input-group-text fa fa-eye align-bottom text-muted togglePws" style="cursor: pointer;"></span>
                  </div>
                </div>
              </div>
              <div class="d-flex justify-content-between">
                <div class="form-check ml-4">
                  <input class="form-check-input" type="checkbox" value="" id="persistStudentLogin">
                  <label class="form-check-label pl-0" style="cursor:pointer;" for="persistStudentLogin">
                    Stay logged in
                  </label>
                </div>
                <a class="forgot-password" href="#!">Forgot password?</a>
              </div>
              <button type="submit" class="btn btn-primary mb-2 w-100 text-uppercase submit" style="font-weight:600;">Login <i class="fa fa-spinner fa-pulse d-none"></i></button>
            </form>
          <?php
          else :
          ?>
            <h6 class="text-center mt-5 wlc-header"><svg width="1.5em" height="1.5em" viewBox="0 0 128 128" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" role="img" class="iconify iconify--noto" preserveAspectRatio="xMidYMid meet">
                <path d="M16.77 19.75c-1 0-1.7.8-1.7 1.8v.1c-1.5 25.91 3.03 59.27 24.01 83.52c12.1 14.7 23.91 18.53 24.51 18.73c0 0 .28.09.54.09s.57-.1.57-.1c.5-.2 12.48-4.02 24.49-18.72c19.91-24.21 24.01-58.82 24.01-83.52v-.1c0-1-.8-1.8-1.7-1.8c-.3 0-29.11-1-46.01-15.3c-.7-.6-1.7-.6-2.4 0c-17.11 14.2-46.02 15.2-46.32 15.3z" fill="#b0bec5" />
                <path d="M111.49 19.75c-.3 0-29.11-1-46.01-15.3c-.4-.35-.83-.45-1.24-.45h-.11v120c.27-.01.62-.11.62-.12c.6-.25 12.44-4 24.44-18.7c19.91-24.21 24.01-58.82 24.01-83.52v-.1c0-1.01-.8-1.81-1.71-1.81z" fill="#84b0c1" />
                <path d="M26.33 28.31c-.82 0-1.02 1.02-1.02 1.74v.1c0 19.72 3.06 47.4 19 66.71c9.6 11.75 19 14.81 19.41 14.91l.41.1l.41-.1c.41-.1 9.81-3.17 19.41-14.91c15.94-19.31 19-46.89 19-66.71v-.1c0-.82-.41-1.43-1.23-1.43h.1c-.2 0-23.19-.82-36.67-12.16c-1.19-.98-1.94-.2-1.94-.2C49.63 27.6 26.64 28.31 26.33 28.31z" fill="#2f7889" />
                <path d="M29.18 30.07c-.76 0-.94.96-.94 1.64v.1c0 18.57 2.83 44.65 17.57 62.84c8.88 11.07 17.57 13.95 17.95 14.05l.38.1l.38-.1c.38-.1 9.07-2.98 17.95-14.05c14.73-18.19 17.57-44.17 17.57-62.84v-.1c0-.77-.38-1.35-1.13-1.35H99c-.19 0-21.44-.77-33.91-11.45c-.94-.95-1.79-.19-1.79-.19C50.72 29.4 29.47 30.07 29.18 30.07z" fill="#c9e3e6" />
                <path d="M98.89 30.36h.09c-.19 0-21.44-.77-33.91-11.45c-.34-.34-.66-.46-.94-.47v90.35l.38-.1c.38-.1 9.07-2.98 17.95-14.05c14.73-18.19 17.57-44.17 17.57-62.84v-.1c-.01-.76-.38-1.34-1.14-1.34z" fill="#b0bec5" />
                <g>
                  <circle cx="70.63" cy="14.44" r="1.93" fill="#37474f" />
                  <circle cx="82.21" cy="19.67" r="1.93" fill="#37474f" />
                  <circle cx="95.01" cy="23.21" r="1.93" fill="#37474f" />
                  <circle cx="108.15" cy="25.14" r="1.93" fill="#37474f" />
                  <circle cx="108.57" cy="36.94" r="1.93" fill="#37474f" />
                  <circle cx="107.02" cy="50.76" r="1.93" fill="#37474f" />
                  <circle cx="64.08" cy="118.11" r="1.93" fill="#37474f" />
                  <circle cx="75.4" cy="112.71" r="1.93" fill="#37474f" />
                  <circle cx="85.74" cy="102.71" r="1.93" fill="#37474f" />
                  <circle cx="93.81" cy="91.27" r="1.93" fill="#37474f" />
                  <circle cx="99.67" cy="79" r="1.93" fill="#37474f" />
                  <circle cx="104.27" cy="64.65" r="1.93" fill="#37474f" />
                  <circle cx="70.15" cy="13.8" r="1.93" fill="#b9e4ea">
                    <circle cx="81.73" cy="19.03" r="1.93" fill="#b9e4ea" />
                    <circle cx="94.53" cy="22.57" r="1.93" fill="#b9e4ea" />
                    <circle cx="107.66" cy="24.5" r="1.93" fill="#b9e4ea" />
                    <circle cx="108.09" cy="36.3" r="1.93" fill="#b9e4ea" />
                    <circle cx="106.53" cy="50.12" r="1.93" fill="#b9e4ea" />
                    <circle cx="63.6" cy="117.47" r="1.93" fill="#eee" />
                    <circle cx="74.92" cy="112.07" r="1.93" fill="#b9e4ea" />
                    <circle cx="85.26" cy="102.07" r="1.93" fill="#b9e4ea" />
                    <circle cx="93.33" cy="90.63" r="1.93" fill="#b9e4ea" />
                    <circle cx="99.19" cy="78.36" r="1.93" fill="#b9e4ea" />
                    <circle cx="103.79" cy="64.01" r="1.93" fill="#b9e4ea" />
                    <circle cx="57.97" cy="14.44" r="1.93" fill="#2f7889" />
                    <circle cx="46.39" cy="19.67" r="1.93" fill="#2f7889" />
                    <circle cx="33.59" cy="23.21" r="1.93" fill="#2f7889" />
                    <circle cx="20.45" cy="25.14" r="1.93" fill="#2f7889" />
                    <circle cx="20.02" cy="36.94" r="1.93" fill="#2f7889" />
                    <circle cx="21.58" cy="50.76" r="1.93" fill="#2f7889" />
                    <circle cx="53.19" cy="112.71" r="1.93" fill="#2f7889" />
                    <circle cx="42.86" cy="102.71" r="1.93" fill="#2f7889" />
                    <circle cx="34.79" cy="91.27" r="1.93" fill="#2f7889" />
                    <circle cx="28.92" cy="79" r="1.93" fill="#2f7889" />
                    <circle cx="24.33" cy="64.65" r="1.93" fill="#2f7889" />
                    <circle cx="57.54" cy="13.8" r="1.93" fill="#eee" />
                    <circle cx="45.95" cy="19.03" r="1.93" fill="#eee" />
                    <circle cx="33.16" cy="22.57" r="1.93" fill="#eee" />
                    <circle cx="20.02" cy="24.5" r="1.93" fill="#eee" />
                    <circle cx="19.59" cy="36.3" r="1.93" fill="#eee" />
                    <circle cx="21.15" cy="50.12" r="1.93" fill="#eee" />
                    <circle cx="52.76" cy="112.07" r="1.93" fill="#eee" />
                    <circle cx="42.42" cy="102.07" r="1.93" fill="#eee" />
                    <circle cx="34.36" cy="90.63" r="1.93" fill="#eee" />
                    <circle cx="28.49" cy="78.36" r="1.93" fill="#eee" />
                    <circle cx="23.89" cy="64.01" r="1.93" fill="#eee" />
                </g>
              </svg>Admin portal</h6>
            <form method="post" id="adminLoginForm" class="mt-4 no-scaling">
              <input type="hidden" name="auth_type" value="1,2">
              <div class="form-group">
                <label for="admin-email">Username</label>
                <div class="input-group mb-3">
                  <div class="input-group-prepend pl-3 pr-1 pt-2 pb-1" style="background-color:rgb(232, 240, 254);border-top-left-radius:50%;border-bottom-left-radius:50%;border: 1px solid #E3E3E3;border-right:none;">
                    <span class="input-group-text"><svg width="1.5em" height="1.5em" viewBox="0 0 48 48" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
                        <g fill="#2c2c2c" fill-rule="nonzero">
                          <path d="M35.7502,28 C38.0276853,28 39.8876578,29.7909151 39.9950978,32.0427546 L40,32.2487 L40,33 C40,36.7555 38.0583,39.5669 35.0798,41.3802 C32.1509,43.1633 28.2139,44 24,44 C19.7861,44 15.8491,43.1633 12.9202,41.3802 C10.0319285,39.6218485 8.11862909,36.9249713 8.00532378,33.3388068 L8,33 L8,32.2489 C8,29.9703471 9.79294995,28.1122272 12.0440313,28.0048972 L12.2499,28 L35.7502,28 Z M24,4 C29.5228,4 34,8.47715 34,14 C34,19.5228 29.5228,24 24,24 C18.4772,24 14,19.5228 14,14 C14,8.47715 18.4772,4 24,4 Z"></path>
                        </g>
                      </svg></span>
                  </div>
                  <input type="text" class="form-control forgot-element" id="admin-email" name="username" placeholder="Enter username" style="background-color:rgb(232, 240, 254);transition:none;">
                </div>
              </div>
              <div class="form-group">
                <label for="admin-psw">Password</label>
                <div class="input-group">
                  <div class="input-group-prepend pl-3 pr-1 pt-2 pb-1" style="background-color:rgb(232, 240, 254);border-top-left-radius:50%;border-bottom-left-radius:50%;border: 1px solid #E3E3E3;border-right:none;">
                    <span class="input-group-text"><svg fill="#2c2c2c" width="1.5em" height="1.5em" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg" enable-background="new 0 0 24 24">
                        <path d="M17,9V7c0-2.8-2.2-5-5-5S7,4.2,7,7v2c-1.7,0-3,1.3-3,3v7c0,1.7,1.3,3,3,3h10c1.7,0,3-1.3,3-3v-7C20,10.3,18.7,9,17,9z M9,7c0-1.7,1.3-3,3-3s3,1.3,3,3v2H9V7z" />
                      </svg></span>
                  </div>
                  <input type="password" class="form-control" id="admin-psw" name="password" placeholder="Enter password" style="border-left:none;border-right:none;background-color:rgb(232, 240, 254);transition:none;">
                  <div class="input-group-append pr-3 pl-1 pt-2 pb-1" style="background-color:rgb(232, 240, 254);border-top-right-radius:50%;border-bottom-right-radius:50%;border: 1px solid #E3E3E3;border-left:none;">
                    <span class="input-group-text fa fa-eye align-bottom text-muted togglePws" style="cursor: pointer;"></span>
                  </div>
                </div>
              </div>
              <span id="admin-psw" class="form-text text-muted mb-3" style="font-size:12px !important;">Do not disclose your username and password to someone else.</span>
              <div class="d-flex justify-content-between">
                <div class="form-check ml-4">
                  <input class="form-check-input" type="checkbox" value="" id="persistAadminLogin">
                  <label class="form-check-label pl-0" style="cursor:pointer;" for="persistAadminLogin">
                    Stay logged in
                  </label>
                </div>
                <a class="forgot-password" href="#!">Forgot password?</a>
              </div>
              <button type="submit" class="btn btn-primary mb-2 w-100 text-uppercase submit" style="font-weight:600;">Login <i class="fa fa-spinner fa-pulse d-none"></i></button>
            </form>
          <?php
          endif;
          ?>
        </div>
      </div>
    </div>
  </div>
  <?php
  require_once './portal/components/portal_footer.php';
  ?>
</body>

</html>