<?php
$data = contentCache($uri->page_source);
$programs = programListCache();
$slider = reset($data->image);
$program_cats = array_group($programs, 'category');
$only_contests = array_slice(array_filter($programs, function ($program) {
  return $program->type == 'contest';
}), 0, 5);
$only_seminars = array_slice(array_filter($programs, function ($program) {
  return $program->type == 'seminar';
}), 0, 5);
$all_cats = $paramControl->load_sources('opportunity_type');
$data->itemprop = "{$data->title} - ".join(', ', array_values($all_cats));
$data->title .= " | Digital Dreams LTD";

$path = clipPath();
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title><?= $data->title ?></title>

  <?php require_once("components/seo_tags.php") ?>
  <?php require_once("components/csslinks.php") ?>
</head>

<body>
  <?php require_once("components/nav.php") ?>
  <svg xmlns="http://www.w3.org/2000/svg" class="d-none">
    <symbol id="bent-line" viewBox="0 0 180 13" fill="currentColor">
      <path d="M173.163 12.3756C97.1838 -3.8242 30.6496 5.67799 7.32494 12.2553C5.30414 12.8252 2.43544 12.6722 0.917529 11.9135C-0.600387 11.1549 -0.192718 10.0779 1.82808 9.50807C27.5427 2.25675 98.002 -7.60121 177.683 9.38783C179.881 9.85641 180.65 10.9051 179.402 11.7301C178.154 12.5552 175.361 12.8442 173.163 12.3756Z" fill="#FAA61A"></path>
    </symbol>
    <symbol viewBox="0 0 17 16" fill="none" id="arrow">
      <path d="M16 8L2 8" stroke="currentColor" />
      <path d="M9 15L16 8L9 0.999999" stroke="currentColor" />
      <path d="M15 8L1 8" stroke="currentColor" />
      <path d="M8 15L15 8L8 0.999999" stroke="currentColor" />
    </symbol>
  </svg>
  <div class='posRel fullWidth'>
    <div id="coverBgCarousel" class="carousel" data-ride="carousel">
      <div class="carousel-inner" role="listbox" style="box-shadow:none;overflow:clip;height:80vh;clip-path:polygon(<?= $path ?>);">
        <?php foreach ($data->image as $k => $image) { ?>
          <div class="carousel-item h-100<?php if ($k == 0) echo ' active'; ?>" style="background:center 25% / cover no-repeat url('<?= str_replace('../', '', $image->src) ?>');max-height:unset !important;"></div>
        <?php } ?>
        <div class="custom-overlay-alt posAbs fullWidth fullHeight" style="top: 0;"></div>
        <div class="posAbs heads col-10 col-sm-9 col-md-10 col-lg-9 col-xl-8 d-flex flex-column align-items-center" style="left: 50%;translate: -50%;top:<?php if (isMobile()) {?>15%<?php } else {?>20%<?php } ?>;">
          <div class="fullWidth float-left">
            <h1 class="site_title text_bold_7 text-white animated bounceInUp mb-4 mb-sm-3 text-capitalize text-center" style="animation-delay: 0.01s;animation-duration: 1.5s;text-shadow:none;"><?= $slider->title ?></h1>
          </div>
          <p class="text-white animated bounceInUp mb-4 mb-sm-3 text-center<?php if (!isMobile()) {?> w-75<?php } ?> p-0" style="font-weight:300; animation-delay: 0.11s;animation-duration: 1.5s;"><?= strip_html_tags($slider->desc) ?></p>
          <div class="card no-scaling animated bounceInUp" style="animation-delay: 0.21s;animation-duration: 1.5s;border-radius:50rem;max-width:600px;overflow: visible;box-shadow:none;">
            <div class="card-header bg-white row justify-content-between align-items-center flex-nowrap p-0" style="border-radius:50rem;">
              <div class="d-flex align-items-center pl-2 pl-md-3" style="flex:1;">
                <svg width="1.5em" height="1.5em" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path d="M18 18L14.1394 14.1394M14.1394 14.1394C15.4263 12.8526 16.2222 11.0748 16.2222 9.11111C16.2222 5.18375 13.0385 2 9.11111 2C5.18375 2 2 5.18375 2 9.11111C2 13.0385 5.18375 16.2222 9.11111 16.2222C11.0748 16.2222 12.8526 15.4263 14.1394 14.1394Z" stroke="#292929" />
                </svg>
                <input type="text" class="border-0 ml-3" style="outline:none;flex:1;" placeholder="Title, keyword ..." id="contestSearch">
              </div>
              <div class="d-flex align-items-center pr-1 px-md-2">
                <div class="dropdown d-none d-md-block">
                  <a class="text-dark font-weight-bold mt-2 d-inline-block text-truncate dropdown-toggle" href="javascript:void(0);" role="button" id="categoryDropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" style="text-decoration:none;max-width: 200px;" data-category="all">
                    All categories
                  </a>
                  <div class="dropdown-menu" aria-labelledby="categoryDropdown">
                    <a class="dropdown-item text-capitalize" href="javascript:void(0);" onclick="setSearchCategory('all')">All categories</a>
                    <?php
                    foreach ($program_cats as $cat => $_) {
                    ?>
                      <a class="dropdown-item text-capitalize" href="javascript:void(0);" onclick="setSearchCategory('<?= $cat ?>')"><?= $cat ?></a>
                    <?php } ?>
                  </div>
                </div>
                <a href="javascript:void(0);" class="btn btn-sm px-4 ml-md-3 academy-anchor" style="background-color:#291CF3;border-radius:50rem;" id="contestSearchBtn">
                  Search
                </a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <section>
    <div class="row justify-content-center">
      <div class="posRel mt-4 mb-5">
        <div class="fullWidth float-left course-head border-0">
          <h2 class="text-center text-nowrap"><span style="color:#FAA61A;">Popular</span> Programs</h2>
        </div>
        <svg class="posAbs" style="left:50%;translate:-50%;top:3.5rem;" role="img" width="8rem" height="0.6rem">
          <use xlink:href="#bent-line" />
        </svg>
        <div class="card-body">
          <p class="card-text text-center mx-auto desc-text" style="line-height:1.8;">See our list of popular programs that features the best and the greatest from the tech ecosystem, with lots of opportunities to grow your career.</p>
        </div>
      </div>
    </div>
    <div class="owl-carousel owl-theme contest-carousel">
      <?php
      $popular_contests = array_slice($programs, 0, 5);
      foreach ($popular_contests as $program) { ?>
        <div class="card contest-card">
          <div class="row">
            <div class="col-md-4 p-0 d-flex">
              <img src="<?= $program->image->src ?>" class="img-fluid w-100 rounded" alt="Image" style="max-height:250px;object-fit:cover;object-position:top;">
            </div>
            <div class="col-md-8 mt-3 mt-md-0">
              <div class="card-body py-0">
                <h6 class="card-subtitle mb-2 font-weight-normal text-muted text-capitalize posRel"><span></span><?= $program->category ?></h6>
                <h5 class="card-title" style="font-family: 'Nunito', sans-serif;"><?= $program->title ?></h5>
                <p class="card-text text-truncate-lines-2" style="min-height: unset !important;"><?= $program->description ?></p>
                <p class="card-text" style="min-height:unset !important;font-weight: 500;">
                  <?php if (!empty($program->date)) {
                    list($day, $time) = explode('; ', $program->date) + ['', ''];
                  ?>
                    <i class="far fa-calendar text-secondary"></i><span class="ml-2"><?= $day ?></span><?php if (!empty($time)): ?><span class=" mx-2">|</span><i class="far fa-clock text-secondary"></i><span class="ml-2"><?= $time ?></span><?php endif;
                    if (!empty($program->location)) ?><span class=" mx-2">|</span>
                  <?php }
                  if (!empty($program->location)): ?><i class="fas fa-map-marker-alt text-secondary"></i><span class="ml-2"><?= $program->location ?></span><?php endif; ?>
                </p>
                <button type="button" class="btn btn-lg clip-btn">View details <i class="fas fa-long-arrow-alt-right ml-1 align-middle"></i></button>
                <a href="<?= "{$uri->site}view-program/{$program->id}-" . strToUrl($program->title) ?>"></a>
              </div>
            </div>
          </div>
        </div>
      <?php } ?>
    </div>
  </section>
  <section class="container-fluid mt-5">
    <div class="row justify-content-center">
      <div class="posRel mt-4 mb-5">
        <div class="fullWidth float-left course-head border-0">
          <h2 class="text-center text-nowrap"><span style="color:#FAA61A;">All</span> Programs</h2>
        </div>
        <svg class="posAbs" style="left:50%;translate:-50%;top:3.5rem;" role="img" width="8rem" height="0.6rem">
          <use xlink:href="#bent-line" />
        </svg>
        <div class="card-body">
          <p class="card-text text-center mx-auto desc-text" style="line-height:1.8;">See our list of exciting tech programs grouped by category. Click them for more details.</p>
        </div>
      </div>
    </div>
    <div class="row justify-content-center">
      <?php
      $i = 0;
      foreach ($program_cats as $tab => $group) {
        $tab_id = strtolower(str_replace([' ', '&', '/'], '-', $tab));
      ?>
        <div class="col-12 d-flex justify-content-between align-items-center ml-5 mr-3 mb-4">
          <h2 class="text-capitalize mb-0" style="font-family:'Roboto Condensed', sans-serif;"><?= $tab == 'all' ? 'all categories' : $tab ?></h2><a href="<?= $uri->site ?>find-programs/<?= encodeForUrl($tab) ?>" class="btn btn-lg bg-transparent text-dark px-4 py-2" style="border: 1px solid rgb(250, 166, 26); font-weight: 600; box-shadow: none; border-radius: 0px; background-color: transparent !important;" onmouseover="this.style.setProperty('background-color', '#FAA61A16', 'important')" onmouseout="this.style.setProperty('background-color', 'transparent', 'important')">View All
            <svg role="img" width="1em" height="1em" class="ml-1 align-middle">
              <use xlink:href="#arrow"></use>
            </svg>
          </a>
        </div>
        <?php
        foreach ($group as $program) { ?>
          <div class="col-12 col-lg-8 col-xl-6">
            <div class="card contest-card">
              <div class="row">
                <div class="col-md-4 p-0 d-flex">
                  <img src="<?= $program->image->src ?>" class="img-fluid w-100 rounded" alt="Image" style="max-height:250px;object-fit:cover;object-position:top;">
                </div>
                <div class="col-md-8 mt-3 mt-md-0">
                  <div class="card-body py-0">
                    <h5 class="card-title" style="font-family: 'Nunito', sans-serif;"><?= $program->title ?></h5>
                    <p class="card-text text-truncate-lines-2" style="min-height: unset !important;"><?= $program->description ?></p>
                    <p class="card-text" style="min-height:unset !important;font-weight: 500;">
                      <?php if (!empty($program->date)) {
                        list($day, $time) = explode('; ', $program->date) + ['', ''];
                      ?>
                        <i class="far fa-calendar text-secondary"></i><span class="ml-2"><?= $day ?></span><?php if (!empty($time)): ?><span class=" mx-2">|</span><i class="far fa-clock text-secondary"></i><span class="ml-2"><?= $time ?></span><?php endif;
                                                                                                                                                                                                                                                  if (!empty($program->location)) ?><span class=" mx-2">|</span>
                      <?php }
                      if (!empty($program->location)): ?><i class="fas fa-map-marker-alt text-secondary"></i><span class="ml-2"><?= $program->location ?></span><?php endif; ?>
                    </p>
                    <button type="button" class="btn btn-lg clip-btn">View details <i class="fas fa-long-arrow-alt-right ml-1 align-middle"></i></button>
                    <a href="<?= "{$uri->site}view-program/{$program->id}-" . strToUrl($program->title) ?>"></a>
                  </div>
                </div>
              </div>
            </div>
          </div>
      <?php }
        $i++;
      } ?>
    </div>
  </section>
  <section class="container mt-5">
    <div class="row justify-content-center">
      <div class="posRel mt-4">
        <div class="fullWidth float-left course-head border-0">
          <h2 class="text-center text-nowrap"><span style="color:#FAA61A;">All</span> Categories</h2>
        </div>
        <svg class="posAbs" style="left:50%;translate:-50%;top:3.5rem;" role="img" width="8rem" height="0.6rem">
          <use xlink:href="#bent-line" />
        </svg>
        <div class="card-body">
          <p class="card-text text-center mx-auto desc-text" style="line-height:1.8;">See our list of categories to help you narrow down your search and find what you want faster.</p>
        </div>
      </div>
    </div>
    <div class="row justify-content-center">
      <?php
      $cat_hex = ["#8E56FF", "#5866EB", "#FAA61A", "#EE4A62"];
      $cat_bg = ["#D8D6FF", "#D6EBFF", "#FFEAD6", "#FCDBDB"];
      $i = 0;
      foreach ($program_cats as $cat => $_) {
        $k = fmod($i, 4);
      ?>
        <div class="col-md-6 col-lg-4 col-xl-3">
          <a class="text-capitalize" href="<?= $uri->site ?>find-programs/<?= encodeForUrl($cat) ?>" style="text-decoration:none;">
            <div class="card" style="color:<?= $cat_hex[$k] ?>;background-color:<?= $cat_bg[$k] ?>;border-radius:0.5rem;box-shadow:none;height:5rem;">
              <div class="card-header h-100 bg-transparent border-0 d-flex align-items-center">
                <i class="far fa-circle align-top mr-3"></i><span class="text-dark" style="font-size:16px;font-weight:500;"><?= $cat ?></span>
              </div>
            </div>
          </a>
        </div>
      <?php $i++;
      } ?>
    </div>
  </section>
  <section class="my-5">
    <div class="row justify-content-center">
      <div class="posRel mt-4">
        <div class="fullWidth float-left course-head border-0">
          <h2 class="text-center text-nowrap"><span style="color:#FAA61A;">News</span> & Updates</h2>
        </div>
        <svg class="posAbs" style="left:50%;translate:-50%;top:3.5rem;" role="img" width="8rem" height="0.6rem">
          <use xlink:href="#bent-line" />
        </svg>
        <div class="card-body">
          <p class="card-text text-center mx-auto desc-text" style="line-height:1.8;">See our list of helpful content coming from <?= $company->name ?></p>
        </div>
      </div>
    </div>
    <div class="d-flex justify-content-between align-items-start align-items-md-center flex-column flex-md-row m-4">
      <h2 class="text-capitalize mb-2 mb-md-0" style="font-family: 'Roboto Condensed', sans-serif;">Updates from our youtube channel</h2><a href="https://youtube.com/@digitaldreamsictacademy1353" target="_blank" class="btn btn-lg bg-transparent text-dark px-4 py-2" style="border:1px solid #FAA61A;font-weight:600;box-shadow:none;border-radius: 0;" onmouseover="this.style.setProperty('background-color', '#FAA61A16', 'important')" onmouseout="this.style.setProperty('background-color', 'transparent', 'important')">View Channel
        <svg role="img" width="1em" height="1em" class="ml-1 align-middle">
          <use xlink:href="#arrow"></use>
        </svg>
      </a>
    </div>
    <div class="container">
      <div class="row justify-content-evenly align-items-stretch" id="youtube-feed">
        <?php $len = 4;
        for ($i = 0; $i < $len; $i++) { ?>
          <div class="col-11 col-sm-10 col-md-6 col-lg-4 col-xl-3 mx-auto">
            <div class="card job-card">
              <div class="mx-3 mt-3 shimmer-bg" style="height: 8rem;"></div>
              <div class="card-body">
                <h5 class="card-title shimmer-bg w-50"></h5>
                <p class="shimmer-bg w-100"></p>
                <p class="shimmer-bg w-75"></p>
                <a href="#" class="btn btn-block disabled shimmer-bg py-3" style="border-radius:50rem;"></a>
              </div>
            </div>
          </div>
        <?php } ?>
      </div>
    </div>
    <h2 class="text-capitalize m-4" style="font-family: 'Roboto Condensed', sans-serif;">Latest from Tech Crunch</h2>
    <div class="container">
      <div class="row justify-content-evenly" id="techcrunch-feed">
        <?php
        for ($i = 0; $i < $len; $i++) { ?>
          <div class="col-11 col-sm-10 col-md-6 col-lg-4 col-xl-3 mx-auto">
            <div class="card job-card">
              <div class="mx-3 mt-3 shimmer-bg" style="height: 8rem;"></div>
              <div class="card-body">
                <h5 class="card-title shimmer-bg w-50"></h5>
                <p class="shimmer-bg w-100"></p>
                <p class="shimmer-bg w-75"></p>
                <a href="#" class="btn btn-block disabled shimmer-bg py-3" style="border-radius:50rem;"></a>
              </div>
            </div>
          </div>
        <?php } ?>
      </div>
    </div>
  </section>
  <section class="container mb-5">
    <div class="row align-items-center justify-content-center my-5" style="position: relative;">
      <div class="posRel col-md-6 d-flex justify-content-center my-3">
        <img src="<?= $uri->site ?>asset/picture/job_globe.png" alt="Lighted globe" style="object-fit: contain">
      </div>
      <div class="posRel col-md-6">
        <div class="fullWidth">
          <h3 class="text-center text-md-start font-weight-bold">Seize the Opportunities Today!</h3>
          <p class="card-text">
            Don't miss out on amazing opportunities to grow and succeed! From exciting contests to enriching seminars, each event is a chance to sharpen your skills, expand your network, and unlock new doors. Whether you're aiming for personal growth or professional success, these events offer valuable insights and rewards. Act now—your future is waiting, and the best time to start is today! Embrace the chance to elevate your career!
          </p>
        </div>
      </div>
    </div>
  </section>
  <?php require_once("components/footer.php") ?>
</body>

</html>