<?php
$bootcamp = codingBootcampCache($uri->page_source);
$data = clone $bootcamp;
$courses = APICourses(false, ['Kids Package']);
$slider = reset($data->image);
$genius_courses = ['Web Design', 'Mobile App Development', 'Motion & Graphic Design', 'Animation'];
$marvel_courses = ['Web Design', 'Scratch Programming', 'Graphic Design', 'Animation'];
$data->itemprop = 'Coding Boot Camp - Digital Dreams ICT Academy';
$data->title .= ' - Geniuses & Marvels | Digital Dreams LTD';
?>

<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title><?=$data->title?></title>
  <?php require_once("components/seo_tags.php") ?>
  <?php require_once("components/csslinks.php") ?>
</head>

<body class="bg-light">
  <?php require_once("components/nav.php") ?>
  <div class='float-left posRel fullWidth'>
    <div id="bootcampCarousel" class="carousel" data-ride="carousel">
      <div class="carousel-inner h-100" role="listbox" style="box-shadow:none;">
        <?php
        $image = $data->image[0];
        $img_sm = $data->image[1];
        list($width, $height) = getimagesize(absolute_filepath($image->src));
        ?>
        <div class="carousel-item active">
          <div class="posAbs heads pt-md-3 pt-lg-5 col-10 col-sm-9 col-md-10 col-lg-9 col-xl-8">
            <div class="fullWidth float-left">
              <h1 class="site_title text_bold_7 text-white animated bounceInUp mb-4 mb-sm-3 text-capitalize" style="animation-delay: 0.01s;animation-duration: 1.5s;text-shadow:none;"><?= $image->title ?></h1>
            </div>
            <?php if (strlen(strip_tags($image->desc)) > 2) { ?><p class="text-white animated bounceInUp mb-4 mb-sm-3" style="font-weight:300; animation-delay: 0.11s;animation-duration: 1.5s;"><?= strip_tags($image->desc) ?></p> <?php } ?>
            <div class="text-nowrap actionBtns">
              <a href="#bootcampModal" data-toggle="modal" class="btn mr-1 mr-sm-3 academy-anchor animated bounceInUp geniusTrackBtn px-5 text-dark" style="animation-delay: 0.21s;animation-duration: 1.5s;background-color:#FAA61A;border-radius:50rem;">
                Enrol Now
              </a>
              <a href="https://wa.me/2348156846834?text=%2ADigital+Dreams+Coding+Boot+Camp+Enquiry%2A%0A" target="_blank" class="btn academy-anchor animated bounceInUp px-4" style="animation-delay: 0.21s;animation-duration: 1.5s;background-color:#291CF3;border-radius:50rem;">
                Make Enquiry
              </a>
            </div>
          </div>
          <img class="d-block w-100 <?php if ($width > $height || $width == $height) {
                                      echo 'slide-fh';
                                    } else echo 'slide-fw' ?>" srcset="<?= str_replace('../', '', $img_sm->src) ?> 576w, <?= str_replace('../', '', $image->src) ?>" alt="First slide" style="object-fit: cover;object-position: center;">
        </div>
      </div>
    </div>
  </div>
  <div class="container">
    <div class="row justify-content-center">
      <div class="posRel mt-4 mb-5">
        <div class="fullWidth float-left course-head border-0">
          <h2 class="text-center"><span style="color:#FAA61A;">About</span> Coding Boot Camp</h2>
        </div>
        <div class="card-body">
          <p class="card-text text-center mx-auto desc-text" style="line-height:1.8;">Welcome to Digital Dreams Coding Boot Camp, where young minds embark on a thrilling journey into the world of technology! With specialized tracks for both kids and teens, we provide a dynamic and supportive environment for every budding coder. This program is designed to equip young minds with essential tech skills, preparing them for our fast-paced, technology-driven future. With extensive experience in technology, we understand that young people often face challenges in choosing a career path. Therefore, we aim to address the gap in career guidance and skill acquisition through our program. The program is divided into two categories: “The Genius Track, and “The Marvel Track”. These tracks are available across all our branches and also offered online for remote participants.</p>
        </div>
      </div>
    </div>
    <div class="row align-items-center justify-content-center mt-5 row-b4-line" style="position: relative;">
      <div class="posRel col-md-6 d-flex justify-content-center">
        <div class="bootcamp-circular-bg">
          <img src="<?= $uri->site ?>asset/picture/female_student.png" alt="Female student">
        </div>
      </div>
      <div class="posRel col-md-6 mt-4 mt-md-0">
        <div class="fullWidth">
          <h4 class="text-center text-md-start"><b>Genius</b> Track</h4>
          <p class="card-text">
            Prepare for the future with our Genius Track, where technology enthusiasts can deepen their knowledge and build advanced skills. This track offers a more rigorous curriculum tailored to teens' interests and career aspirations. This track starts on the 1st of July.
          </p>
          <div class="d-flex justify-content-center justify-content-md-start">
            <a href="#bootcampModal" data-toggle="modal" class="btn bg-transparent text-dark geniusTrackBtn" style="border:1px solid #FAA61A;border-radius:10px;font-weight:600;">
              Enrol Now
            </a>
          </div>
        </div>
      </div>
    </div>
    <img srcset="<?= $uri->site ?>asset/picture/dotted_line2.png 768w, <?= $uri->site ?>asset/picture/dotted_line.png" alt="" class="d-block col-md-8 mx-md-auto bootcamp-dotted-line">
    <div class="row align-items-center justify-content-center" style="position: relative;">
      <div class="posRel col-md-6 order-md-4 d-flex justify-content-center">
        <div class="bootcamp-circular-bg">
          <img src="<?= $uri->site ?>asset/picture/male_student.png" alt="Male student" style="object-fit: contain">
        </div>
      </div>
      <div class="posRel col-md-6 order-md-3 mt-4 mt-md-0">
        <div class="fullWidth">
          <h4 class="text-center text-md-start"><b>Marvel</b> Track</h4>
          <p class="card-text">
            Dive into the world of coding with our Marvel Track, designed to spark curiosity and creativity. Through engaging activities, games, and hands-on projects, children learn the fundamentals of coding in a fun and interactive way. This track starts on the 1st of August 2024.
          </p>
          <div class="d-flex justify-content-center justify-content-md-start">
            <a href="#bootcampModal" data-toggle="modal" class="btn bg-transparent text-dark marvelTrackBtn" style="border:1px solid #FAA61A;border-radius:10px;font-weight:600;">
              Enrol Now
            </a>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="mt-5" style="background:url('<?= $uri->site ?>asset/picture/students_in_class.png') center/cover no-repeat;height:calc(100vw / 1.5);"></div>
  <div class="container">
    <div class="row justify-content-center">
      <div class="posRel mt-4 mb-5">
        <div class="fullWidth float-left course-head border-0">
          <h2 class="text-center"><span style="color:#FAA61A;">Benefit</span> Coding Boot Camp</h2>
        </div>
        <div class="card-body">
          <p class="card-text text-center desc-text mx-auto" style="line-height:1.8;">Enrolling your child in the bootcamp will give him/her the opportunity to learn life-long ICT skills as well as develop and improve the following abilities.</p>
        </div>
      </div>
      <?php
      $cards = ["{$uri->site}asset/picture/spark_icon.png" => ['Enhanced creativity', 'We have activities that ensures your child\'s creativity is maximized.', '#D8D6FF'], "{$uri->site}asset/picture/work_icon.png" => ['Knowledge of use of technology', 'Ensure your child stays up to date with the technology trends and play a part in the future.', '#FCDBDB'], "{$uri->site}asset/picture/think_icon.png" => ['Better critical thinking and analytical ability', 'Enable students to tackle challenging academic problems, leading to better performance and deeper understanding.', '#D6EBFF'], "{$uri->site}asset/picture/team_icon.png" => ['Problem solving skills', 'learn and collaborate with other teens, gain confidence with giving solutions to problems.', '#FFEAD6']];
      $i = 0;
      foreach ($cards as $icon => [$title, $body, $color]) {
        $justify = $i % 2 == 0 ? 'justify-content-lg-end' : 'justify-content-lg-start';
      ?>
        <div class="col-lg-6 d-flex justify-content-center <?= $justify ?>">
          <div class="card" style="background-color:<?= $color ?>;border-radius:20px;max-width:500px;box-shadow:none;">
            <div class="card-body d-flex align-items-center">
              <div>
                <div class="mx-auto bg-white rounded-circle" style="box-shadow: 0px 4px 4px 0px #00000040;width:70px;height:70px;background:url('<?= $icon ?>') center/35% no-repeat;">
                </div>
              </div>
              <div class="flex-grow-1 ml-3">
                <h5 class="font-weight-bold"><?= $title ?></h5>
                <p class="card-text" style="min-height:unset !important;"><?= $body ?></p>
              </div>
            </div>
          </div>
        </div>
      <?php $i++;
      } ?>
    </div>
  </div>
  <div class="mt-5" style="background:url('<?= $uri->site ?>asset/picture/vr_class.png') center/cover no-repeat;height:calc(100vw / 1.5);"></div>
  <div class="container">
    <div class="row justify-content-center">
      <div class="col-12 mt-4 mb-5">
        <div class="fullWidth float-left course-head border-0">
          <h2 class="text-center"><span style="color:#FAA61A;">Our</span> Courses</h2>
        </div>
        <div class="fullWidth float-left course-head border-0">
          <div class="custom-grid align-content-between mx-auto">
            <?php
            $course_imgs = ["{$uri->site}asset/picture/brochour_max 4.png", "{$uri->site}asset/picture/brochour_max 2.png", "{$uri->site}asset/picture/brochour_max 1.png", "{$uri->site}asset/picture/brochour_max 5.png", "{$uri->site}asset/picture/brochour_max 3.png"];
            foreach ($course_imgs as $i => $img) {
              $h = $i < 5 && $i % 2 == 1 ? '150px' : '131px';
            ?>
              <img src="<?= $img ?>" alt="Course" style="height:<?= $h ?>;object-fit:contain;">
            <?php } ?>
          </div>
        </div>
      </div>
    </div>
    <div class="row align-items-center justify-content-center mb-5" style="position: relative;">
      <div class="posRel col-md-6 d-flex justify-content-center">
        <img src="<?= $uri->site ?>asset/picture/cybog_girl.png" alt="Cybog female" style="object-fit: contain">
      </div>
      <div class="posRel col-md-6">
        <div class="fullWidth">
          <h3 class="text-center text-md-start font-weight-bold">The world is changing rapidly</h3>
          <p class="card-text">
            At Digital Dreams Coding Bootcamp, we are dedicated to preparing you for that future by offering comprehensive programs designed to transform your potential into expertise.
          </p>
          <div class="d-flex justify-content-center justify-content-md-start">
            <a href="#bootcampModal" data-toggle="modal" class="btn btn-sm mr-3 academy-anchor animated bounceInUp geniusTrackBtn px-5 text-dark" style="animation-delay: 0.21s;animation-duration: 1.5s;background-color:#FAA61A;border-radius:50rem;">
              Enrol Now
            </a>
          </div>
        </div>
      </div>
    </div>
    <div class="row align-items-center justify-content-center" style="position: relative;">
      <div class="posRel mt-4 mb-5">
        <div class="posRel">
          <div class="fullWidth">
            <h2 class="text-center">FAQs</h2>
          </div>
          <div class="card-body">
            <dl class="mx-auto col-md-9" id="bootcampfaqs">
              <dt data-toggle="collapse" data-target="#faq1" style="cursor:pointer;" class="collapsed mb-3">Where is the location of the bootcamp?</dt>
              <dd class="collapse mb-3" id="faq1">The bootcamp has been organized to be convenient for all learners. With our branches located in Enugu, Nsukka, Awka, Abakaliki and Onitsha, you can pick the branch closest to you or let the children participate online from home.</dd>
              <dt data-toggle="collapse" data-target="#faq2" style="cursor:pointer;" class="collapsed mb-3">Is there a provision for online training for this bootcamp?</dt>
              <dd class="collapse mb-3" id="faq2">Yes, we have made provisions for online training. We have put in effort to create an online experience that is indistinguishable from the physical classes.</dd>
              <dt data-toggle="collapse" data-target="#faq3" style="cursor:pointer;" class="collapsed mb-3">Can one register for more than one course?</dt>
              <dd class="collapse mb-3" id="faq3">Yes, you can register for more than one course. The class time tables have been created to be as flexible as possible for our learners. Visit any of our branches to make further enquiry on this and others.</dd>
              <dt data-toggle="collapse" data-target="#faq4" style="cursor:pointer;" class="collapsed mb-3">Is there a discount if I register for more than one course or register at least two of my kids?</dt>
              <dd class="collapse mb-3" id="faq4">We usually give out discounts from time to time on our courses. To know if there's a discount at the moment, please visit any of our branches for further enquiry.</dd>
              <dt data-toggle="collapse" data-target="#faq5" style="cursor:pointer;" class="collapsed mb-3">When is the last day for registration?</dt>
              <dd class="collapse" id="faq5">Registration for the Genius Track has started and you can register here and now. Registration for the Marvel Track will start August 1<sup>st</sup>. Registration will be ongoing for Genius Track until 1<sup>st</sup> August. We may extend the time to cater for everyone. For more enquiries you can visit any of our branches.</dd>
            </dl>
            <div class="text-center">
              <a class="btn btn-sm academy-anchor animated bounceInUp" href="https://wa.me/2348156846834?text=%2ADigital+Dreams+Coding+Boot+Camp+Enquiry%2A%0A" target="_blank" style="animation-delay:0.21s;animation-duration: 1.5s;background-color:#291CF3;border-radius:50rem;"><i class="fab fa-whatsapp" style="font-size:medium;"></i> Customer care</a>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade" id="bootcampModal" tabindex="-1" role="dialog" aria-labelledby="bootcampModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title font-weight-bold" id="bootcampModalLabel">Enrollment for Coding Boot Camp</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <svg xmlns="http://www.w3.org/2000/svg" class="d-none">
            <symbol viewBox="0 0 16 16" id="exclamation-triangle" fill="currentColor">
              <path d="M8.982 1.566a1.13 1.13 0 0 0-1.96 0L.165 13.233c-.457.778.091 1.767.98 1.767h13.713c.889 0 1.438-.99.98-1.767L8.982 1.566zM8 5c.535 0 .954.462.9.995l-.35 3.507a.552.552 0 0 1-1.1 0L7.1 5.995A.905.905 0 0 1 8 5zm.002 6a1 1 0 1 1 0 2 1 1 0 0 1 0-2z" />
            </symbol>
          </svg>
          <div class="container" style="overflow-x:hidden;">
            <div class="d-flex">
              <span class="far fa-circle text-success" id="reg-step1" style="font-size: 1.8em;"></span>
              <hr style="flex:1;">
              <span class="far fa-circle text-muted" id="reg-step2" style="font-size: 1.8em;"></span>
            </div>
            <div class="d-flex justify-content-between">
              <span>Registration</span> <span>Payment</span>
            </div>
            <div class="row flex-nowrap" id="bootcampRow">
              <div class="col-12">
                <form class="needs-validation" novalidate id="bootcampForm">
                  <nav>
                    <div class="nav nav-tabs flex-nowrap d-flex px-0" id="nav-tab" role="tablist">
                      <a class="nav-item nav-link custom-tabs btn btn-sm active" id="nav-genius-tab" data-toggle="tab" href="#nav-genius" role="tab" aria-controls="nav-genius" aria-selected="true" style="font-size: larger;">Genius Track</a>
                      <a class="nav-item nav-link custom-tabs btn btn-sm" id="nav-marvel-tab" data-toggle="tab" href="#nav-marvel" role="tab" aria-controls="nav-marvel" aria-selected="false" style="font-size: larger;">Marvel Track</a>
                    </div>
                  </nav>
                  <div class="row">
                    <div class="col-md-5 order-md-2">
                      <h4 class="d-flex justify-content-between align-items-center mb-3">
                        <span class="text-capitalize">Track information</span>
                      </h4>
                      <div class="tab-content" id="nav-tabContent">
                        <div class="tab-pane fade show active" id="nav-genius" role="tabpanel" aria-labelledby="nav-genius-tab">
                          <ul class="list-group mb-3">
                            <li class="list-group-item d-flex justify-content-between">
                              <span class="mr-4 text-nowrap">Track</span>
                              <h6 class="my-0 text-end">Genius</h6>
                            </li>
                            <li class="list-group-item d-flex justify-content-between">
                              <div>
                                <span>Fee</span>
                              </div>
                              <h6 class="my-0" id="genius_price">₦<?=$bootcamp->genius_price?></h6>
                            </li>
                            <li class="list-group-item d-flex justify-content-between">
                              <span class="text-dark">Promo discount</span>
                              <h6 class="my-0">None</h6>
                            </li>
                            <li class="list-group-item d-flex justify-content-between">
                              <span>Total (NGN)</span>
                              <strong><?=$bootcamp->genius_price?></strong>
                            </li>
                          </ul>
                          <div class="form-inline mb-3">
                            <label for="geniusCouponCode">Coupon code</label>
                            <input type="text" class="form-control ml-2 coupon-code" placeholder="Enter coupon code (If any)" name="coupon_code" id="geniusCouponCode" style="flex:1;">
                          </div>
                          <div class="form-group"><label for="marvelTrackCourse">Course<sup class="text-primary ml-1">*</sup></label><select class="form-control" id="geniusTrackCourse" name="course" required="" style="font-size: small; line-height: 1.5;">
                              <option value="" selected disabled>Select a course</option>
                              <?php foreach ($genius_courses as $course) { ?>
                                <option value="<?= $course ?>"><?= $course ?></option>
                              <?php } ?>
                            </select>
                            <div class="invalid-feedback"><svg width="1em" height="1em">
                                <use xlink:href="#exclamation-triangle" />
                              </svg> Select a valid course.</div>
                          </div>
                        </div>
                        <div class="tab-pane fade" id="nav-marvel" role="tabpanel" aria-labelledby="nav-marvel-tab">
                          <ul class="list-group mb-3">
                            <li class="list-group-item d-flex justify-content-between">
                              <span class="mr-4 text-nowrap">Track</span>
                              <h6 class="my-0 text-end">Marvel</h6>
                            </li>
                            <li class="list-group-item d-flex justify-content-between">
                              <div>
                                <span>Fee</span>
                              </div>
                              <h6 class="my-0" id="marvel_price">₦<?=$bootcamp->marvel_price?></h6>
                            </li>
                            <li class="list-group-item d-flex justify-content-between">
                              <span class="text-dark">Promo discount</span>
                              <h6 class="my-0">None</h6>
                            </li>
                            <li class="list-group-item d-flex justify-content-between">
                              <span>Total (NGN)</span>
                              <strong><?=$bootcamp->marvel_price?></strong>
                            </li>
                          </ul>
                          <div class="form-inline mb-3">
                            <label for="marvelCouponCode">Coupon code</label>
                            <input type="text" class="form-control ml-2 coupon-code" placeholder="Enter coupon code (If any)" name="coupon_code" id="marvelCouponCode" style="flex:1;">
                          </div>
                          <div class="form-group"><label for="marvelTrackCourse">Course<sup class="text-primary ml-1">*</sup></label><select class="form-control" id="marvelTrackCourse" name="course" required="" style="font-size: small; line-height: 1.5;">
                              <option value="" selected disabled>Select a course</option>
                              <?php foreach ($marvel_courses as $course) { ?>
                                <option value="<?= $course ?>"><?= $course ?></option>
                              <?php } ?>
                            </select>
                            <div class="invalid-feedback"><svg width="1em" height="1em">
                                <use xlink:href="#exclamation-triangle" />
                              </svg> Select a valid course.</div>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="col-md-7 order-md-1">
                      <h4 class="mb-3 text-capitalize">Student information</h4>
                      <input type="hidden" value="<?= $bootcamp->id ?>" name="content_id" id="contentId">
                      <div class="mb-2">
                        <span class="font-weight-bold text-muted" style="font-size:12px;">Fields marked with <sup class="text-primary">*</sup> are required.</span>
                      </div>
                      <div class="row" id="enrollFormRow" style="overflow-x: hidden;gap: 1rem 0;">
                        <div class="col-md-12">
                          <label for="regFirstName">First name <sup class="text-primary">*</sup></label>
                          <input type="text" class="form-control" id="regFirstName" placeholder="Enter your first name" name="first_name" style="line-height: 1.8;" required>
                          <div class="invalid-feedback">
                            <svg width="1em" height="1em">
                              <use xlink:href="#exclamation-triangle" />
                            </svg> Enter a valid first name.
                          </div>
                        </div>
                        <div class="col-md-12">
                          <label for="regLastName">Last name <sup class="text-primary">*</sup></label>
                          <input type="text" class="form-control" id="regLastName" placeholder="Enter your last name" name="last_name" style="line-height: 1.8;" required>
                          <div class="invalid-feedback">
                            <svg width="1em" height="1em">
                              <use xlink:href="#exclamation-triangle" />
                            </svg> Enter a valid last name.
                          </div>
                        </div>
                        <div class="col-md-6">
                          <label for="regEmail">Email <sup class="text-primary">*</sup></label>
                          <input type="email" class="form-control" id="regEmail" placeholder="Enter your email" name="email" style="line-height: 1.8;" required>
                          <div class="invalid-feedback">
                            <svg width="1em" height="1em">
                              <use xlink:href="#exclamation-triangle" />
                            </svg> Enter a valid email.
                          </div>
                        </div>
                        <div class="col-md-6">
                          <label for="regPhone">Phone <sup class="text-primary">*</sup></label>
                          <input type="tel" class="form-control" id="regPhone" placeholder="Enter your phone number" name="phone" minlength="11" maxlength="14" style="line-height: 1.8;" required>
                          <div class="invalid-feedback">
                            <svg width="1em" height="1em">
                              <use xlink:href="#exclamation-triangle" />
                            </svg> Enter a valid phone number.
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </form>
                <button class="btn px-0 btn-lg btn-block my-4 order-3 text-dark" id="bootcampReg" style="background-color:#FAA61A;font-weight:600;">Register (₦<?=$bootcamp->genius_price?>) <i class="fa fa-spinner fa-spin d-none"></i></button>
              </div>
              <div class="col-12">
                <button type="button" id="backToReg" class="btn btn-sm mb-0 text-dark bg-white"><i class="fas fa-arrow-left"></i> Edit info</button>
                <div class="row">
                  <div class="col-md-6">
                    <h4 class="d-flex justify-content-between align-items-center mb-3">
                      <span class="text-capitalize">Account Details</span>
                    </h4>
                    <table class="table table-hover">
                      <tbody style="font-size: medium;">
                        <tr>
                          <td>Account Name</td>
                          <th scope="row">Digital Dreams Limited</th>
                        </tr>
                        <tr>
                          <td>Bank</td>
                          <th scope="row">Fidelity Bank</th>
                        </tr>
                        <tr>
                          <td>Account Number</td>
                          <th scope="row">5610001273</th>
                        </tr>
                        <tr>
                          <td>Amount</td>
                          <th scope="row" id="bootcampFee"></th>
                        </tr>
                      </tbody>
                    </table>
                    <ul class="pl-3" style="font-size: 12px;">
                      <li>You can pay to the above account and take the receipt of payment to any of our branches or pay with your debit card by clicking the 'Pay with Paystack' button.</li>
                      <li>If you have further enquiries. you can relay them to our custom care unit by clicking the 'Customer care' button.</li>
                    </ul>
                  </div>
                  <div class="col-12 order-md-3">
                    <button class="btn btn-lg btn-block my-4 text-dark font-weight-bold" id="bootcampRegPay" style="background-color:#FAA61A;font-weight:600;">Pay with <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 157 28" width="6em" height="1em" fill="currentColor" class="ml-1 align-middle">
                        <g>
                          <path d="M22.32 2.663H1.306C.594 2.663 0 3.263 0 3.985v2.37c0 .74.594 1.324 1.307 1.324h21.012c.73 0 1.307-.602 1.324-1.323V4.002c0-.738-.594-1.34-1.323-1.34zm0 13.192H1.306a1.3 1.3 0 00-.924.388 1.33 1.33 0 00-.383.935v2.37c0 .74.594 1.323 1.307 1.323h21.012c.73 0 1.307-.584 1.324-1.322v-2.371c0-.739-.594-1.323-1.323-1.323zm-9.183 6.58H1.307c-.347 0-.68.139-.924.387a1.33 1.33 0 00-.383.935v2.37c0 .74.594 1.323 1.307 1.323H13.12c.73 0 1.307-.6 1.307-1.322v-2.371a1.29 1.29 0 00-1.29-1.323zM23.643 9.258H1.307c-.347 0-.68.14-.924.387a1.33 1.33 0 00-.383.936v2.37c0 .739.594 1.323 1.307 1.323h22.32c.73 0 1.306-.601 1.306-1.323v-2.37a1.301 1.301 0 00-1.29-1.323z" />
                          <path d="M48.101 8.005a6.927 6.927 0 00-2.274-1.563 7.041 7.041 0 00-2.716-.55 5.767 5.767 0 00-2.63.567c-.55.263-1.046.63-1.46 1.082V7.13a.876.876 0 00-.22-.567.721.721 0 00-.56-.258h-2.937a.697.697 0 00-.56.258.796.796 0 00-.221.567v19.566c0 .206.085.412.22.566a.776.776 0 00.56.224h2.971c.204 0 .39-.086.543-.224a.7.7 0 00.238-.566v-6.683c.424.464.967.808 1.561 1.014.781.292 1.596.43 2.427.43.95 0 1.884-.173 2.75-.55a6.859 6.859 0 002.308-1.58 7.45 7.45 0 001.562-2.457 8.34 8.34 0 00.577-3.213 8.761 8.761 0 00-.577-3.229A7.775 7.775 0 0048.1 8.005zm-2.681 7.077a3.33 3.33 0 01-.696 1.117 3.177 3.177 0 01-2.36 1.013c-.458 0-.899-.086-1.306-.275a3.324 3.324 0 01-1.07-.738 3.673 3.673 0 01-.713-1.117 3.837 3.837 0 010-2.748c.153-.412.408-.79.713-1.1a3.576 3.576 0 011.07-.755 2.888 2.888 0 011.306-.275c.459 0 .9.086 1.324.274.39.19.747.43 1.053.74.305.326.526.686.696 1.099a3.976 3.976 0 01-.017 2.765zm20.808-8.778h-2.953a.728.728 0 00-.543.24.823.823 0 00-.237.585v.36a4.143 4.143 0 00-1.341-1.03 5.652 5.652 0 00-2.58-.567 7.222 7.222 0 00-5.075 2.096 7.733 7.733 0 00-1.63 2.456 8.036 8.036 0 00-.61 3.23 8.15 8.15 0 00.61 3.23 7.88 7.88 0 001.613 2.456 6.959 6.959 0 005.058 2.112c.9.018 1.782-.171 2.597-.567.509-.257.984-.6 1.358-1.03v.395c0 .206.084.412.237.567.153.137.34.223.543.223h2.953a.855.855 0 00.56-.223.768.768 0 00.221-.567V7.129a.796.796 0 00-.22-.567.697.697 0 00-.56-.258zm-3.988 8.761a3.33 3.33 0 01-.696 1.117 3.83 3.83 0 01-1.052.755c-.832.378-1.8.378-2.631 0a3.575 3.575 0 01-1.07-.755 3.326 3.326 0 01-.695-1.117 3.976 3.976 0 010-2.731c.152-.412.39-.773.696-1.1.305-.309.661-.566 1.069-.755a3.194 3.194 0 012.63 0c.391.189.748.429 1.053.738.289.327.526.687.696 1.1.34.893.34 1.872 0 2.748zm33.437-1.77a4.794 4.794 0 00-1.443-.875 10.054 10.054 0 00-1.731-.516l-2.258-.446c-.577-.103-.984-.258-1.205-.447a.712.712 0 01-.305-.567c0-.24.136-.446.424-.618.39-.206.815-.31 1.256-.275.577 0 1.154.12 1.68.343.51.224 1.019.482 1.477.79.662.413 1.222.344 1.612-.12l1.087-1.236c.203-.207.322-.481.34-.773a1.06 1.06 0 00-.408-.773c-.459-.395-1.188-.825-2.156-1.237-.967-.412-2.19-.636-3.632-.636a8.343 8.343 0 00-2.597.378 6.273 6.273 0 00-1.986 1.03 4.552 4.552 0 00-1.273 1.564 4.417 4.417 0 00-.441 1.907c0 1.22.373 2.216 1.103 2.954.73.739 1.698 1.22 2.903 1.46l2.342.516c.51.086 1.018.24 1.494.464.254.103.424.36.424.652 0 .258-.136.498-.424.705-.289.206-.764.343-1.375.343a4.051 4.051 0 01-1.85-.412 6.792 6.792 0 01-1.51-.996 2.037 2.037 0 00-.68-.378c-.271-.086-.594 0-.95.292l-1.29.979a1.147 1.147 0 00-.458 1.134c.067.43.424.858 1.086 1.357a9.543 9.543 0 005.516 1.632 8.993 8.993 0 002.699-.378 6.83 6.83 0 002.087-1.048c.56-.43 1.036-.98 1.358-1.615a4.543 4.543 0 00.475-2.01 4.168 4.168 0 00-.373-1.82 4.638 4.638 0 00-1.018-1.323zm12.899 3.574a.857.857 0 00-.645-.43c-.271 0-.543.086-.764.24a2.43 2.43 0 01-1.205.396c-.136 0-.288-.017-.424-.052a.777.777 0 01-.39-.206 1.43 1.43 0 01-.323-.446 2.092 2.092 0 01-.136-.79v-5.36h3.836a.86.86 0 00.594-.258.77.77 0 00.255-.567V7.13a.773.773 0 00-.255-.584.833.833 0 00-.577-.24h-3.836v-3.66a.736.736 0 00-.237-.584.814.814 0 00-.544-.223h-2.987a.817.817 0 00-.577.223.838.838 0 00-.254.584v3.66h-1.698a.697.697 0 00-.56.257.876.876 0 00-.22.567v2.267c0 .206.084.413.22.567a.65.65 0 00.56.258h1.698v6.373a5.14 5.14 0 00.441 2.199 4.575 4.575 0 001.137 1.477c.475.395 1.035.67 1.612.842a6.125 6.125 0 001.851.275 7.73 7.73 0 002.427-.396 4.802 4.802 0 001.918-1.202.999.999 0 00.101-1.271l-1.018-1.65zm16.175-10.565h-2.953a.728.728 0 00-.543.24.822.822 0 00-.238.585v.36a4.13 4.13 0 00-1.341-1.03 5.67 5.67 0 00-2.596-.567 7.152 7.152 0 00-5.058 2.096 7.468 7.468 0 00-1.63 2.456 8.017 8.017 0 00-.611 3.212 8.156 8.156 0 00.611 3.23c.374.91.934 1.752 1.613 2.456a7.006 7.006 0 005.041 2.13 5.884 5.884 0 002.596-.55c.51-.257.985-.6 1.358-1.03v.378c.002.21.084.41.23.557a.783.783 0 00.551.233h2.97a.78.78 0 00.781-.773V7.13a.795.795 0 00-.221-.567.696.696 0 00-.56-.258zm-3.988 8.761a3.34 3.34 0 01-.696 1.117 3.83 3.83 0 01-1.053.755 2.907 2.907 0 01-1.323.275c-.459 0-.9-.103-1.307-.275a3.576 3.576 0 01-1.07-.755 3.34 3.34 0 01-.696-1.117 3.982 3.982 0 010-2.731 3.27 3.27 0 01.696-1.1c.306-.309.662-.566 1.07-.755a3.077 3.077 0 011.307-.275c.458 0 .899.086 1.323.274.391.19.747.43 1.053.74.305.326.543.686.696 1.099a3.67 3.67 0 010 2.748zm20.198 1.615l-1.698-1.306c-.322-.257-.628-.326-.899-.223a1.82 1.82 0 00-.628.447 6.03 6.03 0 01-1.29 1.168c-.509.292-1.07.43-1.647.395a3.165 3.165 0 01-1.855-.575 3.224 3.224 0 01-1.183-1.555 4.046 4.046 0 01-.237-1.34c0-.464.067-.928.237-1.374.153-.413.374-.79.679-1.1.306-.309.662-.567 1.052-.739a3.175 3.175 0 011.324-.291 3.06 3.06 0 011.647.412 5.61 5.61 0 011.29 1.168c.169.189.373.343.611.447.271.103.577.034.882-.224l1.698-1.288c.203-.138.373-.344.441-.584a.923.923 0 00-.068-.79 7.35 7.35 0 00-2.614-2.457c-1.12-.635-2.461-.962-3.955-.962a8.163 8.163 0 00-3.072.601 7.65 7.65 0 00-2.495 1.65 7.357 7.357 0 00-1.663 2.473 8.154 8.154 0 000 6.133c.39.927.95 1.769 1.663 2.456a7.876 7.876 0 005.567 2.25c1.494 0 2.835-.326 3.955-.962a7.307 7.307 0 002.631-2.473.886.886 0 00.068-.773 1.167 1.167 0 00-.441-.584zm15.716 3.057l-4.667-6.854 3.989-5.273a.978.978 0 00.169-.86c-.068-.205-.254-.429-.746-.429h-3.157a1.39 1.39 0 00-.527.12 1.058 1.058 0 00-.458.447l-3.191 4.467h-.764V.79a.794.794 0 00-.22-.567.78.78 0 00-.56-.223h-2.954a.856.856 0 00-.56.223.72.72 0 00-.237.567v19.48c0 .223.084.43.237.567a.778.778 0 00.56.223h2.954a.856.856 0 00.56-.223.794.794 0 00.22-.567v-5.153h.849l3.479 5.342c.204.378.595.618 1.019.618h3.31c.509 0 .712-.24.797-.446a.933.933 0 00-.102-.894zM83.015 6.304h-3.31a.852.852 0 00-.662.258 1.178 1.178 0 00-.305.55l-2.445 9.104H75.7l-2.613-9.104a1.54 1.54 0 00-.255-.533.756.756 0 00-.594-.275h-3.429c-.44 0-.712.138-.831.43-.085.257-.085.55 0 .807l4.192 12.798c.068.189.17.378.323.515.17.155.39.24.627.223h1.766l-.153.413-.39 1.185c-.12.36-.34.687-.645.927a1.58 1.58 0 01-.985.327c-.305 0-.61-.069-.882-.19a3.618 3.618 0 01-.781-.463 1.29 1.29 0 00-.747-.24h-.034a.908.908 0 00-.747.463l-1.052 1.546c-.424.67-.187 1.1.085 1.34a5.36 5.36 0 001.952 1.151 7.679 7.679 0 002.495.412c1.51 0 2.783-.412 3.75-1.236a7.067 7.067 0 002.122-3.333l4.855-15.838c.102-.275.119-.567.017-.842-.085-.189-.272-.395-.73-.395z" />
                        </g>
                      </svg> <i class="fa fa-spinner fa-spin d-none"></i></button><a href="https://wa.me/2348156846834?text=%2ADigital+Dreams+Coding+Boot+Camp+Enquiry%2A%0A" target="_blank" class="btn btn-lg btn-block my-4 order-3" id="bootcampReg" style="background-color:#291CF3;font-weight:600;"><i class="fab fa-whatsapp" style="font-size:medium;"></i> Customer care</a>
                  </div>
                  <div class="col-md-6 order-md-2">
                    <h4 class="d-flex justify-content-between align-items-center mb-3">
                      <span class="text-capitalize">Information Summary</span>
                    </h4>
                    <table class="table table-bordered" id="infoSummary">
                      <tbody>
                        <tr>
                          <td>First name</td>
                          <th scope="row" class="text-capitalize"></th>
                        </tr>
                        <tr>
                          <td>Last name</td>
                          <th scope="row" class="text-capitalize"></th>
                        </tr>
                        <tr>
                          <td>Email</td>
                          <th scope="row"></th>
                        </tr>
                        <tr>
                          <td>Phone</td>
                          <th scope="row"></th>
                        </tr>
                        <tr>
                          <td>Track</td>
                          <th scope="row" class="text-capitalize"></th>
                        </tr>
                        <tr>
                          <td>Course</td>
                          <th scope="row"></th>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <?php
  if (count($_GET) > 0) {
    $keys = ['email', 'token', 'track'];
  ?>
    <script>
      var bootcampReg = {
        <?php foreach ($keys as $k) {
        ?><?= $k ?>: '<?= $_GET[$k] ?>',
        <?php } ?>
      }
    </script>
  <?php } ?>
  <?php require_once("components/footer.php") ?>
</body>

</html>