<?php
$id = explode("-", $uri->content_id);
$id = reset($id);
$event = eventCache(false, $id);
$data = contentCache('events');
$slider = reset($data->image);
$data->body = $meta_desc = $event->body;
$data->itemprop = $event->title;
$data->title = "$event->title | Digital Dreams LTD";
$seo_img = get_icon_path($event->image);
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title><?=$data->title?></title>
  <?php require_once("components/csslinks.php") ?>
</head>

<body>
  <?php require_once("components/nav.php") ?>
  <div class='float-left posRel fullWidth'>
    <div id="eventCarouselIndicators" class="carousel not-full" style="height: 70vh;" data-ride="carousel">
      <ol class="carousel-indicators">
        <?php $img_count = count($event->image);
        for ($k = 0; $k < $img_count; $k++) { ?>
          <li data-target="#eventCarouselIndicators" data-slide-to="<?= $k ?>" class="<?php if ($k == 0) echo 'active'; ?>"></li>
        <?php } ?>
      </ol>
      <div class="carousel-inner" role="listbox">
        <?php foreach ($event->image as $k => $image) { ?>
          <div class="carousel-item <?php if ($k == 0) echo ' active'; ?>">
            <div class="custom-overlay posAbs float-left fullWidth fullHeight"></div>
            <div class="posAbs heads">
              <div class="fullWidth float-left">
                <h1 class="text_bold_7 site_title text-white text-left animated bounceInUp" style="animation-delay: 0.01s;animation-duration: 1.5s; text-transform: uppercase;text-shadow:none;">
                  <?= $image->title ?>
                </h1>
              </div>
              <p class="float-left fullWidth animated bounceInUp" style="animation-delay: 0.01s;animation-duration: 1.5s;"><?= explode('.', strip_tags($image->desc))[0] ?></p>
              <div>
                <a href="#eventRegModal" data-toggle="modal" class="btn-success btn academy-anchor px-5">
                  Register
                </a>
              </div>
            </div>
            <img class="d-block " src="<?= $image->src ?>" alt="Slide <?= $k ?>">
          </div>
        <?php } ?>
      </div>
      <?php if ($img_count > 1) { ?>
        <a class="carousel-control-prev" href="#eventCarouselIndicators" role="button" data-slide="prev">
          <i class="now-ui-icons arrows-1_minimal-left"></i>
        </a>
        <a class="carousel-control-next" href="#eventCarouselIndicators" role="button" data-slide="next">
          <i class="now-ui-icons arrows-1_minimal-right"></i>
        </a>
      <?php } ?>
    </div>
  </div>
  <div class='float-left posRel fullWidth pb-5 bg-light'>
    <div class="container pt-5">
      <div class="col-md-8 posRel float-left ">
        <div class="posRel col-sm-12 float-left course-info-box">
          <div class="fullWidth float-left course-head d-flex align-items-center" style="border-top: 4px solid #f28c1ab3;">
            <h4 class="mr-auto flex-grow-1"><b><?= $event->title ?></b></h4>
            <div class="d-flex align-items-center"><i class="far fa-calendar mr-1"></i><?= $event->date_updated->date ?><div class="vr-short mx-2"></div><i class="far fa-clock mr-1"></i><?= $event->date_updated->time ?></div>
          </div>
          <div class="fullWidth float-left course-body pl-5 pt-3 pb-3">
            <?= $event->body ?>
          </div>
          <div class="fullWidth float-left course-head border-0">
            <i class="fas fa-map-marker-alt mr-2" style="color: rgb(3, 45, 87);"></i><b><?= $event->location ?></b>
          </div>
          <div class="fullWidth p-5 float-left">
            <a class="btn-warning btn float-left academy-anchor mr-3" href="<?= $uri->site ?>events"><i class="fas fa-arrow-left mr-2"></i>All events</a>
            <a href="#eventRegModal" data-toggle="modal" class="btn-primary btn float-left academy-anchor px-5">
              Register
            </a>
          </div>
        </div>
      </div>
      <?php if (count($event->related) > 0) {
        $related = $event->related;
      ?>
        <div class="col-md-4 posRel float-left">
          <div class="posRel col-sm-12 float-left course-info-box">
            <div class="fullWidth float-left course-head">
              <b>Other events</b>
            </div>
            <div class="fullWidth float-left course-body pl-1 pr-1">
              <?php foreach ($related as $k => $evt) { ?>
                <a class="fullWidth float-left mb-1" href="<?= "{$uri->site}view-event/{$evt->id}-" . strToUrl($evt->title) ?>">
                  <div class="card-image col-md-5 col-sm-5">
                    <img src="<?= $evt->image ?>" style="min-height:50px">
                    <div class="custom-overlay posAbs float-left"></div>
                  </div>
                  <div class="card-body col-md-7 col-sm-7 black-text">
                    <b class="fullWidth float-left"><?= $evt->title ?></b>
                    <span class="fullWidth float-left"><?= $evt->date_updated[0] ?> &bull; <?= $evt->date_updated[1] ?></span>
                    <span class="fullWidth float-left"><?= $evt->location ?></span>
                  </div>
                </a>
              <?php } ?>
            </div>
            <div class="fullWidth float-left course-head text-center">
              <a href="<?= $uri->site ?>events">View all events</a>
            </div>
          </div>
        </div>
      <?php } ?>
    </div>
  </div>

  <div class="modal fade" id="eventRegModal" tabindex="-1" role="dialog" aria-labelledby="eventRegModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title font-weight-bold" id="eventRegModalLabel">Registration for <?= $event->title ?></h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <div class="container">
            <p class="nb"><strong>NB</strong>: If you have registered, please view your registration details <a href="#!" class="toggleForms">here</a></p>
            <form class="needs-validation" novalidate id="eventRegForm">
              <div class="row">
                <div class="col-md-5 order-md-2">
                  <h4 class="d-flex justify-content-between align-items-center mb-3">
                    <span class="text-capitalize">Event information</span>
                  </h4>
                  <ul class="list-group mb-3">
                    <li class="list-group-item text-center">
                      <h6 class="my-0"><?= $event->title ?></h6>
                    </li>
                    <li class="list-group-item d-flex justify-content-between">
                      <div>
                        <span>Date</span>
                      </div>
                      <h6 class="my-0"><i class="far fa-calendar mr-1"></i><?= $event->date_updated->date ?></h6>
                    </li>
                    <li class="list-group-item d-flex justify-content-between">
                      <span class="text-dark">Time</span>
                      <h6 class="my-0"><i class="far fa-clock mr-1"></i><?= $event->date_updated->time ?></h6>
                    </li>
                    <li class="list-group-item text-center">
                      <i class="fas fa-map-marker-alt mr-2" style="color: rgb(3, 45, 87);"></i><strong><?= $event->location ?></strong>
                    </li>
                  </ul>
                </div>
                <div class="col-md-7 order-md-1">
                  <h4 class="mb-3 text-capitalize">Attendee information</h4>
                  <input type="hidden" value="<?= $event->id ?>" name="event_id" id="eventId">
                  <input type="hidden" value="<?= $event->title ?>" name="event_title" id="eventTitle">
                  <div class="mb-2">
                    <span class="font-weight-bold text-muted" style="font-size:12px;">Fields marked with <sup class="text-primary">*</sup> are required.</span>
                  </div>
                  <div class="row align-items-stretch h-75" id="enrollFormRow" style="overflow-x: hidden;">
                    <div class="col-md-6">
                      <label for="regFirstName">First name <sup class="text-primary">*</sup></label>
                      <input type="text" class="form-control" id="regFirstName" placeholder="Enter your first name" name="first_name" required>
                      <div class="invalid-feedback">
                        Enter a valid name.
                      </div>
                    </div>
                    <div class="col-md-6">
                      <label for="regLastName">Last name <sup class="text-primary">*</sup></label>
                      <input type="text" class="form-control" id="regLastName" placeholder="Enter your last name" name="last_name" required>
                      <div class="invalid-feedback">
                        Enter a valid name.
                      </div>
                    </div>
                    <div class="col-md-6">
                      <label for="regEmail">Email <sup class="text-primary">*</sup></label>
                      <input type="email" class="form-control" id="regEmail" placeholder="Enter your email" name="email" required>
                      <div class="invalid-feedback">
                        Enter a valid email.
                      </div>
                    </div>
                    <div class="col-md-6">
                      <label for="regPhone">Phone <sup class="text-primary">*</sup></label>
                      <input type="tel" class="form-control" id="regPhone" placeholder="Enter your phone number" name="phone" minlength="11" maxlength="14" required>
                      <div class="invalid-feedback">
                        Enter a valid phone number.
                      </div>
                    </div>
                    <div class="col-12 d-none">
                      <label for="eventEmail">Email</label>
                      <input type="email" class="form-control" id="eventEmail" placeholder="Enter your email" name="email" disabled>
                    </div>
                    <p class="mt-auto"><i class="fa fa-circle align-middle text-warning" style="font-size: xx-small;"></i> If you have registered, please view your registration details <a href="#!" class="toggleForms">here</a></p>
                    <p class="d-none mt-auto"><i class="fa fa-circle align-middle text-warning" style="font-size: xx-small;"></i> If you haven't registered, click <a href="#!" class="toggleForms2">here</a></p>
                  </div>
                </div>
              </div>
            </form>
            <button class="btn btn-primary btn-lg btn-block my-4 order-3 mt-5" id="eventRegBtn">Register <i class="fa fa-spinner fa-spin d-none"></i></button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade" id="registeredUserModal" tabindex="-1" role="dialog" aria-labelledby="registeredUserModalTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="registeredUserModalTitle">Registration details</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <h4 class="d-flex justify-content-between mb-3">
            <span class="text-capitalize">Event</span>
          </h4>
          <ul class="list-group mb-3">
            <li class="list-group-item">
              <h6 class="my-0"><?= $event->title ?></h6>
            </li>
            <li class="list-group-item d-flex justify-content-between">
              <div>
                <span>Date</span>
              </div>
              <h6 class="my-0"><i class="far fa-calendar mr-1"></i><?= $event->date_updated->date ?></h6>
            </li>
            <li class="list-group-item d-flex justify-content-between">
              <span class="text-dark">Time</span>
              <h6 class="my-0"><i class="far fa-clock mr-1"></i><?= $event->date_updated->time ?></h6>
            </li>
            <li class="list-group-item">
              <i class="fas fa-map-marker-alt mr-2" style="color: rgb(3, 45, 87);"></i><strong><?= $event->location ?></strong>
            </li>
          </ul>
          <h4 class="d-flex justify-content-between mb-3">
            <span class="text-capitalize">Attendee</span>
          </h4>
          <ul class="list-group" id="attendeeDetails"></ul>
        </div>
      </div>
    </div>
  </div>
  <?php require_once("components/footer.php") ?>
</body>

</html>