<?php
$data = contentCache($uri->page_source);
$slider = reset($data->image);
$event_lists = eventListCache();
usort($event_lists, function ($evt1, $evt2) {
  if ($evt1->type == 'event1') {
    return -1;
  } elseif ($evt2->type == 'event1') {
    return 1;
  } else return 0;
});
$current_events = array_range($event_lists, 5);
if (count($current_events) == 0) {
  $current_events = $data;
  $first_event = null;
} else {
  $first_event = $current_events[0];
}
$data->itemprop = 'Events Around Tech';
$data->title = 'Events | Digital Dreams LTD';
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title><?=$data->title?></title>

  <?php require_once("components/seo_tags.php") ?>
  <?php require_once("components/csslinks.php") ?>
</head>

<body>
  <?php require_once("components/nav.php") ?>

  <div class='float-left posRel fullWidth'>
    <div id="eventCarouselIndicators" class="carousel slide not-full" data-ride="carousel">
      <ol class="carousel-indicators">
        <?php $current_events_count = count($current_events);
        for ($k = 0; $k < $current_events_count; $k++) { ?>
          <li data-target="#eventCarouselIndicators" data-slide-to="<?= $k ?>" class="<?php if ($k == 0) echo 'active'; ?>"></li>
        <?php } ?>
      </ol>
      <div class="carousel-inner" role="listbox">
        <?php foreach ($current_events as $k => $event) { ?>
          <div class="carousel-item <?php if ($k == 0) echo ' active'; ?>">
            <div class="float-right posAbs" style="right: 10%;width: 70%;z-index: 1; top: 25%">
              <a href="<?php if (isset($event->id)) { ?><?= $uri->site ?>view-event/<?= $event->id ?>-<?= strToUrl($event->title) ?><?php } else echo 'javascript:void(0);'?>" style="text-decoration:none;">
                <h1 class="text_bold_7 site_title text-white text-right animated bounceInUp" style="animation-delay: 0.01s;animation-duration: 1.5s; text-transform: uppercase">
                  <?= $event->image->title ?>
                </h1>
                <?php if (strlen(strip_tags($event->image->desc)) > 2) { ?><h5 class="text-white text-right animated bounceInUp" style="font-weight:200; animation-delay: 0.11s;animation-duration: 1.5s;"><?= strip_tags($event->image->desc) ?></h5> <?php } ?>
              </a>
            </div>
            <div class="custom-overlay posAbs float-left fullWidth fullHeight"></div>
            <img class="d-block" src="<?= $event->image->src ?>" alt="Slide <?= $k ?>">
          </div>
        <?php } ?>
      </div>
      <?php if (count($current_events) > 1) { ?>
        <a class="carousel-control-prev" href="#eventCarouselIndicators" role="button" data-slide="prev">
          <i class="now-ui-icons arrows-1_minimal-left"></i>
        </a>
        <a class="carousel-control-next" href="#eventCarouselIndicators" role="button" data-slide="next">
          <i class="now-ui-icons arrows-1_minimal-right"></i>
        </a>
      <?php } ?>
    </div>
  </div>
  <?php
  if (!is_null($first_event)) {
    $split_date = explode(' ', $first_event->date_updated->date);
    $split_date[] = $first_event->date_updated->time; ?>
    <section class="event-one" style="background-color: #272e4f;color:white;">
      <div class="container-fluid px-3">
        <div class="row py-4">
          <div class="col-md-12 d-md-flex align-items-center">
            <div class="col-12 col-lg-5" style="border-right: 1px solid rgba(255, 255, 255, 0.1);padding-right: 35px;">
              <h3 class="mb-3"><?= $first_event->title ?></h3>
              <p><?= $first_event->body ?></p>
            </div>
            <div class="col-12 col-lg-7 d-md-flex align-items-md-center justify-content-between mt-5 mt-lg-0">
              <div class="flex-grow-1">
                <p class="d-flex m-0">
                  <span><?= $split_date[0] ?> <small>day</small></span>
                  <span><?= $split_date[1] ?> <small>month</small> </span>
                  <span><?= $split_date[2] ?> <small>year</small> </span>
                  <span class="ml-3"><?= $split_date[3] ?> <small>time</small> </span>
                </p>
              </div>
              <a href="<?= $uri->site ?>view-event/<?= $event->id ?>-<?= strToUrl($event->title) ?>" class="btn btn-primary p-3">View event</a>
            </div>
          </div>
        </div>
      </div>
    </section>
  <?php }
  if (count($event_lists) > 0) {
    $event_lists = array_group($event_lists, 'type');
    foreach ($event_lists as $type => $events) {
  ?>
    <div class="container">
      <div class="row justify-content-center my-5">
        <div class="col-md-6 text-center">
        <?php if ($type == 'event1'): ?>
          <span class="mt-5" style="font-size: 13px;text-transform: uppercase;font-weight: 600;letter-spacing: 2px;color: rgba(0, 0, 0, 0.2);">Internal Events</span>
          <h2 class="mb-4">Events from around <?=$company->name?></h2>
          <p>Our events are geared towards enlightenment, creation of opportunities, collaboration and developing local competence in the ICT industry.</p>
          <?php else: ?>
            <span class="mt-5" style="font-size: 13px;text-transform: uppercase;font-weight: 600;letter-spacing: 2px;color: rgba(0, 0, 0, 0.2);">External Events</span>
          <h2 class="mb-4">Events outside <?=$company->name?></h2>
          <p><?=$company->name?> collaborates with the local community and government bodies and other stakeholders in the ICT industry to organize events to build the local ecosystem.</p>
          <?php endif; ?>
        </div>
      </div>
      <div class="row">
        <?php foreach ($events as $event) {
          $evt_url = "{$uri->site}view-event/{$event->id}-" . strToUrl($event->title);
        ?>
          <div class="col-md-6">
            <div class="event-entry d-flex">
              <div class="meta mr-4">
                <p>
                  <span style="font-weight: 500;font-size: 40px;line-height: 1.2;margin-bottom: 4px;display: block;text-align: right;"><?= substr($event->date_updated->date, 0, 2) ?></span>
                  <span style="text-transform: uppercase;font-size: 14px;font-weight: 400;color: #b3b3b3;text-wrap: nowrap;display: block;text-align: right;"><?= substr($event->date_updated->date, 3) ?></span>
                </p>
              </div>
              <div>
                <h3 class="mb-2"><a href="<?= $evt_url ?>" class="text-dark text-decoration-none"><?= $event->title ?></a></h3>
                <p class="mb-4"><span><i class="far fa-clock mr-1"></i><?= $event->date_updated->time ?> <i class="fas fa-map-marker-alt ml-2 mr-1"></i><?= $event->location ?></span></p>
                <img class="img mb-4" src="<?= $event->image->src ?>">
                <p><?= $event->body ?></p>
                <a href="<?= $evt_url ?>" class="btn btn-primary px-4">View event <i class="fas fa-arrow-right ml-1"></i></a>
              </div>
            </div>
          </div>
        <?php } ?>
      </div>
    </div>
  <?php } } else { ?>
  <?php } ?>
  <?php require_once("components/footer.php") ?>
</body>

</html>