<?php
if (empty($uri->content_id)) header("location: {$uri->site}tech-jobs");
$id = explode("-", $uri->content_id);
$id = reset($id);
$data = contentCache('tech-jobs');
$job = jobCache(id: $id);
$popular_jobs = array_slice(jobListCache(), 0, 5);
$slider = reset($data->image);
if (!empty($job->url)) $apply_to = $job->url;
elseif (!empty($job->employer_email)) $apply_to = "mailto:{$job->employer_email}?subject=Application+for+" . urlencode($job->position);
$shared_link = rawurlencode("{$uri->site}view-job/$id-" . strToUrl($job->position));
$all_cats = $paramControl->load_data_from_param('job_cat');
$data->itemprop = "{$data->title} - ".join(', ', array_values($all_cats));
$data->title = "{$job->position} at {$job->employer_name} | Digital Dreams LTD";
$data->body = $meta_desc = substr(trim(strip_tags($job->description)), 0, 150) . '...';
$seo_img = get_icon_path($job->image);
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title><?=$data->title?></title>

  <?php require_once("components/seo_tags.php") ?>
  <?php require_once("components/csslinks.php") ?>
</head>

<body>
  <?php require_once("components/nav.php") ?>
  <svg xmlns="http://www.w3.org/2000/svg" class="d-none">
    <symbol id="bent-line" viewBox="0 0 180 13" fill="currentColor">
      <path d="M173.163 12.3756C97.1838 -3.8242 30.6496 5.67799 7.32494 12.2553C5.30414 12.8252 2.43544 12.6722 0.917529 11.9135C-0.600387 11.1549 -0.192718 10.0779 1.82808 9.50807C27.5427 2.25675 98.002 -7.60121 177.683 9.38783C179.881 9.85641 180.65 10.9051 179.402 11.7301C178.154 12.5552 175.361 12.8442 173.163 12.3756Z" fill="#FAA61A"></path>
    </symbol>
    <symbol viewBox="0 0 554 544" id="blob">
      <path d="M423.3,77.2c49.5,32.5,100.4,67.2,118.4,114.5s3.5,107.1-15.4,165.7c-18.7,58.6-41.8,116.1-84,148.6 c-42.5,32.8-104.2,40.2-163.8,37.3c-59.5-3.2-116.8-17.1-164.7-47.9c-48.3-30.6-87.2-78.2-102-131.6C-3,310.5,6.6,251,25.3,194.7 C43.6,138,70.7,84.3,114.1,49.5C157.2,14.8,216.7-1,270.8,6.4C324.8,14.2,373.4,44.7,423.3,77.2z" fill="#f5f9fa" />
    </symbol>
    <symbol viewBox="0 0 17 16" fill="none" id="arrow">
      <path d="M16 8L2 8" stroke="currentColor" />
      <path d="M9 15L16 8L9 0.999999" stroke="currentColor" />
      <path d="M15 8L1 8" stroke="currentColor" />
      <path d="M8 15L15 8L8 0.999999" stroke="currentColor" />
    </symbol>
    <symbol viewBox="0 0 24 24" id="external-link">
      <path d="M19 19H5V5h7V3H3v18h18v-9h-2v7ZM14 3v2h3.59l-9.83 9.83 1.41 1.41L19 6.41V10h2V3h-7Z" fill="currentColor" />
    </symbol>
  </svg>
  <div class="posFix w-100" style="background-color:rgb(3, 45, 87);height:4.2rem;top:0;z-index:1;"></div>
  <section class="py-5" style="margin-top:2.5rem;">
    <div class="container">
      <div class="posRel col-12 mb-4">
        <div class="google_ad d-flex mr-auto" style="height:auto;">
          <script async src="//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script><ins class="adsbygoogle" style="display:inline-block;width:910px;height:90px;" data-ad-client="ca-pub-4696224049420135" data-ad-slot="1880693933"></ins>
          <script>
            (adsbygoogle = window.adsbygoogle || []).push({});
          </script>
        </div>
      </div>
      <div class="row justify-content-between align-items-center">
        <div class="col">
          <img class="img-thumbnail float-left mr-3 bg-light border-0" src="<?= $job->image ?>" alt="Logo" style="width:100px;margin:0!important;">
          <div style="margin-left:120px;">
            <h2 class="card-title" style="font-family: 'Roboto Condensed', sans-serif;"><?= $job->position ?></h2>
            <h5 class="card-subtitle mb-2 text-capitalize" style="font-family:'Spartan', sans-serif;font-size:16px;"><?= $job->employer_name ?></h5>
            <p class="card-text mt-2" style="min-height:unset !important;font-size:14px;"><i class="fas fa-briefcase text-secondary"></i><span class="ml-2 mr-3"><?= $job->category ?></span><i class="fas fa-map-marker-alt text-secondary"></i><span class="ml-2 mr-3"><?= $job->location ?></span><?php if (!empty($job->salary)): ?><i class="fas fa-money-bill-wave text-secondary"></i><span class="ml-2"><?= $job->salary ?></span><?php endif; ?></p>
            <span class="badge font-weight-normal border-0 px-3 py-2" style="background-color:rgba(249, 171, 0, 0.15) !important;text-transform:none;font-size:13px;border-radius:50rem;font-weight:500;color:rgb(120, 53, 15);"><?= $job->work_type ?></span>
          </div>
        </div>
        <div class="col-auto text-md-end mt-4 mt-md-0 d-flex flex-column justify-content-md-end">
          <?php if (!empty($job->close_date)): ?><div class="mb-2" style="font-size:medium;font-weight:500;">Application ends: <span class="text-danger"><?= $job->close_date ?></span></div><?php endif; ?>
          <a href="<?= $apply_to ?>" target="_blank" class="btn btn-primary btn-lg px-5 ml-md-auto" style="background-color: #291CF3;border-radius:50rem;font-weight:600;">Apply <svg width="20" height="20" fill="none" xmlns="http://www.w3.org/2000/svg" role="img" focusable="false" aria-hidden="true" class="align-middle">
              <use xlink:href="#external-link" />
            </svg></a>
        </div>
      </div>
    </div>
  </section>

  <section class="container">
    <div class="row">
      <div class="col-12 col-md">
        <h5 class="text-capitalize mb-3" style="font-weight:500;font-family:'Spartan', sans-serif;">Job description</h5>
        <div class="text-justify mr-4" style="line-height: 2;"><?= $job->description ?></div>
      </div>
      <div class="col-12 col-md" style="max-width:24rem;">
        <h5 style="font-family: 'Spartan', sans-serif;">Job Overview</h5>
        <ul class="list-group list-group-flush">
          <li class="list-group-item d-flex px-0 border-top-0">
            <div class="rounded-circle d-flex align-items-center justify-content-center" style="width: 50px; height:50px; background-color: #F7F4EF; font-size:20px;color:#00262b;"><i class="fas fa-map-marker-alt"></i></div>
            <div class="ml-3">
              <h6 class="text-capitalize mb-2">Location</h6>
              <h5 class="mb-0" style="font-size: 16px;"><?= $job->location ?></h5>
            </div>
          </li>
          <?php if (!empty($job->salary)) { ?>
            <li class="list-group-item d-flex px-0 border-top-0">
              <div class="rounded-circle d-flex align-items-center justify-content-center" style="width: 50px; height:50px; background-color: #F7F4EF; font-size:20px;color:#00262b;"><i class="fas fa-money-bill-wave"></i></div>
              <div class="ml-3">
                <h6 class="text-capitalize mb-2">Salary range</h6>
                <h5 class="mb-0" style="font-size: 16px;"><?= $job->salary ?></h5>
              </div>
            </li>
          <?php } ?>
          <?php if (!empty($job->qualification)) { ?>
            <li class="list-group-item d-flex px-0 border-top-0">
              <div class="rounded-circle d-flex align-items-center justify-content-center" style="width: 50px; height:50px; background-color: #F7F4EF; font-size:20px;color:#00262b;"><i class="fas fa-graduation-cap"></i></div>
              <div class="ml-3">
                <h6 class="text-capitalize mb-2">Qualification</h6>
                <h5 class="mb-0" style="font-size: 16px;"><?= $job->qualification ?></h5>
              </div>
            </li>
          <?php } ?>
          <?php if (!empty($job->close_date)) { ?>
            <li class="list-group-item d-flex px-0 border-top-0">
              <div class="rounded-circle d-flex align-items-center justify-content-center" style="width: 50px; height:50px; background-color: #F7F4EF; font-size:20px;color:#00262b;"><i class="far fa-calendar"></i></div>
              <div class="ml-3">
                <h6 class="text-capitalize mb-2">Closing date</h6>
                <h5 class="mb-0" style="font-size: 16px;"><?= $job->close_date ?></h5>
              </div>
            </li>
          <?php } ?>
          <li class="list-group-item d-flex px-0 border-0">
            <div class="rounded-circle d-flex align-items-center justify-content-center" style="width: 50px; height:50px; background-color: #F7F4EF; font-size:20px;color:#00262b;"><i class="far fa-calendar"></i></div>
            <div class="ml-3">
              <h6 class="text-capitalize mb-2">Dated posted</h6>
              <h5 class="mb-0" style="font-size: 16px;"><?= $job->date_uploaded ?></h5>
            </div>
          </li>
        </ul>
        <a href="<?= $apply_to ?>" target="_blank" class="btn btn-sm btn-block mt-3 academy-anchor animated bounceInUp text-dark px-5" style="animation-delay: 0.21s;animation-duration: 1.5s;border-radius:50rem;background-color: #FAA61A;">
          Apply <svg width="20" height="20" fill="none" xmlns="http://www.w3.org/2000/svg" role="img" focusable="false" aria-hidden="true" class="align-middle">
            <use xlink:href="#external-link" />
          </svg>
        </a>
        <h5 class="mt-4" style="font-size:large;">Share on:</h5>
        <div class="btn-toolbar flex-grow-1 justify-content-center" role="toolbar" style="gap:1rem;">
          <a class="btn bg-white text-dark border" href="https://web.facebook.com/dialog/share?app_id=652484810127701&href=<?= $shared_link ?>&display=popup&_rdc=1&_rdr" target="_blank" style="width: 50px; height: 50px; border-radius: 50%; padding-top: 1rem;border-width: 2px !important;"><i class="fab fa-facebook-f align-middle" style="font-size: 1.5em;"></i></a>
          <a class="btn bg-white text-dark border" href="https://twitter.com/intent/post?url=<?= $shared_link ?>&text=Cybersecurity&via=Digital%20Dreams%20ICT%20Academy" target="_blank" style="width: 50px; height: 50px; border-radius: 50%; padding-left: 1rem; padding-top: 1rem;border-width: 2px !important"><svg xmlns="http://www.w3.org/2000/svg" class="align-middle" height="1.5em" viewBox="0 0 512 512" fill="currentColor">
              <path d="M389.2 48h70.6L305.6 224.2 487 464H345L233.7 318.6 106.5 464H35.8L200.7 275.5 26.8 48H172.4L272.9 180.9 389.2 48zM364.4 421.8h39.1L151.1 88h-42L364.4 421.8z"></path>
            </svg></a>
          <a class="btn bg-white text-dark border" href="https://api.whatsapp.com/send/?text=<?= $shared_link ?>&type=custom_url&app_absent=0" target="_blank" style="width: 50px; height: 50px; border-radius: 50%; padding-left: 1rem; padding-top: 0.8rem;border-width: 2px !important"><i class="fab fa-whatsapp align-middle" style="font-size: 1.8em;"></i></a>
          <a class="btn bg-white text-dark border" href="https://www.linkedin.com/shareArticle?url=<?= $shared_link ?>&title=Cybersecurity&source=Digital%20Dreams%20ICT%20Academy" target="_blank" style="width: 50px; height: 50px; border-radius: 50%; padding-left: 1.1rem; padding-top: 1rem;border-width: 2px !important"><i class="fab fa-linkedin-in align-middle" style="font-size: 1.5em;"></i></a>
        </div>
        <h5 class="mt-5 mb-3" style="font-family: 'Spartan', sans-serif;">Job Location</h5>
        <div class="embed-responsive embed-responsive-4by3 bg-light" style="max-width:400px;max-height:300px;">
          <iframe class="embed-responsive-item" id="map-canvas" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" src="https://maps.google.com/maps?width=600&height=400&hl=en&q=<?= explode(' ', $job->location)[0] ?>&t=&z=14&ie=UTF8&iwloc=B&output=embed" allowfullscreen="" loading="lazy"></iframe>
        </div>
      </div>
    </div>
  </section>
  <?php if (!empty($job->related)) { ?>
    <section class="container-fluid mt-5">
      <div class="row justify-content-center">
        <div class="posRel mt-4 mb-3">
          <div class="fullWidth float-left course-head border-0">
            <h2 class="text-center text-nowrap"><span style="color:#FAA61A;">Related</span> Jobs</h2>
          </div>
          <svg class="posAbs" style="left:50%;translate:-50%;top:3.5rem;" role="img" width="8rem" height="0.6rem">
            <use xlink:href="#bent-line" />
          </svg>
          <div class="card-body">
            <p class="card-text text-center mx-auto" style="line-height:1.8;">See similar jobs you may be interested in.</p>
          </div>
        </div>
      </div>
      <div class="d-flex justify-content-end mb-5 mx-3"><a href="<?= $uri->site ?>find-jobs/<?= encodeForUrl($job->category) ?>" class="btn btn-lg bg-transparent text-dark px-4 py-2 mb-auto" style="border: 1px solid rgb(250, 166, 26); font-weight: 600; box-shadow: none; border-radius: 0px; background-color: transparent !important;" onmouseover="this.style.setProperty('background-color', '#FAA61A16', 'important')" onmouseout="this.style.setProperty('background-color', 'transparent', 'important')">View All
          <svg role="img" width="1em" height="1em" class="ml-1 align-middle">
            <use xlink:href="#arrow"></use>
          </svg>
        </a>
      </div>
      <div class="container">
        <div class="owl-carousel owl-theme">
          <?php foreach ($job->related as $rel_job) { ?>
            <div class="card job-card">
              <div class="card-body">
                <div class="row">
                  <div class="col-auto">
                    <img class="img-thumbnail float-left mr-3 bg-light border-0" src="<?= $rel_job->image ?>" alt="Logo" style="width:50px;margin:0!important;">
                  </div>
                  <div class="col-sm">
                    <h5 class="card-title" style="font-family:'Roboto Condensed', sans-serif;"><?= $rel_job->position ?></h5>
                    <h6 class="card-subtitle mb-2 font-weight-normal text-muted text-capitalize" style="font-family:'Spartan', sans-serif;"><?= $rel_job->employer_name ?></h6>
                    <p class="card-text mt-3" style="min-height:unset !important;"><i class="fas fa-briefcase text-secondary"></i><span class="ml-2 mr-3"><?= $rel_job->category ?></span><i class="fas fa-map-marker-alt text-secondary"></i><span class="ml-2 mr-3"><?= $rel_job->location ?></span><?php if (!empty($rel_job->salary)): ?><i class="fas fa-money-bill-wave text-secondary"></i><span class="ml-2"><?= $rel_job->salary ?></span><?php endif; ?></p>
                    <p class="card-text" style="min-height:unset !important;font-weight: 500;"><?php if (!empty($rel_job->close_date)) { ?>Deadline—<?= $rel_job->close_date ?> <span class=" mx-2">|</span><?php } ?>Posted—<?= $rel_job->date_uploaded ?></p>
                    <span href="#" class="badge border-0 px-3 py-2" style="background-color:#D6EBFF !important;color:#1967d2 !important;text-transform:none;font-size:smaller;"><?= $rel_job->work_type ?></span>
                    <a href="<?= "{$uri->site}view-job/{$rel_job->id}-" . strToUrl($rel_job->position) ?>"></a>
                  </div>
                </div>
              </div>
            </div>
          <?php } ?>
        </div>
      </div>
    </section>
  <?php } ?>

  <section class="container my-5">
    <div class="row justify-content-center">
      <div class="posRel mt-4 mb-5">
        <div class="fullWidth float-left course-head border-0">
          <h2 class="text-center text-nowrap"><span style="color:#FAA61A;">Popular</span> Jobs</h2>
        </div>
        <svg class="posAbs" style="left:50%;translate:-50%;top:3.5rem;" role="img" width="8rem" height="0.6rem">
          <use xlink:href="#bent-line" />
        </svg>
        <div class="card-body">
          <p class="card-text text-center mx-auto desc-text" style="line-height:1.8;">See our list of popular jobs for the job that suits your portfolio, and move to the next phase in your career.</p>
        </div>
      </div>
    </div>
    <div class="owl-carousel owl-theme">
      <?php
      foreach ($popular_jobs as $pop_job) {
      ?>
        <div class="card job-card">
          <div class="card-body">
            <div class="row">
              <div class="col-auto">
                <img class="img-thumbnail float-left mr-3 bg-light border-0" src="<?= $pop_job->image ?>" alt="Logo" style="width:50px;margin:0!important;">
              </div>
              <div class="col-sm">
                <h5 class="card-title" style="font-family:'Roboto Condensed', sans-serif;"><?= $pop_job->position ?></h5>
                <h6 class="card-subtitle mb-2 font-weight-normal text-muted text-capitalize" style="font-family:'Spartan', sans-serif;"><?= $pop_job->employer_name ?></h6>
                <p class="card-text mt-3" style="min-height:unset !important;"><i class="fas fa-briefcase text-secondary"></i><span class="ml-2 mr-3"><?= $pop_job->category ?></span><i class="fas fa-map-marker-alt text-secondary"></i><span class="ml-2 mr-3"><?= $pop_job->location ?></span><?php if (!empty($job->salary)): ?><i class="fas fa-money-bill-wave text-secondary"></i><span class="ml-2"><?= $pop_job->salary ?></span><?php endif; ?></p>
                <span class="badge border-0 px-3 py-2" style="background-color:#D6EBFF !important;color:#1967d2 !important;text-transform:none;font-size:smaller;"><?= $pop_job->work_type ?></span>
                <a href="<?= "{$uri->site}view-job/{$pop_job->id}-" . strToUrl($pop_job->position) ?>"></a>
              </div>
            </div>
          </div>
        </div>
      <?php } ?>
    </div>
  </section>

  <section class="container py-5">
    <div class="row align-items-center justify-content-center my-5" style="position: relative;">
      <div class="posRel col-md-6 d-flex justify-content-center my-3">
        <img src="<?= $uri->site ?>asset/picture/job_globe.png" alt="Lighted globe" style="object-fit: contain">
      </div>
      <div class="posRel col-md-6">
        <div class="fullWidth">
          <h3 class="text-center text-md-start font-weight-bold">There's a shortage of skilled people</h3>
          <p class="card-text">
            It's quite the contrary that there isn't enough jobs. The actual situation is that there are not many qualified people for the jobs available. Hence, getting the required skillset for your dream job comes first!<br><br>At Digital Dreams ICT Academy, we offer courses tailored to give you the best for a successful career. Our trainings are flexible to accommodate most kinds of learners. Like the saying goes, knowledge is power.<span class="d-block mt-2" style="font-weight:500;font-size:16px;">Register for a course today and be well on your way to secure your dream job.</span>
          </p>
          <div class="d-flex justify-content-center justify-content-md-start">
            <a class="btn btn-sm academy-anchor animated bounceInUp text-dark mr-3" href="<?= $uri->site ?>training" target="_blank" style="animation-delay:0.21s;animation-duration: 1.5s;background-color:#FAA61A;border-radius:50rem;"> View our courses</a>
            <a class="btn btn-sm academy-anchor animated bounceInUp" href="https://wa.me/2348156846834?text=%2ADigital+Dreams+Academy+Courses+Enquiry%2A%0A" target="_blank" style="animation-delay:0.21s;animation-duration: 1.5s;background-color:#291CF3;border-radius:50rem;"><i class="fab fa-whatsapp" style="font-size:medium;"></i> Customer care</a>
          </div>
        </div>
      </div>
    </div>
  </section>

  <?php require_once("components/footer.php") ?>
  <script async src="//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>
  <script>
    (adsbygoogle = window.adsbygoogle || []).push({
      google_ad_client: "ca-pub-4696224049420135",
      enable_page_level_ads: true
    });
    (function(i, s, o, g, r, a, m) {
      i['GoogleAnalyticsObject'] = r;
      i[r] = i[r] || function() {
        (i[r].q = i[r].q || []).push(arguments)
      }, i[r].l = 1 * new Date();
      a = s.createElement(o),
        m = s.getElementsByTagName(o)[0];
      a.async = 1;
      a.src = g;
      m.parentNode.insertBefore(a, m)
    })(window, document, 'script', '//www.google-analytics.com/analytics.js', 'ga');
    ga('create', 'UA-12843401-1', 'auto');
    ga('require', 'displayfeatures');
    ga('send', 'pageview');
  </script>
</body>

</html>