<?php
// $id = explode("-", $uri->content_id); $id = reset($id);
$data = contentCache($uri->page_source);
$lists = listCache($uri->page_source, $uri->content_id);
$slider = reset($data->image);
$data->title .= ' - '.strip_tags($slider->title).' | Digital Dreams LTD';
?>

<!doctype html>
<html lang="">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title><?=$data->title;?></title>


  <?php require_once('components/seo_tags.php')?>
  <?php require_once('components/csslinks.php')?>
</head>
<body>
  <?php require_once('components/nav.php')?>

  <div class='float-left posRel fullWidth'>
    <div id="carouselExampleIndicators" class="carousel slide not-full" data-ride="carousel" style="max-height:67vh">
      <ol class="carousel-indicators">
        <?php foreach($data->image as $k => $image){?>
          <li data-target="#carouselExampleIndicators" data-slide-to="<?=$k?>" class="<?php if($k==0)echo 'active'; ?>"></li>
        <?php } ?>
      </ol>
      <div class="carousel-inner" role="listbox">
        <?php foreach($data->image as $k => $image){
          list($width, $height)  = getimagesize(absolute_filepath(str_replace('../', $uri->site, $image->src)));
          ?>
          <div class="carousel-item <?php if($k==0)echo ' active'; ?>">
            <div class="float-right posAbs" style="padding: 50px; right: 0; margin: 120px 150px 0 0px;width: 600px;z-index: 1;">
              <h1 class="site_title text_bold_7 text-white text-right animated bounceInUp" style="animation-delay: 0.01s;animation-duration: 1.5s;"><?=$image->title?></h1>
              <h5 class="text-white text-right animated bounceInUp" style="font-weight:200; animation-delay: 0.11s;animation-duration: 1.5s;"><?=$image->desc?></h5>
              <?php if(!empty($image->anchor->href)){ ?>
                <a href="<?=$image->anchor->href?>" class="btn btn-lg btn-info float-right animated bounceInUp" style="animation-delay: 0.21s;animation-duration: 1.5s;"><?=$image->anchor->name?></a>
              <?php }?>
            </div>
            <div class="custom-overlay posAbs float-left fullWidth fullHeight"></div>
            <img class="d-block <?php if($width>$height || $width==$height){echo 'slide-fh';}else echo 'slide-fw' ?>" src="<?=str_replace('../', $uri->site, $image->src) ?>" alt="First slide">
          </div>
        <?php } ?>
      </div>
      <?php if(count($data->image) > 1){?>
        <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
          <i class="now-ui-icons arrows-1_minimal-left"></i>
        </a>
        <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
          <i class="now-ui-icons arrows-1_minimal-right"></i>
        </a>
      <?php } ?>
    </div>
  </div>



  <div class="col-md-12 posRel float-left">
    <div class="posRel col-sm-12 float-left">
      <?php if(empty($lists) || count($lists) == 0){ ?>
        <h4 class="container text-center"><?=ucwords($data->title)?> is empty</h4>
      <?php }else {?>
        <h3 class="text_bold_7 text-left text-capitalize mt-4 pl-3 pr-3"><?=ucwords($data->title)?></h3>
        <hr class="style-two" style="margin-top: 0;">
        <div class="first-three">
          <?php for($k = 0; $k <= count($lists); $k++ ){
            if(isset($lists[$k])){ $item = $lists[$k];?>
              <div class="col-md-4 col-sm-12 posRel float-left animated">
                <?php require('components/card_symetry.php');?>
              </div>
            <?php }
          }?>
        </div>
      <?php } ?>
    </div>
  </div>

  <?php require_once('components/footer.php')?>
</body>
</html>
