<?php
if (empty($uri->content_id)) header("location: {$uri->site}programs");
$id = explode("-", $uri->content_id);
$id = reset($id);
$data = contentCache('programs');
$slider = reset($data->image);
$program = programCache(id: $id);
$related = $program->related;
$shared_link = rawurlencode("{$uri->site}view-program/$id-" . strToUrl($program->title));
$all_cats = $paramControl->load_sources('opportunity_type');
$data->itemprop = "{$data->title} - ".join(', ', array_values($all_cats));
$data->title = "{$program->title} - {$program->company} | Digital Dreams LTD";
$data->body = $meta_desc = substr(trim(strip_tags($program->description)), 0, 150) . '...';
$seo_img = get_icon_path($program->image->src);
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title><?=$data->title?></title>

  <?php require_once("components/seo_tags.php") ?>
  <?php require_once("components/csslinks.php") ?>
</head>

<body>
  <?php require_once("components/nav.php") ?>
  <svg xmlns="http://www.w3.org/2000/svg" class="d-none">
    <symbol id="bent-line" viewBox="0 0 180 13" fill="currentColor">
      <path d="M173.163 12.3756C97.1838 -3.8242 30.6496 5.67799 7.32494 12.2553C5.30414 12.8252 2.43544 12.6722 0.917529 11.9135C-0.600387 11.1549 -0.192718 10.0779 1.82808 9.50807C27.5427 2.25675 98.002 -7.60121 177.683 9.38783C179.881 9.85641 180.65 10.9051 179.402 11.7301C178.154 12.5552 175.361 12.8442 173.163 12.3756Z" fill="#FAA61A"></path>
    </symbol>
    <symbol viewBox="0 0 17 16" fill="none" id="arrow">
      <path d="M16 8L2 8" stroke="currentColor" />
      <path d="M9 15L16 8L9 0.999999" stroke="currentColor" />
      <path d="M15 8L1 8" stroke="currentColor" />
      <path d="M8 15L15 8L8 0.999999" stroke="currentColor" />
    </symbol>
    <symbol viewBox="0 0 24 24" id="external-link">
      <path d="M19 19H5V5h7V3H3v18h18v-9h-2v7ZM14 3v2h3.59l-9.83 9.83 1.41 1.41L19 6.41V10h2V3h-7Z" fill="currentColor" />
    </symbol>
  </svg>
  <div class="posFix w-100" style="background-color:rgb(3, 45, 87);height:4.2rem;top:0;z-index:1;"></div>
  <section class="py-5" style="margin-top:4.2rem;">
    <div class="container">
      <div class="row">
        <div class="col-md-6 col-lg-5 order-md-2">
          <img src="<?= $program->image->src ?>" class="img-fluid w-100 rounded" alt="Image" style="max-height:400px;object-fit:contain;">
        </div>
        <div class="col-md-6 col-lg-7 order-md-1">
          <h6 class="text-capitalize" style="font-size: large;"><?= $program->category ?> <svg width="55" height="42" class="align-bottom" viewBox="0 0 110 84" fill="none" xmlns="http://www.w3.org/2000/svg">
              <path d="M18.8164 1.26562L20.5612 45.1542" stroke="#FF650E" stroke-width="2" stroke-linecap="round"></path>
              <path d="M33.7734 29.8076L33.0918 48.769" stroke="#FF650E" stroke-width="2" stroke-linecap="round"></path>
              <path d="M60.1542 22.0535L40.3501 53.6177M61.7669 52.0143L45.975 59.9903M100.399 60.0482L50.4313 68.0613" stroke="#FF650E" stroke-width="2" stroke-linecap="round"></path>
            </svg></h6>
          <div class="posRel">
            <h2 class="text-capitalize my-4" style="font-weight:800;"><?php 
            $words = explode(' ', $program->title); 
            $first_words = join(' ', array_slice($words, 0, 2));
            $rest_words = join(' ', array_slice($words, 2));
            ?><span class="w-100 d-block mb-2"><?=$first_words?></span><?=$rest_words?></h2>
            <img src="<?= $uri->site ?>asset/picture/pointy-arrow.png" width="150" class="d-none d-md-block posAbs" style="right:0;top:0;translate:0 -50%;">
          </div>
          <p class="col-lg-10 col-xl-9 px-0 text-truncate-lines-2" style="font-size: large;-webkit-line-clamp: 4;"><?= $program->description ?></p>
          <?php if (!empty($program->url)) { ?><a href="<?=$program->url?>" class="contest-btn" style="font-size: medium;"><span type="button" class="btn text-dark" style="border-radius:50rem;background-color:rgb(254, 201, 47);font-weight:600;box-shadow:none;padding: 12px 30px;"><?php if (strpos($program->category, 'Job') !== FALSE || strpos($program->category, 'Scholarship') !== FALSE) { ?>Apply<?php } else { ?>Register<?php } ?></span><span class="fas fa-arrow-right text-dark rounded-circle" style="transition: 0.4s;background-color:rgb(254, 201, 47);padding: 12px 13px;"></span></a><?php } ?>
        </div>
      </div>
      <div class="d-md-flex justify-content-between align-items-md-end pl-4" style="background-image:url('<?= $uri->site ?>asset/picture/cutaway-bg.png');background-repeat:no-repeat;background-position:20% 30%;background-size:cover;height:280px;">
        <div class="col-auto d-flex flex-column justify-content-lg-center px-0 mb-4">
          <h5 class="mt-4" style="font-size:large;font-weight:600;">Share on:</h5>
          <div class="btn-toolbar flex-grow-1 justify-content-center mb-4" role="toolbar" style="gap:1rem;">
            <a class="btn bg-white text-dark border" href="https://web.facebook.com/dialog/share?app_id=652484810127701&href=<?= $shared_link ?>&display=popup&_rdc=1&_rdr" target="_blank" style="width: 50px; height: 50px; border-radius: 50%; padding-top: 1rem;border-width: 2px !important;"><i class="fab fa-facebook-f align-middle" style="font-size: 1.5em;"></i></a>
            <a class="btn bg-white text-dark border" href="https://twitter.com/intent/post?url=<?= $shared_link ?>&text=Cybersecurity&via=Digital%20Dreams%20ICT%20Academy" target="_blank" style="width: 50px; height: 50px; border-radius: 50%; padding-left: 1rem; padding-top: 1rem;border-width: 2px !important"><svg xmlns="http://www.w3.org/2000/svg" class="align-middle" height="1.5em" viewBox="0 0 512 512" fill="currentColor">
                <path d="M389.2 48h70.6L305.6 224.2 487 464H345L233.7 318.6 106.5 464H35.8L200.7 275.5 26.8 48H172.4L272.9 180.9 389.2 48zM364.4 421.8h39.1L151.1 88h-42L364.4 421.8z"></path>
              </svg></a>
            <a class="btn bg-white text-dark border" href="https://api.whatsapp.com/send/?text=<?= $shared_link ?>&type=custom_url&app_absent=0" target="_blank" style="width: 50px; height: 50px; border-radius: 50%; padding-left: 1rem; padding-top: 0.8rem;border-width: 2px !important"><i class="fab fa-whatsapp align-middle" style="font-size: 1.8em;"></i></a>
            <a class="btn bg-white text-dark border" href="https://www.linkedin.com/shareArticle?url=<?= $shared_link ?>&title=Cybersecurity&source=Digital%20Dreams%20ICT%20Academy" target="_blank" style="width: 50px; height: 50px; border-radius: 50%; padding-left: 1.1rem; padding-top: 1rem;border-width: 2px !important"><i class="fab fa-linkedin-in align-middle" style="font-size: 1.5em;"></i></a>
            <a class="btn bg-white text-dark border" href="https://api.whatsapp.com/send/?text=<?= $shared_link ?>&type=custom_url&app_absent=0" target="_blank" style="width: 50px; height: 50px; border-radius: 50%; padding-left: 1rem; padding-top: 0.8rem;border-width: 2px !important"><i class="fab fa-whatsapp align-middle" style="font-size: 1.8em;"></i></a>
          </div>
          <button type="button" class="btn text-dark" style="background-color:#ffdfd4;border-radius:50rem;font-size:medium;font-weight:600;" onclick="navigator.clipboard.writeText('<?= "{$uri->site}view-program/$id-" . strToUrl($program->title) ?>')">Copy link <i class="far fa-clipboard align-middle"></i></button>
          <?php if (!empty($program->url)) { ?><a href="<?= $program->url ?>" class="btn btn-block" style="background-color:rgb(85, 74, 255);border-radius:50rem;font-size:medium;font-weight:600;"><?php if (strpos($program->category, 'Job') !== FALSE || strpos($program->category, 'Scholarship') !== FALSE) { ?>Apply<?php } else { ?>Register<?php } ?> <svg width="20" height="20" fill="none" xmlns="http://www.w3.org/2000/svg" role="img" focusable="false" aria-hidden="true" class="align-middle">
              <use xlink:href="#external-link"></use>
            </svg></a><?php } ?>
        </div>
        <div class="posRel d-none d-lg-flex justify-content-lg-center align-items-lg-center rounded-circle mb-5 mx-auto" style="width:100px;aspect-ratio:1;">
          <svg width="100" height="100" viewBox="0 0 554 544" class="posAbs text-primary" style="left:0;top:0;">
            <path d="M423.3,77.2c49.5,32.5,100.4,67.2,118.4,114.5s3.5,107.1-15.4,165.7c-18.7,58.6-41.8,116.1-84,148.6 c-42.5,32.8-104.2,40.2-163.8,37.3c-59.5-3.2-116.8-17.1-164.7-47.9c-48.3-30.6-87.2-78.2-102-131.6C-3,310.5,6.6,251,25.3,194.7 C43.6,138,70.7,84.3,114.1,49.5C157.2,14.8,216.7-1,270.8,6.4C324.8,14.2,373.4,44.7,423.3,77.2z" fill="currentColor" />
          </svg>
          <svg width="34" height="8" viewBox="0 0 67 16" xmlns="http://www.w3.org/2000/svg" style="z-index:1;overflow:visible;">
            <path d="M66.7071 8.70711C67.0976 8.31659 67.0976 7.68342 66.7071 7.2929L60.3431 0.928937C59.9526 0.538413 59.3195 0.538413 58.9289 0.928937C58.5384 1.31946 58.5384 1.95263 58.9289 2.34315L64.5858 8.00001L58.9289 13.6569C58.5384 14.0474 58.5384 14.6805 58.9289 15.0711C59.3195 15.4616 59.9526 15.4616 60.3431 15.0711L66.7071 8.70711ZM-8.74228e-08 9L66 9.00001L66 7.00001L8.74228e-08 7L-8.74228e-08 9Z" fill="white">
              <animateTransform attributeName="transform" attributeType="XML" type="translate" values="0,0; 35,0; -35,0; 0,0" keyTimes="0; 0.25; 0.75; 1" dur="2s" repeatCount="indefinite"></animateTransform>
            </path>
          </svg>
        </div>
        <div class="col-md-7 col-lg-6 col-xl-5 d-md-flex align-items-md-bottom justify-content-center">
          <img decoding="async" src="<?= $uri->site ?>asset/picture/pointy-arrow2.png" width="100" style="object-fit: contain;object-position:top;">
          <div class="flex-grow-1">
            <h5 class="text-center font-weight-bold">Date & Time</h5>
            <?php if (strpos($program->date, '; ')) {
              $arr = explode('; ', $program->date);
              $datetime = explode(' ', $arr[0]);
              array_push($datetime, $arr[1]);
              $start_date = $arr[0];
              $time = $arr[1];
              $subs = ['day', 'month', 'year', 'time'];
            ?>
              <div class="d-flex">
                <?php foreach ($datetime as $i => $val) { ?>
                  <h4 class="mt-0 mb-md-3 mb-lg-5 mr-3 text-center<?php if ($i == 3) { ?> ml-3<?php } ?>"><?= $val ?> <small class="d-block"><?= $subs[$i] ?></small></h4>
                <?php } ?>
              </div>
            <?php } else {
              $dates = explode(' to ', $program->date);
              $start_date = $dates[0];
              $end_date = $dates[1] ?? null;
            ?>
              <h5 class="mt-0 mb-3 mr-3 text-center"><span><?= $dates[0] ?></span><?php if (!empty($dates[1])) { ?><span class="d-flex w-100" style="font-size: smaller;font-weight: 500;">
                    <hr class="bg-primary mr-1" style="flex: 1;">To
                    <hr class="bg-primary ml-1" style="flex: 1;">
                  </span><span><?= $dates[1] ?></span><?php } ?></h5>
            <?php } ?>
          </div>
        </div>
      </div>
    </div>
  </section>
  <section class="container mt-5">
    <div class="row justify-content-center">
      <div class="posRel mt-4 mb-3">
        <div class="fullWidth float-left course-head border-0">
          <h2 class="text-center text-nowrap"><span style="color:#FAA61A;">About</span> Program</h2>
        </div>
        <svg class="posAbs" style="left:50%;translate:-50%;top:3.5rem;" role="img" width="8rem" height="0.6rem">
          <use xlink:href="#bent-line" />
        </svg>
        <div class="card-body">
          <p class="card-text text-center mx-auto" style="line-height:1.8;">See details of the <?=$program->category?> below.</p>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-12 col-md">
        <h5 class="text-capitalize mb-3" style="font-weight:500;font-family:'Spartan', sans-serif;">Description</h5>
        <div class="text-justify mr-4" style="line-height: 2;"><?= $program->description ?></div>
        <?php if (!empty($program->participants)) { ?>
          <h6 class="text-capitalize mb-2 mt-4">Ideal participants</h6>
          <p>If you fall into one of these, then this event is for you.</p>
          <ul class="arrow-list">
            <?php foreach ($program->participants as $participant) { ?>
              <li><?= $participant ?></li>
            <?php } ?>
          </ul>
        <?php } ?>
      </div>
      <div class="col-12 col-md" style="max-width:28rem;">
        <h5 style="font-family: 'Spartan', sans-serif;">Summary</h5>
        <?php $location = urlencode($program->location) ?>
        <ul class="list-group list-group-flush">
          <li class="list-group-item d-flex px-0 border-top-0">
            <div class="rounded-circle d-flex align-items-center justify-content-center" style="width: 50px; height:50px; background-color: #F7F4EF; font-size:20px;color:#00262b;"><i class="fas fa-map-marker-alt"></i></div>
            <div class="ml-3">
              <h6 class="text-capitalize mb-2">Location</h6>
              <h5 class="mb-0" style="font-size: 16px;"><?= $program->location ?></h5>
            </div>
          </li>
          <?php if (!empty($start_date)) { ?>
            <li class="list-group-item d-flex px-0 border-top-0">
              <div class="rounded-circle d-flex align-items-center justify-content-center" style="width: 50px; height:50px; background-color: #F7F4EF; font-size:20px;color:#00262b;"><i class="far fa-calendar-check"></i></div>
              <div class="ml-3">
                <h6 class="text-capitalize mb-2"><?php if (!empty($end_date)) { ?>Start date<?php } else { ?>Date<?php } ?></h6>
                <h5 class="mb-0" style="font-size: 16px;"><?= $start_date ?></h5>
              </div>
            </li>
          <?php }
          if (!empty($end_date)) { ?>
            <li class="list-group-item d-flex px-0 border-top-0">
              <div class="rounded-circle d-flex align-items-center justify-content-center" style="width: 50px; height:50px; background-color: #F7F4EF; font-size:20px;color:#00262b;"><i class="far fa-calendar-check"></i></div>
              <div class="ml-3">
                <h6 class="text-capitalize mb-2">End date</h6>
                <h5 class="mb-0" style="font-size: 16px;"><?= $end_date ?></h5>
              </div>
            </li>
          <?php }
          if (!empty($time)) { ?>
            <li class="list-group-item d-flex px-0 border-top-0">
              <div class="rounded-circle d-flex align-items-center justify-content-center" style="width: 50px; height:50px; background-color: #F7F4EF; font-size:20px;color:#00262b;"><i class="far fa-clock"></i></div>
              <div class="ml-3">
                <h6 class="text-capitalize mb-2">Time</h6>
                <h5 class="mb-0" style="font-size: 16px;"><?= $start_date ?></h5>
              </div>
            </li>
          <?php } 
          if (!empty($program->contact_info)) {
          ?>
          <li class="list-group-item d-flex px-0 border-0">
            <div class="rounded-circle d-flex align-items-center justify-content-center" style="width: 50px; height:50px; background-color: #F7F4EF; font-size:20px;color:#00262b;"><?php if (filter_var($program->contact_info, FILTER_VALIDATE_EMAIL)) { ?><i class="far fa-envelope"></i><?php } else {?><i class="fas fa-tty"></i><?php } ?></div>
            <div class="ml-3">
              <h6 class="text-capitalize mb-2">Contact information</h6>
              <h5 class="mb-0" style="font-size: 16px;"><?= $program->contact_info ?></h5>
            </div>
          </li><?php } ?>
          <li class="list-group-item d-flex px-0 border-0">
            <div class="rounded-circle d-flex align-items-center justify-content-center" style="width: 50px; height:50px; background-color: #F7F4EF; font-size:20px;color:#00262b;"><i class="far fa-calendar-alt"></i></div>
            <div class="ml-3">
              <h6 class="text-capitalize mb-2">Dated posted</h6>
              <h5 class="mb-0" style="font-size: 16px;"><?= $program->date_uploaded ?></h5>
            </div>
          </li>
        </ul>
        <h5 class="my-3" style="font-family: 'Spartan', sans-serif;">Location on map</h5>
        <div class="embed-responsive embed-responsive-4by3 bg-light" style="max-width:500px;max-height:400px;">
          <div class="posAbs neumorphic">
            <p><?= $program->location ?></p>
            <a href="https://www.google.com/maps/dir?api=1&destination=<?= $location ?>" target="_blank" class="btn btn-block bg-transparent text-dark btn-hover" style="border:1px solid #FAA61A;border-radius:10px;font-weight:600;box-shadow:none;">Get directions
              <svg role="img" width="1em" height="1em" class="ml-1 align-top" style="rotate: -45deg;">
                <use xlink:href="#arrow"></use>
              </svg>
            </a>
          </div>
          <iframe class="embed-responsive-item" id="map-canvas" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" src="https://maps.google.com/maps?width=600&height=400&hl=en&q=<?= $location ?>&t=&z=14&ie=UTF8&iwloc=B&output=embed" allowfullscreen="" loading="lazy"></iframe>
        </div>
      </div>
    </div>
  </section>
  <?php if (!empty($related)) { ?>
    <section class="container-fluid my-5">
      <div class="row justify-content-center">
        <div class="posRel mt-4 mb-3">
          <div class="fullWidth float-left course-head border-0">
            <h2 class="text-center text-nowrap"><span style="color:#FAA61A;">Related</span> Programs</h2>
          </div>
          <svg class="posAbs" style="left:50%;translate:-50%;top:3.5rem;" role="img" width="8rem" height="0.6rem">
            <use xlink:href="#bent-line" />
          </svg>
          <div class="card-body">
            <p class="card-text text-center mx-auto" style="line-height:1.8;">We have more programs you may be interested in.</p>
          </div>
        </div>
      </div>
      <div class="d-flex justify-content-end mb-5 mx-3"><a href="<?= $uri->site ?>find-programs/<?= encodeForUrl($program->category) ?>" class="btn btn-lg bg-transparent text-dark px-4 py-2 mb-auto" style="border: 1px solid rgb(250, 166, 26); font-weight: 600; box-shadow: none; border-radius: 0px; background-color: transparent !important;" onmouseover="this.style.setProperty('background-color', '#FAA61A16', 'important')" onmouseout="this.style.setProperty('background-color', 'transparent', 'important')">View All
          <svg role="img" width="1em" height="1em" class="ml-1 align-middle">
            <use xlink:href="#arrow"></use>
          </svg>
        </a>
      </div>
      <div class="container">
        <div class="owl-carousel owl-theme">
          <?php foreach ($related as $rel_contest) { ?>
            <div class="card contest-card">
              <div class="row">
                <div class="col-md-4 p-0 d-flex">
                  <img src="<?= $program->image->src ?>" class="img-fluid w-100 rounded" alt="Image" style="max-height:250px;object-fit:cover;object-position:top;">
                </div>
                <div class="col-md-8 mt-3 mt-md-0">
                  <div class="card-body py-0">
                    <h5 class="card-title" style="font-family: 'Nunito', sans-serif;"><?= $program->title ?></h5>
                    <p class="card-text text-truncate-lines-2" style="min-height: unset !important;"><?= $program->description ?></p>
                    <p class="card-text" style="min-height:unset !important;font-weight: 500;">
                      <?php if (!empty($program->date)) {
                        list($day, $time) = explode('; ', $program->date) + ['', ''];
                      ?>
                        <i class="far fa-calendar text-secondary"></i><span class="ml-2"><?= $day ?></span><?php if (!empty($time)): ?><span class=" mx-2">|</span><i class="far fa-clock text-secondary"></i><span class="ml-2"><?= $time ?></span><?php endif;                                                                                                if (!empty($program->location)) ?><span class=" mx-2">|</span>
                      <?php }
                      if (!empty($program->location)): ?><i class="fas fa-map-marker-alt text-secondary"></i><span class="ml-2"><?= $program->location ?></span><?php endif; ?>
                    </p>
                    <button type="button" class="btn btn-lg clip-btn">View details <i class="fas fa-long-arrow-alt-right ml-1 align-middle"></i></button>
                    <a href="<?= "{$uri->site}view-program/{$program->id}-" . strToUrl($program->title) ?>"></a>
                  </div>
                </div>
              </div>
            </div>
          <?php } ?>
        </div>
      </div>
    </section>
  <?php }?>
  <section class="container py-5">
		<div class="row align-items-center justify-content-center my-5" style="position: relative;">
			<div class="posRel col-md-6 d-flex justify-content-center my-3">
				<img src="<?= $uri->site ?>asset/picture/job_globe.png" alt="Lighted globe" style="object-fit: contain">
			</div>
			<div class="posRel col-md-6">
				<div class="fullWidth">
					<h3 class="text-center text-md-start font-weight-bold">Seize the Opportunities Today!</h3>
					<p class="card-text">
          Don't miss out on amazing opportunities to grow and succeed! From exciting contests to enriching seminars, each event is a chance to sharpen your skills, expand your network, and unlock new doors. Whether you're aiming for personal growth or professional success, these events offer valuable insights and rewards. Act now—your future is waiting, and the best time to start is today! Embrace the chance to elevate your career!
					</p>
				</div>
			</div>
		</div>
	</section>
  <?php require_once("components/footer.php") ?>
</body>

</html>