<?php
//header('Content-Type: application/json');
//business & industry

$id = explode("-", $uri->content_id);
$data = contentCache($uri->page_source, reset($id));

$slider = reset($data->image);
$data->title = ucwords($data->type).' '.$data->title.' | Digital Dreams LTD';
?>
<!doctype html>
<html lang="">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title><?=$data->title?></title>
	<?php require_once('components/seo_tags.php')?>
	<?php require_once('components/csslinks.php')?>
</head>
<body data-type="<?=$data->type?>" data-id="<?=$data->id?>">
	<?php require_once('components/nav.php')?>

	<div class='float-left posRel fullWidth'>
		<div id="carouselExampleIndicators" class="carousel slide not-full" data-ride="carousel">
			<ol class="carousel-indicators">
				<?php foreach($data->image as $k => $image){?>
					<li data-target="#carouselExampleIndicators" data-slide-to="<?=$k?>" class="<?php if($k==0)echo 'active'; ?>"></li>
				<?php } ?>
			</ol>
			<div class="carousel-inner" role="listbox">
				<?php foreach($data->image as $k => $image){
					list($width, $height)  = @getimagesize(absolute_filepath(str_replace('../', $uri->site, $image->src))); ?>
					<div class="carousel-item <?php if($k==0)echo ' active'; ?>">
						<div class="float-right posAbs" style="padding: 50px; right: 0; margin: 120px 150px 0 0px;width: 600px;z-index: 1;">
							<h1 class="site_title text_bold_7 text-white text-right animated bounceInUp" style="animation-delay: 0.01s;animation-duration: 1.5s;"><?=$image->title?></h1>
							<h5 class="text-white text-right animated bounceInUp" style="font-weight:200; animation-delay: 0.11s;animation-duration: 1.5s;"><?=$image->desc?></h5>
							<?php if(!empty($image->anchor->href)){ ?>
								<a href="<?=$image->anchor->href?>" class="btn btn-lg btn-info float-right animated bounceInUp" style="animation-delay: 0.21s;animation-duration: 1.5s;"><?=$image->anchor->name?></a>
							<?php }?>
						</div>
						<div class="custom-overlay posAbs float-left fullWidth fullHeight"></div>
						<img class="d-block <?php if($width>$height || $width==$height){echo 'slide-fh';}else echo 'slide-fw' ?>" src="<?=$image->src ?>" alt="First slide">
					</div>
				<?php } ?>
			</div>
			<?php if(count($data->image) > 1){?>
				<a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
					<i class="now-ui-icons arrows-1_minimal-left"></i>
				</a>
				<a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
					<i class="now-ui-icons arrows-1_minimal-right"></i>
				</a>
			<?php } ?>
		</div>
	</div>

	<div class='float-left posRel fullWidth pb-5 product'>
		<div class="container pt-0">
			<div class="col-md-9 posRel float-left read-content nopad-mobile">
				<div class="posRel col-sm-12 float-left nopad-mobile">
					<div class="fullWidth float-left course-head nopad-mobile">
						<h1 class="mb-0 mt-1 text-capitalize"><b><?=$data->title?></b></h1>
					</div>
					<div class="fullWidth float-left pl-5 pt-3 pb-3 nopad-mobile">
						<div class="fullWidth float-left mt-4"><?=$data->body?></div>
					</div>

				</div>
			</div>
		</div>
		<?php if(!empty($data->related)){?>
			<div class="col-sm-12 float-left posRel pt-4 pb-4">
				<section class="related-articles container">
					<div class="float-left course-head fullWidth mb-2 bt-0" style="width: auto">
						<h3 class="mb-0"><b>Related Contents</b></h3>
					</div>
					<div class="fullWidth float-left">
						<?php
						$cp=count($data->related);
						$grid = grider($cp);
						$c = 0;
						foreach($grid as $k => $v){?>
							<section class="<?=$k?> float-left">
								<?php for($i=1; $i <= $v[0]; $i++){
									if(isset($data->related[$c])){
										$item = $data->related[$c];
										?>
										<div class="<?=$v[1]?>"><?php require("components/{$v[2]}.php"); ?></div>
									<?php } $c++; } ?>
								</section>
							<?php }	?>
						</div>
					</div>
				</section>
			</div>
		<?php }?>
	</div>



	<?php require_once('components/footer.php')?>
	<script>
	(adsbygoogle = window.adsbygoogle || []).push({
		google_ad_client: "ca-pub-4696224049420135",
		enable_page_level_ads: true
	});(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
		(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
		m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
	})(window,document,'script','//www.google-analytics.com/analytics.js','ga');
	ga('create', 'UA-12843401-1', 'auto');
	ga('require', 'displayfeatures');
	ga('send', 'pageview');
	$(document).ready(function(){

		// update views
		$('body').updateViews(function (response) {
			let res = isJson(response);
			$('.page-socials').find('li.social-link > span').text(res.views);
		});

		$('.read-content img').each(function(){
			if($(this).attr('type')=='picture'){
				var src = $(this).attr('src');
				src = src.replace('../', site.domain);
				if($(this).attr('src'))$(this).attr({'src':src});
			}
		});
		$('.ui-resizable-handle').remove();
	})
	</script>
</body>
</html>
