<?php
//header('Content-Type: application/json');
//products

$id = explode("-", $uri->content_id);
$data = contentCache($uri->page_source, reset($id));

$slider = reset($data->image);
$groups = [];
$data->title = strtoupper($data->type)." $data->title | Digital Dreams LTD";
?>
<!doctype html>
<html lang="">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<title><?=$data->title?></title>
	<script src=""></script>
	<?php require_once('components/seo_tags.php')?>
	<?php require_once('components/csslinks.php')?>
</head>
<body data-id="<?=$data->id?>" data-type="<?=$data->type?>">
	<?php require_once('components/nav.php')?>

	<div class='float-left posRel fullWidth'>
		<div id="carouselExampleIndicators" class="carousel slide not-full" data-ride="carousel">
			<ol class="carousel-indicators">
				<?php foreach($data->image as $k => $image){?>
					<li data-target="#carouselExampleIndicators" data-slide-to="<?=$k?>" class="<?php if($k==0)echo 'active'; ?>"></li>
				<?php } ?>
			</ol>
			<div class="carousel-inner" role="listbox">
				<?php foreach($data->image as $k => $image){
					list($width, $height)  = getimagesize(absolute_filepath(str_replace('../',  $uri->site, $image->src)));
					?>
					<div class="carousel-item <?php if($k==0)echo ' active'; ?>">
						<div class="float-right posAbs" style="padding: 50px; right: 0; margin: 120px 150px 0 0px;width: 600px;z-index: 1;">
							<h1 class="site_title text_bold_7 text-white text-right animated bounceInUp" style="animation-delay: 0.01s;animation-duration: 1.5s;"><?=$image->title?></h1>
							<h5 class="text-white text-right animated bounceInUp" style="font-weight:200; animation-delay: 0.11s;animation-duration: 1.5s;"><?=$image->desc?></h5>
							<?php if(!empty($image->anchor->href)){ ?>
								<a href="<?=$image->anchor->href?>" class="btn btn-lg btn-info float-right animated bounceInUp" style="animation-delay: 0.21s;animation-duration: 1.5s;"><?=$image->anchor->name?></a>
							<?php }?>
						</div>
						<div class="custom-overlay posAbs float-left fullWidth fullHeight"></div>
						<img class="d-block <?php if($width>$height || $width==$height){echo 'slide-fh';}else echo 'slide-fw' ?>" src="<?=str_replace('../', $uri->site, $image->src) ?>" alt="First slide">
					</div>
				<?php } ?>
			</div>
			<?php if(count($data->image) > 1){?>
				<a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
					<i class="now-ui-icons arrows-1_minimal-left"></i>
				</a>
				<a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
					<i class="now-ui-icons arrows-1_minimal-right"></i>
				</a>
			<?php } ?>
		</div>
	</div>

	<div class='float-left posRel fullWidth pb-5 product'>
		<div class="container pt-0">
			<div class="col-md-8 posRel float-left read-content">
				<div class="posRel col-sm-12 float-left">
					<div class="fullWidth float-left course-head nopad-mobile">
						<h1 class="mb-0 mt-1 text-capitalize"><b><?=$data->title?></b></h1>
					</div>
					<div class="fullWidth float-left pl-5 pt-3 pb-3 nopad-mobile">
						<div class="fullWidth float-left mt-4"><?=$data->body?></div>
					</div>

				</div>
			</div>
			<?php if (!empty($data->related)):
				foreach($data->related as $k => $v){
					$cat = $v->type;
					$groups[$cat][] = $v;
				} ?>
				<div class="col-md-4 posRel float-left">
					<div class="posRel col-sm-12 float-left mt-5 pt-5">
						<?php foreach($groups as $key => $v){?>
							<div id="<?=$key?>" >
								<div class="fullWidth float-left course-head">
									<b class="text-capitalize"><?=$key?></b>
								</div>
								<div class="fullWidth float-left course-body pl-0 pr-0 pt-3 pb-3">
									<?php foreach($v as $k => $item){ if($k < 3){?>
										<div class="float-left fullWidth mb-2"><?php require('components/small_list.php');?></div>
									<?php }} ?>
								</div>
							</div>
						<?php } ?>
					</div>
				</div>
			<?php endif; ?>
		</div>
		<div class="fullWidth float-left" style="background-color: #fcfcfc">
			<div class="container">
				<?php if($data->type == 'product'){?>
					<div class="fullWidth float-left course-head bt-0">
						<h4 class="mb-1 mt-1"><b><?=$data->title?> Features</b></h4>
					</div>
					<div class="fullWidth float-left">
						<div class="product_specs pt-3">
							<?php if(isset($data->product_desc)){
								$data->product_desc = json_decode($data->product_desc);
								foreach($data->product_desc as $item){?>
									<div class="float-left fullWidth mb-3 col-md-6 nopad">
										<div class="col-sm-3 float-left">
											<img class="" src="<?=str_replace('../', $uri->site, $item->src)?>">
										</div>
										<div class="col-sm-9 float-left">
											<h5><b><?=$item->title?></b></h5>
											<p><?=$item->desc?></p>
										</div>
									</div>
								<?php }
							}else{?>
								<li>No Product Specification</li>
							<?php } ?>
						</div>

					</div>
				<?php } ?>
			</div>
		</div>
	</div>



	<?php require_once('components/footer.php')?><br>

	<script>
	(adsbygoogle = window.adsbygoogle || []).push({
		google_ad_client: "ca-pub-4696224049420135",
		enable_page_level_ads: true
	});(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
		(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
		m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
	})(window,document,'script','//www.google-analytics.com/analytics.js','ga');
	ga('create', 'UA-12843401-1', 'auto');
	ga('require', 'displayfeatures');
	ga('send', 'pageview');
	$(document).ready(function(){

		// update views
		$('body').updateViews(function (response) {
			let res = isJson(response);
			$('.page-socials').find('li.social-link > span').text(res.views);
		});

		$('.read-content img').each(function(){
			if($(this).attr('type')=='picture'){
				var src = $(this).attr('src');
				src = src.replace('../', site.domain);
				if($(this).attr('src'))$(this).attr({'src':src});
			}
		});
		$('.ui-resizable-handle').remove();
	})
	</script>
</body>
</html>
