<?php
$data = contentCache('tech-jobs');
$category = decodeFromUrl($uri->content_id);
$search = decodeFromUrl($uri->event);
$jobs = !empty($category) && $category != 'all' ? jobListCache(categories: [$category], search: $search) : jobListCache(search: $search);
$job_cats = array_group($jobs, "category");
$all_cats = array_keys($job_cats);
$currencies = (array) $paramControl->load_sources('currency');
$work_types = $paramControl->load_sources('work_type');
$education_levels = (array) $paramControl->load_sources('education_level');
$states = (array) $paramControl->load_sources('states');
$countries = $paramControl->load_sources('countries');
$pay_basis = (array) $paramControl->load_sources('pay_basis');
$slider = reset($data->image);
// if () {
// 	$job_cats = array_filter($job_cats, function ($_, $cat) use ($category) {
// 		return $cat == $category;
// 	}, ARRAY_FILTER_USE_BOTH);
// }
// if (!empty($search)) {
// 	foreach ($job_cats as $cat => $group) {
// 		if ($category != 'all') {
// 			similar_text(strtolower($cat), strtolower($search), $score);
// 			if ($score > 50) continue;
// 		}
// 		$group = array_filter($group, function ($job) use ($search) {
// 			similar_text(strtolower($job->category), strtolower($search), $score);
// 			return $score > 50;
// 		});
// 		$job_cats[$cat] = $group;
// 	}
// 	$job_cats = array_filter($job_cats, function ($group) {
// 		return count($group) > 0;
// 	});
// }
if (!empty($_GET['employer'])) {
  $employer = decodeFromUrl($_GET['employer']);
  foreach ($job_cats as $cat => $group) {
    $job_cats[$cat] = array_filter($group, function ($job) use ($employer) {
      return $job->employer_name == $employer;
    });
  }
  $job_cats = array_filter($job_cats, function ($group) {
    return count($group) > 0;
  });
} elseif (!empty($_GET['groupby'])) {
  $groups = array_group($jobs, 'employer_name');
}
$groups ??= $job_cats;
$result_count = array_reduce($job_cats, function ($accum, $group) {
  return $accum + count($group);
}, 0);
$data->itemprop = "{$data->title} - ".join(', ', array_values($paramControl->load_data_from_param('job_cat')));
$data->title = "Find tech jobs by position, employer, location, salary, ... | Digital Dreams LTD";
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title><?=$data->title?></title>

  <?php require_once("components/seo_tags.php") ?>
  <?php require_once("components/csslinks.php") ?>
</head>

<body>
  <?php require_once("components/nav.php") ?>
  <svg xmlns="http://www.w3.org/2000/svg" class="d-none">
    <symbol id="bent-line" viewBox="0 0 180 13" fill="currentColor">
      <path d="M173.163 12.3756C97.1838 -3.8242 30.6496 5.67799 7.32494 12.2553C5.30414 12.8252 2.43544 12.6722 0.917529 11.9135C-0.600387 11.1549 -0.192718 10.0779 1.82808 9.50807C27.5427 2.25675 98.002 -7.60121 177.683 9.38783C179.881 9.85641 180.65 10.9051 179.402 11.7301C178.154 12.5552 175.361 12.8442 173.163 12.3756Z" fill="#FAA61A"></path>
    </symbol>
  </svg>
  <div class="posFix w-100" style="background-color:rgb(3, 45, 87);height:4.2rem;top:0;z-index:1;"></div>
  <section class="mx-3 mb-5" id="searchContainer" style="margin-top:<?php if (isMobile()):?>6rem<?php else:?>8rem<?php endif; ?>;">
    <div class="row">
      <div class="col-md-9 offset-margin">
        <div class="card no-scaling mb-4" style="border-radius:50rem;max-width:500px;overflow:visible;box-shadow:none;">
          <div class="card-header bg-light border-0 row justify-content-between align-items-center flex-nowrap p-0" style="border-radius:50rem;">
            <div class="col d-flex align-items-center">
              <svg width="1.5em" height="1.5em" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M18 18L14.1394 14.1394M14.1394 14.1394C15.4263 12.8526 16.2222 11.0748 16.2222 9.11111C16.2222 5.18375 13.0385 2 9.11111 2C5.18375 2 2 5.18375 2 9.11111C2 13.0385 5.18375 16.2222 9.11111 16.2222C11.0748 16.2222 12.8526 15.4263 14.1394 14.1394Z" stroke="#292929" />
              </svg>
              <input type="text" class="border-0 ml-3 bg-transparent" style="outline:none;flex:1;" placeholder="Job title, keyword ..." id="searchJobs">
            </div>
            <div class="col-auto d-flex align-items-center pr-2">
              <a href="javascript:void(0);" class="btn btn-sm px-4 ml-3 academy-anchor" style="background-color:#291CF3;border-radius:50rem;" id="searchJobsBtn">
                Search
              </a>
            </div>
          </div>
        </div>
      </div>
      <div class="col-auto mb-5 pr-0 mr-4" style="max-width: 20rem;">
        <h6 style="text-transform: none;">Filter by</h6>
        <?php if (isMobile()) { ?>
          <div class="btn-group">
            <button class="btn bg-white text-dark btn-lg dropdown-toggle p-0" id="cat-toggle" data-toggle="dropdown" type="button" style="box-shadow: none;font-size:large;">Category</button>
            <div class="dropdown-menu p-2">
              <div class="d-flex flex-column" id="cat_filter" style="gap: 4px;width:18rem;max-height:60vh;overflow-y:auto;">
                <?php
                foreach ($all_cats as $cat) {
                  $cat_id = 'cat-' . preg_replace('/\s+/', '_', $cat);
                ?>
                  <div class="py-1">
                    <div class="d-inline-flex align-items-center" role="group"><input type="checkbox" class="cat-checkbox-input" id="<?= $cat_id ?>" value="<?= $cat ?>" <?php if (array_key_exists($cat, $job_cats)): ?>checked="" <?php endif; ?> onchange="reloadJobs()"><label for="<?= $cat_id ?>"><?= $cat ?></label></div>
                  </div>
                <?php } ?>
              </div>
            </div>
          </div>
        <?php } else { ?>
          <h5>Category</h5>
          <div class="d-flex flex-column" id="cat_filter" style="gap: 4px;">
            <?php
            foreach ($all_cats as $cat) {
              $cat_id = 'cat-' . preg_replace('/\s+/', '_', $cat);
            ?>
              <div class="py-1">
                <div class="d-inline-flex align-items-center" role="group"><input type="checkbox" class="cat-checkbox-input" id="<?= $cat_id ?>" value="<?= $cat ?>" <?php if (array_key_exists($cat, $job_cats)): ?>checked="" <?php endif; ?> onchange="reloadJobs()"><label for="<?= $cat_id ?>"><?= $cat ?></label></div>
              </div>
            <?php } ?>
          </div>
        <?php } ?>
        <div class="my-4">
          <h5>Other</h5>
          <ul class="nav nav-pills mb-3" role="tablist">
            <li class="nav-item">
              <a class="nav-link active text-dark loc-tab" id="pills-state-tab" data-toggle="pill" href="#pills-state" role="tab" aria-controls="pills-state" aria-selected="true">State</a>
            </li>
            <li class="nav-item">
              <a class="nav-link text-dark loc-tab" id="pills-country-tab" data-toggle="pill" href="#pills-country" role="tab" aria-controls="pills-country" aria-selected="false">Country</a>
            </li>
          </ul>
          <div class="tab-content mt-4" id="pills-tabContent">
            <div class="tab-pane fade show active" id="pills-state" role="tabpanel" aria-labelledby="pills-state-tab">
              <div class="form-group">
                <label for="loc_state">Location (in Nigeria)</label>
                <select class="form-control" id="loc_state">
                  <option value="" selected disabled>Select state</option>
                  <?php foreach ($states as $key => $state) { ?>
                    <option value="<?= $key ?>"><?= $state ?></option>
                  <?php } ?>
                </select>
              </div>
            </div>
            <div class="tab-pane fade" id="pills-country" role="tabpanel" aria-labelledby="pills-country-tab">
              <div class="form-group">
                <label for="loc_country">Location</label>
                <select class="form-control" id="loc_country">
                  <option value="" selected disabled>Select country</option>
                  <?php foreach ($countries as $country) { ?>
                    <option value="<?= $country ?>"><?= $country ?></option>
                  <?php } ?>
                </select>
              </div>
            </div>
          </div>
          <div class="form-group my-4">
            <label for="work_type">Work type</label>
            <select class="form-control" id="work_type">
              <option value="" selected disabled>Select work type</option>
              <?php foreach ($work_types as $work_type) { ?>
                <option value="<?= $work_type ?>"><?= $work_type ?></option>
              <?php } ?>
            </select>
          </div>
          <div class="form-group">
            <label for="qualific">Qualification</label>
            <select class="form-control" id="qualification">
              <option value="" selected disabled>Select qualification</option>
              <?php foreach ($education_levels as $level) { ?>
                <option value="<?= $level ?>"><?= $level ?></option>
              <?php } ?>
            </select>
          </div>
        </div>
        <div class="form-group">
          <label for="salaryInput" class="form-label">Expected salary</label>
          <input type="range" class="salary-range" id="salaryInput" value="0" min="0" max="1e6" step="5">
          <div class="input-group mb-3">
            <div class="input-group-prepend">
              <select style="padding: .5rem .75rem;line-height: 1.5;border: 1px solid #dee2e6;width: 4.7rem;border-right:0;border-top-left-radius: 50rem;border-bottom-left-radius:50rem;outline:none;" id="currencySelector">
                <?php foreach ($currencies as $k => $_) { ?>
                  <option <?php if ($k == '₦') echo 'selected' ?> value="<?= $k ?>"><?= $k ?></option>
                <?php } ?>
              </select>
            </div>
            <input type="text" class="form-control bg-transparent" placeholder="Salary range" id="salaryDisp" readonly>
            <div class="input-group-append">
              <select style="padding: .5rem .75rem;line-height: 1.5;border: 1px solid #dee2e6;width: 6.5rem;border-left:0;border-top-right-radius: 50rem;border-bottom-right-radius:50rem;outline:none;" id="payBasis">
                <?php foreach ($pay_basis as $k => $v) { ?>
                  <option <?php if ($k == '/ month') echo 'selected' ?> value="<?= $k ?>"><?= $v ?></option>
                <?php } ?>
              </select>
            </div>
          </div>
        </div>
        <a href="javascript:void(0);" class="btn btn-sm btn-block mt-3 academy-anchor animated bounceInUp px-5" style="animation-delay: 0.21s;animation-duration: 1.5s;border-radius:50rem;background-color: #291CF3;" onclick="reloadJobs()">
          Filter jobs
        </a>
      </div>
      <div class="col-md">
        <div class="d-flex mb-3 align-items-center flex-wrap" id="search-filter" style="gap: 1rem !important;">
          <?php
          foreach ($job_cats as $cat => $_) {
            $cat_id = 'cat-' . preg_replace('/\s+/', '_', $cat);
          ?>
            <div class="badge bg-light d-flex align-items-center text-dark border-0 text-capitalize p-2"><?= $cat ?><button class="close ml-2" style="font-size: x-small;" data-catid="<?= $cat_id ?>" onclick="removeFilter(this, reloadJobs)"></button></div>
          <?php } ?>
          <a href="javascript:void(0);" class="btn-link text-dark font-weight-bold" style="font-size: smaller;" id="clearFilter">Clear all</a>
        </div>
        <div class="d-flex justify-content-between">
          <h2 class="text-capitalize mb-1" id="jobResCount" style="font-family: 'Roboto Condensed', sans-serif;"><?php if (!empty($search)): ?>Search for "<?= $search ?>"<?php else: ?>Jobs<?php endif; ?> (<?= $result_count ?> Result<?= $result_count > 1 ? 's' : '' ?>)</h2>
        </div>
        <div class="row" id="job-results">
          <?php
          $c = 0;
          foreach ($groups as $cat => $group) {
            $group_count = count($group);
          ?>
            <div class="d-flex justify-content-between<?= $c > 0 ? ' mt-5' : '' ?> w-100">
              <h5 class="text-capitalize w-100 mx-3" style="font-weight: 500;flex:1;"><?= $cat ?></h5>
              <h6 class="font-weight-normal text-capitalize" style="font-size:18px;">Showing (<?= $group_count ?>)</h6>
            </div>
            <?php $fit = count($group) == 1;
            foreach ($group as $job) { ?>
              <div class="col-md-6" <?php if ($fit) { ?>style="width:fit-content;max-width: 100%;flex: none;" <?php } ?>>
                <div class="card job-card">
                  <div class="card-body">
                    <img class="img-thumbnail float-left mr-3 bg-light border-0" src="<?= $job->image ?>" width="50" alt="Logo">
                    <h5 class="card-title" style="font-family:'Roboto Condensed', sans-serif;"><?= $job->position ?></h5>
                    <h6 class="card-subtitle mb-2 font-weight-normal text-muted text-capitalize" style="font-family:'Spartan', sans-serif;"><?= $job->employer_name ?></h6>
                    <p class="card-text mt-3" style="min-height:unset !important;"><i class="fas fa-briefcase text-secondary"></i><span class="ml-2 mr-3"><?= $job->category ?></span><i class="fas fa-map-marker-alt text-secondary"></i><span class="ml-2 mr-3"><?= $job->location ?></span><?php if (!empty($job->salary)): ?><i class="fas fa-money-bill-wave text-secondary"></i><span class="ml-2"><?= $job->salary ?></span><?php endif; ?></p>
                    <p class="card-text" style="min-height:unset !important;font-weight: 500;"><?php if (!empty($job->close_date)) { ?>Deadline—<?= $job->close_date ?> <span class=" mx-2">|</span><?php } ?>Posted—<?= $job->date_uploaded ?></p>
                    <span class="badge border-0 px-3 py-2" style="background-color:#D6EBFF !important;color:#1967d2 !important;text-transform:none;font-size:smaller;"><?= $job->work_type ?></span>
                    <a href="<?= "{$uri->site}view-job/{$job->id}-" . strToUrl($job->position) ?>"></a>
                  </div>
                </div>
              </div>
          <?php }
            $c++;
          } ?>
        </div>
      </div>
    </div>
  </section>

  <section class="container mt-5">
    <div class="row justify-content-center">
      <div class="posRel mt-4 mb-5">
        <div class="fullWidth float-left course-head border-0">
          <h2 class="text-center text-nowrap"><span style="color:#FAA61A;">Popular</span> Jobs</h2>
        </div>
        <svg class="posAbs" style="left:50%;translate:-50%;top:3.5rem;" role="img" width="8rem" height="0.6rem">
          <use xlink:href="#bent-line" />
        </svg>
        <div class="card-body">
          <p class="card-text text-center mx-auto desc-text" style="line-height:1.8;">See our list of popular jobs for the job that suits your portfolio, and move to the next phase in your career.</p>
        </div>
      </div>
    </div>
    <div class="owl-carousel owl-theme">
      <?php
      $popular_jobs = array_slice($jobs, 0, 5);
      foreach ($popular_jobs as $job) {
      ?>
        <div class="card job-card">
          <div class="card-body">
            <div class="row">
              <div class="col-auto">
                <img class="img-thumbnail float-left mr-3 bg-light border-0" src="<?= $job->image ?>" alt="Logo" style="width:50px;margin:0!important;">
              </div>
              <div class="col-sm">
                <h5 class="card-title" style="font-family:'Roboto Condensed', sans-serif;"><?= $job->position ?></h5>
                <h6 class="card-subtitle mb-2 font-weight-normal text-muted text-capitalize" style="font-family:'Spartan', sans-serif;"><?= $job->employer_name ?></h6>
                <p class="card-text mt-3" style="min-height:unset !important;"><i class="fas fa-briefcase text-secondary"></i><span class="ml-2 mr-3"><?= $job->category ?></span><i class="fas fa-map-marker-alt text-secondary"></i><span class="ml-2 mr-3"><?= $job->location ?></span><?php if (!empty($job->salary)): ?><i class="fas fa-money-bill-wave text-secondary"></i><span class="ml-2"><?= $job->salary ?></span><?php endif; ?></p>
                <span class="badge border-0 px-3 py-2" style="background-color:#D6EBFF !important;color:#1967d2 !important;text-transform:none;font-size:smaller;"><?= $job->work_type ?></span>
                <a href="<?= "{$uri->site}view-job/{$job->id}-" . strToUrl($job->position) ?>"></a>
              </div>
            </div>
          </div>
        </div>
      <?php } ?>
    </div>
  </section>

  <section class="container py-5">
    <div class="row align-items-center justify-content-center my-5" style="position: relative;">
      <div class="posRel col-md-6 d-flex justify-content-center my-3">
        <img src="<?= $uri->site ?>asset/picture/job_globe.png" alt="Lighted globe" style="object-fit: contain">
      </div>
      <div class="posRel col-md-6">
        <div class="fullWidth">
          <h3 class="text-center text-md-start font-weight-bold">There's a shortage of skilled people</h3>
          <p class="card-text">
            It's quite the contrary that there isn't enough jobs. The actual situation is that there are not many qualified people for the jobs available. Hence, getting the required skillset for your dream job comes first!<br><br>At Digital Dreams ICT Academy, we offer courses tailored to give you the best for a successful career. Our trainings are flexible to accommodate most kinds of learners. Like the saying goes, knowledge is power.<span class="d-block mt-2" style="font-weight:500;font-size:16px;">Register for a course today and be well on your way to secure your dream job.</span>
          </p>
          <div class="d-flex justify-content-center justify-content-md-start">
            <a class="btn btn-sm academy-anchor animated bounceInUp text-dark mr-3" href="<?= $uri->site ?>training" target="_blank" style="animation-delay:0.21s;animation-duration: 1.5s;background-color:#FAA61A;border-radius:50rem;"> View our courses</a>
            <a class="btn btn-sm academy-anchor animated bounceInUp" href="https://wa.me/2348156846834?text=%2ADigital+Dreams+Academy+Courses+Enquiry%2A%0A" target="_blank" style="animation-delay:0.21s;animation-duration: 1.5s;background-color:#291CF3;border-radius:50rem;"><i class="fab fa-whatsapp" style="font-size:medium;"></i> Customer care</a>
          </div>
        </div>
      </div>
    </div>
  </section>
  <?php require_once("components/footer.php") ?>
</body>

</html>