<?php
$data = contentCache('programs');
$slider = reset($data->image);
$category = decodeFromUrl($uri->content_id);
$search = decodeFromUrl($uri->event);
$all_cats = $paramControl->load_sources('opportunity_type');
$programs = !empty($category) && $category != 'all' ? programListCache(categories: [$category], search: $search) : programListCache(search: $search);
$program_cats = array_group($programs, "category");
$organizers = array_keys(array_group($programs, "company"));
$states = (array) $paramControl->load_sources('states');
$result_count = array_reduce($program_cats, function ($accum, $group) {
  return $accum + count($group);
}, 0);
$data->itemprop = "{$data->title} - ".join(', ', array_values($all_cats));
$data->title = "Find tech programs by location, organizer, ... | Digital Dreams LTD";
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title><?=$data->title?></title>

  <?php require_once("components/seo_tags.php") ?>
  <?php require_once("components/csslinks.php") ?>
</head>

<body>
  <?php require_once("components/nav.php") ?>
  <svg xmlns="http://www.w3.org/2000/svg" class="d-none">
    <symbol id="bent-line" viewBox="0 0 180 13" fill="currentColor">
      <path d="M173.163 12.3756C97.1838 -3.8242 30.6496 5.67799 7.32494 12.2553C5.30414 12.8252 2.43544 12.6722 0.917529 11.9135C-0.600387 11.1549 -0.192718 10.0779 1.82808 9.50807C27.5427 2.25675 98.002 -7.60121 177.683 9.38783C179.881 9.85641 180.65 10.9051 179.402 11.7301C178.154 12.5552 175.361 12.8442 173.163 12.3756Z" fill="#FAA61A"></path>
    </symbol>
  </svg>
  <div class="posFix w-100" style="background-color:rgb(3, 45, 87);height:4.2rem;top:0;z-index:1;"></div>
  <section class="mx-3 mb-5" id="searchContainer" style="margin-top: <?php if (isMobile()):?>6rem<?php else:?>8rem<?php endif; ?>;">
    <div class="row">
      <div class="col-md-9 offset-margin">
        <div class="card no-scaling mb-4" style="border-radius:50rem;max-width:500px;overflow:visible;box-shadow:none;">
          <div class="card-header bg-light border-0 row justify-content-between align-items-center flex-nowrap p-0" style="border-radius:50rem;">
            <div class="col d-flex align-items-center">
              <svg width="1.5em" height="1.5em" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M18 18L14.1394 14.1394M14.1394 14.1394C15.4263 12.8526 16.2222 11.0748 16.2222 9.11111C16.2222 5.18375 13.0385 2 9.11111 2C5.18375 2 2 5.18375 2 9.11111C2 13.0385 5.18375 16.2222 9.11111 16.2222C11.0748 16.2222 12.8526 15.4263 14.1394 14.1394Z" stroke="#292929" />
              </svg>
              <input type="text" class="border-0 ml-3 bg-transparent" style="outline:none;flex:1;" placeholder="Job title, keyword ..." id="searchContests">
            </div>
            <div class="col-auto d-flex align-items-center pr-2">
              <a href="javascript:void(0);" class="btn btn-sm px-4 ml-3 academy-anchor" style="background-color:#291CF3;border-radius:50rem;" id="searchContestsBtn">
                Search
              </a>
            </div>
          </div>
        </div>
      </div>
      <div class="col-auto mb-5 pr-0 mr-4" style="max-width: 20rem;">
        <h6 style="text-transform: none;">Filter by</h6>
        <?php if (isMobile()) { ?>
          <div class="btn-group">
            <button class="btn bg-white text-dark btn-lg dropdown-toggle p-0" id="cat-toggle" data-toggle="dropdown" type="button" style="box-shadow: none;font-size:large;">Category</button>
            <div class="dropdown-menu p-2">
              <div class="d-flex flex-column" id="cat_filter" style="gap: 4px;width:18rem;max-height:60vh;overflow-y:auto;">
                <?php
                foreach ($all_cats as $cat) {
                  $cat_id = 'cat-' . preg_replace('/\s+/', '_', $cat);
                ?>
                  <div class="py-1">
                    <div class="d-inline-flex align-items-center" role="group"><input type="checkbox" class="cat-checkbox-input" id="<?= $cat_id ?>" value="<?= $cat ?>" <?php if (array_key_exists(strtolower($cat), $program_cats)): ?>checked=""<?php endif; ?> onchange="reloadContest()"><label for="<?= $cat_id ?>"><?= $cat ?></label></div>
                  </div>
                <?php } ?>
              </div>
            </div>
          </div>
        <?php } else { ?>
          <h5>Category</h5>
          <div class="d-flex flex-column" id="cat_filter" style="gap: 4px;">
            <?php
            foreach ($all_cats as $cat) {
              $cat_id = 'cat-' . preg_replace('/\s+/', '_', $cat);
            ?>
              <div class="py-1">
                <div class="d-inline-flex align-items-center" role="group"><input type="checkbox" class="cat-checkbox-input" id="<?= $cat_id ?>" value="<?= $cat ?>" <?php if (array_key_exists(strtolower($cat), $program_cats)): ?>checked="" <?php endif; ?> onchange="reloadContest()"><label for="<?= $cat_id ?>"><?= $cat ?></label></div>
              </div>
            <?php } ?>
          </div>
        <?php } ?>
        <div class="my-4">
          <h5>Other</h5>
          <div class="form-group">
            <label for="loc_state">Location (in Nigeria)</label>
            <select class="form-control" id="loc_state">
              <option value="" selected disabled>Select</option>
              <?php foreach ($states as $key => $state) { ?>
                <option value="<?= $key ?>"><?= $state ?></option>
              <?php } ?>
            </select>
          </div>
          <div class="form-group my-4">
            <label for="organizer">Organizer</label>
            <select class="form-control" id="organizer">
              <option value="" selected disabled>Select</option>
              <?php foreach ($organizers as $organizer) { ?>
                <option class="text-capitalize" value="<?= $organizer ?>"><?= $organizer ?></option>
              <?php } ?>
            </select>
          </div>
        </div>
        <a href="javascript:void(0);" class="btn btn-sm btn-block mt-3 academy-anchor animated bounceInUp px-5" style="animation-delay: 0.21s;animation-duration: 1.5s;border-radius:50rem;background-color: #291CF3;" onclick="reloadContest()">
          Filter result
        </a>
      </div>
      <div class="col-md">
        <div class="d-flex mb-3 align-items-center flex-wrap" id="search-filter" style="gap: 1rem !important;">
          <?php
          foreach ($program_cats as $cat => $_) {
            $cat_id = 'cat-' . preg_replace('/\s+/', '_', $cat);
          ?>
            <div class="badge bg-light d-flex align-items-center text-dark border-0 text-capitalize p-2"><?= $cat ?><button class="close ml-2" style="font-size: x-small;" data-catid="<?= $cat_id ?>" onclick="removeFilter(this, reloadContest)"></button></div>
          <?php } ?>
          <a href="javascript:void(0);" class="btn-link text-dark font-weight-bold" style="font-size: smaller;" id="clearFilter">Clear all</a>
        </div>
        <div class="d-flex justify-content-between">
          <h2 class="text-capitalize mb-1" id="contestResCount" style="font-family: 'Roboto Condensed', sans-serif;"><?php if (!empty($search)): ?>Search for "<?= $search ?>"<?php else: ?>Programs<?php endif; ?> (<?= $result_count ?> Result<?= $result_count > 1 ? 's' : '' ?>)</h2>
        </div>
        <div class="row" id="contest-results">
          <?php
          $c = 0;
          foreach ($program_cats as $cat => $group) {
            $group_count = count($group);
          ?>
            <div class="d-flex justify-content-between<?= $c > 0 ? ' mt-5' : '' ?> w-100">
              <h5 class="text-capitalize w-100 mx-3" style="font-weight: 500;flex:1;"><?= $cat ?></h5>
              <h6 class="font-weight-normal text-capitalize" style="font-size:18px;">Showing (<?= $group_count ?>)</h6>
            </div>
            <?php $fit = count($group) == 1;
            foreach ($group as $contest) { ?>
              <div class="col-12 <?php if ($fit): ?>col-xl-auto<?php else: ?>col-xl-6<?php endif; ?>">
                <div class="card contest-card">
                  <div class="row">
                    <div class="col-md-4 p-0 d-flex">
                      <img src="<?= $contest->image->src ?>" class="img-fluid w-100 rounded" alt="Image" style="max-height:250px;object-fit:cover;object-position:top;">
                    </div>
                    <div class="col-md-8 p-0 mt-3 mt-md-0">
                      <div class="card-body py-0">
                        <h5 class="card-title" style="font-family: 'Nunito', sans-serif;"><?= $contest->title ?></h5>
                        <p class="card-text text-justify text-truncate-lines-2" style="min-height: unset !important;"><?= $contest->description ?></p>
                        <p class="card-text" style="min-height:unset !important;font-weight: 500;">
                          <?php if (!empty($contest->date)) {
                            list($day, $time) = explode('; ', $contest->date) + ['', ''];
                          ?>
                            <i class="far fa-calendar text-secondary"></i><span class="ml-2"><?= $day ?></span><?php if (!empty($time)): ?><span class=" mx-2">|</span><i class="far fa-clock text-secondary"></i><span class="ml-2"><?= $time ?></span><?php endif;
                                                                                                                                                                                                                                                      if (!empty($contest->location)) ?><span class=" mx-2">|</span>
                          <?php }
                          if (!empty($contest->location)): ?><i class="fas fa-map-marker-alt text-secondary"></i><span class="ml-2"><?= $contest->location ?></span><?php endif; ?>
                        </p>
                        <button type="button" class="btn btn-lg clip-btn">View details <i class="fas fa-long-arrow-alt-right ml-1 align-middle"></i></button>
                        <a href="<?= "{$uri->site}view-opportunity/{$contest->id}-" . strToUrl($contest->title) ?>"></a>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
          <?php }
            $c++;
          } ?>
        </div>
      </div>
    </div>
  </section>
  <section class="container py-5">
    <div class="row align-items-center justify-content-center my-5" style="position: relative;">
      <div class="posRel col-md-6 d-flex justify-content-center my-3">
        <img src="<?= $uri->site ?>asset/picture/job_globe.png" alt="Lighted globe" style="object-fit: contain">
      </div>
      <div class="posRel col-md-6">
        <div class="fullWidth">
          <h3 class="text-center text-md-start font-weight-bold">Seize the Opportunities Today!</h3>
          <p class="card-text">
            Don't miss out on amazing opportunities to grow and succeed! From exciting contests to enriching seminars, each event is a chance to sharpen your skills, expand your network, and unlock new doors. Whether you're aiming for personal growth or professional success, these events offer valuable insights and rewards. Act now—your future is waiting, and the best time to start is today! Embrace the chance to elevate your career!
          </p>
        </div>
      </div>
    </div>
  </section>
  <?php require_once("components/footer.php") ?>
</body>

</html>