<?php
$id = explode("-", $uri->content_id);
if (empty($id)) header("Location: {$uri->site}talent-home");
$id = reset($id);
$data = contentCache('talent-home');

$slider = reset($data->image);
list($talent, $similar_talent) = talentProfile($id);
$profile = (object) $talent->profile;
$data->itemprop = $data->body ?? $slider->desc;
$data->title = $talent->name.(!empty($profile->title) ? " - $profile->title" : '').' | Digital Dreams LTD';
$data->body = $meta_desc = substr(trim(strip_tags($talent->bio)), 0, 150) . '...';
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title><?=$data->title?></title>
  <?php require_once("components/seo_tags.php") ?>
  <?php require_once("components/csslinks.php") ?>
</head>

<body>
  <?php require_once("components/nav.php") ?>
  <svg xmlns="http://www.w3.org/2000/svg" class="d-none">
    <symbol id="bent-line" viewBox="0 0 180 13" fill="currentColor">
      <path d="M173.163 12.3756C97.1838 -3.8242 30.6496 5.67799 7.32494 12.2553C5.30414 12.8252 2.43544 12.6722 0.917529 11.9135C-0.600387 11.1549 -0.192718 10.0779 1.82808 9.50807C27.5427 2.25675 98.002 -7.60121 177.683 9.38783C179.881 9.85641 180.65 10.9051 179.402 11.7301C178.154 12.5552 175.361 12.8442 173.163 12.3756Z" fill="#FAA61A"></path>
    </symbol>
    <symbol viewBox="0 0 16 16" id="caretUp">
      <path d="M8 7l-5.9 4L1 9.5l6.2-4.2c.5-.3 1.2-.3 1.7 0L15 9.5 13.9 11 8 7z" fill="currentColor"></path>
    </symbol>
    <symbol viewBox="0 0 16 16" id="caretDown">
      <path d="M8 9l5.93-4L15 6.54l-6.15 4.2a1.5 1.5 0 01-1.69 0L1 6.54 2.07 5z" fill="currentColor"></path>
    </symbol>
    <symbol viewBox="0 0 24 24" id="external-link">
      <path d="M19 19H5V5h7V3H3v18h18v-9h-2v7ZM14 3v2h3.59l-9.83 9.83 1.41 1.41L19 6.41V10h2V3h-7Z" fill="currentColor" />
    </symbol>
    <symbol viewBox="0 0 400 400" id="talentBadge">
      <path id="arc" d="M 35,200 A 165,165 0 0,0 316,316" stroke="#4682B4BB" stroke-width="70" fill="none" />
      <text x="50%" y="50%" text-anchor="middle" dominant-baseline="middle" font-size="40" letter-spacing="10" font-family="Roboto Condensed" fill="white">
        <textPath href="#arc">
          #OpenToWork
        </textPath>
      </text>
    </symbol>
  </svg>
  <div class="posFix w-100" style="background-color:rgb(3, 45, 87);height:4.2rem;top:0;z-index:1;"></div>
  <section class="cntainer-fluid pt-5" style="margin-top:1.4rem;">
    <nav class="d-flex justify-content-between align-items-center px-3 flex-wrap bg-light" style="border-bottom: 1px solid #e9ecef;" aria-label="breadcrumb">
      <a class="navbar-brand text-dark" href="#" style="line-height: 2.5;font-size: medium;"><i class="fas fa-arrow-left mr-2"></i>Talent Hub</a>
      <ol class="breadcrumb bg-transparent text-dark talent-nav mb-0" style="font-size: medium;">
        <?php if (!empty($talent->email) || !empty($talent->phone)) { ?><li class="breadcrumb-item"><a href="https://wa.me/2348156846834?text=%2AEnquiry+About+Candidate%3A%2A%0A_<?=rawurlencode("{$uri->site}view-profile/{$id}-".strToUrl($talent->name))?>_%0A" target="_blank">Request candidate's contact</a></li><?php } ?><?php extract($profile->socials);                                                   ?>
        <?php if (!empty($profile->socials)) { ?><li class="breadcrumb-item"><?php if (!empty($facebook)): ?><a href="<?= $facebook ?>"><i class="fab fa-facebook-f align-middle" style="font-size: 0.8em;"></i></a><?php endif;
                                                                                                                                                                                                                  if (!empty($x)): ?><a href="<?= $x ?>"><svg xmlns="http://www.w3.org/2000/svg" class="align-middle" height="0.8em" viewBox="0 0 512 512" fill="currentColor">
                  <path d="M389.2 48h70.6L305.6 224.2 487 464H345L233.7 318.6 106.5 464H35.8L200.7 275.5 26.8 48H172.4L272.9 180.9 389.2 48zM364.4 421.8h39.1L151.1 88h-42L364.4 421.8z"></path>
                </svg></a><?php endif;
                                                                                                                                                                                                                  if (!empty($linkedIn)): ?><a href="<?= $linkedIn ?>"><i class="fab fa-linkedin-in align-middle" style="font-size: 0.9em;"></i></a><?php endif;
                                                                                                                                                                                                                                                                                                                                                  if (!empty($github)): ?>
              <a href="<?= $github ?>"><i class="fab fa-github align-middle" style="font-size: 1em;"></i></a><?php endif; ?>
          </li><?php } ?>
      </ol>
    </nav>
    <div class="container ml-0 mx-md-auto mt-5">
      <div class="row">
        <div class="col-md-3 mb-4">
          <div class="d-flex flex-md-column align-items-center align-items-md-start mb-2 mb-md-0">
            <div class="col-3 col-sm-2 col-md-12 rounded-circle p-1 mr-3 mr-md-0 posRel" style="height: fit-content;max-width:250px;background: linear-gradient(45deg, #33aada, #665ed0);">
              <img class="w-100 bg-light rounded-circle p-1" src="<?= $talent->picture_ref ?? $uri->site . 'asset/picture/photo_silhouette.png' ?>" alt="Profile photo" style="object-fit:cover;aspect-ratio:1;">
              <?php if ($profile->open == 1) { ?><svg viewBox="0 0 400 400" class="posAbs w-100 p-2" style="left:0;top:0;">
                  <use xlink:href="#talentBadge" />
                </svg><?php } ?>
            </div>
            <div class="mt-md-3 mb-md-3" style="flex:1;">
              <h5 class="my-0" style="font-weight:600;"><?= $talent->name ?></h5>
              <?php if (!empty($profile->title) || !empty($profile->status)) { ?><h6 class="mt-1 mb-0 text-capitalize d-flex align-items-center flex-wrap font-weight-normal text-muted text-nowrap" style="font-size: larger;"><?= $profile->title ?><?php if (!empty($profile->title) && !empty($profile->status)): ?><i class="fas fa-circle align-middle mx-2" style="font-size:3px;flex-shrink:1;"></i><?php endif; ?><?= $profile->status ?></h6><?php } ?>
            </div>
          </div>
          <?php if (!empty($talent->bio)) ?><p class="text-truncate-lines-2" style="font-size:medium;font-weight:500;"><?php
          if (preg_match('/^.*?[.!?](?:\s|$)/', $talent->bio, $sentence) !== FALSE) echo $sentence[0];
          ?></p>
          <hr>
          <?php if (!empty($profile->workplace) || !empty($profile->other)) { ?><p style="font-size:medium;font-weight:500;"><?php if (!empty($profile->workplace)): ?><img src="<?= $profile->workplace->image ?>" alt="Workplace" style="width:30px;object-fit:contain;"><?php else: ?><i class="far fa-building mr-2"></i><?php endif; ?> <?= $profile->workplace?->name ?? $profile->other ?></p><?php } ?>
          <?php if (!empty($profile->location)) { ?><p class="text-capitalize" style="font-size:medium;font-weight:500;"><i class="fas fa-map-marker-alt mr-2"></i> <?= $profile->location ?></p><?php } ?>
        </div>
        <div class="col-md-9">
          <div class="card border ml-0 ml-md-4 mb-5" style="box-shadow:none;">
            <div class="card-body my-4">
              <h6 class="card-subtitle mb-2 text-muted" style="font-family: 'Spartan', sans-serif;">About me</h6>
              <h5 class="card-title my-3 pb-2" style=" border-bottom:1px solid #dee2e6;">My name is <?= $talent->name ?></h5>
              <p class="card-text" style="line-height:2;"><?= $talent->bio ?></p>
            </div>
          </div>
          <?php if (sizeof($profile->education)) { ?>
            <h5 style="font-family: 'Roboto Condensed', sans-serif;font-weight: 600;">Education</h5>
            <div class="card border ml-0 ml-md-4 mb-5" style="box-shadow:none;font-size:medium;">
              <div class="card-body my-4" style="min-height:unset !important;">
                <ul class="arrow-list">
                  <?php foreach ($profile->education as $education) { ?>
                    <li class="d-flex">
                      <div>
                        <div class="d-flex justify-content-between text-muted" style="font-family: 'Spartan', sans-serif;"><span class="mr-3"><?= $education['degree'] ?></span><span style="font-size:small;"><?= $education['period'] ?></span></div>
                        <p><?= $education['description'] ?></p>
                      </div>
                    </li>
                  <?php } ?>
                </ul>
              </div>
            </div>
          <?php } ?>
          <h5 style="font-family: 'Roboto Condensed', sans-serif;font-weight: 600;">Skill set</h5>
          <div class="card border ml-0 ml-md-4 mb-5" style="box-shadow:none;font-size:medium;">
            <div class="card-body my-4 d-flex flex-wrap" style="gap:2rem;">
              <?php
              $skills = ['Javascript' => 90, 'CSS' => 95, 'Bootstrap' => 70, 'PHP' => 80];
              $colors = ["#FF5733", "#33FF57", "#3357FF", "#FF33A1", "#FFC300", "#8E44AD", "#1ABC9C", "#F39C12", "#34495E", "#E74C3C"];
              $len = count($colors);
              $i = 0;
              foreach ($profile->skills as $skill) {
                $rate = intval($skill['score']);
                $subject = $skill['name'];
                $color = $colors[fmod($i, $len)];
              ?>
                <div class="d-flex flex-column align-items-center" style="row-gap:1rem;width:150px;">
                  <svg class="svg-progress" width="100" height="100">
                    <circle cx="50" cy="50" r="45" stroke="#f8f9fa" stroke-width="10" fill="none" />
                    <circle cx="50" cy="50" r="45" stroke="<?= $color ?>" stroke-width="10" stroke-linecap="round" fill="none" stroke-dasharray="282" stroke-dashoffset="282" data-offset="<?= (100 - $rate) * 2.82 ?>" style="transition:stroke-dashoffset 1.5s ease-out;" />
                    <text x="50" y="50" text-anchor="middle" dy=".3em" font-weight="bold"><?= $rate ?>%</text>
                  </svg>
                  <h6 class="text-capitalize"><?= $subject ?></h6>
                </div>
              <?php $i++;
              } ?>
            </div>
          </div>
          <?php
          $len = sizeof($profile->experience);
          if ($len) { ?>
            <h5 style="font-family: 'Roboto Condensed', sans-serif;font-weight: 600;">Experience</h5>
            <div class="row">
              <?php foreach ($profile->experience as $i => $experience) { ?>
                <div class="col-xl-10">
                  <div class="card pb-4" style="box-shadow: none;<?php if ($i < $len - 1): ?>border-bottom:1px solid #dee2e6;border-radius:0;<?php endif; ?>">
                    <div class="card-body">
                      <div class="row">
                        <div class="col-auto">
                          <img class="img-thumbnail float-left bg-light border-0" src="<?= $experience['logo'] ?? $uri->site . 'asset/picture/brand_placeholder.svg' ?>" alt="Logo" style="width:50px;">
                        </div>
                        <div class="col-sm" style="font-size:medium;">
                          <h5 class="card-title" style="font-weight:600;font-size:100%;"><?= $experience['role'] ?></h5>
                          <h6 class="card-subtitle mb-2 font-weight-normal text-capitalize" style="font-family:'Spartan', sans-serif;"><?= $experience['firm'] ?></h6>
                          <p class="card-text text-muted mt-0" style="min-height:unset !important;"><span><?= $experience['period'] ?></span><i class="fas fa-circle align-middle mx-2" style="font-size:3px;"></i><span><?= $experience['duration'] ?></span></p>
                          <p class="card-text text-truncate-lines-2 mb-1" style="min-height:unset !important;"><?= $experience['description'] ?></p>
                          <button class="btn btn-sm bg-white text-dark px-0 content-toggler" onmouseover="this.style.setProperty('background-color', 'rgba(0, 0, 0, 0.04)', 'important')" onmouseout="this.style.setProperty('background-color', 'transparent', 'important')">
                            Show more
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" preserveAspectRatio="xMinYMin meet" focusable="false" class="align-middle ml-1">
                              <use xlink:href="#caretDown" />
                            </svg>
                          </button>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              <?php } ?>
            </div>
          <?php } ?>
        </div>
      </div>
    </div>
  </section>
  <?php if (sizeof($profile->projects)) { ?>
    <section>
      <div class="container">
        <div class="row justify-content-center">
          <div class="posRel mt-4 mb-3">
            <div class="fullWidth float-left course-head border-0">
              <h2 class="text-center text-nowrap"><span style="color:#FAA61A;">Completed</span> Projects</h2>
            </div>
            <svg class="posAbs" style="left:50%;translate:-50%;top:3.5rem;" role="img" width="8rem" height="0.6rem">
              <use xlink:href="#bent-line" />
            </svg>
            <div class="card-body">
              <p class="card-text text-center mx-auto" style="line-height:1.8;">See the list of completed projects by <?= $talent->name ?></p>
            </div>
          </div>
        </div>
        <div class="row ml-2 mb-5">
          <?php foreach ($profile->projects as $project) { ?>
            <div class="col-12 col-xl-11 mx-auto">
              <div class="card project-card" style="font-size:medium;box-shadow:none;">
                <div class="row g-0">
                  <div class="col-md-3 embed-responsive embed-responsive-16by9">
                    <img src="<?= get_meta_img($project['link']) ?>" class="embed-responsive-item bg-light" style="object-fit:contain;">
                  </div>
                  <div class="col-md-9">
                    <div class="card-body">
                      <h5 class="card-title" style="font-size: x-large; font-weight:500;"><?= $project['title'] ?></h5>
                      <p class="card-text" style="min-height: unset !important;"><?= $project['description'] ?></p>
                      <a href="<?= $project['link'] ?>" target="_blank" class="btn px-4" style="background-color:#291CF3;border-radius:50rem;font-weight:600;">Open link <svg width="16" height="16" fill="none" xmlns="http://www.w3.org/2000/svg" role="img" focusable="false" aria-hidden="true" class="align-top">
                          <use xlink:href="#external-link" />
                        </svg></a>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          <?php } ?>
        </div>
      </div>
    </section>
  <?php }
  if (!empty($similar_talent)) { ?>
    <section>
      <div class="container">
        <div class="row justify-content-center">
          <div class="posRel mt-4 mb-3">
            <div class="fullWidth float-left course-head border-0">
              <h2 class="text-center text-nowrap"><span style="color:#FAA61A;">Similar</span> Profiles</h2>
            </div>
            <svg class="posAbs" style="left:50%;translate:-50%;top:3.5rem;" role="img" width="8rem" height="0.6rem">
              <use xlink:href="#bent-line" />
            </svg>
            <div class="card-body">
              <p class="card-text text-center mx-auto" style="line-height:1.8;">See a list of profiles similar to <?= $talent->name ?></p>
            </div>
          </div>
        </div>
        <div class="row">
          <?php foreach ($similar_talent as $obj) { 
            $arr = $obj->profile;
            ?>
            <div class="col-lg-6 col-xl-4">
              <div class="card profile-card mb-0" style="border: 0;box-shadow:none;">
                <div class="card-body" style="min-height: unset;">
                  <div class="row">
                    <div class="col-auto posRel p-0">
                      <img class="img-thumbnail float-left bg-light border-0 rounded-circle" src="<?= $obj['picture_ref'] ?? $uri->site . 'asset/picture/photo_silhouette.png' ?>" alt="Picture" style="width:60px;margin:0!important;"><?php if ($arr['open'] == 1) { ?><svg viewBox="0 0 400 400" class="posAbs w-100 p-1" style="left:0;top:0;">
                          <use xlink:href="#talentBadge" />
                        </svg><?php } ?>
                    </div>
                    <div class="col-sm pl-1">
                      <h5 class="card-title" style="font-size:larger;font-weight:500;"><?= $obj['name'] ?></h5>
                      <h6 class="card-subtitle font-weight-normal text-capitalize mb-2" style="font-family:'Spartan', sans-serif;"><?= $arr['title'] ?><?php if (!empty($arr['status'])) { ?><i class="fas fa-circle align-middle mx-1" style="font-size:3px;"></i><?= $arr['status'] ?><?php } ?></h6>
                      <p class="card-text text-muted my-1" style="min-height:unset !important;"><?= $arr['location'] ?></p>
                      <a href="<?= $uri->site ?>view-profile/<?= $obj['id'] . '-' . str_replace(' ', '-', $obj['name']) ?>" class="btn text-dark btn-hover bg-transparent px-0 text-center" style="border-radius:10px;font-weight:600;box-shadow:none;border: 1px solid rgb(250, 166, 26);width:160px;height:40px;font-size: small;">View profile <i class="fas fa-long-arrow-alt-right ml-1 align-middle"></i></a>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          <?php } ?>
        </div>
      </div>
    </section>
  <?php } ?>

  <?php require_once("components/footer.php") ?>
</body>

</html>