<?php
$data = contentCache($uri->page_source);

$slider = reset($data->image);
$talents = talentProfiles(page_size: 10);
$talent_cat = array_keys($talents);
$data->itemprop = $data->body;
$data->title .= " | Digital Dreams LTD";

$path = clipPath();

?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title><?= $data->title ?></title>

  <?php require_once("components/seo_tags.php") ?>
  <?php require_once("components/csslinks.php") ?>
</head>

<body>
  <?php require_once("components/nav.php") ?>
  <svg xmlns="http://www.w3.org/2000/svg" class="d-none">
    <symbol id="bent-line" viewBox="0 0 180 13" fill="currentColor">
      <path d="M173.163 12.3756C97.1838 -3.8242 30.6496 5.67799 7.32494 12.2553C5.30414 12.8252 2.43544 12.6722 0.917529 11.9135C-0.600387 11.1549 -0.192718 10.0779 1.82808 9.50807C27.5427 2.25675 98.002 -7.60121 177.683 9.38783C179.881 9.85641 180.65 10.9051 179.402 11.7301C178.154 12.5552 175.361 12.8442 173.163 12.3756Z" fill="#FAA61A"></path>
    </symbol>
    <symbol viewBox="0 0 17 16" fill="none" id="arrow">
      <path d="M16 8L2 8" stroke="currentColor" />
      <path d="M9 15L16 8L9 0.999999" stroke="currentColor" />
      <path d="M15 8L1 8" stroke="currentColor" />
      <path d="M8 15L15 8L8 0.999999" stroke="currentColor" />
    </symbol>
  </svg>
  <div class='posRel fullWidth'>
    <div id="coverBgCarousel" class="carousel" data-ride="carousel">
      <div class="carousel-inner" role="listbox" style="box-shadow:none;overflow:clip;height:80vh;clip-path:polygon(<?= $path ?>);">
        <?php foreach ($data->image as $k => $image) { ?>
          <div class="carousel-item h-100<?php if ($k == 0) echo ' active'; ?>" style="background:center 25% / cover no-repeat url('<?= str_replace('../', '', $image->src) ?>');max-height:unset !important;"></div>
        <?php } ?>
        <div class="custom-overlay-alt posAbs fullWidth fullHeight" style="top: 0;"></div>
        <div class="posAbs heads col-10 col-sm-9 col-md-10 col-lg-9 col-xl-8 d-flex flex-column align-items-center" style="left: 50%;translate: -50%;top:<?php if (isMobile()) {?>15%<?php } else {?>20%<?php } ?>;">
          <div class="fullWidth float-left">
            <h1 class="site_title text_bold_7 text-white animated bounceInUp mb-4 mb-sm-3 text-capitalize text-center" style="animation-delay: 0.01s;animation-duration: 1.5s;text-shadow:none;"><?= $slider->title ?></h1>
          </div>
          <p class="text-white animated bounceInUp mb-4 mb-sm-3 text-center<?php if (!isMobile()) {?> w-75<?php } ?> p-0" style="font-weight:300; animation-delay: 0.11s;animation-duration: 1.5s;"><?= strip_html_tags($slider->desc) ?></p>
          <div class="card no-scaling animated bounceInUp" style="animation-delay: 0.21s;animation-duration: 1.5s;border-radius:50rem;max-width:600px;overflow: visible;box-shadow:none;">
            <div class="card-header bg-white row justify-content-between align-items-center flex-nowrap p-0" style="border-radius:50rem;">
              <div class="d-flex align-items-center pl-2 pl-md-3" style="flex:1;">
                <svg width="1.5em" height="1.5em" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path d="M18 18L14.1394 14.1394M14.1394 14.1394C15.4263 12.8526 16.2222 11.0748 16.2222 9.11111C16.2222 5.18375 13.0385 2 9.11111 2C5.18375 2 2 5.18375 2 9.11111C2 13.0385 5.18375 16.2222 9.11111 16.2222C11.0748 16.2222 12.8526 15.4263 14.1394 14.1394Z" stroke="#292929" />
                </svg>
                <input type="text" class="border-0 ml-3" style="outline:none;flex:1;" placeholder="Title, keyword ..." id="talentSearch">
              </div>
              <div class="d-flex align-items-center pr-1 px-md-2">
                <div class="dropdown d-none d-md-block">
                  <a class="text-dark font-weight-bold mt-2 text-truncate d-inline-block dropdown-toggle" href="javascript:void(0);" role="button" id="categoryDropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" style="text-decoration:none;max-width: 200px;" data-category="all">
                    All categories
                  </a>
                  <div class="dropdown-menu" aria-labelledby="categoryDropdown">
                    <a class="dropdown-item text-capitalize" href="javascript:void(0);" onclick="setSearchCategory('all')">All categories</a>
                    <?php
                    foreach ($talent_cat as $cat) {
                    ?>
                      <a class="dropdown-item text-capitalize" href="javascript:void(0);" onclick="setSearchCategory('<?= $cat ?>')"><?= $cat ?></a>
                    <?php  } ?>
                  </div>
                </div>
                <a href="javascript:void(0);" class="btn btn-sm px-4 ml-md-3 academy-anchor" style="background-color:#291CF3;border-radius:50rem;" id="talentSearchBtn">
                  Search
                </a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <section class="container pb-5">
    <div class="row justify-content-center">
      <div class="posRel mt-4 mb-5">
        <div class="fullWidth float-left course-head border-0">
          <h2 class="text-center text-nowrap"><span style="color:#FAA61A;">About</span> Talents</h2>
        </div>
        <svg class="posAbs" style="left:50%;translate:-50%;top:3.5rem;" role="img" width="8rem" height="0.6rem">
          <use xlink:href="#bent-line" />
        </svg>
        <div class="card-body">
          <p class="card-text text-center mx-auto desc-text" style="line-height:1.8;">We showcase the best young talents who are passionate about making a difference in tech.</p>
        </div>
      </div>
    </div>
    <div class="row justify-content-center align-items-stretch">
      <?php
      $temp_data = [['title' => 'Good record', 'icon' => 'resume', 'txt' => 'We have received great feedbacks from companies that recruit our talents'], ['title' => 'certified', 'icon' => 'classroom', 'txt' => 'Our talents have undergone the best training in their given professions.'], ['title' => 'Top notch', 'icon' => 'talent', 'txt' => 'Our talents are instrumental in places they work.']];
      foreach ($temp_data as $arr) { ?>
        <div class="col-12 col-sm-6 col-md-4 col-lg-3 mb-3">
          <div class="talent-attr mx-auto h-100" style="max-width:18rem;">
            <div class="card-body text-center p-0" style="min-height: unset !important;">
              <img src="<?= "{$uri->site}asset/picture/{$arr['icon']}.webp" ?>" class="mb-4" width="90" alt="Icon">
              <h5 class="card-title text-capitalize font-weight-bold" style="font-family:'Nunito', sans-serif;"><?= $arr['title'] ?></h5>
              <p class="card-text" style="min-height: unset !important;"><?= $arr['txt'] ?></p>
            </div>
          </div>
        </div>
      <?php } ?>
    </div>
  </section>
  <section class="container mt-5">
    <div class="row justify-content-center">
      <div class="posRel mt-4">
        <div class="fullWidth float-left course-head border-0">
          <h2 class="text-center text-nowrap"><span style="color:#FAA61A;">Our</span> Talents</h2>
        </div>
        <svg class="posAbs" style="left:50%;translate:-50%;top:3.5rem;" role="img" width="8rem" height="0.6rem">
          <use xlink:href="#bent-line" />
        </svg>
        <div class="card-body">
          <p class="card-text text-center mx-auto desc-text" style="line-height:1.8;">See a list of our talents grouped by profession. You can click on them to view their profiles.</p>
        </div>
      </div>
    </div>
    <?php
    foreach ($talents as $cat => $group) { ?>
      <div class="d-flex justify-content-between align-items-center mx-0 mt-5 mb-4">
        <h2 class="text-capitalize mb-0" style="font-family: 'Roboto Condensed', sans-serif;"><?= $cat ?></h2><a href="<?= $uri->site ?>find-talents/<?= encodeForUrl($cat) ?>" class="btn btn-lg bg-transparent text-dark px-4 py-2" style="border:1px solid #FAA61A;font-weight:600;box-shadow:none;border-radius: 0;" onmouseover="this.style.setProperty('background-color', '#FAA61A16', 'important')" onmouseout="this.style.setProperty('background-color', 'transparent', 'important')">View All
          <svg role="img" width="1em" height="1em" class="ml-1 align-middle">
            <use xlink:href="#arrow"></use>
          </svg>
        </a>
      </div>
      <div class="owl-carousel owl-theme">
        <?php
        $c = 0;
        foreach ($group as $talent) {
          if ($c >= 5) break;
        ?>
          <div class="card talent-card mb-3">
            <div class="row align-items-stretch">
              <div class="col-md-4 p-0">
                <img src="<?= $talent->picture_ref ?? $uri->site . 'asset/picture/photo_silhouette.png' ?>" class="img-fluid rounded-left h-100" alt="Profile picture" style="background-color:#e8f0fe;object-fit:<?php if (!empty($talent->picture_ref) && !isMobile()) { ?>cover<?php } else { ?>contain<?php }?>;object-position:center;max-height: 220px;">
              </div>
              <div class="col-md-8 d-flex justify-content-center">
                <div class="card-body" style="min-height: unset !important;max-width:100vw;">
                  <h5 class="card-title"><?= $talent->name ?></h5>
                  <h6 class="card-subtitle font-weight-normal text-capitalize mb-2" style="font-family:'Spartan', sans-serif;color:rgb(109, 122, 140);"><?= $talent->profile->title ?><?php if (!empty($talent->profile->status)) { ?><i class="fas fa-circle align-middle mx-1" style="font-size:3px;"></i> <?= $talent->profile->status ?><?php } ?></h6>
                  <p class="card-text text-truncate-lines-2" style="min-height: unset !important;"><?php
                    if (preg_match('/^.*?[.!?](?:\s|$)/', $talent->bio, $sentence) !== FALSE) echo $sentence[0];
                    ?></p><a href="<?= $uri->site ?>view-profile/<?= $talent->id . '-' . str_replace(' ', '-', $talent->name) ?>" class="btn text-dark btn-hover bg-transparent px-0 text-center" style="border-radius:10px;font-weight:600;box-shadow:none;border: 1px solid rgb(250, 166, 26);width:160px;height:40px;font-size: small;">View profile <i class="fas fa-long-arrow-alt-right ml-1 align-middle"></i></a>
                </div>
              </div>
            </div>
          </div>
        <?php $c++;
        } ?>
      </div>
    <?php } ?>
  </section>
  <section class="container my-5">
    <div class="row justify-content-center">
      <div class="posRel mt-4 mb-5">
        <div class="fullWidth float-left course-head border-0">
          <h2 class="text-center text-nowrap"><span style="color:#FAA61A;">Talent</span> Categories</h2>
        </div>
        <svg class="posAbs" style="left:50%;translate:-50%;top:3.5rem;" role="img" width="8rem" height="0.6rem">
          <use xlink:href="#bent-line" />
        </svg>
        <div class="card-body">
          <p class="card-text text-center mx-auto desc-text" style="line-height:1.8;">See our list of talent categories to help you streamline your search.</p>
        </div>
      </div>
    </div>
    <div class="row justify-content-center">
    <?php
			$cat_hex = ["#8E56FF", "#5866EB", "#FAA61A", "#EE4A62"];
			$cat_bg = ["#D8D6FF", "#D6EBFF", "#FFEAD6", "#FCDBDB"];
			$i = 0;
			foreach ($talent_cat as $cat) {
				$k = fmod($i, 4);
			?>
				<div class="col-md-6 col-lg-4 col-xl-3">
					<a class="text-capitalize" href="<?=$uri->site?>find-talents/<?=encodeForUrl($cat)?>" style="text-decoration:none;">
						<div class="card" style="color:<?= $cat_hex[$k] ?>;background-color:<?= $cat_bg[$k] ?>;border-radius:0.5rem;box-shadow:none;height:5rem;">
							<div class="card-header h-100 bg-transparent border-0 d-flex align-items-center">
								<i class="far fa-circle align-top mr-3"></i><span class="text-dark" style="font-size:16px;font-weight:500;"><?= $cat ?></span>
							</div>
						</div>
					</a>
				</div>
			<?php $i++; } ?>
    </div>
  </section>
  <section class="mt-5 bg-light py-4" style="overflow-x:hidden;">
    <div class="d-flex flex-nowrap" style="width:200vw;min-width:1200px;" id="partner_logos">
      <?php for ($i=0; $i < 2; $i++) { ?>
        <div class="d-flex justify-content-around" style="width:100vw;min-width:600px;">
          <?php 
          $logos = [150=>'lengora_logo.png', 60=>'linkskool.png', 160=>'no-bg.png'];
          foreach ($logos as $dim => $logo) { ?>
            <img src="<?=$uri->site?>asset/picture/<?=$logo?>" width="<?=$dim?>" alt="Logo" style="object-fit:contain;">
          <?php } ?>
        </div>
      <?php } ?>
    </div>
  </section>
  <?php require_once("components/footer.php") ?>
</body>

</html>