<?php
$data = contentCache($uri->page_source);
$bootcamps = bootcampListCache();
$slider = reset($data->image);

$path = clipPath();
$data->itemprop = "{$data->title} - Digital Dreams ICT Academy";
$data->title .= " | Digital Dreams LTD";
$kids_bootcamp = codingBootcampCache();
?>

<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title><?= $data->title ?></title>

  <?php require_once("components/seo_tags.php") ?>
  <?php require_once("components/csslinks.php") ?>
</head>

<body>
  <?php require_once("components/nav.php") ?>
  <svg xmlns="http://www.w3.org/2000/svg" class="d-none">
    <symbol id="bent-line" viewBox="0 0 180 13" fill="currentColor">
      <path d="M173.163 12.3756C97.1838 -3.8242 30.6496 5.67799 7.32494 12.2553C5.30414 12.8252 2.43544 12.6722 0.917529 11.9135C-0.600387 11.1549 -0.192718 10.0779 1.82808 9.50807C27.5427 2.25675 98.002 -7.60121 177.683 9.38783C179.881 9.85641 180.65 10.9051 179.402 11.7301C178.154 12.5552 175.361 12.8442 173.163 12.3756Z" fill="#FAA61A"></path>
    </symbol>
    <symbol viewBox="0 0 17 16" fill="none" id="arrow">
      <path d="M16 8L2 8" stroke="#292929" />
      <path d="M9 15L16 8L9 0.999999" stroke="#292929" />
      <path d="M15 8L1 8" stroke="#292929" />
      <path d="M8 15L15 8L8 0.999999" stroke="#292929" />
    </symbol>
  </svg>

  <div class='posRel fullWidth'>
    <div id="coverBgCarousel" class="carousel" data-ride="carousel">
      <div class="carousel-inner" role="listbox" style="box-shadow:none;overflow:clip;height:80vh;clip-path:polygon(<?= $path ?>);">
        <?php foreach ($data->image as $k => $image) { ?>
          <div class="carousel-item h-100<?php if ($k == 0) echo ' active'; ?>" style="background:center 25% / cover no-repeat url('<?= str_replace('../', '', $image->src) ?>');max-height:unset !important;"></div>
        <?php } ?>
        <div class="custom-overlay-alt posAbs fullWidth fullHeight" style="top: 0;"></div>
        <div class="posAbs heads col-10 col-sm-9 col-md-10 col-lg-9 col-xl-8 d-flex flex-column align-items-center" style="left: 50%;translate: -50%;top:<?php if (isMobile()) { ?>15%<?php } else { ?>20%<?php } ?>;">
          <div class="fullWidth float-left">
            <h1 class="site_title text_bold_7 text-white animated bounceInUp mb-4 mb-sm-3 text-capitalize text-center" style="animation-delay: 0.01s;animation-duration: 1.5s;text-shadow:none;"><?= $slider->title ?></h1>
          </div>
          <p class="text-white animated bounceInUp mb-4 mb-sm-3 text-center<?php if (!isMobile()) { ?> w-75<?php } ?> p-0" style="font-weight:300; animation-delay: 0.11s;animation-duration: 1.5s;"><?= strip_html_tags($slider->desc) ?></p>
        </div>
      </div>
    </div>
  </div>
  <?php
  $upcoming_bootcamps = array_filter($bootcamps, function ($bootcamp) {
    $date = DateTime::createFromFormat('jS F, Y', $bootcamp->start_date);
    $date->add(new DateInterval("P{$bootcamp->duration}W"));
    return $date >= new DateTime();
  });
  $date1 = DateTime::createFromFormat('jS F, Y', $kids_bootcamp->genius_start);
  $date1->add(new DateInterval("P4W"));
  $date2 = DateTime::createFromFormat('jS F, Y', $kids_bootcamp->marvel_start);
  $date2->add(new DateInterval("P4W"));
  $today = new DateTime();
  if ($date1 >= $today) {
    $genius_camp = new stdClass;
    $genius_camp->title = "{$kids_bootcamp->title} - Genius Track";
    $genius_camp->start_date = $kids_bootcamp->genius_start;
    $genius_camp->category = "Software Development";
    $genius_camp->url = $kids_bootcamp->url;
    $genius_camp->id = $kids_bootcamp->id;
    $genius_camp->image = $kids_bootcamp->image[1];
    array_push($upcoming_bootcamps, $genius_camp);
  }
  if ($date2 >= $today) {
    $marvel_camp = new stdClass;
    $marvel_camp->title = "{$kids_bootcamp->title} - Marvel Track";
    $marvel_camp->start_date = $kids_bootcamp->marvel_start;
    $marvel_camp->category = "Software Development";
    $marvel_camp->url = $kids_bootcamp->url;
    $marvel_camp->id = $kids_bootcamp->id;
    $marvel_camp->image = $kids_bootcamp->image[1];
    array_push($upcoming_bootcamps, $marvel_camp);
  }
  if (count($upcoming_bootcamps) > 0) {
    usort($upcoming_bootcamps, function ($camp1, $camp2) {
      return DateTime::createFromFormat('jS F, Y', $camp1->start_date) <=> DateTime::createFromFormat('jS F, Y', $camp2->start_date);
    });
    $cat_bg = ["#D8D6FF", "#D6EBFF", "#FFEAD6", "#FCDBDB"];
  ?>
    <section class="container">
      <div class="row justify-content-center">
        <div class="posRel mt-4 mb-5">
          <div class="fullWidth float-left course-head border-0">
            <h2 class="text-center text-nowrap"><span style="color:#FAA61A;">Upcoming</span> Boot Camps</h2>
          </div>
          <svg class="posAbs" style="left:50%;translate:-50%;top:3.5rem;" role="img" width="8rem" height="0.6rem">
            <use xlink:href="#bent-line" />
          </svg>
          <div class="card-body">
            <p class="card-text text-center mx-auto desc-text" style="line-height:1.8;">Here's a list of our upcoming boot camps designed specifically for you. Click <em>View boot camp</em> to register as an early bird or click <em>Add to calender</em> to get notified when the particular boot camp starts. The success of our students is our success.</p>
          </div>
        </div>
      </div>
      <ul class="list-group list-group-flush mb-5">
        <?php foreach ($upcoming_bootcamps as $i => $bootcamp) { ?>
          <li class="list-group-item bg-transparent py-4" style="border-top: 4px solid #f0f5fb;">
            <div class="row">
              <div class="col-md-6 col-lg-5 col-xl-4">
                <img src="<?= $bootcamp->image->src ?>" alt="Boot camp image" class="w-100 h-100 rounded" style="max-height: 220px;object-fit:cover;">
              </div>
              <div class="col-md-6 col-lg-7 col-xl-8 mt-2 mt-md-0">
                <?php
                list($day, $mon, $yr) = explode(' ', $bootcamp->start_date);
                $bg = $cat_bg[$i%4];
                ?>
                <div class="clearfix mb-3" style="font-size:large;">
                  <div class="d-flex align-items-center float-left" style="width:fit-content;"><span class="d-block rounded-circle text-center flont-weight-bold mr-2 text-dark" style="width:45px;height:45px;line-height:45px;font-size:26px;background:<?= $bg ?>;"><?= intval($day) ?></span> <?= "$mon $yr" ?></div><span class="float-<?php if (isMobile()) { ?>left<?php } else { ?>right<?php } ?> mt-2" style="font-family: 'Spartan', sans-serif;"><?= $bootcamp->category ?></span>
                </div>
                <h2 style="font-family: 'Roboto Condensed', sans-serif;"><?= $bootcamp->title ?></h2>
                <a href="<?= $uri->site ?><?= $bootcamp->url ?? 'view-bootcamp' ?>/<?= $bootcamp->id . '-' . strToUrl($bootcamp->title) ?>" class="btn mr-1 mr-sm-3 animated bounceInUp px-3 text-dark" style="animation-delay: 0.21s;animation-duration: 1.5s;background-color:#FAA61A;border-radius:50rem;font-weight:bold;">View Boot Camp</a>
                <a href="https://wa.me/2348156846834?text=%2A<?= urlencode($bootcamp->title) ?>+Enquiry%2A%0A" target="_blank" class="btn animated bounceInUp px-3" style="animation-delay: 0.21s;animation-duration: 1.5s;font-weight:bold;background-color:#291CF3;border-radius:50rem;">
                  Make Enquiry
                </a>
              </div>
            </div>
          </li>
        <?php } ?>
      </ul>
    </section>
  <?php } ?>
  <section class="container mt-5">
    <div class="row justify-content-center">
      <div class="posRel mt-4 mb-5">
        <div class="fullWidth float-left course-head border-0">
          <h2 class="text-center text-nowrap"><span style="color:#FAA61A;">All</span> Boot Camps</h2>
        </div>
        <svg class="posAbs" style="left:50%;translate:-50%;top:3.5rem;" role="img" width="8rem" height="0.6rem">
          <use xlink:href="#bent-line" />
        </svg>
        <div class="card-body">
          <p class="card-text text-center mx-auto desc-text" style="line-height:1.8;">See all boot camps run by Digital Dreams ICT Academy all year round. These boot camps are desgined specifically for you, whether you're a beginner starting in a new area or a professional looking to upskill.</p>
        </div>
      </div>
    </div>
    <div class="row justify-content-center align-items-stretch">
      <h2 class="col-12 mb-4" style="font-family: 'Roboto Condensed', sans-serif;">Coding Boot Camps</h2>
      <?php 
      $hover_cls = ['yel', 'ora', 'red', 'blu'];
      for ($i = 0; $i < 2; $i++) {
        $hover_cl = $hover_cls[rand(0, 3)];
        if ($i > 0) {
          $start_date = $kids_bootcamp->marvel_start;
          $price = $kids_bootcamp->marvel_price;
          $title = "{$kids_bootcamp->title} - Marvel Track";
        } else {
          $start_date = $kids_bootcamp->genius_start;
          $price = $kids_bootcamp->genius_price;
          $title = "{$kids_bootcamp->title} - Genius Track";
        }
        ?>
      <div class="col-auto">
        <div class="card bootcamp-card <?= $hover_cl ?>" style="width: 20rem;">
          <div class="card-img-top bg-light posRel" style="height:180px;overflow:clip;"><img src="<?= $kids_bootcamp->image[1]->src ?>" alt="Boot camp image" class="h-100 w-100" style="object-fit:cover;"><span class="btn bg-white text-dark posAbs" style="right:0.5rem;top:0.5rem;border-radius:50rem;padding:12px 16px;font-weight:500;"><i class="far fa-calendar-alt mr-1"></i><span style="font-family: 'Spartan', sans-serif;"><?= $start_date ?></span></span></div>
          <div class="card-body bg-white posRel" style="border-top-left-radius:1rem;border-top-right-radius:1rem;z-index:1;margin-top:-1rem;">
            <h5 class="card-title"><?= $title ?></h5>
            <p class="card-text text-justify mb-2" style="min-height: unset !important;"><?= substr($kids_bootcamp->body, 0, 80) ?></p>
            <div class="d-flex justify-content-between">
              <div class="d-flex align-items-center"><span class="font-weight-bold">Price</span><i class="fas fa-circle align-middle mx-2" style="font-size: 3px;"></i>
                <h5 class="m-0" style="font-size:1.25em;"><span>₦<?= $price ?></span></h5>
              </div>
              <div class="ml-3"><i class="far fa-clock mr-1" style="color:#291CF3;font-size:small;"></i>
                <span><?= $kids_bootcamp->duration ?> weeks</span>
              </div>
            </div>
            <?php if (!empty($kids_bootcamp->instructors)) { ?>
              <div class="posRel mt-2 mb-5">
                <?php foreach ($kids_bootcamp->instructors as $i => $instructor) { ?>
                  <img src="<?= $instructor->src ?>" width="36" width="36" class="img-thumbnail posAbs rounded-circle p-0" style="object-fit:cover;top:0;left:<?= $i * 18 ?>px;min-width:36px;max-width:36px;min-height:36px;max-height:36px;border-color:white;">
                <?php } ?>
                <span class="posAbs" style="top:6px;left:<?= ($i + 2.5) * 18 ?>px;font-weight:500;">Instructors</span>
              </div>
            <?php } ?>
            <a href="<?= $uri->site.$kids_bootcamp->url ?>" class="btn btn-block bg-transparent text-dark btn-hover mt-3" style="border:1px solid #FAA61A;border-radius:10px;font-weight:600;box-shadow:none;">View boot camp
              <svg role="img" width="1em" height="1em" class="ml-1 align-middle">
                <use xlink:href="#arrow"></use>
              </svg>
            </a>
          </div>
        </div>
      </div>
      <?php
      } 
      shuffle($hover_cls);
      $bootcamp_cats = array_group($bootcamps, '$category');
      $i = 0;
      foreach ($bootcamp_cats as $bootcamp_group) {
        $hover_cl = $hover_cls[$i % 4];
      ?>
        <h2 class="text-capitalize mb-0 col-12 mt-5 mb-4" style="font-family: 'Roboto Condensed', sans-serif;"><?= $bootcamp_group[0]->category ?> boot camps</h2>
        <?php foreach ($bootcamp_group as $bootcamp) {  ?>
        <div class="col-auto">
          <div class="card bootcamp-card <?= $hover_cl ?>" style="width: 20rem;">
            <div class="card-img-top bg-light posRel" style="height:180px;overflow:clip;"><img src="<?= $bootcamp->image->src ?>" alt="Boot camp image" class="h-100 w-100" style="object-fit:cover;"><span class="btn bg-white text-dark posAbs" style="right:0.5rem;top:0.5rem;border-radius:50rem;padding:12px 16px;font-weight:500;"><i class="far fa-calendar-alt mr-1"></i><span style="font-family: 'Spartan', sans-serif;"><?= $bootcamp->start_date ?></span></span></div>
            <div class="card-body bg-white posRel" style="border-top-left-radius:1rem;border-top-right-radius:1rem;z-index:1;margin-top:-1rem;">
              <h5 class="card-title"><?= $bootcamp->title ?></h5>
              <p class="card-text text-justify mb-2" style="min-height: unset !important;"><?= $bootcamp->description ?></p>
              <div class="d-flex justify-content-between">
                <div class="d-flex align-items-center"><span class="font-weight-bold">Price</span><i class="fas fa-circle align-middle mx-2" style="font-size: 3px;"></i>
                  <h5 class="m-0" style="font-size:1.25em;"><span>₦<?= $bootcamp->price ?></span></h5>
                </div>
                <div class="ml-3"><i class="far fa-clock mr-1" style="color:#291CF3;font-size:small;"></i>
                  <span><?= $bootcamp->duration ?> weeks</span>
                </div>
              </div>
              <?php if (!empty($bootcamp->instructors)) { ?>
                <div class="posRel mt-2 mb-5">
                  <?php foreach ($bootcamp->instructors as $i => $instructor) { ?>
                    <img src="<?= $instructor->src ?>" width="36" width="36" class="img-thumbnail posAbs rounded-circle p-0" style="object-fit:cover;top:0;left:<?= $i * 18 ?>px;min-width:36px;max-width:36px;min-height:36px;max-height:36px;border-color:white;">
                  <?php } ?>
                  <span class="posAbs" style="top:6px;left:<?= ($i + 2.5) * 18 ?>px;font-weight:500;">Instructors</span>
                </div>
              <?php } ?>
              <a href="<?= $uri->site ?>view-bootcamp/<?= $bootcamp->id . '-' . strToUrl($bootcamp->title) ?>" class="btn btn-block bg-transparent text-dark btn-hover" style="border:1px solid #FAA61A;border-radius:10px;font-weight:600;box-shadow:none;">View boot camp
                <svg role="img" width="1em" height="1em" class="ml-1 align-middle">
                  <use xlink:href="#arrow"></use>
                </svg>
              </a>
            </div>
          </div>
        </div>
      <?php $i++;}} ?>
    </div>
  </section>
  <section class="container my-5">
    <div class="row justify-content-center">
      <div class="posRel mt-4 mb-5">
        <div class="fullWidth float-left course-head border-0">
          <h2 class="text-center text-nowrap"><span style="color:#FAA61A;">Career</span> Benefits</h2>
        </div>
        <svg class="posAbs" style="left:50%;translate:-50%;top:3.5rem;" role="img" width="8rem" height="0.6rem">
          <use xlink:href="#bent-line" />
        </svg>
        <div class="card-body">
          <p class="card-text text-center mx-auto desc-text" style="line-height:1.8;">At Digital Dreams ICT Academy, we give you world-class ICT training, and help you get to the top of your career in the shortest time. We've designed our boot camps to be rigorous, to give our students the edge as they progress in their career.</p>
        </div>
      </div>
      <?php
      $cards = ["globe.png" => ['Network with professionals', 'We have a rich community of professionals. You automatically become part of this community when you join a boot camp.', '#D8D6FF'], "laptop_icon.png" => ['Peer-to-peer learning', 'We have created a learning environment that encourages collaboration among learners. Our students go on to help each other and work on projects together post training.', '#FCDBDB'], "infinity_icon.png" => ['All time access and job opportunities', "You'll have all-time access to the training portal even after training. You also become part of our community where you'll have the opportunity to upskill or get a job.", '#D6EBFF'], "cert_icon.png" => ['Widely recognized certification', 'With a proven track record in ICT training, our certifications are well recognized. Hence, our students are given more consideration when they apply for jobs.', '#FFEAD6']];
      $i = 0;
      foreach ($cards as $icon => [$title, $body, $color]) {
        $justify = $i % 2 == 0 ? 'justify-content-lg-end' : 'justify-content-lg-start';

      ?>
        <div class="col-lg-6 d-flex justify-content-center <?= $justify ?>">
          <div class="card" style="background-color:<?= $color ?>;border-radius:20px;max-width:500px;box-shadow:none;">
            <div class="card-body d-flex align-items-center">
              <div>
                <div class="mx-auto bg-white rounded-circle" style="box-shadow: 0px 4px 4px 0px #00000040;width:70px;height:70px;background:url('<?= $uri->site ?>asset/picture/<?= $icon ?>') center/50% no-repeat;">
                </div>
              </div>
              <div class="flex-grow-1 ml-3">
                <h5 class="font-weight-bold"><?= $title ?></h5>
                <p class="card-text" style="min-height:unset !important;"><?= $body ?></p>
              </div>
            </div>
          </div>
        </div>
      <?php $i++;
      } ?>
    </div>
  </section>
  <section class="mt-5 pb-5" style="background-color:#F7F4EF;">
    <svg xmlns="http://www.w3.org/2000/svg" class="w-100" viewBox="0 0 1920 169" fill="none">
      <path fill-rule="evenodd" clip-rule="evenodd" d="M1920 0V97.9399C1873.26 88.6799 1817.52 110.53 1768.95 101.39C1720.82 92.3299 1678.56 50.6699 1628.44 43.3899C1579.8 36.2999 1525 63.7499 1474.67 58.3899C1425.67 53.1599 1379.58 14.8899 1329.13 11.3899C1279.84 7.94989 1227.72 39.33 1177.22 37.6C1127.76 35.9 1078.47 1 1028 1C977.53 1 928.25 35.9 878.79 37.6C828.3 39.33 776.18 7.94989 726.9 11.3899C676.45 14.9099 630.37 53.1699 581.35 58.3899C531.02 63.7599 476.23 36.3099 427.59 43.3899C377.46 50.6999 335.2 92.3899 287.07 101.39C237.25 110.76 179.88 87.9199 132.42 99.0699C83.42 110.58 46.11 155.17 0 168.94V0.5L1920 0Z" fill="white"></path>
    </svg>
    <div class="container">
      <div class="row justify-content-center">
        <div class="posRel mt-4 mb-5">
          <div class="fullWidth float-left course-head border-0">
            <h2 class="text-center text-nowrap" <?php if (isMobile()): ?> style="font-size: 30px;" <?php endif; ?>><span style="color:#FAA61A;">Students'</span> Testimonials</h2>
          </div>
          <svg class="posAbs" style="left:50%;translate:-50%;top:3.5rem;" role="img" width="8rem" height="0.6rem">
            <use xlink:href="#bent-line" />
          </svg>
          <div class="card-body">
            <p class="card-text text-center mx-auto desc-text" style="line-height:1.8;">Hear from students of Digital Dreams ICT Academy on how the Academy has helped to shape their career for the best, giving them an edge, and setting them up for a high flying career in their chosen field.</p>
          </div>
        </div>
      </div>
      <div class="owl-carousel owl-theme mb-5">
        <?php
        $testimonials = [["name" => "Victor Anya", "course" => "Web Developer", "essay" => "I came into Digital Dreams ICT Academy through a software boot camp, and as a novice, and it gave me the initial spark for my career.<br>I got employed after my training and was able to put to use the skills I learned going through the academy.<br>I strongly recommend Digital Dreams ICT Academy."], ["name" => "Toochi Dennis", "course" => "Mobile Developer", "essay" => "I did my IT at Digital Dreams ICT Academy. Though I studied computer science, we weren't taught much in school and so enrolling in the academy was an important decision for me.<br>I got employed immediately after university and shortly became the head of mobile engineering. What I learnt from the Academy was pivotal to getting me to where I am."], ["name" => "Vincent Ugwuagba", "course" => "Data Scientist", "essay" => "I started my career in tech through a boot camp program organized by Digital Dreams ICT Academy. Coming from the medical sciences, I was a complete novice. After the boot camp, I was able to further my learning at the academy by taking short courses.<br>Currently, I am a sought-after Data Scientist with a specialization in Bioinformatics thanks to the Academy."], ["name" => "Chiamaka Azuh", "course" => "UI/UX Design", "essay" => "I got started in UI/UX at Digital Dreams ICT Academy during my IT and that became the shift into tech for me.<br>Since then, I've had the opportunity to work for several clients who have praised my works.<br>The Academy really set the right foundation for me to build on."], ["name" => "Mirian Ubadigha", "course" => "Data Analyst", "essay" => "I enrolled into Data Analytics program at Digital Dreams ICT Academy because of my job role. I use MS Excel a lot at my job and so I decided to improve my skills.<br>Since my training, I've become better and I have put other colleagues having challenges through.<br>I want to say thank you to Digital Dreams ICT Academy."]];
        foreach ($testimonials as $testimonial) {
        ?>
          <div class="item">
            <div class="card py-2 mr-4" style="border-radius:0.5rem;box-shadow:none;height:24.5rem;width:18rem;">
              <div class="card-header bg-transparent border-0 d-flex align-items-center pb-0">
                <img src="<?= $uri->site ?>asset/picture/photo_silhouette.png" alt="Testimonial" class="rounded-circle" style="width: 40px;">
                <div class="ml-2">
                  <h6 class="text-capitalize mb-0"><?= $testimonial['name'] ?></h6><span><?= $testimonial['course'] ?></span>
                </div>
              </div>
              <div class="card-body">
                <p class="card-text text-justify mb-0"><?= $testimonial['essay'] ?>
                <p>
                  <?php for ($i = 0; $i < 5; $i++) { ?><i class="fas fa-star text-warning mr-1"></i><?php } ?>
              </div>
            </div>
          </div>
        <?php } ?>
      </div>
    </div>
  </section>
  <?php require_once("components/footer.php") ?>
</body>

</html>