<?php
$data = contentCache($uri->page_source);
$jobs = jobListCache();
$job_cats = array_group($jobs, "category");
ksort($job_cats, SORT_NATURAL);
$slider = reset($data->image);
$hirers = array_slice(array_group($jobs, "image"), 0, 5);
$ict_id = find_insight_id('ict training');
$articles = array_slice(categoryCache($ict_id), 0, 3);
$all_cats = $paramControl->load_data_from_param('job_cat');
$data->itemprop = "{$data->title} - ".join(', ', array_values($all_cats));
$data->title .= " | Digital Dreams LTD";

$path = clipPath();
?>

<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title><?= $data->title ?></title>

  <?php require_once("components/seo_tags.php") ?>
  <?php require_once("components/csslinks.php") ?>
</head>

<body>
  <?php require_once("components/nav.php") ?>
  <svg xmlns="http://www.w3.org/2000/svg" class="d-none">
    <symbol id="bent-line" viewBox="0 0 180 13" fill="currentColor">
      <path d="M173.163 12.3756C97.1838 -3.8242 30.6496 5.67799 7.32494 12.2553C5.30414 12.8252 2.43544 12.6722 0.917529 11.9135C-0.600387 11.1549 -0.192718 10.0779 1.82808 9.50807C27.5427 2.25675 98.002 -7.60121 177.683 9.38783C179.881 9.85641 180.65 10.9051 179.402 11.7301C178.154 12.5552 175.361 12.8442 173.163 12.3756Z" fill="#FAA61A"></path>
    </symbol>
    <symbol viewBox="0 0 554 544" id="blob">
      <path d="M423.3,77.2c49.5,32.5,100.4,67.2,118.4,114.5s3.5,107.1-15.4,165.7c-18.7,58.6-41.8,116.1-84,148.6 c-42.5,32.8-104.2,40.2-163.8,37.3c-59.5-3.2-116.8-17.1-164.7-47.9c-48.3-30.6-87.2-78.2-102-131.6C-3,310.5,6.6,251,25.3,194.7 C43.6,138,70.7,84.3,114.1,49.5C157.2,14.8,216.7-1,270.8,6.4C324.8,14.2,373.4,44.7,423.3,77.2z" fill="#f5f9fa" />
    </symbol>
    <symbol viewBox="0 0 17 16" fill="none" id="arrow">
      <path d="M16 8L2 8" stroke="currentColor" />
      <path d="M9 15L16 8L9 0.999999" stroke="currentColor" />
      <path d="M15 8L1 8" stroke="currentColor" />
      <path d="M8 15L15 8L8 0.999999" stroke="currentColor" />
    </symbol>
  </svg>

  <div class='posRel fullWidth'>
    <div id="coverBgCarousel" class="carousel" data-ride="carousel">
      <div class="carousel-inner" role="listbox" style="box-shadow:none;overflow:clip;height:80vh;clip-path:polygon(<?= $path ?>);">
        <?php foreach ($data->image as $k => $image) { ?>
          <div class="carousel-item h-100<?php if ($k == 0) echo ' active'; ?>" style="background:center 25% / cover no-repeat url('<?= str_replace('../', '', $image->src) ?>');max-height:unset !important;"></div>
        <?php } ?>
        <div class="custom-overlay-alt posAbs fullWidth fullHeight" style="top: 0;"></div>
        <div class="posAbs heads col-10 col-sm-9 col-md-10 col-lg-9 col-xl-8 d-flex flex-column align-items-center" style="left: 50%;translate: -50%;top:<?php if (isMobile()) {?>15%<?php } else {?>20%<?php } ?>;">
          <div class="fullWidth float-left">
            <h1 class="site_title text_bold_7 text-white animated bounceInUp mb-4 mb-sm-3 text-capitalize text-center" style="animation-delay: 0.01s;animation-duration: 1.5s;text-shadow:none;"><?= $slider->title ?></h1>
          </div>
          <p class="text-white animated bounceInUp mb-4 mb-sm-3 text-center<?php if (!isMobile()) {?> w-75<?php } ?> p-0" style="font-weight:300; animation-delay: 0.11s;animation-duration: 1.5s;"><?= strip_html_tags($slider->desc) ?></p>
          <div class="card no-scaling animated bounceInUp" style="animation-delay: 0.21s;animation-duration: 1.5s;border-radius:50rem;max-width:600px;overflow: visible;box-shadow:none;">
            <div class="card-header bg-white row justify-content-between align-items-center flex-nowrap p-0" style="border-radius:50rem;">
              <div class="d-flex align-items-center pl-2 pl-md-3" style="flex:1;">
                <svg width="1.5em" height="1.5em" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path d="M18 18L14.1394 14.1394M14.1394 14.1394C15.4263 12.8526 16.2222 11.0748 16.2222 9.11111C16.2222 5.18375 13.0385 2 9.11111 2C5.18375 2 2 5.18375 2 9.11111C2 13.0385 5.18375 16.2222 9.11111 16.2222C11.0748 16.2222 12.8526 15.4263 14.1394 14.1394Z" stroke="#292929" />
                </svg>
                <input type="text" class="border-0 ml-3" style="outline:none;flex:1;" placeholder="Job title, keyword ..." id="jobSearch">
              </div>
              <div class="d-flex align-items-center pr-1 px-md-2">
                <div class="dropdown d-none d-md-block">
                  <a class="text-dark font-weight-bold mt-2 d-inline-block text-truncate dropdown-toggle" href="javascript:void(0);" role="button" id="categoryDropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" style="text-decoration:none;max-width: 200px;" data-category="all">
                    All categories
                  </a>
                  <div class="dropdown-menu" aria-labelledby="categoryDropdown">
                    <a class="dropdown-item text-capitalize" href="javascript:void(0);" onclick="setSearchCategory('all')">All categories</a>
                    <?php
                    foreach ($job_cats as $cat => $_) {
                    ?>
                      <a class="dropdown-item text-capitalize" href="javascript:void(0);" onclick="setSearchCategory('<?= $cat ?>')"><?= $cat ?></a>
                    <?php } ?>
                  </div>
                </div>
                <a href="javascript:void(0);" class="btn btn-sm px-4 ml-md-3 academy-anchor" style="background-color:#291CF3;border-radius:50rem;" id="jobSearchBtn">
                  Search
                </a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <section class="container">
    <div class="row justify-content-center">
      <div class="posRel mt-4 mb-5">
        <div class="fullWidth float-left course-head border-0">
          <h2 class="text-center text-nowrap"><span style="color:#FAA61A;">Popular</span> Jobs</h2>
        </div>
        <svg class="posAbs" style="left:50%;translate:-50%;top:3.5rem;" role="img" width="8rem" height="0.6rem">
          <use xlink:href="#bent-line" />
        </svg>
        <div class="card-body">
          <p class="card-text text-center mx-auto desc-text" style="line-height:1.8;">See our list of popular jobs for the job that suits your portfolio, and move to the next phase in your career.</p>
        </div>
      </div>
    </div>
    <div class="owl-carousel owl-theme">
      <?php
      $popular_jobs = array_slice($jobs, 0, 8);
      foreach ($popular_jobs as $job) {
      ?>
        <div class="card job-card">
          <div class="card-body">
            <div class="row">
              <div class="col-auto">
                <img class="img-thumbnail float-left mr-3 bg-light border-0" src="<?= $job->image ?>" alt="Logo" style="width:50px;margin:0!important;">
              </div>
              <div class="col-sm">
                <h5 class="card-title" style="font-family:'Roboto Condensed', sans-serif;"><?= $job->position ?></h5>
                <h6 class="card-subtitle mb-2 font-weight-normal text-muted text-capitalize" style="font-family:'Spartan', sans-serif;"><?= $job->employer_name ?></h6>
                <p class="card-text mt-3" style="min-height:unset !important;"><i class="fas fa-briefcase text-secondary"></i><span class="ml-2 mr-3"><?= $job->category ?></span><i class="fas fa-map-marker-alt text-secondary"></i><span class="ml-2 mr-3"><?= $job->location ?></span><?php if (!empty($job->salary)): ?><i class="fas fa-money-bill-wave text-secondary"></i><span class="ml-2"><?= $job->salary ?></span><?php endif; ?></p>
                <p class="card-text" style="min-height:unset !important;font-weight: 500;"><?php if (!empty($job->close_date)) { ?>Deadline—<?= $job->close_date ?> <span class=" mx-2">|</span><?php } ?>Posted—<?= $job->date_uploaded ?></p>
                <span class="badge border-0 px-3 py-2" style="background-color:#D6EBFF !important;color:#1967d2 !important;text-transform:none;font-size:smaller;"><?= $job->work_type ?></span>
                <a href="<?= "{$uri->site}view-job/{$job->id}-" . strToUrl($job->position) ?>"></a>
              </div>
            </div>
          </div>
        </div>
      <?php } ?>
    </div>
  </section>

  <section class="container mt-5">
    <div class="row justify-content-center">
      <div class="posRel mt-4 mb-5">
        <div class="fullWidth float-left course-head border-0">
          <h2 class="text-center text-nowrap"><span style="color:#FAA61A;">How</span> It Works</h2>
        </div>
        <svg class="posAbs" style="left:50%;translate:-50%;top:3.5rem;" role="img" width="8rem" height="0.6rem">
          <use xlink:href="#bent-line" />
        </svg>
        <div class="card-body">
          <p class="card-text text-center mx-auto" style="line-height:1.8;">One stop hub for tech jobs around you.</p>
        </div>
      </div>
    </div>
    <div class="d-flex flex-column flex-md-row justify-content-around">
      <?php
      $how_tos = ['search-job.png' => 'Find the jobs that pick your interest', 'view-job.png' => 'View the job details to see the requirements', 'apply-job.svg' => 'Apply for the job'];
      foreach ($how_tos as $icon => $txt) {
      ?>
        <div class="job-step d-inline-block text-center mb-4">
          <div class="posRel mb-4">
            <svg role="img" width="8rem" height="8rem" class="ml-1 align-middle">
              <use xlink:href="#blob"></use>
            </svg>
            <img class="posAbs" src="<?= $uri->site ?>asset/picture/<?= $icon ?>" style="left:50%;bottom:0;translate:-50%;">
          </div>
          <h6 class="w-50 mx-auto"><?= $txt ?></h6>
        </div>
      <?php } ?>
    </div>
  </section>

  <section class="container mt-5">
    <div class="row justify-content-center">
      <div class="posRel mt-4 mb-5">
        <div class="fullWidth float-left course-head border-0">
          <h2 class="text-center text-nowrap"><span style="color:#FAA61A;">Curated</span> Jobs</h2>
        </div>
        <svg class="posAbs" style="left:50%;translate:-50%;top:3.5rem;" role="img" width="8rem" height="0.6rem">
          <use xlink:href="#bent-line" />
        </svg>
        <div class="card-body">
          <p class="card-text text-center mx-auto desc-text" style="line-height:1.8;">Find a job that you most qualify for from our list of curated jobs.</p>
        </div>
        <div class="d-flex justify-content-center" style="column-gap: 1rem;">
          <button type="button" class="btn btn-sm bg-white border text-secondary mt-auto py-1 px-2" style="border-radius:50%;" id="moveCatLeft"><i class="fas fa-chevron-left"></i></button>
          <div class="btn-toolbar justify-content-start mt-4 nav text-nowrap flex-nowrap" role="toolbar" style="column-gap:1.5rem;max-width:75vw;overflow-x: hidden;width:fit-content;" id="categoryTabs">
            <?php
            $ext_cat = array_merge(['all' => $popular_jobs], $job_cats);
            $i = 0;
            foreach ($ext_cat as $tab => $_) {
              $tab_id = strtolower(str_replace([' ', '&', '/'], '-', $tab));
            ?>
              <div class="btn-group me-2" role="group">
                <button type="button" class="nav-link tab-jobs mt-1 mt-md-0<?= $i == 0 ? ' active' : '' ?>" id="nav-<?= $tab_id ?>-tab" data-toggle="tab" data-target="#nav-<?= $tab_id ?>"><?= $tab ?></button>
              </div>
            <?php $i++;
            } ?>
          </div>
          <button type="button" class="btn btn-sm bg-white border text-secondary mt-auto py-1 px-2" style="border-radius:50%;" id="moveCatRight"><i class="fas fa-chevron-right"></i></button>
        </div>
      </div>
    </div>
    <div class="tab-content">
      <?php
      $i = 0;
      foreach ($ext_cat as $tab => $cat_jobs) {
        $tab_id = strtolower(str_replace([' ', '&', '/'], '-', $tab));
      ?>
        <div class="tab-pane fade<?php if ($i == 0) echo ' active show'; ?>" id="nav-<?= $tab_id ?>" role="tabpanel" aria-labelledby="nav-<?= $tab_id ?>-tab">
          <div class="d-flex justify-content-between align-items-center mx-0 mb-4">
            <h2 class="text-capitalize mb-0"><?= $tab == 'all' ? 'all categories' : $tab ?></h2><a href="<?= $uri->site ?>find-jobs/<?= encodeForUrl($tab) ?>" class="btn btn-lg bg-transparent text-dark px-4 py-2" style="border: 1px solid rgb(250, 166, 26); font-weight: 600; box-shadow: none; border-radius: 0px; background-color: transparent !important;" onmouseover="this.style.setProperty('background-color', '#FAA61A16', 'important')" onmouseout="this.style.setProperty('background-color', 'transparent', 'important')">View All
              <svg role="img" width="1em" height="1em" class="ml-1 align-middle">
                <use xlink:href="#arrow"></use>
              </svg>
            </a>
          </div>
          <div class="row">
            <?php
            $cat_jobs = array_slice($cat_jobs, 0, 10);
            foreach ($cat_jobs as $job) { ?>
              <div class="col-md-6">
                <div class="card job-card">
                  <div class="card-body">
                    <img class="img-thumbnail float-left mr-3 bg-light border-0" src="<?= $job->image ?>" width="50" alt="Logo">
                    <h5 class="card-title" style="font-family:'Roboto Condensed', sans-serif;"><?= $job->position ?></h5>
                    <h6 class="card-subtitle mb-2 font-weight-normal text-muted text-capitalize" style="font-family:'Spartan', sans-serif;"><?= $job->employer_name ?></h6>
                    <p class="card-text mt-3" style="min-height:unset !important;"><i class="fas fa-briefcase text-secondary"></i><span class="ml-2 mr-3"><?= $job->category ?></span><i class="fas fa-map-marker-alt text-secondary"></i><span class="ml-2 mr-3"><?= $job->location ?></span><?php if (!empty($job->salary)): ?><i class="fas fa-money-bill-wave text-secondary"></i><span class="ml-2"><?= $job->salary ?></span><?php endif; ?></p>
                    <p class="card-text" style="min-height:unset !important;font-weight: 500;"><?php if (!empty($job->close_date)) { ?>Deadline—<?= $job->close_date ?> <span class=" mx-2">|</span><?php } ?>Posted—<?= $job->date_uploaded ?></p>
                    <span class="badge border-0 px-3 py-2" style="background-color:#D6EBFF !important;color:#1967d2 !important;text-transform:none;font-size:smaller;"><?= $job->work_type ?></span>
                    <a href="<?= "{$uri->site}view-job/{$job->id}-" . strToUrl($job->position) ?>"></a>
                  </div>
                </div>
              </div>
            <?php } ?>
          </div>
        </div>
      <?php $i++;
      } ?>
    </div>
  </section>

  <section class="pb-5 mt-5" style="background-color:#F7F4EF;">
    <svg xmlns="http://www.w3.org/2000/svg" class="w-100" viewBox="0 0 1920 169" fill="none">
      <path fill-rule="evenodd" clip-rule="evenodd" d="M1920 0V97.9399C1873.26 88.6799 1817.52 110.53 1768.95 101.39C1720.82 92.3299 1678.56 50.6699 1628.44 43.3899C1579.8 36.2999 1525 63.7499 1474.67 58.3899C1425.67 53.1599 1379.58 14.8899 1329.13 11.3899C1279.84 7.94989 1227.72 39.33 1177.22 37.6C1127.76 35.9 1078.47 1 1028 1C977.53 1 928.25 35.9 878.79 37.6C828.3 39.33 776.18 7.94989 726.9 11.3899C676.45 14.9099 630.37 53.1699 581.35 58.3899C531.02 63.7599 476.23 36.3099 427.59 43.3899C377.46 50.6999 335.2 92.3899 287.07 101.39C237.25 110.76 179.88 87.9199 132.42 99.0699C83.42 110.58 46.11 155.17 0 168.94V0.5L1920 0Z" fill="white"></path>
    </svg>
    <div class="row justify-content-center">
      <div class="posRel mt-4 mb-3">
        <div class="fullWidth float-left course-head border-0">
          <h2 class="text-center text-nowrap"><span style="color:#FAA61A;">Hiring</span> Companies</h2>
        </div>
        <svg class="posAbs" style="left:50%;translate:-50%;top:3.5rem;" role="img" width="8rem" height="0.6rem">
          <use xlink:href="#bent-line" />
        </svg>
        <div class="card-body">
          <p class="card-text text-center mx-auto" style="line-height:1.8;">See our list of top hiring companies and the vacancies they currently have.</p>
        </div>
      </div>
    </div>
    <div class="container">
      <div class="d-flex flex-column flex-md-row justify-content-between align-items-md-start mb-5">
        <h5 class="text-capitalize mb-2 mb-md-0">Top hiring companies</h5><a href="<?= $uri->site ?>find-jobs/<?= encodeForUrl('all') ?>?groupby=employer" class="btn btn-lg bg-transparent text-dark px-4 py-2 mb-auto" style="border: 1px solid rgb(250, 166, 26); font-weight: 600; box-shadow: none; border-radius: 0px; background-color: transparent !important;" onmouseover="this.style.setProperty('background-color', '#FAA61A16', 'important')" onmouseout="this.style.setProperty('background-color', 'transparent', 'important')">Browse Companies
          <svg role="img" width="1em" height="1em" class="ml-1 align-middle">
            <use xlink:href="#arrow"></use>
          </svg>
        </a>
      </div>
      <div class="owl-carousel owl-theme">
        <?php foreach ($hirers as $hirer) {
          $job_count = sizeof($hirer);
          $job = $hirer[0];
        ?>
          <div class="card employer-card">
            <div class="card-body text-center">
              <div class="bg-light mx-auto rounded-circle mb-3" style="background:url('<?= $job->image ?>') center/50% no-repeat;width:80px;height:80px;"></div>
              <h5 class="card-title"><?= $job->employer_name ?></h5>
              <p class="card-text my-4" style="min-height:unset!important;font-family:'Spartan', sans-serif;"><i class="fas fa-map-marker-alt text-secondary mr-2"></i><?= $job->location ?></p>
              <a href="<?= $uri->site ?>find-jobs/<?= encodeForUrl('all') ?>?employer=<?= encodeForUrl($job->employer_name) ?>" class="btn btn-block text-dark btn-hover mt-auto" style="border-radius:10px;font-weight:600;box-shadow:none;background-color:#FAA61A16;"><?= $job_count ?> Opening<?= $job_count > 1 ? 's' : '' ?> <svg role="img" width="1em" height="1em" class="ml-1 align-middle">
                  <use xlink:href="#arrow"></use>
                </svg></a>
            </div>
          </div>
        <?php } ?>
      </div>
    </div>
  </section>

  <section class="container mt-5">
    <div class="row justify-content-center">
      <div class="posRel mt-4 mb-5">
        <div class="fullWidth float-left course-head border-0">
          <h2 class="text-center text-nowrap"><span style="color:#FAA61A;">Job</span> Categories</h2>
        </div>
        <svg class="posAbs" style="left:50%;translate:-50%;top:3.5rem;" role="img" width="8rem" height="0.6rem">
          <use xlink:href="#bent-line" />
        </svg>
        <div class="card-body">
          <p class="card-text text-center mx-auto desc-text" style="line-height:1.8;">See our list of popular jobs for the job that suits your portfolio, and move to the next phase in your career.</p>
        </div>
      </div>
    </div>
    <div class="row">
      <?php
      $cat_hex = ["#8E56FF", "#5866EB", "#FAA61A", "#EE4A62"];
      $cat_bg = ["#D8D6FF", "#D6EBFF", "#FFEAD6", "#FCDBDB"];
      $i = 0;
      foreach ($job_cats as $cat => $cat_jobs) {
        $k = fmod($i, 4);
      ?>
        <div class="col-md-6 col-lg-3 col-xl-4">
          <div class="card job-card" style="background-color:<?= $cat_bg[$k] ?>;">
            <div class="card-body" style="min-height:unset!important;">
              <div class="d-flex">
                <i class="far fa-circle align-top mr-3 mt-1" style="color:<?= $cat_hex[$k] ?>;"></i>
                <div>
                  <h5 class="card-title mb-1 text-capitalize" style="font-family:'Spartan', sans-serif;font-size:16px;font-weight:600;"><?= $cat ?></h5>
                  <p class="card-text mb-0" style="min-height: unset!important;">(<?= sizeof($cat_jobs) ?> Openings)</p>
                  <a href="<?= $uri->site ?>find-jobs/<?= encodeForUrl($cat) ?>"></a>
                </div>
              </div>
            </div>
          </div>
        </div>
      <?php $i++;
      } ?>
    </div>
  </section>
  <?php if (count($articles) > 0) { ?>
    <section class="container my-5">
      <div class="row justify-content-center">
        <div class="posRel mt-4">
          <div class="fullWidth float-left course-head border-0">
            <h2 class="text-center text-nowrap"><span style="color:#FAA61A;">Articles</span> & Blogs</h2>
          </div>
          <svg class="posAbs" style="left:50%;translate:-50%;top:3.5rem;" role="img" width="8rem" height="0.6rem">
            <use xlink:href="#bent-line" />
          </svg>
          <div class="card-body">
            <p class="card-text text-center mx-auto desc-text" style="line-height:1.8;">Get turbocharged for your next job with our list of curated articles & blogs.</p>
            <a href="<?= $uri->site ?>category/<?= $ict_id ?>-ict-training"></a>
          </div>
        </div>
      </div>
      <div class="d-flex justify-content-md-end mb-5 mx-3">
        <a href="<?= $articles[0]->category_link ?>" class="btn btn-lg bg-transparent text-dark px-4 py-2 mb-auto" style="border: 1px solid rgb(250, 166, 26); font-weight: 600; box-shadow: none; border-radius: 0px; background-color: transparent !important;" onmouseover="this.style.setProperty('background-color', '#FAA61A16', 'important')" onmouseout="this.style.setProperty('background-color', 'transparent', 'important')">More Articles
          <svg role="img" width="1em" height="1em" class="ml-1 align-middle">
            <use xlink:href="#arrow"></use>
          </svg>
        </a>
      </div>
      <div class="row">
        <?php foreach ($articles as $article) {
          $pub_date = date_format(date_create($article->last_updated), 'j F, Y');
        ?>
          <div class="col-md-6 col-xl-4">
            <article class="card job-article" style="box-shadow:none;">
              <div style="border-radius:1rem;overflow:clip;height:180px;">
                <img src="<?= str_ireplace('tbn/', '', $article->image->src) ?>" class="h-100 w-100 bg-light" style="object-fit: cover;height:180px;">
              </div>
              <div class="card-body">
                <span class="card-text text-muted" style="font-family:'Spartan', sans-serif;"><?= $pub_date ?><?php if ($article->no_of_views > 0): ?><i class="fas fa-circle align-middle mx-3" style="font-size: 5px;"></i><?= $article->no_of_views ?> views<?php endif; ?></span>
                <h5 class="card-title my-3" style="font-size:18px;font-weight:500;"><?= $article->title ?></h5>
                <p class="card-text text-truncate-lines-2" style="min-height: unset!important;"><?= $article->body ?></p>
                <a href="#">Read more <svg role="img" width="1em" height="1em" class="ml-1 align-middle">
                    <use xlink:href="#arrow"></use>
                  </svg></a>
                <a href="<?= "{$uri->site}{$article->type}/{$article->id}-{$article->url}" ?>"></a>
              </div>
            </article>
          </div>
        <?php } ?>
      </div>
    </section>
  <?php } ?>

  <section class="container py-5">
    <div class="row align-items-center justify-content-center my-5" style="position: relative;">
      <div class="posRel col-md-6 d-flex justify-content-center my-3">
        <img src="<?= $uri->site ?>asset/picture/job_globe.png" alt="Lighted globe" style="object-fit: contain">
      </div>
      <div class="posRel col-md-6">
        <div class="fullWidth">
          <h3 class="text-center text-md-start font-weight-bold">There's a shortage of skilled people</h3>
          <p class="card-text">
            It's quite the contrary that there isn't enough jobs. The actual situation is that there are not many qualified people for the jobs available. Hence, getting the required skillset for your dream job comes first!<br><br>At Digital Dreams ICT Academy, we offer courses tailored to give you the best for a successful career. Our trainings are flexible to accommodate most kinds of learners. Like the saying goes, knowledge is power.<span class="d-block mt-2" style="font-weight:500;font-size:16px;">Register for a course today and be well on your way to secure your dream job.</span>
          </p>
          <div class="d-flex justify-content-center justify-content-md-start">
            <a class="btn btn-sm academy-anchor animated bounceInUp text-dark mr-3" href="<?= $uri->site ?>training" target="_blank" style="animation-delay:0.21s;animation-duration: 1.5s;background-color:#FAA61A;border-radius:50rem;"> View our courses</a>
            <a class="btn btn-sm academy-anchor animated bounceInUp" href="https://wa.me/2348156846834?text=%2ADigital+Dreams+Academy+Courses+Enquiry%2A%0A" target="_blank" style="animation-delay:0.21s;animation-duration: 1.5s;background-color:#291CF3;border-radius:50rem;"><i class="fab fa-whatsapp" style="font-size:medium;"></i> Customer care</a>
          </div>
        </div>
      </div>
    </div>
  </section>

  <?php require_once("components/footer.php") ?>
</body>

</html>