<?php
$data = contentCache($uri->page_source);
$slider = reset($data->image);
$data->itemprop = 'Verify Student Certificate - Digital Dreams ICT Academy';
$data->title = 'Verify Certificate | Digital Dreams LTD';
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title><?=$data->title?></title>

  <?php require_once("components/seo_tags.php") ?>
  <?php require_once("components/csslinks.php") ?>
</head>

<body>
  <?php require_once("components/nav.php") ?>

  <div class='float-left posRel fullWidth'>
    <div id="carouselExampleIndicators" class="carousel not-full" style="height: 60vh" data-ride="carousel">
      <ol class="carousel-indicators">
        <?php foreach ($data->image as $k => $image) { ?>
          <li data-target="#carouselExampleIndicators" data-slide-to="<?= $k ?>" class="<?php if ($k == 0) echo 'active'; ?>"></li>
        <?php } ?>
      </ol>
      <div class="carousel-inner" role="listbox">
        <?php foreach ($data->image as $k => $image) {
          list($width, $height)  = getimagesize(absolute_filepath($image->src));
        ?>
          <div class="carousel-item <?php if ($k == 0) echo ' active'; ?>">
            <div class="float-right posAbs" style="padding: 50px; right: 0; margin: 120px 150px 0 0px;width: 600px;z-index: 1;">
              <h1 class="site_title text_bold_7 text-white text-right animated bounceInUp" style="animation-delay: 0.01s;animation-duration: 1.5s;"><?= $image->title ?></h1>
              <?php if (strlen(strip_tags($image->desc)) > 2) { ?><h5 class="text-white text-right animated bounceInUp" style="font-weight:200; animation-delay: 0.11s;animation-duration: 1.5s;"><?= strip_tags($image->desc) ?></h5> <?php } ?>
              <?php if (!empty($image->anchor->href)) { ?>
                <button href="<?= $image->anchor->href ?>" class="btn btn-lg btn-info float-right animated bounceInUp" style="animation-delay: 0.21s;animation-duration: 1.5s;"><?= $image->anchor->name ?></button>
              <?php } ?>
            </div>
            <div class="custom-overlay posAbs float-left fullWidth fullHeight"></div>
            <img class="d-block <?php if ($width > $height || $width == $height) {
                                  echo 'slide-fh';
                                } else echo 'slide-fw' ?>" src="<?= str_replace('../', '', $image->src) ?>" alt="First slide">
          </div>
        <?php } ?>
      </div>
      <?php if (count($data->image) > 1) { ?>
        <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
          <i class="now-ui-icons arrows-1_minimal-left"></i>
        </a>
        <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
          <i class="now-ui-icons arrows-1_minimal-right"></i>
        </a>
      <?php } ?>
    </div>
  </div>
  <div class='float-left posRel fullWidth pb-5' style="background-color: #f9f9f9">
    <div class="container">
      <div class="posRel col-sm-12 float-left">
        <h3 class="text_bold_7 text-left text-capitalize mt-4 pl-3 pr-3 mt-0 mb-0">Verify Certificates Anynytime</h3>
      </div>
      <div class="col-md-12 posRel float-left">
        <div class="row">
          <div class="posRel col-12 col-md-6 col-xl-7 float-left mt-4">
            <div class="posRel float-left course-info-box" style="font-family: 'Comfortaa', sans-serif;">
              <div class="card-body">
                <div style="word-wrap: break-word;">
                  <h4>Why Verify?</h4>
                  <ol class="list-unstyled pl-3" style="border-left: 5px solid #f28c1ab3;">
                    <li><strong>Authenticity Guaranteed</strong>: Ensure that your certification is genuine and issued by <?= $company->name ?>.</li>
                    <li><strong>Employer Trust</strong>: Increase your employability by providing employers with a quick and easy way to verify your credentials.</li>
                    <li><strong>Academic Credibility</strong>: Enhance your academic profile with verifiable certifications that can be trusted by educational institutions.</li>
                    <li><strong>Professional Recognition</strong>: Stand out in your professional community with a verified certificate that showcases your skills and dedication.</li>
                  </ol>
                </div>
              </div>
            </div>
            <div class="posRel float-left course-info-box mt-4" style="font-family: 'Comfortaa', sans-serif;">
              <div class="card-body">
                <div style="word-wrap: break-word">
                  <h4>Steps to Verify</h4>
                  <ol>
                    <li>Locate the unique certificate ID on any <?= $company->name ?> certification.</li>
                    <li>Click the 'Verify certificate' button below.</li>
                    <li>Enter the certificate ID and click Verify. The result will be shown to you in a bit.</li>
                  </ol>
                  <hr>
                  <p><?= $company->name ?> is committed to maintaining the highest standards of training and certification integrity. Verify a certification today!</p>
                  <a href="#verifyCert" data-toggle="modal" class="btn-primary btn mr-3 academy-anchor btn-lg">Verify certificate</a>
                </div>
              </div>
            </div>
          </div>
          <div class="posRel col-12 col-md-6 col-xl-5 float-left">
            <div class="posRel float-left course-info-box mt-4" style="font-family: 'Comfortaa', sans-serif;">
              <div class="card-body">
                <div style="word-wrap: break-word">
                  <h4>How It Works</h4>
                  <ol class="list-unstyled pl-3" style="border-left: 5px solid #4ddb0ee6;">
                    <li><strong>Access Verification Portal</strong>: Visit our <a rel="noreferrer" href="#">Certificate Verification Portal (this page)</a> and enter the unique certificate ID.</li>
                    <li><strong>Instant Verification</strong>: Our system will instantly verify the authenticity of the certificate and display the result.</li>
                  </ol>
                </div>
              </div>
            </div>
            <div class="posRel float-left course-info-box mt-4" style="font-family: 'Comfortaa', sans-serif;">
              <div class="card-body">
                <div style="word-wrap: break-word">
                  <h4>Secure and Reliable</h4>
                  <ul class="list-unstyled pl-3" style="border-left: 5px solid #F44336;">
                    <li><strong>Data Privacy</strong>: All data and personal information are safe with us.</li>
                    <li><strong>24/7 Access</strong>: Verify certificates anytime, anywhere. Our verification portal is available 24/7 for your convenience.</li>
                    <li><strong>Accurate Records</strong>: We maintain accurate and up-to-date records to ensure certificate details are always correct.</li>
                  </ul>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="row float-left posRel fullWidth mt-5">
          <div class="col-xs-12 col-sm-4 feature unlimited animated">
            <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="48px" height="48px" viewBox="0 0 401.168 401.168">
              <path d="M401.004,250.538c-0.834-5.295-4.759-9.572-9.961-10.859c-0.872-0.215-71.379-17.925-123.181-49.804l-56.563-56.576c-31.844-51.777-49.596-122.305-49.811-123.174c-1.286-5.203-5.565-9.128-10.859-9.962c-5.293-0.834-10.572,1.585-13.396,6.14l-17.078,27.542c-9.682-8.729-24.245-12.872-36.144-9.729l-0.973,0.259C40.87,37.292,14.092,64.07,1.175,106.237l-0.258,0.974c-2.961,13.143,1.392,27.9,11.09,37.599c0.729,0.729,1.494,1.433,2.272,2.092l0.294,0.241c32.075,25.631,63.309,52.74,93.259,80.913c-26.838,14.876-50.168,22.272-67.996,21.479c-2.969-0.133-5.679,1.683-6.688,4.479s-0.084,5.923,2.286,7.719l20.133,15.26l-22.844,21.916c-1.961,1.882-2.611,4.751-1.653,7.293c0.348,0.924,0.882,1.737,1.552,2.407c1.177,1.178,2.772,1.906,4.501,1.982c20.176,0.897,42.373-3.433,66.34-12.889c-9.457,23.967-13.786,46.163-12.889,66.339c0.077,1.729,0.806,3.325,1.983,4.502c0.67,0.67,1.485,1.204,2.408,1.552c2.542,0.958,5.412,0.31,7.293-1.651l21.917-22.846l15.258,20.136c1.796,2.367,4.922,3.295,7.718,2.283c2.795-1.009,4.61-3.72,4.478-6.688c-0.792-17.828,6.604-41.159,21.481-67.999c28.188,29.964,55.298,61.198,80.914,93.263l0.243,0.3c0.657,0.774,1.359,1.536,2.086,2.266c9.698,9.698,24.457,14.053,37.601,11.094l0.978-0.259c42.17-12.923,68.947-39.7,81.861-81.865c0,0,7.035-21.217-9.47-37.115l27.542-17.076C399.419,261.109,401.838,255.832,401.004,250.538z M144.092,45.804c2.646,8.297,5.908,17.908,9.772,28.236c-5.276-6.201-10.505-12.439-15.675-18.717L144.092,45.804z M131.16,213.438c-31.956-30.331-65.39-59.483-99.773-86.967c-0.182-0.159-0.363-0.328-0.539-0.504c-3.135-3.135-5.27-8.371-4.02-12.497c10.398-33.443,30-53.046,63.446-63.445c3.783-1.262,9.22-0.221,13,4.559c2.096,2.622,4.204,5.238,6.319,7.85l4.047,4.964c24.407,29.881,50.045,58.988,76.598,86.963L131.16,213.438z M351.141,310.894c-10.395,33.441-29.996,53.046-63.441,63.446c-4.096,0.889-9.366-0.887-12.501-4.021c-0.175-0.177-0.345-0.354-0.501-0.535c-27.465-34.371-56.617-67.807-86.965-99.775l59.076-59.075c27.979,26.561,57.088,52.198,86.968,76.603l4.958,4.041c2.61,2.115,5.229,4.225,7.854,6.32c0.181,0.157,0.36,0.325,0.535,0.501C350.255,301.531,352.291,306.884,351.141,310.894z M345.843,262.979c-6.276-5.17-12.517-10.397-18.72-15.677c10.33,3.864,19.943,7.126,28.241,9.773L345.843,262.979z" />
            </svg>
            <div class="upsell-text">
              <div class="headline">Verifiable certificates</div>
              <p>Certificates can be verified anytime.</p>
            </div>
          </div>
          <div class="col-xs-12 col-sm-4 feature teachers animated">
            <i class="fas fa-chalkboard-teacher" style="font-size: 48px;"></i>
            <div class="upsell-text">
              <div class="headline">Expert Teachers</div>
              <p>Learn from industry experts who are passionate about teaching.</p>
            </div>
          </div>
          <div class="col-xs-12 col-sm-4 feature anywhere animated">
            <i class="fa fa-infinity" style="font-size: 48px;"></i>
            <div class="upsell-text">
              <div class="headline">Learn Anywhere</div>
              <p>Switch between your computer, tablet, or mobile device.</p>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade" id="verifyCert" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
      <div class="modal-content">
        <div class="card px-3 py-5 mb-0">
          <form class="form" method="POST">
            <div class="header text-center">
              <div class="d-flex justify-content-center mb-5">
                <a class="navbar-brand" href="<?= $uri->site ?>"><img src="<?= $uri->site ?>asset/picture/dd_black_no_bg.png" alt="Digital Dreams ICT Academy"></a>
              </div>
              <h5 class="fullWidth float-left text-left mb-4 text-capitalize text-center">Verify certificate</h5>
            </div>
            <div class="card-body px-5 pb-0">
              <label for="certId" class="fullWidth float-left text-left mt-0">Certificate ID</label>
              <div class="input-group form-group-no-border">
                <span class="input-group-addon">
                  <i class="now-ui-icons education_hat"></i>
                </span><input id="certId" type="text" class="form-control" name="certificate" required placeholder="Enter certificate ID">
              </div>
              <div class="invalid-feedback">
                Enter a valid Certificate ID.
              </div>
            </div>
            <div class="footer text-center px-5">
              <button type="button" class="btn btn-block btn-primary text_bold_5" id="verify_cert">Verify</button>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade" id="verifyResultModal" tabindex="-1" role="dialog" aria-labelledby="verifyResultModalTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="verifyResultModalTitle">Verification result</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body"></div>
      </div>
    </div>
  </div>
  <?php require_once("components/footer.php") ?>
</body>

</html>